/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* First part of user prologue.  */
#line 32 "parser.y"

/** @endcond */

// local
#include "pjl_config.h"                 /* must go first */
#include "c_ast.h"
#include "c_ast_check.h"
#include "c_ast_util.h"
#include "c_keyword.h"
#include "c_lang.h"
#include "c_operator.h"
#include "c_sglob.h"
#include "c_sname.h"
#include "c_type.h"
#include "c_typedef.h"
#include "cdecl.h"
#include "cdecl_keyword.h"
#include "color.h"
#include "decl_flags.h"
#include "dump.h"
#include "did_you_mean.h"
#include "english.h"
#include "gibberish.h"
#include "help.h"
#include "lexer.h"
#include "literals.h"
#include "options.h"
#include "p_macro.h"
#include "p_token.h"
#include "print.h"
#include "set_options.h"
#include "show.h"
#include "slist.h"
#include "types.h"
#include "util.h"

/// @cond DOXYGEN_IGNORE

// standard
#include <assert.h>
#include <stdarg.h>
#include <stdbool.h>
#include <stdio.h>
#include <stdlib.h>

// Silence these warnings for Bison-generated code.
#ifdef __GNUC__
# pragma GCC diagnostic push
# pragma GCC diagnostic ignored "-Wconversion"
# pragma GCC diagnostic ignored "-Wredundant-decls"
# pragma GCC diagnostic ignored "-Wunreachable-code"
#endif /* __GNUC__ */

// Developer aid for tracing when Bison %destructors are called.
#if 0
#define DTRACE                    EPRINTF( "%d: destructor\n", __LINE__ )
#else
#define DTRACE                    NO_OP
#endif

/// @endcond

///////////////////////////////////////////////////////////////////////////////

/**
 * @defgroup parser-group Parser
 * Helper macros, data structures, variables, functions, and the grammar for
 * C/C++ declarations.
 * @{
 */

/**
 * Calls #elaborate_error_dym() with #DYM_NONE.
 *
 * @param ... Arguments passed to fl_elaborate_error().
 *
 * @note This must be used _only_ after an `error` token, e.g.:
 * ```
 *  | Y_define error
 *    {
 *      elaborate_error( "name expected" );
 *    }
 * ```
 * @note A newline _is_ printed.
 *
 * @sa elaborate_error_dym()
 * @sa keyword_expected()
 * @sa punct_expected()
 */
#define elaborate_error(...) \
  elaborate_error_dym( DYM_NONE, __VA_ARGS__ )

/**
 * Calls fl_elaborate_error() followed by #PARSE_ABORT().
 *
 * @param DYM_KINDS The bitwise-or of \ref dym_kind_t things possibly meant.
 * @param ... Arguments passed to fl_elaborate_error().
 *
 * @note This must be used _only_ after an `error` token, e.g.:
 * ```
 *  | error
 *    {
 *      elaborate_error_dym( DYM_COMMANDS, "unexpected token" );
 *    }
 * ```
 * @note A newline _is_ printed.
 *
 * @sa elaborate_error()
 * @sa keyword_expected()
 * @sa punct_expected()
 */
#define elaborate_error_dym(DYM_KINDS,...) BLOCK( \
  fl_elaborate_error( __FILE__, __LINE__, (DYM_KINDS), __VA_ARGS__ ); PARSE_ABORT(); )

/**
 * Executes the given statements only if \ref opt_cdecl_debug `!=`
 * #CDECL_DEBUG_NO.
 *
 * @param ... The statement(s) to execute.
 */
#define IF_CDECL_DEBUG(...) \
  BLOCK( if ( opt_cdecl_debug != CDECL_DEBUG_NO ) { __VA_ARGS__ } )

/**
 * Prints that a particular language feature is not supported by **cdecl** and
 * will be ignored.
 *
 * @param LOC The location of what's being ignored.
 * @param ... The `printf()` arguments, the first of which _must_ be a string
 * literal of what is being ignored.
 *
 * @sa #UNSUPPORTED()
 */
#define IGNORING(LOC,...) \
  IGNORING_IMPL( (LOC), __VA_ARGS__, CDECL )

/// @cond DOXYGEN_IGNORE
#define IGNORING_IMPL(LOC,WHAT,...) \
  print_warning( (LOC), WHAT " not supported by %s (ignoring)%s", __VA_ARGS__, "\n" )
/// @endcond

/**
 * Checks whether the type currently being declared (`enum`, `struct`,
 * `typedef`, or `union`) is nested within some other type (`struct` or
 * `union`) and whether the current language is C: if not, prints an error
 * message.
 *
 * @remarks In debug mode, also includes the file & line where the function was
 * called from in the error message.
 *
 * @param TYPE_LOC The location of the type declaration.
 * @return Returns `true` only if the type currently being declared is either
 * not nested or the current language is C++.
 *
 * @sa fl_is_nested_type_ok()
 */
#define is_nested_type_ok(TYPE_LOC) \
  fl_is_nested_type_ok( __FILE__, __LINE__, (TYPE_LOC) )

/**
 * Checks whether \ref opt_lang_id is among the bitwise-or of languages
 * specified by \a LANG_MACRO, i.e., \a LANG_MACRO is supported by \ref
 * opt_lang_id.
 *
 * @param LANG_MACRO A `LANG_*` macro without the `LANG_` prefix.
 * @return Returns `true` only if either **cdecl** is \ref cdecl_initialized is
 * `false` or \ref opt_lang_id is among the bitwise-or of languages specified
 * by \a LANG_MACRO.
 *
 * @sa #OPT_LANG_IS()
 */
#define IS_SUPPORTED(LANG_MACRO) \
  ( !cdecl_initialized || OPT_LANG_IS( LANG_MACRO ) )

/**
 * Calls fl_keyword_expected() followed by #PARSE_ABORT().
 *
 * @param KEYWORD A keyword literal.
 *
 * @note This must be used _only_ after an `error` token, e.g.:
 * ```
 *  : Y_virtual
 *  | error
 *    {
 *      keyword_expected( L_virtual );
 *    }
 * ```
 *
 * @sa elaborate_error()
 * @sa elaborate_error_dym()
 * @sa punct_expected()
 */
#define keyword_expected(KEYWORD) BLOCK ( \
  fl_keyword_expected( __FILE__, __LINE__, (KEYWORD) ); PARSE_ABORT(); )

/**
 * Aborts the current parse after an error message has been printed.
 *
 * @sa #PARSE_ASSERT()
 */
#define PARSE_ABORT() \
  BLOCK( parse_cleanup( /*fatal_error=*/true ); YYABORT; )

/**
 * Evaluates \a EXPR: if `false`, calls #PARSE_ABORT().
 *
 * @param EXPR The expression to evalulate.
 */
#define PARSE_ASSERT(EXPR)        BLOCK( if ( !(EXPR) ) PARSE_ABORT(); )

/**
 * Calls fl_punct_expected() followed by #PARSE_ABORT().
 *
 * @param PUNCT The punctuation character that was expected.
 *
 * @note This must be used _only_ after an `error` token, e.g.:
 * ```
 *  : ','
 *  | error
 *    {
 *      punct_expected( ',' );
 *    }
 * ```
 *
 * @sa elaborate_error()
 * @sa elaborate_error_dym()
 * @sa keyword_expected()
 */
#define punct_expected(PUNCT) BLOCK( \
  fl_punct_expected( __FILE__, __LINE__, (PUNCT) ); PARSE_ABORT(); )

/**
 * Checks whether \a SNAME is a type.
 *
 * @param SNAME The scoped name to check.
 * @param LOC The location of \a SNAME.
 * @return Returns `true` only if \a SNAME is a type (and prints an error
 * message); otherwise `false` (and does nothing).
 */
#define sname_is_type(SNAME,LOC) \
  fl_sname_is_type( __FILE__, __LINE__, (SNAME), (LOC) )

/**
 * Prints that a particular language feature is not supported by **cdecl** and
 * it an error.
 *
 * @param LOC The location of what's not supported.
 * @param ... The `printf()` arguments, the first of which _must_ be a string
 * literal of what is unsupported.
 *
 * @sa #IGNORING()
 */
#define UNSUPPORTED(LOC,...) \
  UNSUPPORTED_IMPL( (LOC), __VA_ARGS__, CDECL )

/// @cond DOXYGEN_IGNORE
#define UNSUPPORTED_IMPL(LOC,WHAT,...) \
  print_error( (LOC), WHAT " not supported by %s%s", __VA_ARGS__, "\n" )
/// @endcond

/** @} */

///////////////////////////////////////////////////////////////////////////////

/**
 * @defgroup parser-dump-group Debugging Macros
 * Macros that are used to dump a trace during parsing when \ref
 * opt_cdecl_debug is set.
 * @ingroup parser-group
 * @{
 */

/**
 * Dumps \a ALIGN.
 *
 * @param KEY The key name to print.
 * @param ALIGN The \ref c_alignas to dump.
 */
#define DUMP_ALIGN(KEY,ALIGN) IF_CDECL_DEBUG( \
  DUMP_KEY_IMPL( KEY ": " ); c_alignas_dump( &(ALIGN), stdout ); )

/**
 * Dumps an AST.
 *
 * @param KEY The key name to print.
 * @param AST The AST to dump.
 *
 * @sa #DUMP_AST_LIST()
 * @sa #DUMP_AST_PAIR()
 */
#define DUMP_AST(KEY,AST) IF_CDECL_DEBUG( \
  DUMP_KEY_IMPL( KEY ": " ); c_ast_dump( (AST), stdout ); )

/**
 * Dumps an s_list of AST.
 *
 * @param KEY The key name to print.
 * @param AST_LIST The \ref slist of AST to dump.
 *
 * @sa #DUMP_AST()
 * @sa #DUMP_AST_PAIR()
 */
#define DUMP_AST_LIST(KEY,AST_LIST) IF_CDECL_DEBUG( \
  DUMP_KEY_IMPL( KEY ": " ); c_ast_list_dump( &(AST_LIST), stdout ); )

/**
 * Dump a \ref c_ast_pair.
 *
 * @param KEY The key name to print.
 * @param ASTP The \ref c_ast_pair to dump.
 *
 * @sa #DUMP_AST()
 */
#define DUMP_AST_PAIR(KEY,ASTP) IF_CDECL_DEBUG( \
  DUMP_KEY_IMPL( KEY ": " ); c_ast_pair_dump( &(ASTP), stdout ); )

/**
 * Dumps a `bool`.
 *
 * @param KEY The key name to print.
 * @param BOOL The `bool` to dump.
 */
#define DUMP_BOOL(KEY,BOOL)  IF_CDECL_DEBUG( \
  DUMP_KEY_IMPL( KEY ": " ); bool_dump( (BOOL), stdout ); )

/**
 * Ends a dump block.
 *
 * @sa #DUMP_START()
 */
#define DUMP_END()                IF_CDECL_DEBUG( PUTS( "\n}\n\n" ); )

/**
 * Possibly dumps a comma and a newline followed by the `printf()` arguments
 * --- used for printing a key followed by a value.
 *
 * @param ... The `printf()` arguments.
 *
 * @warning This _must_ only be called inside #IF_CDECL_DEBUG().
 */
#define DUMP_KEY_IMPL(...) BLOCK(         \
  fput_sep( ",\n", &dump_comma, stdout ); \
  PRINTF( "  " __VA_ARGS__ ); )

/**
 * Dumps an integer.
 *
 * @param KEY The key name to print.
 * @param NUM The integer to dump.
 *
 * @sa #DUMP_STR()
 */
#define DUMP_INT(KEY,NUM) IF_CDECL_DEBUG( \
  DUMP_KEY_IMPL( KEY ": %d", STATIC_CAST( int, (NUM) ) ); )

/**
 * Dumps a \ref p_macro.
 *
 * @param KEY The key name to print.
 * @param MACRO The \ref p_macro to dump.
 */
#define DUMP_MACRO(KEY,MACRO) IF_CDECL_DEBUG( \
  DUMP_KEY_IMPL( KEY ": " ); p_macro_dump( (MACRO), stdout ); )

/**
 * Dumps a list of macro arguments.
 *
 * @param KEY The key name to print.
 * @param ARG_LIST The list of arguments to dump.
 */
#define DUMP_MACRO_ARG_LIST(KEY,ARG_LIST) IF_CDECL_DEBUG( \
  if ( (ARG_LIST) != NULL ) {                             \
    DUMP_KEY_IMPL( KEY ": " );                            \
    p_arg_list_dump( (ARG_LIST), /*indent=*/1, stdout );  \
  } )

/**
 * Dumps a list of \ref p_param.
 *
 * @param KEY The key name to print.
 * @param PARAM_LIST The list of \ref p_param to dump.
 */
#define DUMP_MACRO_PARAM_LIST(KEY,PARAM_LIST) IF_CDECL_DEBUG( \
  if ( (PARAM_LIST) != NULL ) {                               \
    DUMP_KEY_IMPL( KEY ": " );                                \
    p_param_list_dump( (PARAM_LIST), /*indent=*/1, stdout );  \
  } )

/**
 * Dumps a list of \ref p_token.
 *
 * @param KEY The key name to print.
 * @param TOKEN_LIST The list of \ref p_token to dump.
 */
#define DUMP_MACRO_TOKEN_LIST(KEY,TOKEN_LIST) IF_CDECL_DEBUG( \
  if ( (TOKEN_LIST) != NULL ) {                               \
    DUMP_KEY_IMPL( KEY ": " );                                \
    p_token_list_dump( (TOKEN_LIST), /*indent=*/1, stdout );  \
  } )

/**
 * Starts a dump block.
 *
 * @remarks If a production has a result, it should be dumped as the final
 * thing before the #DUMP_END() with the KEY of `$$_` followed by a suffix
 * denoting the type, e.g., `ast`.  For example:
 * ```
 *  DUMP_START( "rule",
 *              "subrule_1 subrule_2 ..." );
 *  DUMP_AST( "subrule_1", $1 );
 *  DUMP_STR( "name", $2 );
 *  DUMP_AST( "subrule_2", $3 );
 *  // ...
 *  DUMP_AST( "$$_ast", $$ );
 *  DUMP_END();
 * ```
 *
 * @param NAME The grammar production name.
 * @param RULE The grammar production rule.
 *
 * @note The dump block _must_ end with #DUMP_END().
 *
 * @sa #DUMP_END()
 */
#define DUMP_START(NAME,RULE) \
  bool dump_comma = false;    \
  IF_CDECL_DEBUG( PUTS( "{\n  rule: {\n    lhs: \"" NAME "\",\n    rhs: \"" RULE "\"\n  },\n" ); )

/**
 * Dumps a scoped name.
 *
 * @param KEY The key name to print.
 * @param SNAME The scoped name to dump.
 *
 * @sa #DUMP_SNAME_LIST()
 * @sa #DUMP_STR()
 */
#define DUMP_SNAME(KEY,SNAME) IF_CDECL_DEBUG( \
  DUMP_KEY_IMPL( KEY ": " ); c_sname_dump( &(SNAME), stdout ); )

/**
 * Dumps a list of scoped names.
 *
 * @param KEY The key name to print.
 * @param LIST The list of scoped names to dump.
 *
 * @sa #DUMP_SNAME()
 */
#define DUMP_SNAME_LIST(KEY,LIST) IF_CDECL_DEBUG( \
  DUMP_KEY_IMPL( KEY ": " ); c_sname_list_dump( &(LIST), stdout ); )

/**
 * Dumps a C string.
 *
 * @param KEY The key name to print.
 * @param STR The C string to dump.
 *
 * @sa #DUMP_INT()
 * @sa #DUMP_SNAME()
 * @sa #DUMP_STR_LIST()
 */
#define DUMP_STR(KEY,STR) IF_CDECL_DEBUG( \
  DUMP_KEY_IMPL( KEY ": " ); fputs_quoted( (STR), '"', stdout ); )

/**
 * Dumps a list of C strings.
 *
 * @param KEY The key name to print.
 * @param STR_LIST The list of C strings to dump.
 *
 * @sa #DUMP_STR()
 */
#define DUMP_STR_LIST(KEY,STR_LIST) IF_CDECL_DEBUG( \
  DUMP_KEY_IMPL( KEY ": " ); str_list_dump( (STR_LIST), stdout ); )

/**
 * Dumps a \ref c_tid_t.
 *
 * @param KEY The key name to print.
 * @param TID The \ref c_tid_t to dump.
 *
 * @sa #DUMP_TYPE()
 */
#define DUMP_TID(KEY,TID) IF_CDECL_DEBUG( \
  DUMP_KEY_IMPL( KEY ": " ); c_tid_dump( (TID), stdout ); )

/**
 * Dumps a \ref c_type.
 *
 * @param KEY The key name to print.
 * @param TYPE The \ref c_type to dump.
 *
 * @sa #DUMP_TID()
 */
#define DUMP_TYPE(KEY,TYPE) IF_CDECL_DEBUG( \
  DUMP_KEY_IMPL( KEY ": " ); c_type_dump( &(TYPE), stdout ); )

/** @} */

///////////////////////////////////////////////////////////////////////////////

/**
 * @addtogroup parser-group
 * @{
 */

/**
 * Inherited attributes.
 *
 * @remarks These are grouped into a `struct` (rather than having them as
 * separate global variables) so that they can all be reset (mostly) via a
 * single assignment from `{0}`.
 *
 * @sa ia_cleanup()
 */
struct in_attr {
  c_alignas_t     align;            ///< Alignment, if any.
  unsigned        ast_depth;        ///< Parentheses nesting depth.
  bool            is_typename;      ///< C++ only: is `typename` specified?
  c_sname_t       scope_sname;      ///< C++ only: current scope name, if any.

  /**
   * Type AST stack.
   *
   * @sa ia_type_ast_peek()
   * @sa ia_type_ast_pop()
   * @sa ia_type_ast_push()
   */
  c_ast_list_t    type_ast_stack;

  /**
   * Declaration type specifier AST.
   *
   * @remarks A C/C++ declaration is of the form:
   *
   *      type-specifier declarator+
   *
   * where one or more declarators all have the same base type, e.g.:
   *
   *      int i, *p, a[2], f(double);
   *
   * This is a pointer to the base type AST (above, `int`) that is duplicated
   * for each declarator.  It's set by the first call to ia_type_ast_push().
   *
   * @sa ia_type_spec_ast()
   */
  c_ast_t const  *type_spec_ast;

  /**
   * Red-black node for temporary `typedef`.
   *
   * @remarks This is used only in the `pc99_func_or_constructor_declaration_c`
   * grammar production. It's needed because a temporary `typedef` needs to be
   * created in a mid-rule action then removed in the end-rule action and
   * there's no way to pass local variables between Bison actions, so it's
   * passed via an inherited attribute.
   */
  rb_node_t      *tdef_rb;
};
typedef struct in_attr in_attr_t;

// local functions
PJL_PRINTF_LIKE_FUNC(4)
static void fl_elaborate_error( char const*, int, dym_kind_t, char const*,
                                ... );
PJL_DISCARD
static bool print_error_token( char const* );

// local variables
static c_ast_list_t   gc_ast_list;      ///< c_ast nodes freed after parse.
static in_attr_t      in_attr;          ///< Inherited attributes.
static c_ast_list_t   typedef_ast_list; ///< List of ASTs for `typedef`s.

////////// inline functions ///////////////////////////////////////////////////

/**
 * Duplicates \a ast and adds it to \ref gc_ast_list.
 *
 * @param ast The AST to duplicate.
 * @return Returns the duplicated AST.
 *
 * @sa c_ast_new_gc()
 */
static inline c_ast_t* c_ast_dup_gc( c_ast_t const *ast ) {
  return c_ast_dup( ast, &gc_ast_list );
}

/**
 * Garbage-collects the AST nodes on \a ast_list but does _not_ free \a
 * ast_list itself.
 *
 * @param ast_list The AST list to free the nodes of.
 *
 * @sa c_ast_list_cleanup()
 * @sa c_ast_dup_gc()
 * @sa c_ast_new_gc()
 * @sa c_ast_pair_new_gc()
 */
static inline void c_ast_list_cleanup_gc( c_ast_list_t *ast_list ) {
  slist_cleanup( ast_list, POINTER_CAST( slist_free_fn_t, &c_ast_free ) );
}

/**
 * Creates a new AST and adds it to \ref gc_ast_list.
 *
 * @param kind The kind of AST to create.
 * @param loc A pointer to the token location data.
 * @return Returns a pointer to a new AST.
 *
 * @sa c_ast_dup_gc()
 * @sa c_ast_pair_new_gc()
 */
NODISCARD
static inline c_ast_t* c_ast_new_gc( c_ast_kind_t kind, c_loc_t const *loc ) {
  return c_ast_new( kind, in_attr.ast_depth, loc, &gc_ast_list );
}

/**
 * Set our mode to deciphering gibberish into English.
 */
static inline void gibberish_to_english( void ) {
  lexer_find &= ~LEXER_FIND_CDECL_KEYWORDS;
}

/**
 * Peeks at the type AST at the top of the
 * \ref in_attr.type_ast_stack "type AST inherited attribute stack".
 *
 * @return Returns said AST.
 *
 * @sa ia_type_ast_pop()
 * @sa ia_type_ast_push()
 */
NODISCARD
static inline c_ast_t* ia_type_ast_peek( void ) {
  return slist_front( &in_attr.type_ast_stack );
}

/**
 * Pops a type AST from the
 * \ref in_attr.type_ast_stack "type AST inherited attribute stack".
 *
 * @return Returns said AST.
 *
 * @sa ia_type_ast_peek()
 * @sa ia_type_ast_push()
 */
PJL_DISCARD
static inline c_ast_t* ia_type_ast_pop( void ) {
  return slist_pop_front( &in_attr.type_ast_stack );
}

/**
 * Pushes a type AST onto the
 * \ref in_attr.type_ast_stack "type AST inherited attribute  stack".
 *
 * @remarks Additionally, if \a ast is #K_BUILTIN and \ref
 * in_attr::type_spec_ast "type_spec_ast" is NULL, sets \ref
 * in_attr::type_spec_ast "type_spec_ast" to \a ast.
 *
 * @param ast The AST to push.
 *
 * @sa ia_type_ast_peek()
 * @sa ia_type_ast_pop()
 */
static inline void ia_type_ast_push( c_ast_t *ast ) {
  slist_push_front( &in_attr.type_ast_stack, ast );
  if ( in_attr.type_spec_ast == NULL && ast->kind == K_BUILTIN )
    in_attr.type_spec_ast = ast;
}

/**
 * Given an AST for a type that is the "of type", return type, or "to type" of
 * a declaration, returns a duplicate of \a type_ast if necessary.
 *
 * @param type_ast The AST of a type.
 * @return If \a type_ast `==` \ref in_attr::type_spec_ast "type_spec_ast",
 * returns a duplicate of \a type_ast; otherwise returns \a type_ast.
 *
 * @sa \ref in_attr::type_spec_ast
 */
NODISCARD
static inline c_ast_t* ia_type_spec_ast( c_ast_t *type_ast ) {
  // Yes, == is correct here: we mean the same AST node.
  return type_ast == in_attr.type_spec_ast ?
    c_ast_dup_gc( type_ast ) : type_ast;
}

////////// local functions ////////////////////////////////////////////////////

/**
 * Prints a warning that the attribute \a keyword syntax is not supported (and
 * ignored).
 *
 * @param keyword The attribute syntax keyword, e.g., `__attribute__` or
 * `__declspec`.
 * @param keyword_loc The source location of \a keyword.
 */
static void attr_syntax_not_supported( char const *keyword,
                                       c_loc_t const *keyword_loc ) {
  assert( keyword != NULL );
  assert( keyword_loc != NULL );

  print_warning( keyword_loc,
    "\"%s\" not supported by " CDECL " (ignoring)", keyword
  );
  if ( OPT_LANG_IS( ATTRIBUTES ) )
    print_hint( "%s...%s", other_token_c( "[[" ), other_token_c( "]]" ) );
  else
    EPUTC( '\n' );
}

/**
 * A predicate function for slist_free_if() that checks whether \a ast is one
 * that can be garbage collected: if so, c_ast_free()s it.
 *
 * @param ast_node The \ref slist_node pointing to the AST to check.
 * @param data Contains the AST of the type being declared.
 * @return Returns `true` only if \a ast should be removed from the list.
 */
NODISCARD
static bool c_ast_free_if_garbage( slist_node_t *ast_node, void *data ) {
  assert( ast_node != NULL );
  c_ast_t *const ast = ast_node->data;
  assert( ast != NULL );
  c_ast_t const *const type_ast = data;
  assert( type_ast != NULL );

  if ( ast == type_ast || !c_ast_is_orphan( ast ) ) {
    assert( ast->kind != K_PLACEHOLDER );
    return false;
  }

  // We also need to ensure the AST isn't in the type_ast_stack.
  FOREACH_SLIST_NODE( type_node, &in_attr.type_ast_stack ) {
    c_ast_t const *const stack_type_ast = type_node->data;
    if ( ast == stack_type_ast )
      return false;
  } // for

  c_ast_free( ast );
  return true;
}

/**
 * Checks whether `typename` is OK since the type's name is a qualified name.
 *
 * @param ast The AST to check.
 * @return Returns `true` only upon success.
 */
NODISCARD
bool c_ast_is_typename_ok( c_ast_t const *ast ) {
  c_ast_t const *const raw_ast = c_ast_untypedef( ast );
  if ( c_sname_count( &raw_ast->sname ) < 2 ) {
    print_error( &ast->loc, "qualified name expected after \"typename\"\n" );
    return false;
  }
  return true;
}

/**
 * If \a bit_width is &gt; 0 and \a ast is an integral type, sets \a ast's \ref
 * c_bit_field_ast::bit_width "bit_width" to \a bit_width.
 *
 * @remarks This check has to be done now in the parser rather than later in
 * the AST since we need to use the \ref c_ast::bit_field `union` member now.
 *
 * @param ast The AST whose \ref c_bit_field_ast::bit_width "bit_width" to
 * possibly set.
 * @param bit_width The bit-field width.
 * @return Returns `true` only if \a bit_width is &gt; 0 and \a ast if an
 * integral type.
 */
NODISCARD
static bool c_ast_set_bit_field_width( c_ast_t *ast, unsigned bit_width ) {
  assert( ast != NULL );

  if ( bit_width > 0 ) {
    if ( !c_ast_is_integral( ast ) ) {
      print_error( &ast->loc, "invalid bit-field type " );
      print_ast_type_aka( ast, stderr );
      EPRINTF( "; must be an integral %stype\n",
        OPT_LANG_IS( enum_BITFIELDS ) ? "or enumeration " : ""
      );
      return false;
    }
    ast->bit_field.bit_width = bit_width;
  }

  return true;
}

/**
 * Defines a type by adding it to the global set.
 *
 * @param type_ast The AST of the type to define.
 * @param decl_flags The declaration flags to use; must only be one of
 * #C_ENG_DECL, #C_GIB_TYPEDEF, or #C_GIB_USING.
 * @return Returns `true` either if the type was defined or it's equivalent to
 * an existing type; `false` if a different type already exists having the same
 * name.
 */
NODISCARD
static bool define_type( c_ast_t const *type_ast, unsigned decl_flags ) {
  assert( type_ast != NULL );
  assert( is_1_bit_only_in_set( decl_flags, C_TYPE_DECL_ANY ) );

  if ( !c_ast_check_typedef( type_ast ) )
    return false;

  c_typedef_t *const tdef = c_typedef_add( type_ast, decl_flags )->data;

  if ( tdef->ast == type_ast ) {
    //
    // Type was added: we have to move the AST from the gc_ast_list so it won't
    // be garbage collected at the end of the parse to a separate
    // typedef_ast_list that's freed only at program termination.
    //
    // But first, garbage collect all orphaned AST nodes.  (For a non-type-
    // defining parse, this step isn't necessary since all nodes are freed at
    // the end of the parse anyway.)
    //
    slist_free_if(
      &gc_ast_list,
      &c_ast_free_if_garbage,
      CONST_CAST( void*, type_ast )
    );
    slist_push_list_back( &typedef_ast_list, &gc_ast_list );
    return true;
  }

  //
  // Type was NOT added because a previously declared type having the same name
  // was returned: check if the types are equal.
  //
  // In C, multiple typedef declarations having the same name are allowed only
  // if the types are equivalent:
  //
  //      typedef int T;
  //      typedef int T;                // OK
  //      typedef double T;             // error: types aren't equivalent
  //
  if ( c_ast_equal( type_ast, tdef->ast ) ) {
    // Update the language(s) the type is available in to include opt_lang_id.
    if ( opt_lang_id < c_lang_oldest( tdef->lang_ids ) )
      tdef->lang_ids = c_lang_and_newer( opt_lang_id );
    return true;
  }

  if ( tdef->is_predefined ) {
    print_error( &type_ast->loc,
      "\"%s\" is a predefined type starting in %s\n",
      c_sname_full_name( &type_ast->sname ),
      c_lang_name( c_lang_oldest( tdef->lang_ids ) )
    );
  } else {
    print_error( &type_ast->loc, "type " );
    print_ast_type_aka( type_ast, stderr );
    EPUTS( " redefinition incompatible with original type \"" );
    print_type_ast( tdef, stderr );
    EPUTS( "\"\n" );
  }

  return false;
}

/**
 * Checks whether \a sname is a type.
 *
 * @param file The name of the file where this function was called from.
 * @param line The line number within \a file where this function was called
 * from.
 * @param sname The scoped name to check.
 * @param loc The location of \a sname.
 * @return Returns `true` only if \a sname is a type (and prints an error
 * message); otherwise `false` (and does nothing).
 */
static bool fl_sname_is_type( char const *file, int line,
                              c_sname_t const *sname, c_loc_t const *loc ) {
  assert( sname != NULL );
  assert( loc != NULL );

  c_typedef_t const *const tdef = c_typedef_find_sname( sname );
  if ( tdef == NULL )
    return false;

  if ( tdef->is_predefined ) {
    fl_print_error( file, line, loc,
      "\"%s\" is a predefined type starting in %s\n",
      c_sname_full_name( sname ),
      c_lang_name( c_lang_oldest( tdef->lang_ids ) )
    );
  } else {
    fl_print_error( file, line, loc,
      "\"%s\": previously declared as type \"",
      c_sname_full_name( sname )
    );
    print_type_ast( tdef, stderr );
    EPUTS( "\"\n" );
  }

  return true;
}

/**
 * Checks whether the type currently being declared (`enum`, `struct`,
 * `typedef`, or `union`) is nested within some other type (`struct` or
 * `union`) and whether the current language is C: if not, prints an error
 * message.
 *
 * @note It is unnecessary to check either when a `class` is being declared or
 * when a type is being declared within a `namespace` since those are not legal
 * in C anyway.
 *
 * @note This function isn't normally called directly; use the
 * #is_nested_type_ok() macro instead.
 *
 * @param file The name of the file where this function was called from.
 * @param line The line number within \a file where this function was called
 * from.
 * @param type_loc The location of the type declaration.
 * @return Returns `true` only if the type currently being declared is either
 * not nested or the current language is C++.
 */
NODISCARD
static bool fl_is_nested_type_ok( char const *file, int line,
                                  c_loc_t const *type_loc ) {
  assert( type_loc != NULL );
  if ( !c_sname_empty( &in_attr.scope_sname ) &&
       !OPT_LANG_IS( NESTED_TYPES ) ) {
    fl_print_error( file, line, type_loc,
      "nested types not supported%s\n",
      C_LANG_WHICH( NESTED_TYPES )
    );
    return false;
  }
  return true;
}

/**
 * A special case of fl_elaborate_error() that prevents oddly worded error
 * messages where a C/C++ keyword is expected, but that keyword isn't a keyword
 * either until a later version of the language or in a different language;
 * hence, the lexer will return the keyword as the `Y_NAME` token instead of
 * the keyword token.
 *
 * For example, if fl_elaborate_error() were used for the following \b cdecl
 * command when the current language is C, you'd get the following:
 * ```
 * declare f as virtual function returning void
 *              ^
 * 14: syntax error: "virtual": "virtual" expected; not a keyword until C++98
 * ```
 * because it's really this:
 * ```
 * ... "virtual" [the name]": "virtual" [the token] expected ...
 * ```
 * and that looks odd.
 *
 * @note This function isn't normally called directly; use the
 * #keyword_expected() macro instead.
 *
 * @param file The name of the file where this function was called from.
 * @param line The line number within \a file where this function was called
 * from.
 * @param keyword A keyword literal.
 *
 * @sa fl_elaborate_error()
 * @sa fl_punct_expected()
 * @sa yyerror()
 */
static void fl_keyword_expected( char const *file, int line,
                                 char const *keyword ) {
  assert( keyword != NULL );

  dym_kind_t dym_kinds = DYM_NONE;

  char const *const error_token = lexer_printable_token();
  if ( error_token != NULL ) {
    if ( strcmp( error_token, keyword ) == 0 ) {
      //
      // The error token is the expected keyword which means the lexer returned
      // it as a name and not the token which likely means it's not a C/C++
      // keyword until a later version of the current language.
      //
      c_keyword_t const *const ck =
        c_keyword_find( keyword, LANG_ANY, C_KW_CTX_DEFAULT );
      if ( ck != NULL ) {
        char const *const which_lang = c_lang_which( ck->lang_ids );
        if ( which_lang[0] != '\0' ) {
          EPUTS( ": " );
          print_debug_file_line( file, line );
          EPRINTF( "\"%s\" not supported%s\n", keyword, which_lang );
          return;
        }
      }
    }

    dym_kinds = is_english_to_gibberish() ? DYM_CDECL_KEYWORDS : DYM_C_KEYWORDS;
  }

  fl_elaborate_error( file, line, dym_kinds, "\"%s\" expected", keyword );
}

/**
 * A special case of fl_elaborate_error() that prevents oddly worded error
 * messages when a punctuation character is expected by not doing keyword look-
 * ups of the error token.

 * For example, if fl_elaborate_error() were used for the following \b cdecl
 * command, you'd get the following:
 * ```
 * explain void f(int g const)
 *                      ^
 * 29: syntax error: "const": ',' expected ("const" is a keyword)
 * ```
 * and that looks odd since, if a punctuation character was expected, it seems
 * silly to point out that the encountered token is a keyword.
 *
 * @note This function isn't normally called directly; use the
 * #punct_expected() macro instead.
 *
 * @param file The name of the file where this function was called from.
 * @param line The line number within \a file where this function was called
 * from.
 * @param punct The punctuation character that was expected.
 *
 * @sa fl_elaborate_error()
 * @sa fl_keyword_expected()
 * @sa yyerror()
 */
static void fl_punct_expected( char const *file, int line, char punct ) {
  EPUTS( ": " );
  print_debug_file_line( file, line );
  if ( print_error_token( lexer_printable_token() ) )
    EPUTS( ": " );
  EPRINTF( "'%c' expected\n", punct );
}

/**
 * Cleans-up all resources used by \ref in_attr "inherited attributes".
 */
static void ia_cleanup( void ) {
  c_sname_cleanup( &in_attr.scope_sname );
  // Do _not_ pass &c_ast_free for the 2nd argument! All AST nodes were already
  // free'd from the gc_ast_list in parse_cleanup(). Just free the slist nodes.
  slist_cleanup( &in_attr.type_ast_stack, /*free_fn=*/NULL );
  in_attr = (in_attr_t){ 0 };
}

/**
 * Joins \a type_ast and \a decl_ast into a single AST.
 *
 * @param type_ast The type AST.
 * @param decl_ast The declaration AST.
 * @return Returns the joined AST on success or NULL on error.
 */
NODISCARD
c_ast_t* join_type_decl( c_ast_t *type_ast, c_ast_t *decl_ast ) {
  assert( type_ast != NULL );
  assert( decl_ast != NULL );

  if ( in_attr.is_typename && !c_ast_is_typename_ok( type_ast ) )
    return NULL;

  c_type_t type = c_ast_take_type_any( type_ast, &T_TS_typedef );

  if ( c_tid_is_any( type.stids, TS_typedef ) && decl_ast->kind == K_TYPEDEF ) {
    //
    // This is for a case like:
    //
    //      explain typedef int int32_t;
    //
    // that is: explaining an existing typedef.  In order to do that, we have
    // to un-typedef it so we explain the type that it's a typedef for.
    //
    c_ast_t const *const raw_decl_ast = c_ast_untypedef( decl_ast );

    //
    // However, we also have to check whether the typedef being explained is
    // not equivalent to the existing typedef.  This is for a case like:
    //
    //      explain typedef char int32_t;
    //
    if ( !c_ast_equal( type_ast, raw_decl_ast ) ) {
      print_error( &decl_ast->loc, "type " );
      print_ast_type_aka( type_ast, stderr );
      EPUTS( " redefinition incompatible with original type " );
      print_ast_type_aka( decl_ast, stderr );
      EPUTC( '\n' );
      return NULL;
    }

    //
    // Because the raw_decl_ast for the existing type is about to be combined
    // with type_ast, duplicate raw_decl_ast first.
    //
    decl_ast = c_ast_dup_gc( raw_decl_ast );
  }

  c_ast_t *const ast = c_ast_patch_placeholder( type_ast, decl_ast );
  c_type_t const tdef_type = c_ast_take_type_any( ast, &T_TS_typedef );
  c_type_or_eq( &type, &tdef_type );
  c_type_or_eq( &ast->type, &type );

  if ( in_attr.align.kind != C_ALIGNAS_NONE ) {
    ast->align = in_attr.align;
    if ( c_tid_is_any( type.stids, TS_typedef ) ) {
      //
      // We check for illegal aligned typedef here rather than in c_ast_check.c
      // because the "typedef-ness" needed to be removed previously before the
      // eventual call to c_ast_check().
      //
      print_error( &ast->align.loc, "typedef can not be aligned\n" );
      return NULL;
    }
  }

  if ( ast->kind == K_UDEF_CONV &&
       c_sname_local_type( &ast->sname )->btids == TB_SCOPE ) {
    //
    // User-defined conversions don't have names, but they can still have a
    // scope.  Since only classes can have them, if the scope is still
    // TB_SCOPE, change it to TB_class.
    //
    c_sname_set_local_type( &ast->sname, &C_TYPE_LIT_B( TB_class ) );
  }

  return ast;
}

/**
 * Cleans up individial parse data after each parse.
 *
 * @param fatal_error Must be `true` only if a fatal semantic error has
 * occurred and `YYABORT` is about to be called to bail out of parsing by
 * returning from yyparse().
 */
static void parse_cleanup( bool fatal_error ) {
  //
  // We need to reset the lexer differently depending on whether we completed a
  // parse with a fatal error.  If so, do a "hard" reset that also resets the
  // EOF flag of the lexer.
  //
  lexer_reset( /*hard_reset=*/fatal_error );

  c_ast_list_cleanup_gc( &gc_ast_list );
  ia_cleanup();
}

/**
 * Creates a new \ref p_token_list_t containing a single #P_PLACEMARKER token.
 *
 * @return Returns said list.
 */
NODISCARD
static p_token_list_t* p_token_list_new_placemarker( void ) {
  p_token_list_t *const rv_tokens = MALLOC( p_token_list_t, 1 );
  slist_init( rv_tokens );
  slist_push_back( rv_tokens, p_token_new( P_PLACEMARKER, /*literal=*/NULL ) );
  return rv_tokens;
}

/**
 * Called by Bison to print a parsing error message to standard error.
 *
 * @remarks A custom error printing function via `%%define parse.error custom`
 * and
 * [`yyreport_syntax_error()`](https://www.gnu.org/software/bison/manual/html_node/Syntax-Error-Reporting-Function.html)
 * is not done because printing a (perhaps long) list of all the possible
 * expected tokens isn't helpful.
 * @par
 * It's also more flexible to be able to call one of #elaborate_error(),
 * #keyword_expected(), or #punct_expected() at the point of the error rather
 * than having a single function try to figure out the best type of error
 * message to print.
 *
 * @note A newline is _not_ printed since the error message will be appended to
 * by fl_elaborate_error().  For example, the parts of an error message are
 * printed by the functions shown:
 *
 *      42: syntax error: "int": "into" expected
 *      |--||----------||----------------------|
 *      |   |           |
 *      |   yyerror()   fl_elaborate_error()
 *      |
 *      print_loc()
 *
 * @param msg The error message to print.  Bison invariably passes `syntax
 * error`.
 *
 * @sa fl_elaborate_error()
 * @sa fl_keyword_expected()
 * @sa fl_punct_expected()
 * @sa print_loc()
 */
static void yyerror( char const *msg ) {
  assert( msg != NULL );

  c_loc_t const loc = lexer_loc();
  print_loc( &loc );

  color_start( stderr, sgr_error );
  EPUTS( msg );                         // no newline
  color_end( stderr, sgr_error );

  //
  // A syntax error has occurred, but syntax errors aren't fatal since Bison
  // tries to recover.  We'll clean-up the current parse, but YYABORT won't be
  // called so we won't bail out of parsing by returning from yyparse(); hence,
  // parsing will continue.
  //
  parse_cleanup( /*fatal_error=*/false );
}

/** @} */

///////////////////////////////////////////////////////////////////////////////

/// @cond DOXYGEN_IGNORE


#line 1294 "parser.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include  "parser.h" 
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_Y_cast = 3,                     /* Y_cast  */
  YYSYMBOL_Y_constant = 4,                 /* Y_constant  */
  YYSYMBOL_Y_declare = 5,                  /* Y_declare  */
  YYSYMBOL_Y_define = 6,                   /* Y_define  */
  YYSYMBOL_Y_dynamic = 7,                  /* Y_dynamic  */
  YYSYMBOL_Y_explain = 8,                  /* Y_explain  */
  YYSYMBOL_Y_no = 9,                       /* Y_no  */
  YYSYMBOL_Y_quit = 10,                    /* Y_quit  */
  YYSYMBOL_Y_reinterpret = 11,             /* Y_reinterpret  */
  YYSYMBOL_Y_set = 12,                     /* Y_set  */
  YYSYMBOL_Y_show = 13,                    /* Y_show  */
  YYSYMBOL_Y_aligned = 14,                 /* Y_aligned  */
  YYSYMBOL_Y_all = 15,                     /* Y_all  */
  YYSYMBOL_Y_array = 16,                   /* Y_array  */
  YYSYMBOL_Y_as = 17,                      /* Y_as  */
  YYSYMBOL_Y_binding = 18,                 /* Y_binding  */
  YYSYMBOL_Y_bit = 19,                     /* Y_bit  */
  YYSYMBOL_Y_bit_precise = 20,             /* Y_bit_precise  */
  YYSYMBOL_Y_bits = 21,                    /* Y_bits  */
  YYSYMBOL_Y_by = 22,                      /* Y_by  */
  YYSYMBOL_Y_bytes = 23,                   /* Y_bytes  */
  YYSYMBOL_Y_capturing = 24,               /* Y_capturing  */
  YYSYMBOL_Y_commands = 25,                /* Y_commands  */
  YYSYMBOL_Y_constructor = 26,             /* Y_constructor  */
  YYSYMBOL_Y_conversion = 27,              /* Y_conversion  */
  YYSYMBOL_Y_copy = 28,                    /* Y_copy  */
  YYSYMBOL_Y_defined = 29,                 /* Y_defined  */
  YYSYMBOL_Y_destructor = 30,              /* Y_destructor  */
  YYSYMBOL_Y_english = 31,                 /* Y_english  */
  YYSYMBOL_Y_evaluation = 32,              /* Y_evaluation  */
  YYSYMBOL_Y_expand = 33,                  /* Y_expand  */
  YYSYMBOL_Y_expression = 34,              /* Y_expression  */
  YYSYMBOL_Y_floating = 35,                /* Y_floating  */
  YYSYMBOL_Y_function = 36,                /* Y_function  */
  YYSYMBOL_Y_initialization = 37,          /* Y_initialization  */
  YYSYMBOL_Y_into = 38,                    /* Y_into  */
  YYSYMBOL_Y_lambda = 39,                  /* Y_lambda  */
  YYSYMBOL_Y_length = 40,                  /* Y_length  */
  YYSYMBOL_Y_linkage = 41,                 /* Y_linkage  */
  YYSYMBOL_Y_literal = 42,                 /* Y_literal  */
  YYSYMBOL_Y_macros = 43,                  /* Y_macros  */
  YYSYMBOL_Y_member = 44,                  /* Y_member  */
  YYSYMBOL_Y_non_empty = 45,               /* Y_non_empty  */
  YYSYMBOL_Y_non_member = 46,              /* Y_non_member  */
  YYSYMBOL_Y_of = 47,                      /* Y_of  */
  YYSYMBOL_Y_options = 48,                 /* Y_options  */
  YYSYMBOL_Y_point = 49,                   /* Y_point  */
  YYSYMBOL_Y_pointer = 50,                 /* Y_pointer  */
  YYSYMBOL_Y_precise = 51,                 /* Y_precise  */
  YYSYMBOL_Y_precision = 52,               /* Y_precision  */
  YYSYMBOL_Y_predefined = 53,              /* Y_predefined  */
  YYSYMBOL_Y_pure = 54,                    /* Y_pure  */
  YYSYMBOL_Y_reference = 55,               /* Y_reference  */
  YYSYMBOL_Y_returning = 56,               /* Y_returning  */
  YYSYMBOL_Y_rvalue = 57,                  /* Y_rvalue  */
  YYSYMBOL_Y_scope = 58,                   /* Y_scope  */
  YYSYMBOL_Y_structured = 59,              /* Y_structured  */
  YYSYMBOL_Y_to = 60,                      /* Y_to  */
  YYSYMBOL_Y_user = 61,                    /* Y_user  */
  YYSYMBOL_Y_user_defined = 62,            /* Y_user_defined  */
  YYSYMBOL_Y_variable = 63,                /* Y_variable  */
  YYSYMBOL_Y_wide = 64,                    /* Y_wide  */
  YYSYMBOL_Y_width = 65,                   /* Y_width  */
  YYSYMBOL_Y_PREC_LESS_THAN_upc_layout_qualifier = 66, /* Y_PREC_LESS_THAN_upc_layout_qualifier  */
  YYSYMBOL_Y_COLON_COLON = 67,             /* Y_COLON_COLON  */
  YYSYMBOL_68_ = 68,                       /* "::"  */
  YYSYMBOL_Y_COLON_COLON_STAR = 69,        /* Y_COLON_COLON_STAR  */
  YYSYMBOL_Y_PLUS_PLUS = 70,               /* "++"  */
  YYSYMBOL_Y_MINUS_MINUS = 71,             /* "--"  */
  YYSYMBOL_72_ = 72,                       /* '('  */
  YYSYMBOL_73_ = 73,                       /* ')'  */
  YYSYMBOL_74_ = 74,                       /* '['  */
  YYSYMBOL_75_ = 75,                       /* ']'  */
  YYSYMBOL_76_ = 76,                       /* '.'  */
  YYSYMBOL_Y_MINUS_GREATER = 77,           /* Y_MINUS_GREATER  */
  YYSYMBOL_78_ = 78,                       /* "->"  */
  YYSYMBOL_79_ = 79,                       /* '&'  */
  YYSYMBOL_80_ = 80,                       /* '*'  */
  YYSYMBOL_81_ = 81,                       /* '!'  */
  YYSYMBOL_Y_sizeof = 82,                  /* Y_sizeof  */
  YYSYMBOL_83_ = 83,                       /* '~'  */
  YYSYMBOL_Y_DOT_STAR = 84,                /* Y_DOT_STAR  */
  YYSYMBOL_85_ = 85,                       /* ".*"  */
  YYSYMBOL_Y_MINUS_GREATER_STAR = 86,      /* Y_MINUS_GREATER_STAR  */
  YYSYMBOL_87_ = 87,                       /* "->*"  */
  YYSYMBOL_88_ = 88,                       /* '/'  */
  YYSYMBOL_89_ = 89,                       /* '%'  */
  YYSYMBOL_90_ = 90,                       /* '-'  */
  YYSYMBOL_91_ = 91,                       /* '+'  */
  YYSYMBOL_Y_LESS_LESS = 92,               /* Y_LESS_LESS  */
  YYSYMBOL_93_ = 93,                       /* "<<"  */
  YYSYMBOL_Y_GREATER_GREATER = 94,         /* Y_GREATER_GREATER  */
  YYSYMBOL_95_ = 95,                       /* ">>"  */
  YYSYMBOL_Y_LESS_EQUAL_GREATER = 96,      /* Y_LESS_EQUAL_GREATER  */
  YYSYMBOL_97_ = 97,                       /* "<=>"  */
  YYSYMBOL_98_ = 98,                       /* '<'  */
  YYSYMBOL_99_ = 99,                       /* '>'  */
  YYSYMBOL_Y_LESS_EQUAL = 100,             /* Y_LESS_EQUAL  */
  YYSYMBOL_101_ = 101,                     /* "<="  */
  YYSYMBOL_Y_GREATER_EQUAL = 102,          /* Y_GREATER_EQUAL  */
  YYSYMBOL_103_ = 103,                     /* ">="  */
  YYSYMBOL_Y_EQUAL_EQUAL = 104,            /* Y_EQUAL_EQUAL  */
  YYSYMBOL_105_ = 105,                     /* "=="  */
  YYSYMBOL_Y_EXCLAM_EQUAL = 106,           /* Y_EXCLAM_EQUAL  */
  YYSYMBOL_Y_bit_and = 107,                /* Y_bit_and  */
  YYSYMBOL_108_ = 108,                     /* '^'  */
  YYSYMBOL_109_ = 109,                     /* '|'  */
  YYSYMBOL_Y_AMPER_AMPER = 110,            /* Y_AMPER_AMPER  */
  YYSYMBOL_Y_PIPE_PIPE = 111,              /* Y_PIPE_PIPE  */
  YYSYMBOL_Y_QMARK_COLON = 112,            /* Y_QMARK_COLON  */
  YYSYMBOL_113_ = 113,                     /* "?:"  */
  YYSYMBOL_114_ = 114,                     /* '='  */
  YYSYMBOL_Y_PERCENT_EQUAL = 115,          /* Y_PERCENT_EQUAL  */
  YYSYMBOL_116_ = 116,                     /* "%="  */
  YYSYMBOL_Y_AMPER_EQUAL = 117,            /* Y_AMPER_EQUAL  */
  YYSYMBOL_Y_STAR_EQUAL = 118,             /* Y_STAR_EQUAL  */
  YYSYMBOL_119_ = 119,                     /* "*="  */
  YYSYMBOL_Y_PLUS_EQUAL = 120,             /* Y_PLUS_EQUAL  */
  YYSYMBOL_121_ = 121,                     /* "+="  */
  YYSYMBOL_Y_MINUS_EQUAL = 122,            /* Y_MINUS_EQUAL  */
  YYSYMBOL_123_ = 123,                     /* "-="  */
  YYSYMBOL_Y_SLASH_EQUAL = 124,            /* Y_SLASH_EQUAL  */
  YYSYMBOL_125_ = 125,                     /* "/="  */
  YYSYMBOL_Y_LESS_LESS_EQUAL = 126,        /* Y_LESS_LESS_EQUAL  */
  YYSYMBOL_127_ = 127,                     /* "<<="  */
  YYSYMBOL_Y_GREATER_GREATER_EQUAL = 128,  /* Y_GREATER_GREATER_EQUAL  */
  YYSYMBOL_129_ = 129,                     /* ">>="  */
  YYSYMBOL_Y_CARET_EQUAL = 130,            /* Y_CARET_EQUAL  */
  YYSYMBOL_Y_PIPE_EQUAL = 131,             /* Y_PIPE_EQUAL  */
  YYSYMBOL_132_ = 132,                     /* ','  */
  YYSYMBOL_Y_auto_STORAGE = 133,           /* Y_auto_STORAGE  */
  YYSYMBOL_Y_break = 134,                  /* Y_break  */
  YYSYMBOL_Y_case = 135,                   /* Y_case  */
  YYSYMBOL_Y_char = 136,                   /* Y_char  */
  YYSYMBOL_Y_continue = 137,               /* Y_continue  */
  YYSYMBOL_Y_default = 138,                /* Y_default  */
  YYSYMBOL_Y_do = 139,                     /* Y_do  */
  YYSYMBOL_Y_double = 140,                 /* Y_double  */
  YYSYMBOL_Y_else = 141,                   /* Y_else  */
  YYSYMBOL_Y_extern = 142,                 /* Y_extern  */
  YYSYMBOL_Y_float = 143,                  /* Y_float  */
  YYSYMBOL_Y_for = 144,                    /* Y_for  */
  YYSYMBOL_Y_goto = 145,                   /* Y_goto  */
  YYSYMBOL_Y_if = 146,                     /* Y_if  */
  YYSYMBOL_Y_int = 147,                    /* Y_int  */
  YYSYMBOL_Y_long = 148,                   /* Y_long  */
  YYSYMBOL_Y_register = 149,               /* Y_register  */
  YYSYMBOL_Y_return = 150,                 /* Y_return  */
  YYSYMBOL_Y_short = 151,                  /* Y_short  */
  YYSYMBOL_Y_static = 152,                 /* Y_static  */
  YYSYMBOL_Y_struct = 153,                 /* Y_struct  */
  YYSYMBOL_Y_switch = 154,                 /* Y_switch  */
  YYSYMBOL_Y_typedef = 155,                /* Y_typedef  */
  YYSYMBOL_Y_union = 156,                  /* Y_union  */
  YYSYMBOL_Y_unsigned = 157,               /* Y_unsigned  */
  YYSYMBOL_Y_while = 158,                  /* Y_while  */
  YYSYMBOL_159_ = 159,                     /* '#'  */
  YYSYMBOL_Y_PRE_CONCAT = 160,             /* "##"  */
  YYSYMBOL_Y_PRE_SPACE = 161,              /* Y_PRE_SPACE  */
  YYSYMBOL_Y_PRE_define = 162,             /* Y_PRE_define  */
  YYSYMBOL_Y_PRE_elif = 163,               /* Y_PRE_elif  */
  YYSYMBOL_Y_PRE_else = 164,               /* Y_PRE_else  */
  YYSYMBOL_Y_PRE_error = 165,              /* Y_PRE_error  */
  YYSYMBOL_Y_PRE_if = 166,                 /* Y_PRE_if  */
  YYSYMBOL_Y_PRE_ifdef = 167,              /* Y_PRE_ifdef  */
  YYSYMBOL_Y_PRE_ifndef = 168,             /* Y_PRE_ifndef  */
  YYSYMBOL_Y_PRE_line = 169,               /* Y_PRE_line  */
  YYSYMBOL_Y_PRE_undef = 170,              /* Y_PRE_undef  */
  YYSYMBOL_Y_PRE___VA_ARGS__ = 171,        /* Y_PRE___VA_ARGS__  */
  YYSYMBOL_Y_PRE___VA_OPT__ = 172,         /* Y_PRE___VA_OPT__  */
  YYSYMBOL_Y_PRE_pragma = 173,             /* Y_PRE_pragma  */
  YYSYMBOL_Y_PRE_elifdef = 174,            /* Y_PRE_elifdef  */
  YYSYMBOL_Y_PRE_elifndef = 175,           /* Y_PRE_elifndef  */
  YYSYMBOL_Y_PRE_embed = 176,              /* Y_PRE_embed  */
  YYSYMBOL_Y_PRE_warning = 177,            /* Y_PRE_warning  */
  YYSYMBOL_Y_asm = 178,                    /* Y_asm  */
  YYSYMBOL_Y_const = 179,                  /* Y_const  */
  YYSYMBOL_Y_ELLIPSIS = 180,               /* "..."  */
  YYSYMBOL_Y_enum = 181,                   /* Y_enum  */
  YYSYMBOL_Y_signed = 182,                 /* Y_signed  */
  YYSYMBOL_Y_void = 183,                   /* Y_void  */
  YYSYMBOL_Y_volatile = 184,               /* Y_volatile  */
  YYSYMBOL_Y_wchar_t = 185,                /* Y_wchar_t  */
  YYSYMBOL_Y__Bool = 186,                  /* Y__Bool  */
  YYSYMBOL_Y__Complex = 187,               /* Y__Complex  */
  YYSYMBOL_Y__Imaginary = 188,             /* Y__Imaginary  */
  YYSYMBOL_Y_inline = 189,                 /* Y_inline  */
  YYSYMBOL_Y_restrict = 190,               /* Y_restrict  */
  YYSYMBOL_Y__Alignas = 191,               /* Y__Alignas  */
  YYSYMBOL_Y__Alignof = 192,               /* Y__Alignof  */
  YYSYMBOL_Y__Atomic_QUAL = 193,           /* Y__Atomic_QUAL  */
  YYSYMBOL_Y__Atomic_SPEC = 194,           /* Y__Atomic_SPEC  */
  YYSYMBOL_Y__Generic = 195,               /* Y__Generic  */
  YYSYMBOL_Y__Noreturn = 196,              /* Y__Noreturn  */
  YYSYMBOL_Y__Static_assert = 197,         /* Y__Static_assert  */
  YYSYMBOL_Y__Thread_local = 198,          /* Y__Thread_local  */
  YYSYMBOL_Y_thread = 199,                 /* Y_thread  */
  YYSYMBOL_Y_local = 200,                  /* Y_local  */
  YYSYMBOL_Y_bool = 201,                   /* Y_bool  */
  YYSYMBOL_Y_catch = 202,                  /* Y_catch  */
  YYSYMBOL_Y_class = 203,                  /* Y_class  */
  YYSYMBOL_Y_const_cast = 204,             /* Y_const_cast  */
  YYSYMBOL_Y_CONSTRUCTOR_SNAME = 205,      /* Y_CONSTRUCTOR_SNAME  */
  YYSYMBOL_Y_delete = 206,                 /* Y_delete  */
  YYSYMBOL_Y_DESTRUCTOR_SNAME = 207,       /* Y_DESTRUCTOR_SNAME  */
  YYSYMBOL_Y_dynamic_cast = 208,           /* Y_dynamic_cast  */
  YYSYMBOL_Y_explicit = 209,               /* Y_explicit  */
  YYSYMBOL_Y_false = 210,                  /* Y_false  */
  YYSYMBOL_Y_friend = 211,                 /* Y_friend  */
  YYSYMBOL_Y_mutable = 212,                /* Y_mutable  */
  YYSYMBOL_Y_namespace = 213,              /* Y_namespace  */
  YYSYMBOL_Y_new = 214,                    /* Y_new  */
  YYSYMBOL_Y_operator = 215,               /* Y_operator  */
  YYSYMBOL_Y_OPERATOR_SNAME = 216,         /* Y_OPERATOR_SNAME  */
  YYSYMBOL_Y_private = 217,                /* Y_private  */
  YYSYMBOL_Y_protected = 218,              /* Y_protected  */
  YYSYMBOL_Y_public = 219,                 /* Y_public  */
  YYSYMBOL_Y_reinterpret_cast = 220,       /* Y_reinterpret_cast  */
  YYSYMBOL_Y_static_cast = 221,            /* Y_static_cast  */
  YYSYMBOL_Y_template = 222,               /* Y_template  */
  YYSYMBOL_Y_this = 223,                   /* Y_this  */
  YYSYMBOL_Y_throw = 224,                  /* Y_throw  */
  YYSYMBOL_Y_true = 225,                   /* Y_true  */
  YYSYMBOL_Y_try = 226,                    /* Y_try  */
  YYSYMBOL_Y_typeid = 227,                 /* Y_typeid  */
  YYSYMBOL_Y_typename = 228,               /* Y_typename  */
  YYSYMBOL_Y_using = 229,                  /* Y_using  */
  YYSYMBOL_Y_virtual = 230,                /* Y_virtual  */
  YYSYMBOL_Y_char16_t = 231,               /* Y_char16_t  */
  YYSYMBOL_Y_char32_t = 232,               /* Y_char32_t  */
  YYSYMBOL_Y__BitInt = 233,                /* Y__BitInt  */
  YYSYMBOL_Y_reproducible = 234,           /* Y_reproducible  */
  YYSYMBOL_Y_typeof = 235,                 /* Y_typeof  */
  YYSYMBOL_Y_typeof_unqual = 236,          /* Y_typeof_unqual  */
  YYSYMBOL_Y_unsequenced = 237,            /* Y_unsequenced  */
  YYSYMBOL_Y_ATTR_BEGIN = 238,             /* Y_ATTR_BEGIN  */
  YYSYMBOL_Y_auto_TYPE = 239,              /* Y_auto_TYPE  */
  YYSYMBOL_Y_alignas = 240,                /* Y_alignas  */
  YYSYMBOL_Y_alignof = 241,                /* Y_alignof  */
  YYSYMBOL_Y_carries = 242,                /* Y_carries  */
  YYSYMBOL_Y_dependency = 243,             /* Y_dependency  */
  YYSYMBOL_Y_carries_dependency = 244,     /* Y_carries_dependency  */
  YYSYMBOL_Y_constexpr = 245,              /* Y_constexpr  */
  YYSYMBOL_Y_decltype = 246,               /* Y_decltype  */
  YYSYMBOL_Y_except = 247,                 /* Y_except  */
  YYSYMBOL_Y_final = 248,                  /* Y_final  */
  YYSYMBOL_Y_noexcept = 249,               /* Y_noexcept  */
  YYSYMBOL_Y_nullptr = 250,                /* Y_nullptr  */
  YYSYMBOL_Y_override = 251,               /* Y_override  */
  YYSYMBOL_Y_static_assert = 252,          /* Y_static_assert  */
  YYSYMBOL_Y_thread_local = 253,           /* Y_thread_local  */
  YYSYMBOL_Y_deprecated = 254,             /* Y_deprecated  */
  YYSYMBOL_Y_auto_STRUCTURED_BINDING = 255, /* Y_auto_STRUCTURED_BINDING  */
  YYSYMBOL_Y_discard = 256,                /* Y_discard  */
  YYSYMBOL_Y_maybe_unused = 257,           /* Y_maybe_unused  */
  YYSYMBOL_Y_maybe = 258,                  /* Y_maybe  */
  YYSYMBOL_Y_unused = 259,                 /* Y_unused  */
  YYSYMBOL_Y_nodiscard = 260,              /* Y_nodiscard  */
  YYSYMBOL_Y_noreturn = 261,               /* Y_noreturn  */
  YYSYMBOL_Y_char8_t = 262,                /* Y_char8_t  */
  YYSYMBOL_Y_concept = 263,                /* Y_concept  */
  YYSYMBOL_Y_consteval = 264,              /* Y_consteval  */
  YYSYMBOL_Y_constinit = 265,              /* Y_constinit  */
  YYSYMBOL_Y_co_await = 266,               /* Y_co_await  */
  YYSYMBOL_Y_co_return = 267,              /* Y_co_return  */
  YYSYMBOL_Y_co_yield = 268,               /* Y_co_yield  */
  YYSYMBOL_Y_export = 269,                 /* Y_export  */
  YYSYMBOL_Y_no_unique_address = 270,      /* Y_no_unique_address  */
  YYSYMBOL_Y_parameter = 271,              /* Y_parameter  */
  YYSYMBOL_Y_pack = 272,                   /* Y_pack  */
  YYSYMBOL_Y_requires = 273,               /* Y_requires  */
  YYSYMBOL_Y_unique = 274,                 /* Y_unique  */
  YYSYMBOL_Y_address = 275,                /* Y_address  */
  YYSYMBOL_Y_EMC__Accum = 276,             /* Y_EMC__Accum  */
  YYSYMBOL_Y_EMC__Fract = 277,             /* Y_EMC__Fract  */
  YYSYMBOL_Y_EMC__Sat = 278,               /* Y_EMC__Sat  */
  YYSYMBOL_Y_UPC_relaxed = 279,            /* Y_UPC_relaxed  */
  YYSYMBOL_Y_UPC_shared = 280,             /* Y_UPC_shared  */
  YYSYMBOL_Y_UPC_strict = 281,             /* Y_UPC_strict  */
  YYSYMBOL_Y_GNU___attribute__ = 282,      /* Y_GNU___attribute__  */
  YYSYMBOL_Y_GNU___restrict = 283,         /* Y_GNU___restrict  */
  YYSYMBOL_Y_Apple___block = 284,          /* Y_Apple___block  */
  YYSYMBOL_Y_Apple_block = 285,            /* Y_Apple_block  */
  YYSYMBOL_Y_MSC___cdecl = 286,            /* Y_MSC___cdecl  */
  YYSYMBOL_Y_MSC___clrcall = 287,          /* Y_MSC___clrcall  */
  YYSYMBOL_Y_MSC___declspec = 288,         /* Y_MSC___declspec  */
  YYSYMBOL_Y_MSC___fastcall = 289,         /* Y_MSC___fastcall  */
  YYSYMBOL_Y_MSC___stdcall = 290,          /* Y_MSC___stdcall  */
  YYSYMBOL_Y_MSC___thiscall = 291,         /* Y_MSC___thiscall  */
  YYSYMBOL_Y_MSC___vectorcall = 292,       /* Y_MSC___vectorcall  */
  YYSYMBOL_293_ = 293,                     /* ':'  */
  YYSYMBOL_294_ = 294,                     /* ';'  */
  YYSYMBOL_295_ = 295,                     /* '{'  */
  YYSYMBOL_296_ = 296,                     /* '}'  */
  YYSYMBOL_Y_CHAR_LIT = 297,               /* Y_CHAR_LIT  */
  YYSYMBOL_Y_CONCEPT_SNAME = 298,          /* Y_CONCEPT_SNAME  */
  YYSYMBOL_Y_END = 299,                    /* Y_END  */
  YYSYMBOL_Y_ERROR = 300,                  /* Y_ERROR  */
  YYSYMBOL_Y_FLOAT_LIT = 301,              /* Y_FLOAT_LIT  */
  YYSYMBOL_Y_GLOB = 302,                   /* Y_GLOB  */
  YYSYMBOL_Y_INT_LIT = 303,                /* Y_INT_LIT  */
  YYSYMBOL_Y_NAME = 304,                   /* Y_NAME  */
  YYSYMBOL_Y_SET_OPTION = 305,             /* Y_SET_OPTION  */
  YYSYMBOL_Y_STR_LIT = 306,                /* Y_STR_LIT  */
  YYSYMBOL_Y_TYPEDEF_NAME_TDEF = 307,      /* Y_TYPEDEF_NAME_TDEF  */
  YYSYMBOL_Y_TYPEDEF_SNAME_TDEF = 308,     /* Y_TYPEDEF_SNAME_TDEF  */
  YYSYMBOL_Y_LEXER_ERROR = 309,            /* Y_LEXER_ERROR  */
  YYSYMBOL_310_ = 310,                     /* '$'  */
  YYSYMBOL_311_ = 311,                     /* '@'  */
  YYSYMBOL_312_ = 312,                     /* '`'  */
  YYSYMBOL_313_ = 313,                     /* '?'  */
  YYSYMBOL_YYACCEPT = 314,                 /* $accept  */
  YYSYMBOL_command_list = 315,             /* command_list  */
  YYSYMBOL_command = 316,                  /* command  */
  YYSYMBOL_cast_command = 317,             /* cast_command  */
  YYSYMBOL_new_style_cast_english = 318,   /* new_style_cast_english  */
  YYSYMBOL_declare_command = 319,          /* declare_command  */
  YYSYMBOL_320_1 = 320,                    /* $@1  */
  YYSYMBOL_alignas_or_width_decl_english_ast = 321, /* alignas_or_width_decl_english_ast  */
  YYSYMBOL_alignas_specifier_english = 322, /* alignas_specifier_english  */
  YYSYMBOL_aligned_english = 323,          /* aligned_english  */
  YYSYMBOL_capturing_paren_capture_decl_list_english_opt = 324, /* capturing_paren_capture_decl_list_english_opt  */
  YYSYMBOL_paren_capture_decl_list_english = 325, /* paren_capture_decl_list_english  */
  YYSYMBOL_capture_decl_list_english_opt = 326, /* capture_decl_list_english_opt  */
  YYSYMBOL_capture_decl_list_english = 327, /* capture_decl_list_english  */
  YYSYMBOL_capture_decl_english_ast = 328, /* capture_decl_english_ast  */
  YYSYMBOL_capture_default_opt = 329,      /* capture_default_opt  */
  YYSYMBOL_width_specifier_english_uint = 330, /* width_specifier_english_uint  */
  YYSYMBOL_storage_class_subset_english_type_opt = 331, /* storage_class_subset_english_type_opt  */
  YYSYMBOL_storage_class_subset_english_type = 332, /* storage_class_subset_english_type  */
  YYSYMBOL_storage_class_subset_english_stid = 333, /* storage_class_subset_english_stid  */
  YYSYMBOL_define_command = 334,           /* define_command  */
  YYSYMBOL_expand_command = 335,           /* expand_command  */
  YYSYMBOL_expand_command2 = 336,          /* expand_command2  */
  YYSYMBOL_p_extra_token_except_lparen = 337, /* p_extra_token_except_lparen  */
  YYSYMBOL_p_extra_tokens_opt = 338,       /* p_extra_tokens_opt  */
  YYSYMBOL_p_extra_tokens = 339,           /* p_extra_tokens  */
  YYSYMBOL_p_extra_token = 340,            /* p_extra_token  */
  YYSYMBOL_p_arg_list_opt = 341,           /* p_arg_list_opt  */
  YYSYMBOL_p_comma_arg_list = 342,         /* p_comma_arg_list  */
  YYSYMBOL_p_arg_list = 343,               /* p_arg_list  */
  YYSYMBOL_p_arg_tokens = 344,             /* p_arg_tokens  */
  YYSYMBOL_p_arg_token_as_list = 345,      /* p_arg_token_as_list  */
  YYSYMBOL_p_arg_token = 346,              /* p_arg_token  */
  YYSYMBOL_p_num_lit = 347,                /* p_num_lit  */
  YYSYMBOL_p_other = 348,                  /* p_other  */
  YYSYMBOL_p_punctuator = 349,             /* p_punctuator  */
  YYSYMBOL_p_arg_tokens_with_comma_opt = 350, /* p_arg_tokens_with_comma_opt  */
  YYSYMBOL_p_arg_tokens_with_comma = 351,  /* p_arg_tokens_with_comma  */
  YYSYMBOL_p_arg_token_with_comma_as_list = 352, /* p_arg_token_with_comma_as_list  */
  YYSYMBOL_p_arg_token_with_comma = 353,   /* p_arg_token_with_comma  */
  YYSYMBOL_explain_command = 354,          /* explain_command  */
  YYSYMBOL_355_2 = 355,                    /* $@2  */
  YYSYMBOL_explain = 356,                  /* explain  */
  YYSYMBOL_help_command = 357,             /* help_command  */
  YYSYMBOL_358_3 = 358,                    /* $@3  */
  YYSYMBOL_help_what_opt = 359,            /* help_what_opt  */
  YYSYMBOL_preprocessor_command = 360,     /* preprocessor_command  */
  YYSYMBOL_p_define = 361,                 /* p_define  */
  YYSYMBOL_p_paren_param_list_opt = 362,   /* p_paren_param_list_opt  */
  YYSYMBOL_p_param_list_opt = 363,         /* p_param_list_opt  */
  YYSYMBOL_p_param_list = 364,             /* p_param_list  */
  YYSYMBOL_p_param = 365,                  /* p_param  */
  YYSYMBOL_p_replace_list_opt = 366,       /* p_replace_list_opt  */
  YYSYMBOL_p_replace_list = 367,           /* p_replace_list  */
  YYSYMBOL_p_replace_token = 368,          /* p_replace_token  */
  YYSYMBOL_p_undef = 369,                  /* p_undef  */
  YYSYMBOL_quit_command = 370,             /* quit_command  */
  YYSYMBOL_scoped_command = 371,           /* scoped_command  */
  YYSYMBOL_set_command = 372,              /* set_command  */
  YYSYMBOL_set_option_list = 373,          /* set_option_list  */
  YYSYMBOL_set_option = 374,               /* set_option  */
  YYSYMBOL_set_option_value_opt = 375,     /* set_option_value_opt  */
  YYSYMBOL_show_command = 376,             /* show_command  */
  YYSYMBOL_show_format = 377,              /* show_format  */
  YYSYMBOL_show_format_exp = 378,          /* show_format_exp  */
  YYSYMBOL_show_format_opt = 379,          /* show_format_opt  */
  YYSYMBOL_show_types_opt = 380,           /* show_types_opt  */
  YYSYMBOL_predefined_or_user_types_opt = 381, /* predefined_or_user_types_opt  */
  YYSYMBOL_template_command = 382,         /* template_command  */
  YYSYMBOL_typedef_command = 383,          /* typedef_command  */
  YYSYMBOL_using_command = 384,            /* using_command  */
  YYSYMBOL_c_style_cast_expr_c = 385,      /* c_style_cast_expr_c  */
  YYSYMBOL_386_4 = 386,                    /* $@4  */
  YYSYMBOL_new_style_cast_expr_c = 387,    /* new_style_cast_expr_c  */
  YYSYMBOL_388_5 = 388,                    /* $@5  */
  YYSYMBOL_new_style_cast_c = 389,         /* new_style_cast_c  */
  YYSYMBOL_aligned_declaration_c = 390,    /* aligned_declaration_c  */
  YYSYMBOL_391_6 = 391,                    /* $@6  */
  YYSYMBOL_392_7 = 392,                    /* $@7  */
  YYSYMBOL_alignas_specifier_c = 393,      /* alignas_specifier_c  */
  YYSYMBOL_394_8 = 394,                    /* $@8  */
  YYSYMBOL_alignas = 395,                  /* alignas  */
  YYSYMBOL_asm_declaration_c = 396,        /* asm_declaration_c  */
  YYSYMBOL_scoped_declaration_c = 397,     /* scoped_declaration_c  */
  YYSYMBOL_class_struct_union_declaration_c = 398, /* class_struct_union_declaration_c  */
  YYSYMBOL_399_9 = 399,                    /* $@9  */
  YYSYMBOL_400_10 = 400,                   /* $@10  */
  YYSYMBOL_enum_declaration_c = 401,       /* enum_declaration_c  */
  YYSYMBOL_402_11 = 402,                   /* $@11  */
  YYSYMBOL_namespace_declaration_c = 403,  /* namespace_declaration_c  */
  YYSYMBOL_404_12 = 404,                   /* $@12  */
  YYSYMBOL_405_13 = 405,                   /* $@13  */
  YYSYMBOL_namespace_sname_c_exp = 406,    /* namespace_sname_c_exp  */
  YYSYMBOL_namespace_sname_c = 407,        /* namespace_sname_c  */
  YYSYMBOL_namespace_typedef_sname_c = 408, /* namespace_typedef_sname_c  */
  YYSYMBOL_brace_in_scope_declaration_c_exp = 409, /* brace_in_scope_declaration_c_exp  */
  YYSYMBOL_brace_in_scope_declaration_c_opt = 410, /* brace_in_scope_declaration_c_opt  */
  YYSYMBOL_brace_in_scope_declaration_c = 411, /* brace_in_scope_declaration_c  */
  YYSYMBOL_in_scope_declaration_c_exp = 412, /* in_scope_declaration_c_exp  */
  YYSYMBOL_lambda_declaration_c = 413,     /* lambda_declaration_c  */
  YYSYMBOL_capture_decl_list_c_opt = 414,  /* capture_decl_list_c_opt  */
  YYSYMBOL_capture_decl_list_c = 415,      /* capture_decl_list_c  */
  YYSYMBOL_capture_decl_c_ast = 416,       /* capture_decl_c_ast  */
  YYSYMBOL_lambda_return_type_c_ast_opt = 417, /* lambda_return_type_c_ast_opt  */
  YYSYMBOL_418_14 = 418,                   /* $@14  */
  YYSYMBOL_template_declaration_c = 419,   /* template_declaration_c  */
  YYSYMBOL_typed_declaration_c = 420,      /* typed_declaration_c  */
  YYSYMBOL_421_15 = 421,                   /* $@15  */
  YYSYMBOL_typedef_declaration_c = 422,    /* typedef_declaration_c  */
  YYSYMBOL_423_16 = 423,                   /* $@16  */
  YYSYMBOL_424_17 = 424,                   /* $@17  */
  YYSYMBOL_typedef_decl_list_c = 425,      /* typedef_decl_list_c  */
  YYSYMBOL_typedef_decl_c = 426,           /* typedef_decl_c  */
  YYSYMBOL_typedef_decl_c_exp = 427,       /* typedef_decl_c_exp  */
  YYSYMBOL_user_defined_conversion_declaration_c = 428, /* user_defined_conversion_declaration_c  */
  YYSYMBOL_using_declaration_c = 429,      /* using_declaration_c  */
  YYSYMBOL_using_decl_c_ast = 430,         /* using_decl_c_ast  */
  YYSYMBOL_431_18 = 431,                   /* $@18  */
  YYSYMBOL_432_19 = 432,                   /* $@19  */
  YYSYMBOL_decl_list_c_opt = 433,          /* decl_list_c_opt  */
  YYSYMBOL_decl_list_c = 434,              /* decl_list_c  */
  YYSYMBOL_decl_c = 435,                   /* decl_c  */
  YYSYMBOL_decl_c_exp = 436,               /* decl_c_exp  */
  YYSYMBOL_decl_c_astp = 437,              /* decl_c_astp  */
  YYSYMBOL_msc_calling_convention_c_astp = 438, /* msc_calling_convention_c_astp  */
  YYSYMBOL_decl2_c_astp = 439,             /* decl2_c_astp  */
  YYSYMBOL_param_pack_decl_c_ast = 440,    /* param_pack_decl_c_ast  */
  YYSYMBOL_array_decl_c_astp = 441,        /* array_decl_c_astp  */
  YYSYMBOL_array_size_c_ast = 442,         /* array_size_c_ast  */
  YYSYMBOL_block_decl_c_astp = 443,        /* block_decl_c_astp  */
  YYSYMBOL_444_20 = 444,                   /* $@20  */
  YYSYMBOL_destructor_declaration_c = 445, /* destructor_declaration_c  */
  YYSYMBOL_no_destructor_params = 446,     /* no_destructor_params  */
  YYSYMBOL_file_scope_constructor_declaration_c = 447, /* file_scope_constructor_declaration_c  */
  YYSYMBOL_file_scope_destructor_declaration_c = 448, /* file_scope_destructor_declaration_c  */
  YYSYMBOL_func_decl_c_astp = 449,         /* func_decl_c_astp  */
  YYSYMBOL_pc99_func_or_constructor_declaration_c = 450, /* pc99_func_or_constructor_declaration_c  */
  YYSYMBOL_451_21 = 451,                   /* $@21  */
  YYSYMBOL_rparen_func_qualifier_list_c_stid_opt = 452, /* rparen_func_qualifier_list_c_stid_opt  */
  YYSYMBOL_453_22 = 453,                   /* $@22  */
  YYSYMBOL_func_qualifier_list_c_stid_opt = 454, /* func_qualifier_list_c_stid_opt  */
  YYSYMBOL_func_qualifier_c_stid = 455,    /* func_qualifier_c_stid  */
  YYSYMBOL_noexcept_c_stid_opt = 456,      /* noexcept_c_stid_opt  */
  YYSYMBOL_noexcept_bool_stid_exp = 457,   /* noexcept_bool_stid_exp  */
  YYSYMBOL_trailing_return_type_c_ast_opt = 458, /* trailing_return_type_c_ast_opt  */
  YYSYMBOL_459_23 = 459,                   /* $@23  */
  YYSYMBOL_func_equals_c_stid_opt = 460,   /* func_equals_c_stid_opt  */
  YYSYMBOL_param_c_ast_list_exp = 461,     /* param_c_ast_list_exp  */
  YYSYMBOL_param_c_ast_list_opt = 462,     /* param_c_ast_list_opt  */
  YYSYMBOL_param_c_ast_list = 463,         /* param_c_ast_list  */
  YYSYMBOL_param_c_ast = 464,              /* param_c_ast  */
  YYSYMBOL_465_24 = 465,                   /* $@24  */
  YYSYMBOL_param_c_ast_exp = 466,          /* param_c_ast_exp  */
  YYSYMBOL_paren_param_c_ast_list_opt = 467, /* paren_param_c_ast_list_opt  */
  YYSYMBOL_param_list_c_lparen = 468,      /* param_list_c_lparen  */
  YYSYMBOL_param_list_c_rparen = 469,      /* param_list_c_rparen  */
  YYSYMBOL_nested_decl_c_astp = 470,       /* nested_decl_c_astp  */
  YYSYMBOL_471_25 = 471,                   /* $@25  */
  YYSYMBOL_oper_decl_c_astp = 472,         /* oper_decl_c_astp  */
  YYSYMBOL_pointer_decl_c_astp = 473,      /* pointer_decl_c_astp  */
  YYSYMBOL_474_26 = 474,                   /* $@26  */
  YYSYMBOL_pointer_type_c_ast = 475,       /* pointer_type_c_ast  */
  YYSYMBOL_pc99_pointer_decl_list_c = 476, /* pc99_pointer_decl_list_c  */
  YYSYMBOL_pc99_pointer_decl_c = 477,      /* pc99_pointer_decl_c  */
  YYSYMBOL_478_27 = 478,                   /* $@27  */
  YYSYMBOL_pc99_pointer_type_c_ast = 479,  /* pc99_pointer_type_c_ast  */
  YYSYMBOL_pointer_to_member_decl_c_astp = 480, /* pointer_to_member_decl_c_astp  */
  YYSYMBOL_481_28 = 481,                   /* $@28  */
  YYSYMBOL_pointer_to_member_type_c_ast = 482, /* pointer_to_member_type_c_ast  */
  YYSYMBOL_reference_decl_c_astp = 483,    /* reference_decl_c_astp  */
  YYSYMBOL_484_29 = 484,                   /* $@29  */
  YYSYMBOL_reference_type_c_ast = 485,     /* reference_type_c_ast  */
  YYSYMBOL_typedef_type_decl_c_ast = 486,  /* typedef_type_decl_c_ast  */
  YYSYMBOL_user_defined_conversion_decl_c_astp = 487, /* user_defined_conversion_decl_c_astp  */
  YYSYMBOL_488_30 = 488,                   /* $@30  */
  YYSYMBOL_user_defined_literal_decl_c_astp = 489, /* user_defined_literal_decl_c_astp  */
  YYSYMBOL_cast_c_astp_opt = 490,          /* cast_c_astp_opt  */
  YYSYMBOL_cast_c_astp = 491,              /* cast_c_astp  */
  YYSYMBOL_cast2_c_astp = 492,             /* cast2_c_astp  */
  YYSYMBOL_param_pack_cast_c_ast = 493,    /* param_pack_cast_c_ast  */
  YYSYMBOL_array_cast_c_astp = 494,        /* array_cast_c_astp  */
  YYSYMBOL_block_cast_c_astp = 495,        /* block_cast_c_astp  */
  YYSYMBOL_496_31 = 496,                   /* $@31  */
  YYSYMBOL_func_cast_c_astp = 497,         /* func_cast_c_astp  */
  YYSYMBOL_nested_cast_c_astp = 498,       /* nested_cast_c_astp  */
  YYSYMBOL_499_32 = 499,                   /* $@32  */
  YYSYMBOL_pointer_cast_c_astp = 500,      /* pointer_cast_c_astp  */
  YYSYMBOL_501_33 = 501,                   /* $@33  */
  YYSYMBOL_pointer_to_member_cast_c_astp = 502, /* pointer_to_member_cast_c_astp  */
  YYSYMBOL_503_34 = 503,                   /* $@34  */
  YYSYMBOL_reference_cast_c_astp = 504,    /* reference_cast_c_astp  */
  YYSYMBOL_505_35 = 505,                   /* $@35  */
  YYSYMBOL_udc_decl_c_ast_opt = 506,       /* udc_decl_c_ast_opt  */
  YYSYMBOL_udc_decl_c_ast = 507,           /* udc_decl_c_ast  */
  YYSYMBOL_pointer_udc_decl_c_ast = 508,   /* pointer_udc_decl_c_ast  */
  YYSYMBOL_509_36 = 509,                   /* $@36  */
  YYSYMBOL_pointer_to_member_udc_decl_c_ast = 510, /* pointer_to_member_udc_decl_c_ast  */
  YYSYMBOL_511_37 = 511,                   /* $@37  */
  YYSYMBOL_reference_udc_decl_c_ast = 512, /* reference_udc_decl_c_ast  */
  YYSYMBOL_513_38 = 513,                   /* $@38  */
  YYSYMBOL_type_c_ast = 514,               /* type_c_ast  */
  YYSYMBOL_type_modifier_list_c_type_opt = 515, /* type_modifier_list_c_type_opt  */
  YYSYMBOL_type_modifier_list_c_type = 516, /* type_modifier_list_c_type  */
  YYSYMBOL_type_modifier_c_type = 517,     /* type_modifier_c_type  */
  YYSYMBOL_type_modifier_base_type = 518,  /* type_modifier_base_type  */
  YYSYMBOL_east_modified_type_c_ast = 519, /* east_modified_type_c_ast  */
  YYSYMBOL_east_modifiable_type_c_ast = 520, /* east_modifiable_type_c_ast  */
  YYSYMBOL_atomic_specifier_type_c_ast = 521, /* atomic_specifier_type_c_ast  */
  YYSYMBOL_522_39 = 522,                   /* $@39  */
  YYSYMBOL_builtin_type_c_ast = 523,       /* builtin_type_c_ast  */
  YYSYMBOL_builtin_no_BitInt_c_btid = 524, /* builtin_no_BitInt_c_btid  */
  YYSYMBOL_concept_type_c_ast = 525,       /* concept_type_c_ast  */
  YYSYMBOL_structured_binding_type_c_ast = 526, /* structured_binding_type_c_ast  */
  YYSYMBOL_typedef_type_c_ast = 527,       /* typedef_type_c_ast  */
  YYSYMBOL_sub_scope_sname_c_opt = 528,    /* sub_scope_sname_c_opt  */
  YYSYMBOL_typeof_type_c_ast = 529,        /* typeof_type_c_ast  */
  YYSYMBOL_530_40 = 530,                   /* $@40  */
  YYSYMBOL_typeof = 531,                   /* typeof  */
  YYSYMBOL_enum_class_struct_union_c_ast = 532, /* enum_class_struct_union_c_ast  */
  YYSYMBOL_class_struct_union_c_ast = 533, /* class_struct_union_c_ast  */
  YYSYMBOL_enum_c_ast = 534,               /* enum_c_ast  */
  YYSYMBOL_enum_btids = 535,               /* enum_btids  */
  YYSYMBOL_enum_fixed_type_c_ast_opt = 536, /* enum_fixed_type_c_ast_opt  */
  YYSYMBOL_enum_fixed_type_c_ast = 537,    /* enum_fixed_type_c_ast  */
  YYSYMBOL_enum_fixed_type_modifier_list_btid_opt = 538, /* enum_fixed_type_modifier_list_btid_opt  */
  YYSYMBOL_enum_fixed_type_modifier_list_btid = 539, /* enum_fixed_type_modifier_list_btid  */
  YYSYMBOL_enum_fixed_type_modifier_btid = 540, /* enum_fixed_type_modifier_btid  */
  YYSYMBOL_enum_unmodified_fixed_type_c_ast = 541, /* enum_unmodified_fixed_type_c_ast  */
  YYSYMBOL_class_struct_btid_opt = 542,    /* class_struct_btid_opt  */
  YYSYMBOL_class_struct_btid = 543,        /* class_struct_btid  */
  YYSYMBOL_class_struct_union_btid = 544,  /* class_struct_union_btid  */
  YYSYMBOL_type_qualifier_list_c_stid_opt = 545, /* type_qualifier_list_c_stid_opt  */
  YYSYMBOL_type_qualifier_list_c_stid = 546, /* type_qualifier_list_c_stid  */
  YYSYMBOL_type_qualifier_c_stid = 547,    /* type_qualifier_c_stid  */
  YYSYMBOL_cv_qualifier_stid = 548,        /* cv_qualifier_stid  */
  YYSYMBOL_cv_qualifier_list_stid_opt = 549, /* cv_qualifier_list_stid_opt  */
  YYSYMBOL_restrict_qualifier_c_stid = 550, /* restrict_qualifier_c_stid  */
  YYSYMBOL_upc_layout_qualifier_c = 551,   /* upc_layout_qualifier_c  */
  YYSYMBOL_storage_class_c_type = 552,     /* storage_class_c_type  */
  YYSYMBOL__Noreturn_atid = 553,           /* _Noreturn_atid  */
  YYSYMBOL_attribute_specifier_list_c_atid_opt = 554, /* attribute_specifier_list_c_atid_opt  */
  YYSYMBOL_attribute_specifier_list_c_atid = 555, /* attribute_specifier_list_c_atid  */
  YYSYMBOL_556_41 = 556,                   /* $@41  */
  YYSYMBOL_using_opt = 557,                /* using_opt  */
  YYSYMBOL_attribute_list_c_atid_opt = 558, /* attribute_list_c_atid_opt  */
  YYSYMBOL_attribute_list_c_atid = 559,    /* attribute_list_c_atid  */
  YYSYMBOL_attribute_c_atid_exp = 560,     /* attribute_c_atid_exp  */
  YYSYMBOL_attribute_str_arg_c_opt = 561,  /* attribute_str_arg_c_opt  */
  YYSYMBOL_gnu_or_msc_attribute_specifier_list_c_opt = 562, /* gnu_or_msc_attribute_specifier_list_c_opt  */
  YYSYMBOL_gnu_or_msc_attribute_specifier_list_c = 563, /* gnu_or_msc_attribute_specifier_list_c  */
  YYSYMBOL_gnu_attribute_specifier_list_c_opt = 564, /* gnu_attribute_specifier_list_c_opt  */
  YYSYMBOL_gnu_attribute_specifier_list_c = 565, /* gnu_attribute_specifier_list_c  */
  YYSYMBOL_gnu_attribute_specifier_c = 566, /* gnu_attribute_specifier_c  */
  YYSYMBOL_567_42 = 567,                   /* $@42  */
  YYSYMBOL_gnu_attribute_list_c_opt = 568, /* gnu_attribute_list_c_opt  */
  YYSYMBOL_gnu_attribuet_list_c = 569,     /* gnu_attribuet_list_c  */
  YYSYMBOL_gnu_attribute_c_exp = 570,      /* gnu_attribute_c_exp  */
  YYSYMBOL_gnu_attribute_decl_arg_list_c_opt = 571, /* gnu_attribute_decl_arg_list_c_opt  */
  YYSYMBOL_gnu_attribute_arg_list_c_opt = 572, /* gnu_attribute_arg_list_c_opt  */
  YYSYMBOL_gnu_attribute_arg_list_c = 573, /* gnu_attribute_arg_list_c  */
  YYSYMBOL_gnu_attribute_arg_c = 574,      /* gnu_attribute_arg_c  */
  YYSYMBOL_msc_attribute_specifier_list_c = 575, /* msc_attribute_specifier_list_c  */
  YYSYMBOL_msc_attribute_specifier_c = 576, /* msc_attribute_specifier_c  */
  YYSYMBOL_577_43 = 577,                   /* $@43  */
  YYSYMBOL_msc_attribute_list_c_opt = 578, /* msc_attribute_list_c_opt  */
  YYSYMBOL_msc_attribuet_list_c = 579,     /* msc_attribuet_list_c  */
  YYSYMBOL_decl_english_ast = 580,         /* decl_english_ast  */
  YYSYMBOL_array_decl_english_ast = 581,   /* array_decl_english_ast  */
  YYSYMBOL_array_size_decl_ast = 582,      /* array_size_decl_ast  */
  YYSYMBOL_length_opt = 583,               /* length_opt  */
  YYSYMBOL_block_decl_english_ast = 584,   /* block_decl_english_ast  */
  YYSYMBOL_constructor_decl_english_ast = 585, /* constructor_decl_english_ast  */
  YYSYMBOL_destructor_decl_english_ast = 586, /* destructor_decl_english_ast  */
  YYSYMBOL_destructor_parens_opt = 587,    /* destructor_parens_opt  */
  YYSYMBOL_func_decl_english_ast = 588,    /* func_decl_english_ast  */
  YYSYMBOL_func_qualifier_english_type_opt = 589, /* func_qualifier_english_type_opt  */
  YYSYMBOL_msc_calling_convention_atid = 590, /* msc_calling_convention_atid  */
  YYSYMBOL_paren_param_decl_list_english_opt = 591, /* paren_param_decl_list_english_opt  */
  YYSYMBOL_paren_param_decl_list_english = 592, /* paren_param_decl_list_english  */
  YYSYMBOL_param_decl_list_english_opt = 593, /* param_decl_list_english_opt  */
  YYSYMBOL_param_decl_list_english = 594,  /* param_decl_list_english  */
  YYSYMBOL_decl_english_ast_exp = 595,     /* decl_english_ast_exp  */
  YYSYMBOL_ref_qualifier_english_stid_opt = 596, /* ref_qualifier_english_stid_opt  */
  YYSYMBOL_returning_english_ast_opt = 597, /* returning_english_ast_opt  */
  YYSYMBOL_returning_english_ast = 598,    /* returning_english_ast  */
  YYSYMBOL_qualified_decl_english_ast = 599, /* qualified_decl_english_ast  */
  YYSYMBOL_type_qualifier_list_english_type_opt = 600, /* type_qualifier_list_english_type_opt  */
  YYSYMBOL_type_qualifier_list_english_type = 601, /* type_qualifier_list_english_type  */
  YYSYMBOL_type_qualifier_english_type = 602, /* type_qualifier_english_type  */
  YYSYMBOL_attribute_english_atid = 603,   /* attribute_english_atid  */
  YYSYMBOL_storage_class_english_stid = 604, /* storage_class_english_stid  */
  YYSYMBOL_eval_expr_init_stid = 605,      /* eval_expr_init_stid  */
  YYSYMBOL_linkage_stid = 606,             /* linkage_stid  */
  YYSYMBOL_linkage_opt = 607,              /* linkage_opt  */
  YYSYMBOL_type_qualifier_english_stid = 608, /* type_qualifier_english_stid  */
  YYSYMBOL_upc_layout_qualifier_english = 609, /* upc_layout_qualifier_english  */
  YYSYMBOL_qualifiable_decl_english_ast = 610, /* qualifiable_decl_english_ast  */
  YYSYMBOL_pointer_decl_english_ast = 611, /* pointer_decl_english_ast  */
  YYSYMBOL_reference_decl_english_ast = 612, /* reference_decl_english_ast  */
  YYSYMBOL_reference_english_ast = 613,    /* reference_english_ast  */
  YYSYMBOL_structured_binding_decl_english_ast = 614, /* structured_binding_decl_english_ast  */
  YYSYMBOL_user_defined_literal_decl_english_ast = 615, /* user_defined_literal_decl_english_ast  */
  YYSYMBOL_var_decl_english_ast = 616,     /* var_decl_english_ast  */
  YYSYMBOL_type_english_ast = 617,         /* type_english_ast  */
  YYSYMBOL_type_modifier_list_english_type_opt = 618, /* type_modifier_list_english_type_opt  */
  YYSYMBOL_type_modifier_list_english_type = 619, /* type_modifier_list_english_type  */
  YYSYMBOL_type_modifier_english_type = 620, /* type_modifier_english_type  */
  YYSYMBOL_unmodified_type_english_ast = 621, /* unmodified_type_english_ast  */
  YYSYMBOL_builtin_type_english_ast = 622, /* builtin_type_english_ast  */
  YYSYMBOL_builtin_no_BitInt_english_btid = 623, /* builtin_no_BitInt_english_btid  */
  YYSYMBOL_BitInt_english_int = 624,       /* BitInt_english_int  */
  YYSYMBOL_BitInt_english = 625,           /* BitInt_english  */
  YYSYMBOL_concept_type_english_ast = 626, /* concept_type_english_ast  */
  YYSYMBOL_parameter_pack_english_ast = 627, /* parameter_pack_english_ast  */
  YYSYMBOL_pack_exp = 628,                 /* pack_exp  */
  YYSYMBOL_precise_opt = 629,              /* precise_opt  */
  YYSYMBOL_class_struct_union_english_ast = 630, /* class_struct_union_english_ast  */
  YYSYMBOL_enum_english_ast = 631,         /* enum_english_ast  */
  YYSYMBOL_of_type_enum_fixed_type_english_ast_opt = 632, /* of_type_enum_fixed_type_english_ast_opt  */
  YYSYMBOL_enum_fixed_type_english_ast = 633, /* enum_fixed_type_english_ast  */
  YYSYMBOL_enum_fixed_type_modifier_list_english_btid_opt = 634, /* enum_fixed_type_modifier_list_english_btid_opt  */
  YYSYMBOL_enum_fixed_type_modifier_list_english_btid = 635, /* enum_fixed_type_modifier_list_english_btid  */
  YYSYMBOL_enum_unmodified_fixed_type_english_ast = 636, /* enum_unmodified_fixed_type_english_ast  */
  YYSYMBOL_any_name = 637,                 /* any_name  */
  YYSYMBOL_any_name_exp = 638,             /* any_name_exp  */
  YYSYMBOL_any_sname_c = 639,              /* any_sname_c  */
  YYSYMBOL_any_sname_c_exp = 640,          /* any_sname_c_exp  */
  YYSYMBOL_any_sname_c_opt = 641,          /* any_sname_c_opt  */
  YYSYMBOL_any_typedef_tdef = 642,         /* any_typedef_tdef  */
  YYSYMBOL_name_ast = 643,                 /* name_ast  */
  YYSYMBOL_name_exp = 644,                 /* name_exp  */
  YYSYMBOL_name_cat = 645,                 /* name_cat  */
  YYSYMBOL_name_opt = 646,                 /* name_opt  */
  YYSYMBOL_oper_sname_c_opt = 647,         /* oper_sname_c_opt  */
  YYSYMBOL_sname_c = 648,                  /* sname_c  */
  YYSYMBOL_sname_c_ast = 649,              /* sname_c_ast  */
  YYSYMBOL_bit_field_c_uint_opt = 650,     /* bit_field_c_uint_opt  */
  YYSYMBOL_sname_c_exp = 651,              /* sname_c_exp  */
  YYSYMBOL_sname_c_opt = 652,              /* sname_c_opt  */
  YYSYMBOL_sname_english = 653,            /* sname_english  */
  YYSYMBOL_sname_english_ast = 654,        /* sname_english_ast  */
  YYSYMBOL_sname_english_exp = 655,        /* sname_english_exp  */
  YYSYMBOL_sname_english_opt = 656,        /* sname_english_opt  */
  YYSYMBOL_sname_list_c = 657,             /* sname_list_c  */
  YYSYMBOL_sname_list_english = 658,       /* sname_list_english  */
  YYSYMBOL_typedef_sname_c = 659,          /* typedef_sname_c  */
  YYSYMBOL_address_exp = 660,              /* address_exp  */
  YYSYMBOL_array_exp = 661,                /* array_exp  */
  YYSYMBOL_as_exp = 662,                   /* as_exp  */
  YYSYMBOL_as_into_to_exp = 663,           /* as_into_to_exp  */
  YYSYMBOL_as_or_to_opt = 664,             /* as_or_to_opt  */
  YYSYMBOL_auto_TYPE_exp = 665,            /* auto_TYPE_exp  */
  YYSYMBOL_binding_exp = 666,              /* binding_exp  */
  YYSYMBOL_bits_opt = 667,                 /* bits_opt  */
  YYSYMBOL_bytes_opt = 668,                /* bytes_opt  */
  YYSYMBOL_cast_exp = 669,                 /* cast_exp  */
  YYSYMBOL_char_exp = 670,                 /* char_exp  */
  YYSYMBOL_class_struct_union_btid_exp = 671, /* class_struct_union_btid_exp  */
  YYSYMBOL_colon_exp = 672,                /* colon_exp  */
  YYSYMBOL_comma_exp = 673,                /* comma_exp  */
  YYSYMBOL_conversion_exp = 674,           /* conversion_exp  */
  YYSYMBOL_c_operator = 675,               /* c_operator  */
  YYSYMBOL_default_exp = 676,              /* default_exp  */
  YYSYMBOL_defined_exp = 677,              /* defined_exp  */
  YYSYMBOL_dependency_exp = 678,           /* dependency_exp  */
  YYSYMBOL_destructor_sname = 679,         /* destructor_sname  */
  YYSYMBOL_empty_str_lit_exp = 680,        /* empty_str_lit_exp  */
  YYSYMBOL_equals_exp = 681,               /* equals_exp  */
  YYSYMBOL_extern_linkage_c_stid = 682,    /* extern_linkage_c_stid  */
  YYSYMBOL_extern_linkage_c_stid_opt = 683, /* extern_linkage_c_stid_opt  */
  YYSYMBOL_glob = 684,                     /* glob  */
  YYSYMBOL_glob_opt = 685,                 /* glob_opt  */
  YYSYMBOL_gt_exp = 686,                   /* gt_exp  */
  YYSYMBOL_inline_stid_opt = 687,          /* inline_stid_opt  */
  YYSYMBOL_int_exp = 688,                  /* int_exp  */
  YYSYMBOL_lbracket_exp = 689,             /* lbracket_exp  */
  YYSYMBOL_literal_exp = 690,              /* literal_exp  */
  YYSYMBOL_local_exp = 691,                /* local_exp  */
  YYSYMBOL_lparen_exp = 692,               /* lparen_exp  */
  YYSYMBOL_lt_exp = 693,                   /* lt_exp  */
  YYSYMBOL_member_or_non_member_opt = 694, /* member_or_non_member_opt  */
  YYSYMBOL_namespace_btid_exp = 695,       /* namespace_btid_exp  */
  YYSYMBOL_namespace_type = 696,           /* namespace_type  */
  YYSYMBOL_of_exp = 697,                   /* of_exp  */
  YYSYMBOL_of_scope_english = 698,         /* of_scope_english  */
  YYSYMBOL_of_scope_list_english = 699,    /* of_scope_list_english  */
  YYSYMBOL_of_scope_list_english_opt = 700, /* of_scope_list_english_opt  */
  YYSYMBOL_operator_exp = 701,             /* operator_exp  */
  YYSYMBOL_operator_opt = 702,             /* operator_opt  */
  YYSYMBOL_point_exp = 703,                /* point_exp  */
  YYSYMBOL_precision_opt = 704,            /* precision_opt  */
  YYSYMBOL_rbrace_exp = 705,               /* rbrace_exp  */
  YYSYMBOL_rbracket_exp = 706,             /* rbracket_exp  */
  YYSYMBOL_ref_qualifier_c_stid_opt = 707, /* ref_qualifier_c_stid_opt  */
  YYSYMBOL_reference_exp = 708,            /* reference_exp  */
  YYSYMBOL_returning = 709,                /* returning  */
  YYSYMBOL_returning_exp = 710,            /* returning_exp  */
  YYSYMBOL_rparen_exp = 711,               /* rparen_exp  */
  YYSYMBOL_scope_english_type = 712,       /* scope_english_type  */
  YYSYMBOL_scope_english_type_exp = 713,   /* scope_english_type_exp  */
  YYSYMBOL_semi_exp = 714,                 /* semi_exp  */
  YYSYMBOL_semi_opt = 715,                 /* semi_opt  */
  YYSYMBOL_semi_or_end = 716,              /* semi_or_end  */
  YYSYMBOL_static_stid_opt = 717,          /* static_stid_opt  */
  YYSYMBOL_str_lit = 718,                  /* str_lit  */
  YYSYMBOL_str_lit_exp = 719,              /* str_lit_exp  */
  YYSYMBOL_this_exp = 720,                 /* this_exp  */
  YYSYMBOL_this_stid_opt = 721,            /* this_stid_opt  */
  YYSYMBOL_to_exp = 722,                   /* to_exp  */
  YYSYMBOL_type_opt = 723,                 /* type_opt  */
  YYSYMBOL_typename_flag_opt = 724,        /* typename_flag_opt  */
  YYSYMBOL_uint_lit = 725,                 /* uint_lit  */
  YYSYMBOL_uint_lit_exp = 726,             /* uint_lit_exp  */
  YYSYMBOL_uint_lit_opt = 727,             /* uint_lit_opt  */
  YYSYMBOL_unused_exp = 728,               /* unused_exp  */
  YYSYMBOL_user_defined = 729,             /* user_defined  */
  YYSYMBOL_virtual_stid_exp = 730,         /* virtual_stid_exp  */
  YYSYMBOL_virtual_stid_opt = 731          /* virtual_stid_opt  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if !defined yyoverflow

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* !defined yyoverflow */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE) \
             + YYSIZEOF (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  2
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   6344

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  314
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  418
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1115
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  1470

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   540


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    81,     2,   159,   310,    89,    79,     2,
      72,    73,    80,    91,   132,    90,    76,    88,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   293,   294,
      98,   114,    99,   313,   311,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,    74,     2,    75,   108,     2,   312,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   295,   109,   296,    83,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    77,    78,    82,
      84,    85,    86,    87,    92,    93,    94,    95,    96,    97,
     100,   101,   102,   103,   104,   105,   106,   107,   110,   111,
     112,   113,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,  1932,  1932,  1933,  1942,  1943,  1944,  1945,  1946,  1947,
    1948,  1949,  1950,  1951,  1952,  1953,  1954,  1955,  1956,  1957,
    1976,  1998,  2022,  2023,  2024,  2025,  2026,  2035,  2147,  2146,
    2210,  2245,  2277,  2287,  2289,  2304,  2334,  2340,  2346,  2355,
    2356,  2357,  2361,  2362,  2366,  2373,  2377,  2381,  2389,  2390,
    2394,  2409,  2424,  2429,  2434,  2440,  2444,  2445,  2446,  2450,
    2464,  2465,  2483,  2484,  2505,  2509,  2510,  2511,  2512,  2513,
    2514,  2515,  2516,  2517,  2518,  2519,  2520,  2521,  2522,  2523,
    2524,  2530,  2580,  2601,  2608,  2623,  2635,  2643,  2644,  2651,
    2652,  2656,  2661,  2670,  2671,  2679,  2684,  2696,  2716,  2736,
    2758,  2765,  2773,  2778,  2797,  2809,  2818,  2823,  2827,  2833,
    2842,  2846,  2850,  2854,  2858,  2862,  2866,  2873,  2874,  2878,
    2879,  2880,  2884,  2885,  2886,  2887,  2890,  2891,  2893,  2894,
    2895,  2896,  2897,  2898,  2899,  2900,  2901,  2902,  2903,  2904,
    2905,  2906,  2907,  2908,  2909,  2910,  2911,  2912,  2913,  2914,
    2915,  2916,  2917,  2918,  2919,  2920,  2921,  2922,  2923,  2924,
    2925,  2926,  2927,  2928,  2929,  2930,  2931,  2932,  2933,  2934,
    2939,  2943,  2957,  2963,  2967,  2973,  2982,  2983,  2995,  3000,
    3005,  3010,  3015,  3020,  3025,  3030,  3035,  3040,  3050,  3059,
    3069,  3069,  3084,  3089,  3112,  3119,  3126,  3144,  3143,  3162,
    3163,  3164,  3165,  3170,  3182,  3183,  3185,  3187,  3192,  3197,
    3202,  3207,  3212,  3217,  3222,  3227,  3232,  3237,  3242,  3247,
    3254,  3295,  3296,  3300,  3310,  3314,  3327,  3342,  3347,  3352,
    3363,  3364,  3368,  3374,  3383,  3394,  3398,  3402,  3406,  3410,
    3414,  3421,  3430,  3436,  3442,  3446,  3450,  3451,  3455,  3465,
    3466,  3467,  3477,  3487,  3497,  3503,  3509,  3514,  3542,  3551,
    3552,  3553,  3567,  3568,  3578,  3579,  3583,  3584,  3588,  3589,
    3594,  3597,  3598,  3604,  3610,  3616,  3627,  3626,  3663,  3674,
    3673,  3705,  3706,  3707,  3708,  3718,  3719,  3718,  3724,  3737,
    3737,  3755,  3762,  3763,  3769,  3780,  3781,  3782,  3790,  3795,
    3789,  3844,  3843,  3885,  3889,  3884,  3952,  3953,  3954,  3967,
    3981,  3997,  4013,  4032,  4046,  4062,  4080,  4084,  4085,  4092,
    4093,  4097,  4098,  4102,  4103,  4104,  4105,  4114,  4146,  4147,
    4151,  4167,  4182,  4187,  4193,  4198,  4203,  4208,  4216,  4217,
    4217,  4237,  4247,  4247,  4257,  4263,  4256,  4278,  4279,  4284,
    4348,  4349,  4358,  4374,  4385,  4406,  4384,  4476,  4534,  4542,
    4547,  4556,  4584,  4585,  4592,  4593,  4594,  4595,  4596,  4605,
    4606,  4610,  4611,  4612,  4613,  4614,  4615,  4616,  4620,  4624,
    4625,  4629,  4634,  4645,  4680,  4685,  4691,  4697,  4703,  4711,
    4719,  4725,  4734,  4743,  4754,  4753,  4806,  4856,  4857,  4884,
    4921,  4963,  5100,  5099,  5208,  5207,  5226,  5227,  5243,  5244,
    5245,  5253,  5257,  5258,  5259,  5263,  5267,  5284,  5285,  5286,
    5293,  5295,  5295,  5347,  5354,  5355,  5356,  5357,  5365,  5377,
    5378,  5386,  5387,  5391,  5404,  5422,  5421,  5456,  5461,  5473,
    5474,  5481,  5482,  5489,  5493,  5500,  5499,  5524,  5580,  5580,
    5600,  5620,  5625,  5633,  5633,  5653,  5693,  5693,  5713,  5753,
    5752,  5776,  5791,  5810,  5898,  5897,  5943,  5988,  5989,  5993,
    5994,  5995,  5996,  6000,  6001,  6002,  6003,  6005,  6006,  6014,
    6019,  6030,  6068,  6067,  6118,  6194,  6193,  6236,  6236,  6258,
    6258,  6281,  6281,  6310,  6311,  6315,  6316,  6317,  6318,  6322,
    6322,  6340,  6340,  6358,  6358,  6385,  6420,  6435,  6439,  6440,
    6444,  6458,  6462,  6486,  6487,  6488,  6495,  6496,  6497,  6498,
    6499,  6500,  6501,  6507,  6511,  6527,  6545,  6546,  6547,  6548,
    6549,  6550,  6557,  6556,  6604,  6615,  6630,  6631,  6632,  6633,
    6634,  6635,  6636,  6637,  6638,  6643,  6644,  6645,  6646,  6647,
    6648,  6654,  6672,  6694,  6756,  6757,  6767,  6766,  6808,  6817,
    6818,  6824,  6825,  6829,  6848,  6860,  6881,  6895,  6899,  6900,
    6901,  6917,  6935,  6961,  6980,  6981,  6985,  7001,  7005,  7006,
    7007,  7008,  7012,  7013,  7014,  7020,  7021,  7025,  7026,  7030,
    7031,  7037,  7038,  7042,  7057,  7062,  7069,  7070,  7071,  7072,
    7073,  7074,  7075,  7079,  7080,  7084,  7085,  7101,  7115,  7119,
    7120,  7121,  7122,  7131,  7132,  7133,  7134,  7135,  7136,  7137,
    7138,  7139,  7140,  7141,  7142,  7143,  7144,  7173,  7175,  7176,
    7177,  7178,  7179,  7183,  7184,  7190,  7191,  7196,  7195,  7220,
    7227,  7228,  7236,  7237,  7241,  7255,  7259,  7260,  7261,  7262,
    7263,  7264,  7265,  7266,  7267,  7298,  7305,  7306,  7314,  7315,
    7319,  7320,  7324,  7325,  7329,  7330,  7335,  7334,  7350,  7351,
    7355,  7356,  7360,  7364,  7371,  7372,  7376,  7377,  7381,  7382,
    7386,  7387,  7388,  7389,  7390,  7391,  7398,  7399,  7404,  7403,
    7416,  7417,  7428,  7429,  7437,  7438,  7439,  7445,  7460,  7484,
    7488,  7494,  7500,  7508,  7509,  7516,  7538,  7556,  7568,  7569,
    7576,  7603,  7607,  7614,  7615,  7616,  7617,  7618,  7619,  7625,
    7626,  7630,  7644,  7645,  7649,  7664,  7681,  7682,  7691,  7692,
    7693,  7700,  7711,  7715,  7726,  7735,  7755,  7756,  7760,  7776,
    7780,  7781,  7782,  7786,  7787,  7788,  7789,  7790,  7791,  7792,
    7793,  7794,  7795,  7796,  7797,  7798,  7799,  7803,  7804,  7805,
    7809,  7810,  7811,  7812,  7813,  7814,  7815,  7816,  7817,  7821,
    7822,  7823,  7824,  7825,  7826,  7827,  7828,  7830,  7831,  7832,
    7833,  7834,  7835,  7836,  7837,  7838,  7842,  7843,  7844,  7855,
    7875,  7876,  7880,  7881,  7882,  7883,  7884,  7885,  7886,  7890,
    7891,  7895,  7896,  7897,  7898,  7899,  7900,  7901,  7902,  7903,
    7913,  7935,  7955,  7968,  7985,  7990,  7999,  8008,  8049,  8073,
    8078,  8095,  8117,  8137,  8138,  8142,  8158,  8162,  8166,  8167,
    8168,  8169,  8170,  8171,  8175,  8187,  8202,  8203,  8204,  8205,
    8206,  8218,  8219,  8220,  8221,  8226,  8227,  8228,  8229,  8230,
    8231,  8232,  8233,  8237,  8241,  8245,  8249,  8256,  8257,  8258,
    8262,  8276,  8294,  8303,  8304,  8311,  8312,  8316,  8333,  8354,
    8355,  8362,  8380,  8395,  8396,  8400,  8416,  8420,  8421,  8429,
    8430,  8438,  8439,  8447,  8448,  8452,  8453,  8461,  8462,  8466,
    8467,  8471,  8485,  8486,  8494,  8499,  8503,  8504,  8508,  8510,
    8519,  8544,  8566,  8580,  8600,  8601,  8615,  8616,  8624,  8625,
    8629,  8648,  8677,  8678,  8686,  8687,  8691,  8706,  8722,  8738,
    8754,  8773,  8795,  8803,  8804,  8811,  8812,  8819,  8839,  8846,
    8847,  8848,  8849,  8856,  8857,  8858,  8862,  8863,  8870,  8871,
    8878,  8879,  8880,  8884,  8885,  8889,  8890,  8897,  8898,  8905,
    8906,  8913,  8914,  8921,  8922,  8929,  8930,  8937,  8938,  8939,
    8940,  8941,  8942,  8943,  8944,  8945,  8946,  8947,  8948,  8949,
    8950,  8951,  8952,  8953,  8954,  8955,  8956,  8957,  8958,  8959,
    8960,  8961,  8962,  8963,  8964,  8965,  8966,  8967,  8968,  8969,
    8970,  8971,  8972,  8973,  8974,  8975,  8976,  8977,  8978,  8979,
    8980,  8981,  8982,  8983,  8984,  8988,  8989,  8996,  8997,  9004,
    9005,  9012,  9013,  9021,  9036,  9037,  9044,  9045,  9053,  9054,
    9058,  9073,  9074,  9078,  9079,  9086,  9087,  9091,  9092,  9099,
    9100,  9107,  9108,  9115,  9116,  9123,  9124,  9131,  9132,  9139,
    9140,  9141,  9145,  9146,  9153,  9154,  9158,  9159,  9166,  9189,
    9200,  9204,  9205,  9209,  9210,  9217,  9218,  9222,  9223,  9229,
    9230,  9234,  9235,  9242,  9243,  9250,  9251,  9252,  9256,  9257,
    9264,  9265,  9269,  9270,  9277,  9278,  9285,  9286,  9287,  9291,
    9292,  9301,  9302,  9309,  9310,  9314,  9315,  9319,  9320,  9324,
    9325,  9333,  9334,  9342,  9343,  9350,  9351,  9355,  9356,  9363,
    9364,  9368,  9369,  9373,  9389,  9390,  9397,  9398,  9402,  9403,
    9410,  9411,  9415,  9416,  9423,  9424
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if YYDEBUG || 0
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "Y_cast", "Y_constant",
  "Y_declare", "Y_define", "Y_dynamic", "Y_explain", "Y_no", "Y_quit",
  "Y_reinterpret", "Y_set", "Y_show", "Y_aligned", "Y_all", "Y_array",
  "Y_as", "Y_binding", "Y_bit", "Y_bit_precise", "Y_bits", "Y_by",
  "Y_bytes", "Y_capturing", "Y_commands", "Y_constructor", "Y_conversion",
  "Y_copy", "Y_defined", "Y_destructor", "Y_english", "Y_evaluation",
  "Y_expand", "Y_expression", "Y_floating", "Y_function",
  "Y_initialization", "Y_into", "Y_lambda", "Y_length", "Y_linkage",
  "Y_literal", "Y_macros", "Y_member", "Y_non_empty", "Y_non_member",
  "Y_of", "Y_options", "Y_point", "Y_pointer", "Y_precise", "Y_precision",
  "Y_predefined", "Y_pure", "Y_reference", "Y_returning", "Y_rvalue",
  "Y_scope", "Y_structured", "Y_to", "Y_user", "Y_user_defined",
  "Y_variable", "Y_wide", "Y_width",
  "Y_PREC_LESS_THAN_upc_layout_qualifier", "Y_COLON_COLON", "\"::\"",
  "Y_COLON_COLON_STAR", "\"++\"", "\"--\"", "'('", "')'", "'['", "']'",
  "'.'", "Y_MINUS_GREATER", "\"->\"", "'&'", "'*'", "'!'", "Y_sizeof",
  "'~'", "Y_DOT_STAR", "\".*\"", "Y_MINUS_GREATER_STAR", "\"->*\"", "'/'",
  "'%'", "'-'", "'+'", "Y_LESS_LESS", "\"<<\"", "Y_GREATER_GREATER",
  "\">>\"", "Y_LESS_EQUAL_GREATER", "\"<=>\"", "'<'", "'>'",
  "Y_LESS_EQUAL", "\"<=\"", "Y_GREATER_EQUAL", "\">=\"", "Y_EQUAL_EQUAL",
  "\"==\"", "Y_EXCLAM_EQUAL", "Y_bit_and", "'^'", "'|'", "Y_AMPER_AMPER",
  "Y_PIPE_PIPE", "Y_QMARK_COLON", "\"?:\"", "'='", "Y_PERCENT_EQUAL",
  "\"%=\"", "Y_AMPER_EQUAL", "Y_STAR_EQUAL", "\"*=\"", "Y_PLUS_EQUAL",
  "\"+=\"", "Y_MINUS_EQUAL", "\"-=\"", "Y_SLASH_EQUAL", "\"/=\"",
  "Y_LESS_LESS_EQUAL", "\"<<=\"", "Y_GREATER_GREATER_EQUAL", "\">>=\"",
  "Y_CARET_EQUAL", "Y_PIPE_EQUAL", "','", "Y_auto_STORAGE", "Y_break",
  "Y_case", "Y_char", "Y_continue", "Y_default", "Y_do", "Y_double",
  "Y_else", "Y_extern", "Y_float", "Y_for", "Y_goto", "Y_if", "Y_int",
  "Y_long", "Y_register", "Y_return", "Y_short", "Y_static", "Y_struct",
  "Y_switch", "Y_typedef", "Y_union", "Y_unsigned", "Y_while", "'#'",
  "\"##\"", "Y_PRE_SPACE", "Y_PRE_define", "Y_PRE_elif", "Y_PRE_else",
  "Y_PRE_error", "Y_PRE_if", "Y_PRE_ifdef", "Y_PRE_ifndef", "Y_PRE_line",
  "Y_PRE_undef", "Y_PRE___VA_ARGS__", "Y_PRE___VA_OPT__", "Y_PRE_pragma",
  "Y_PRE_elifdef", "Y_PRE_elifndef", "Y_PRE_embed", "Y_PRE_warning",
  "Y_asm", "Y_const", "\"...\"", "Y_enum", "Y_signed", "Y_void",
  "Y_volatile", "Y_wchar_t", "Y__Bool", "Y__Complex", "Y__Imaginary",
  "Y_inline", "Y_restrict", "Y__Alignas", "Y__Alignof", "Y__Atomic_QUAL",
  "Y__Atomic_SPEC", "Y__Generic", "Y__Noreturn", "Y__Static_assert",
  "Y__Thread_local", "Y_thread", "Y_local", "Y_bool", "Y_catch", "Y_class",
  "Y_const_cast", "Y_CONSTRUCTOR_SNAME", "Y_delete", "Y_DESTRUCTOR_SNAME",
  "Y_dynamic_cast", "Y_explicit", "Y_false", "Y_friend", "Y_mutable",
  "Y_namespace", "Y_new", "Y_operator", "Y_OPERATOR_SNAME", "Y_private",
  "Y_protected", "Y_public", "Y_reinterpret_cast", "Y_static_cast",
  "Y_template", "Y_this", "Y_throw", "Y_true", "Y_try", "Y_typeid",
  "Y_typename", "Y_using", "Y_virtual", "Y_char16_t", "Y_char32_t",
  "Y__BitInt", "Y_reproducible", "Y_typeof", "Y_typeof_unqual",
  "Y_unsequenced", "Y_ATTR_BEGIN", "Y_auto_TYPE", "Y_alignas", "Y_alignof",
  "Y_carries", "Y_dependency", "Y_carries_dependency", "Y_constexpr",
  "Y_decltype", "Y_except", "Y_final", "Y_noexcept", "Y_nullptr",
  "Y_override", "Y_static_assert", "Y_thread_local", "Y_deprecated",
  "Y_auto_STRUCTURED_BINDING", "Y_discard", "Y_maybe_unused", "Y_maybe",
  "Y_unused", "Y_nodiscard", "Y_noreturn", "Y_char8_t", "Y_concept",
  "Y_consteval", "Y_constinit", "Y_co_await", "Y_co_return", "Y_co_yield",
  "Y_export", "Y_no_unique_address", "Y_parameter", "Y_pack", "Y_requires",
  "Y_unique", "Y_address", "Y_EMC__Accum", "Y_EMC__Fract", "Y_EMC__Sat",
  "Y_UPC_relaxed", "Y_UPC_shared", "Y_UPC_strict", "Y_GNU___attribute__",
  "Y_GNU___restrict", "Y_Apple___block", "Y_Apple_block", "Y_MSC___cdecl",
  "Y_MSC___clrcall", "Y_MSC___declspec", "Y_MSC___fastcall",
  "Y_MSC___stdcall", "Y_MSC___thiscall", "Y_MSC___vectorcall", "':'",
  "';'", "'{'", "'}'", "Y_CHAR_LIT", "Y_CONCEPT_SNAME", "Y_END", "Y_ERROR",
  "Y_FLOAT_LIT", "Y_GLOB", "Y_INT_LIT", "Y_NAME", "Y_SET_OPTION",
  "Y_STR_LIT", "Y_TYPEDEF_NAME_TDEF", "Y_TYPEDEF_SNAME_TDEF",
  "Y_LEXER_ERROR", "'$'", "'@'", "'`'", "'?'", "$accept", "command_list",
  "command", "cast_command", "new_style_cast_english", "declare_command",
  "$@1", "alignas_or_width_decl_english_ast", "alignas_specifier_english",
  "aligned_english", "capturing_paren_capture_decl_list_english_opt",
  "paren_capture_decl_list_english", "capture_decl_list_english_opt",
  "capture_decl_list_english", "capture_decl_english_ast",
  "capture_default_opt", "width_specifier_english_uint",
  "storage_class_subset_english_type_opt",
  "storage_class_subset_english_type", "storage_class_subset_english_stid",
  "define_command", "expand_command", "expand_command2",
  "p_extra_token_except_lparen", "p_extra_tokens_opt", "p_extra_tokens",
  "p_extra_token", "p_arg_list_opt", "p_comma_arg_list", "p_arg_list",
  "p_arg_tokens", "p_arg_token_as_list", "p_arg_token", "p_num_lit",
  "p_other", "p_punctuator", "p_arg_tokens_with_comma_opt",
  "p_arg_tokens_with_comma", "p_arg_token_with_comma_as_list",
  "p_arg_token_with_comma", "explain_command", "$@2", "explain",
  "help_command", "$@3", "help_what_opt", "preprocessor_command",
  "p_define", "p_paren_param_list_opt", "p_param_list_opt", "p_param_list",
  "p_param", "p_replace_list_opt", "p_replace_list", "p_replace_token",
  "p_undef", "quit_command", "scoped_command", "set_command",
  "set_option_list", "set_option", "set_option_value_opt", "show_command",
  "show_format", "show_format_exp", "show_format_opt", "show_types_opt",
  "predefined_or_user_types_opt", "template_command", "typedef_command",
  "using_command", "c_style_cast_expr_c", "$@4", "new_style_cast_expr_c",
  "$@5", "new_style_cast_c", "aligned_declaration_c", "$@6", "$@7",
  "alignas_specifier_c", "$@8", "alignas", "asm_declaration_c",
  "scoped_declaration_c", "class_struct_union_declaration_c", "$@9",
  "$@10", "enum_declaration_c", "$@11", "namespace_declaration_c", "$@12",
  "$@13", "namespace_sname_c_exp", "namespace_sname_c",
  "namespace_typedef_sname_c", "brace_in_scope_declaration_c_exp",
  "brace_in_scope_declaration_c_opt", "brace_in_scope_declaration_c",
  "in_scope_declaration_c_exp", "lambda_declaration_c",
  "capture_decl_list_c_opt", "capture_decl_list_c", "capture_decl_c_ast",
  "lambda_return_type_c_ast_opt", "$@14", "template_declaration_c",
  "typed_declaration_c", "$@15", "typedef_declaration_c", "$@16", "$@17",
  "typedef_decl_list_c", "typedef_decl_c", "typedef_decl_c_exp",
  "user_defined_conversion_declaration_c", "using_declaration_c",
  "using_decl_c_ast", "$@18", "$@19", "decl_list_c_opt", "decl_list_c",
  "decl_c", "decl_c_exp", "decl_c_astp", "msc_calling_convention_c_astp",
  "decl2_c_astp", "param_pack_decl_c_ast", "array_decl_c_astp",
  "array_size_c_ast", "block_decl_c_astp", "$@20",
  "destructor_declaration_c", "no_destructor_params",
  "file_scope_constructor_declaration_c",
  "file_scope_destructor_declaration_c", "func_decl_c_astp",
  "pc99_func_or_constructor_declaration_c", "$@21",
  "rparen_func_qualifier_list_c_stid_opt", "$@22",
  "func_qualifier_list_c_stid_opt", "func_qualifier_c_stid",
  "noexcept_c_stid_opt", "noexcept_bool_stid_exp",
  "trailing_return_type_c_ast_opt", "$@23", "func_equals_c_stid_opt",
  "param_c_ast_list_exp", "param_c_ast_list_opt", "param_c_ast_list",
  "param_c_ast", "$@24", "param_c_ast_exp", "paren_param_c_ast_list_opt",
  "param_list_c_lparen", "param_list_c_rparen", "nested_decl_c_astp",
  "$@25", "oper_decl_c_astp", "pointer_decl_c_astp", "$@26",
  "pointer_type_c_ast", "pc99_pointer_decl_list_c", "pc99_pointer_decl_c",
  "$@27", "pc99_pointer_type_c_ast", "pointer_to_member_decl_c_astp",
  "$@28", "pointer_to_member_type_c_ast", "reference_decl_c_astp", "$@29",
  "reference_type_c_ast", "typedef_type_decl_c_ast",
  "user_defined_conversion_decl_c_astp", "$@30",
  "user_defined_literal_decl_c_astp", "cast_c_astp_opt", "cast_c_astp",
  "cast2_c_astp", "param_pack_cast_c_ast", "array_cast_c_astp",
  "block_cast_c_astp", "$@31", "func_cast_c_astp", "nested_cast_c_astp",
  "$@32", "pointer_cast_c_astp", "$@33", "pointer_to_member_cast_c_astp",
  "$@34", "reference_cast_c_astp", "$@35", "udc_decl_c_ast_opt",
  "udc_decl_c_ast", "pointer_udc_decl_c_ast", "$@36",
  "pointer_to_member_udc_decl_c_ast", "$@37", "reference_udc_decl_c_ast",
  "$@38", "type_c_ast", "type_modifier_list_c_type_opt",
  "type_modifier_list_c_type", "type_modifier_c_type",
  "type_modifier_base_type", "east_modified_type_c_ast",
  "east_modifiable_type_c_ast", "atomic_specifier_type_c_ast", "$@39",
  "builtin_type_c_ast", "builtin_no_BitInt_c_btid", "concept_type_c_ast",
  "structured_binding_type_c_ast", "typedef_type_c_ast",
  "sub_scope_sname_c_opt", "typeof_type_c_ast", "$@40", "typeof",
  "enum_class_struct_union_c_ast", "class_struct_union_c_ast",
  "enum_c_ast", "enum_btids", "enum_fixed_type_c_ast_opt",
  "enum_fixed_type_c_ast", "enum_fixed_type_modifier_list_btid_opt",
  "enum_fixed_type_modifier_list_btid", "enum_fixed_type_modifier_btid",
  "enum_unmodified_fixed_type_c_ast", "class_struct_btid_opt",
  "class_struct_btid", "class_struct_union_btid",
  "type_qualifier_list_c_stid_opt", "type_qualifier_list_c_stid",
  "type_qualifier_c_stid", "cv_qualifier_stid",
  "cv_qualifier_list_stid_opt", "restrict_qualifier_c_stid",
  "upc_layout_qualifier_c", "storage_class_c_type", "_Noreturn_atid",
  "attribute_specifier_list_c_atid_opt", "attribute_specifier_list_c_atid",
  "$@41", "using_opt", "attribute_list_c_atid_opt",
  "attribute_list_c_atid", "attribute_c_atid_exp",
  "attribute_str_arg_c_opt", "gnu_or_msc_attribute_specifier_list_c_opt",
  "gnu_or_msc_attribute_specifier_list_c",
  "gnu_attribute_specifier_list_c_opt", "gnu_attribute_specifier_list_c",
  "gnu_attribute_specifier_c", "$@42", "gnu_attribute_list_c_opt",
  "gnu_attribuet_list_c", "gnu_attribute_c_exp",
  "gnu_attribute_decl_arg_list_c_opt", "gnu_attribute_arg_list_c_opt",
  "gnu_attribute_arg_list_c", "gnu_attribute_arg_c",
  "msc_attribute_specifier_list_c", "msc_attribute_specifier_c", "$@43",
  "msc_attribute_list_c_opt", "msc_attribuet_list_c", "decl_english_ast",
  "array_decl_english_ast", "array_size_decl_ast", "length_opt",
  "block_decl_english_ast", "constructor_decl_english_ast",
  "destructor_decl_english_ast", "destructor_parens_opt",
  "func_decl_english_ast", "func_qualifier_english_type_opt",
  "msc_calling_convention_atid", "paren_param_decl_list_english_opt",
  "paren_param_decl_list_english", "param_decl_list_english_opt",
  "param_decl_list_english", "decl_english_ast_exp",
  "ref_qualifier_english_stid_opt", "returning_english_ast_opt",
  "returning_english_ast", "qualified_decl_english_ast",
  "type_qualifier_list_english_type_opt",
  "type_qualifier_list_english_type", "type_qualifier_english_type",
  "attribute_english_atid", "storage_class_english_stid",
  "eval_expr_init_stid", "linkage_stid", "linkage_opt",
  "type_qualifier_english_stid", "upc_layout_qualifier_english",
  "qualifiable_decl_english_ast", "pointer_decl_english_ast",
  "reference_decl_english_ast", "reference_english_ast",
  "structured_binding_decl_english_ast",
  "user_defined_literal_decl_english_ast", "var_decl_english_ast",
  "type_english_ast", "type_modifier_list_english_type_opt",
  "type_modifier_list_english_type", "type_modifier_english_type",
  "unmodified_type_english_ast", "builtin_type_english_ast",
  "builtin_no_BitInt_english_btid", "BitInt_english_int", "BitInt_english",
  "concept_type_english_ast", "parameter_pack_english_ast", "pack_exp",
  "precise_opt", "class_struct_union_english_ast", "enum_english_ast",
  "of_type_enum_fixed_type_english_ast_opt", "enum_fixed_type_english_ast",
  "enum_fixed_type_modifier_list_english_btid_opt",
  "enum_fixed_type_modifier_list_english_btid",
  "enum_unmodified_fixed_type_english_ast", "any_name", "any_name_exp",
  "any_sname_c", "any_sname_c_exp", "any_sname_c_opt", "any_typedef_tdef",
  "name_ast", "name_exp", "name_cat", "name_opt", "oper_sname_c_opt",
  "sname_c", "sname_c_ast", "bit_field_c_uint_opt", "sname_c_exp",
  "sname_c_opt", "sname_english", "sname_english_ast", "sname_english_exp",
  "sname_english_opt", "sname_list_c", "sname_list_english",
  "typedef_sname_c", "address_exp", "array_exp", "as_exp",
  "as_into_to_exp", "as_or_to_opt", "auto_TYPE_exp", "binding_exp",
  "bits_opt", "bytes_opt", "cast_exp", "char_exp",
  "class_struct_union_btid_exp", "colon_exp", "comma_exp",
  "conversion_exp", "c_operator", "default_exp", "defined_exp",
  "dependency_exp", "destructor_sname", "empty_str_lit_exp", "equals_exp",
  "extern_linkage_c_stid", "extern_linkage_c_stid_opt", "glob", "glob_opt",
  "gt_exp", "inline_stid_opt", "int_exp", "lbracket_exp", "literal_exp",
  "local_exp", "lparen_exp", "lt_exp", "member_or_non_member_opt",
  "namespace_btid_exp", "namespace_type", "of_exp", "of_scope_english",
  "of_scope_list_english", "of_scope_list_english_opt", "operator_exp",
  "operator_opt", "point_exp", "precision_opt", "rbrace_exp",
  "rbracket_exp", "ref_qualifier_c_stid_opt", "reference_exp", "returning",
  "returning_exp", "rparen_exp", "scope_english_type",
  "scope_english_type_exp", "semi_exp", "semi_opt", "semi_or_end",
  "static_stid_opt", "str_lit", "str_lit_exp", "this_exp", "this_stid_opt",
  "to_exp", "type_opt", "typename_flag_opt", "uint_lit", "uint_lit_exp",
  "uint_lit_opt", "unused_exp", "user_defined", "virtual_stid_exp",
  "virtual_stid_opt", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-1275)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-1116)

#define yytable_value_is_error(Yyn) \
  0

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
   -1275,  1100, -1275, -1275,   443,  3154,    66,   612, -1275, -1275,
     612,  -125,   389,    81,   612, -1275,   -39, -1275,   973,   612,
       5,   209, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275, -1275,   -22,    66,   -22,   -22,   -22,   -22,
    1697,   -22,   -41,   -22, -1275,   -22,   -22,   -22,   -22,   -22,
   -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275, -1275, -1275, -1275, -1275,   235, -1275,   397,
   -1275,   801,   416, -1275, -1275, -1275, -1275,   142,   158, -1275,
   -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275, -1275, -1275, -1275, -1275,   418,   437, -1275,
    4666, -1275,   139, -1275, -1275, -1275,   278, -1275, -1275, -1275,
   -1275,   451,  -125, -1275, -1275,   528, -1275, -1275, -1275,    33,
     517, -1275,  5048, -1275, -1275, -1275, -1275,    88, -1275, -1275,
   -1275, -1275, -1275, -1275, -1275,    88, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275,    74,
      85, -1275,   801, -1275, -1275, -1275, -1275, -1275,  5683,   560,
     843, -1275, -1275, -1275,  -128, -1275, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275,   156, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275, -1275,   518, -1275, -1275, -1275,   156, -1275, -1275, -1275,
   -1275, -1275, -1275,   484, -1275,   496, -1275, -1275,   156, -1275,
   -1275,   519, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275,   523,
   -1275, -1275, -1275, -1275, -1275,    64,   534, -1275, -1275,   132,
   -1275, -1275,   156, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275,   538, -1275, -1275, -1275,  5846, -1275, -1275,
   -1275,  6056, -1275, -1275, -1275, -1275, -1275, -1275, -1275,   156,
   -1275, -1275, -1275,   230,   230, -1275, -1275, -1275, -1275, -1275,
   -1275, -1275,   341, -1275,   363, -1275,   606,   526,   397,   504,
     548,   537,   620, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275,    93,    93,    95,   545, -1275,   235, -1275,   541, -1275,
   -1275, -1275, -1275,  4257,   443, -1275, -1275, -1275, -1275, -1275,
   -1275,   158,   158,   630,   -27,   201,    96, -1275, -1275, -1275,
   -1275, -1275, -1275, -1275, -1275, -1275, -1275,    56, -1275, -1275,
   -1275, -1275, -1275, -1275, -1275,   137, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275, -1275,   729, -1275, -1275, -1275,    66,  4257,
     235,  4257,    39, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275,   535,    80, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275,  1345, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275,  5187,
   -1275, -1275, -1275, -1275, -1275,  5846, -1275, -1275,   634, -1275,
   -1275, -1275, -1275, -1275,   230, -1275,   106, -1275, -1275,   470,
    4257, -1275, -1275,   142, -1275, -1275,   492,   111, -1275, -1275,
   -1275,   680,   141, -1275, -1275,   994,   323,   994, -1275, -1275,
     511, -1275, -1275, -1275,    47,  5846, -1275,  5846,   114, -1275,
      58,    49, -1275,   156,   156, -1275, -1275, -1275, -1275, -1275,
   -1275, -1275,  5846,   -39,  3778,  1226,  1226,  2371, -1275, -1275,
   -1275,  6056,  3947,   275,    68, -1275,    68, -1275, -1275,   443,
   -1275,  5846, -1275,   156, -1275, -1275,   156,    74, -1275, -1275,
     542, -1275, -1275, -1275, -1275,   749,   761, -1275, -1275, -1275,
   -1275, -1275, -1275,    93, -1275, -1275, -1275,   630,   348, -1275,
      96,   172, -1275, -1275, -1275,  -128, -1275, -1275, -1275, -1275,
   -1275, -1275,    97, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275,    10,
   -1275, -1275,   520, -1275, -1275, -1275, -1275,  4801,  4555, -1275,
   -1275, -1275, -1275, -1275, -1275,   488, -1275,   474, -1275, -1275,
   -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275,    57,
     135,   232,   771, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275,   567, -1275, -1275,   407,   278, -1275, -1275,
   -1275,    80, -1275, -1275, -1275, -1275, -1275,  5298, -1275,   783,
    5437,   730,  5548, -1275, -1275, -1275, -1275, -1275,  5187, -1275,
   -1275,    73,  4937,   129, -1275, -1275, -1275, -1275, -1275,   405,
   -1275, -1275, -1275, -1275,   534, -1275, -1275,   560,   323, -1275,
   -1275, -1275, -1275, -1275, -1275,   142, -1275, -1275, -1275, -1275,
   -1275,   142,   637, -1275, -1275,   162,   792, -1275,   158,   158,
     156,    82,   265, -1275, -1275,   805, -1275,   142,   778, -1275,
     843, -1275,   107, -1275, -1275, -1275, -1275, -1275, -1275,   755,
   -1275, -1275,   555, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275, -1275,   843, -1275, -1275, -1275,   599,   422,
     828,   588,   684,    36,   341, -1275, -1275,   755, -1275, -1275,
     605,   542,   622, -1275,   627, -1275, -1275,   265,   182,   156,
    1061, -1275,   628,   103,   337,   598, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275,   862, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275,   122,   771,   846,   146,   210,   186,   178,   884,   771,
   -1275, -1275, -1275, -1275, -1275, -1275,   742, -1275, -1275, -1275,
   -1275, -1275,   146, -1275, -1275,  4410,  4291, -1275, -1275,  4257,
   -1275, -1275,   156, -1275, -1275, -1275, -1275,   232,   232, -1275,
     100,   153,   852,   120, -1275, -1275,  4101,   126, -1275, -1275,
   -1275,   714,   128,   114, -1275, -1275, -1275,  1983, -1275,  4555,
   -1275,  5298,   858,  5298, -1275, -1275,  5187, -1275,   730,  5437,
   -1275, -1275,  1226, -1275, -1275, -1275,   859,   148, -1275, -1275,
   -1275, -1275, -1275, -1275, -1275, -1275, -1275,  4937, -1275, -1275,
   -1275,  5846,   830,   632, -1275, -1275, -1275,   502, -1275,   534,
   -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
     265, -1275, -1275, -1275,   405, -1275,    88,   813, -1275, -1275,
     632, -1275, -1275, -1275,    87, -1275,   868, -1275,   876,   101,
   -1275, -1275, -1275,   877,   149, -1275, -1275,  5846,   405,  5846,
   -1275,   405, -1275, -1275,  1226, -1275, -1275,    24, -1275,   875,
     591,   341,   265,  1226,  1226, -1275,   114, -1275, -1275,   555,
     766, -1275,   861,  1480, -1275, -1275,   341,   405, -1275, -1275,
   -1275,   491,   877, -1275,   877,   182, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275, -1275, -1275,  5995, -1275,   703,   623, -1275,
   -1275, -1275, -1275, -1275,    88, -1275, -1275,    88, -1275, -1275,
   -1275, -1275, -1275, -1275,   477, -1275, -1275,   182, -1275, -1275,
   -1275,  2276, -1275, -1275,   226, -1275, -1275, -1275, -1275,   481,
     126, -1275, -1275,   915,  4257,   901,   118,   143,   130,   650,
     904, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275,    66,   147, -1275, -1275, -1275,    93,    93,
   -1275, -1275, -1275, -1275,   112, -1275, -1275, -1275, -1275, -1275,
   -1275,  4101,   885,   886,   116, -1275, -1275,    88, -1275, -1275,
     232, -1275,   887,   166, -1275, -1275, -1275, -1275,  2569, -1275,
     235, -1275, -1275, -1275,   834, -1275, -1275,   936,   827,   890,
   -1275, -1275, -1275,  5437,  5548,   832, -1275, -1275, -1275,   105,
   -1275, -1275, -1275,   405, -1275,   405,   405,   405, -1275,   632,
     265,  4733,   877,   502,   125, -1275, -1275, -1275, -1275,   893,
   -1275,   893, -1275, -1275,   891,   544, -1275,   397,   397,   557,
     896,   489, -1275,   140, -1275, -1275, -1275, -1275,   -52,  3452,
   -1275,   152, -1275,   502,   843,   142, -1275, -1275, -1275,   895,
     843,   158,   897,  1205, -1275,   158, -1275,   877, -1275, -1275,
    1226, -1275, -1275,   534,    88, -1275,   502, -1275, -1275, -1275,
     156, -1275, -1275, -1275, -1275, -1275,   -52, -1275,   -52,   877,
   -1275,   703, -1275,   703, -1275, -1275, -1275,   681,    55,    55,
   -1275, -1275, -1275, -1275,  4257,   916, -1275,   477, -1275, -1275,
   -1275,   686, -1275,   771, -1275, -1275,   118, -1275, -1275, -1275,
   -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
     722, -1275, -1275, -1275,   947, -1275, -1275,   114,   114,   834,
     923, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275,  2862,
   -1275, -1275,   113, -1275, -1275, -1275, -1275, -1275, -1275,   186,
     742, -1275,  2078, -1275,   405,   843,   502,   930,   930,   930,
     397, -1275,   877,  5846, -1275, -1275, -1275, -1275, -1275, -1275,
      47, -1275, -1275,   158,   450,   632, -1275,   142,   108,   140,
   -1275, -1275, -1275, -1275, -1275,   940,   585, -1275,   156,   937,
     907, -1275, -1275, -1275,   405, -1275, -1275,   156, -1275,  1226,
   -1275, -1275,   374, -1275,   158, -1275, -1275,   497, -1275,   551,
   -1275,   275,   265,   156, -1275,   491,   491,   491,   877,   341,
   -1275,   341,   -52, -1275, -1275,    70, -1275, -1275, -1275, -1275,
   -1275, -1275,   472, -1275,   477,   126, -1275,   147,   873, -1275,
     834,   142, -1275,   126, -1275, -1275, -1275, -1275, -1275,  4257,
   -1275,    91, -1275, -1275, -1275,   930,   405, -1275,   -52, -1275,
     142, -1275, -1275,   397, -1275, -1275,   587, -1275,   140,  3289,
     223,   131, -1275,   930,   109,   142,   158,   158, -1275,   158,
     158,   -52,   877,  3615, -1275, -1275, -1275,   -52, -1275,   629,
   -1275,   341, -1275, -1275, -1275, -1275, -1275,    66,  4257, -1275,
   -1275, -1275,   703, -1275, -1275, -1275, -1275, -1275, -1275,   771,
     502,    22,   405, -1275,   590, -1275, -1275,   608, -1275, -1275,
   -1275, -1275,   142, -1275, -1275, -1275, -1275, -1275,   397,   142,
     156, -1275, -1275, -1275, -1275,    22,   551, -1275,   950,   648,
     907, -1275, -1275, -1275, -1275, -1275,   907,  4257, -1275, -1275,
   -1275,  4432,  1167,   126,   534,  5846, -1275,   341,   930, -1275,
   -1275, -1275,   265,   907,   -52,   -52, -1275, -1275, -1275,   235,
   -1275, -1275, -1275, -1275, -1275,   265, -1275,   956, -1275,    22,
      22,   877,   405,   341,   907, -1275, -1275, -1275, -1275, -1275
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       2,     0,     1,    19,   914,     0,     0,     0,   196,   242,
       0,   244,     0,     0,     0,   588,  1101,   590,     0,     0,
     585,     0,   587,   281,   282,  1044,   283,   284,   341,   354,
    1085,  1086,   197,     3,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    12,     0,     0,     0,     0,     0,
      26,   243,   295,   296,   297,   273,   274,   275,   353,   301,
     589,   298,   303,    18,   902,   889,   890,  1051,   922,   883,
     915,     0,   884,    32,   985,   973,   977,     0,     0,   981,
     979,   966,   970,   962,  1004,   982,   980,   983,   964,   976,
     972,   987,   994,   990,   986,   993,   989,   996,   992,   963,
     999,  1001,   967,  1002,   997,   991,   965,   968,   971,   974,
     978,   984,   988,   995,  1000,  1003,   975,   960,   958,   957,
     605,   919,     0,    28,   913,   912,     0,   946,   945,    23,
      24,   249,   245,   247,   258,   270,   268,   269,   257,  1021,
     264,    83,    84,    25,  1102,   344,   219,     0,   207,   210,
     212,   213,   214,   215,   216,     0,   217,   208,   209,   211,
     218,   205,   206,    22,   567,   586,  1043,  1042,  1045,     0,
       0,     4,     0,     5,     6,     7,     8,   195,     0,   328,
     591,   613,   540,   548,   620,   547,   546,   518,   523,   519,
     628,   629,   521,     0,   603,   520,   536,   604,   545,   538,
     516,   517,   624,   607,   292,   596,     0,   633,   630,   539,
     618,   623,   625,     0,   190,   632,   542,   543,     0,   559,
     560,     0,   537,   293,   616,   544,   622,   627,   631,   605,
     634,   541,   615,   617,   619,   549,   550,   522,   599,   600,
     602,   666,   608,   614,   688,     0,   902,   178,   179,     0,
     181,   285,     0,   182,   186,   189,   180,   192,   184,   183,
     185,   187,   188,   452,   453,   352,   342,   505,   511,   512,
     507,   508,   526,   527,   534,   528,   529,   530,   531,     0,
     605,   561,   562,   635,   635,   513,   597,   598,   514,   626,
     515,   639,   660,   665,   661,   687,   554,     0,   194,   621,
       0,     0,     0,     9,    10,    11,    13,    14,    15,    16,
      17,     0,     0,     0,     0,  1050,  1052,   910,     0,   932,
     929,   930,   931,   736,     0,  1075,  1074,   969,  1064,  1063,
     998,     0,     0,     0,     0,    42,     0,    77,    72,   751,
      68,    71,    73,    78,    79,   755,   756,     0,   744,    66,
      70,    75,    76,   745,   747,     0,   749,   752,    65,    67,
      69,   754,    61,    63,     0,    62,   928,   927,     0,   736,
    1051,   736,     0,   248,   246,   271,   272,   267,   256,  1020,
    1022,   264,     0,   259,   260,   261,   265,   252,   147,   167,
     162,     0,    88,   137,   138,   129,   160,   125,   126,   122,
     143,   148,   161,   130,   124,   128,   127,   157,   153,   156,
     133,   135,   155,   152,   150,   151,   139,   141,   144,   165,
     134,   163,   145,   169,   166,   159,   168,   158,   154,   146,
     164,   177,   123,   113,   149,   131,   132,   140,   142,   110,
     117,   118,   111,   114,   119,   120,   121,   136,    82,    89,
     176,   112,   115,   116,    87,     0,   893,   892,   221,   241,
     882,   879,   880,   881,   635,   203,     0,   895,   198,   200,
     736,   624,   632,     0,   276,   621,   332,     0,   334,   336,
     335,     0,     0,   331,   455,   592,   658,     0,  1089,  1090,
    1016,   789,  1036,  1035,     0,     0,   899,     0,     0,   637,
    1065,     0,   601,     0,     0,   937,   936,   551,   443,   402,
    1038,  1037,     0,  1101,     0,   898,   898,   357,   510,   506,
     524,   509,     0,   525,     0,   636,     0,   664,   686,     0,
     553,     0,   193,     0,  1011,  1012,     0,     0,   886,   885,
     568,   299,   308,   312,   304,   306,   307,   316,  1080,  1078,
    1076,  1077,  1079,     0,  1049,   900,   901,     0,     0,   775,
       0,     0,  1110,   757,   763,   767,   777,   783,   820,   771,
     792,   780,     0,   764,   765,   770,   772,   778,   782,   784,
     761,   769,   774,   776,   781,   760,   762,   766,   795,   796,
     798,   758,  1051,   793,   794,    20,   694,   823,   737,   739,
     740,   741,   742,   695,   696,     0,   819,     0,   921,   920,
     961,   959,   786,   787,   788,    64,   750,    74,   748,     0,
       0,    48,   719,  1113,  1112,    80,  1010,  1009,   743,  1109,
    1108,   746,   606,     0,   918,    27,    33,     0,    81,   251,
     250,     0,   254,   263,   262,   253,   101,   170,   103,     0,
      97,    96,   105,   107,   108,    94,    93,    85,    90,    92,
     345,     0,   230,     0,   202,   201,   894,    21,   278,   467,
     333,  1094,  1093,   337,   441,   954,   953,     0,   658,   595,
     659,   594,  1017,  1092,  1091,     0,   532,   191,  1105,  1103,
    1104,     0,   640,  1066,  1067,     0,     0,   609,     0,     0,
       0,     0,  1095,   279,   286,     0,   289,     0,   445,   461,
     591,   462,     0,   713,   714,   715,   716,   717,   718,   451,
     360,   361,   364,   376,   371,   372,   373,   374,   375,   365,
     448,   366,   456,   367,   591,   378,   379,   380,   904,   898,
       0,   554,     0,   904,   662,   454,   343,   358,   558,   556,
     885,   568,     0,   563,     0,   555,   464,  1095,     0,     0,
       0,   302,   319,     0,     0,     0,  1048,   759,   773,   785,
    1008,  1007,  1111,   790,  1034,  1033,   779,   800,   797,   799,
     911,   699,   719,   708,     0,   729,     0,     0,   703,   719,
     827,   801,   802,   803,   804,   805,  1039,   712,   711,   735,
     806,   807,     0,   808,   809,     0,   824,   826,   738,   736,
    1032,  1031,     0,   924,   923,   753,    47,    48,    48,    43,
      56,    56,     0,     0,    51,    55,   736,   731,   720,   956,
     955,  1055,   933,     0,    40,    41,    34,     0,    35,   736,
     255,   170,     0,   171,   173,   174,    89,   102,    98,   100,
     106,    91,   898,   229,   228,   227,     0,     0,   226,   235,
     236,   237,   238,   239,   240,   234,   220,   231,   233,  1015,
    1014,     0,   485,   479,   487,   489,   491,     0,   468,   469,
     477,   473,   474,   475,   476,   470,   471,   472,   478,    60,
    1095,   330,   593,   294,   467,   535,     0,     0,  1030,  1029,
       0,   612,   611,   610,     0,   673,   674,   693,     0,     0,
     438,  1096,   891,     0,     0,   434,   437,     0,   467,     0,
     291,   467,   288,   394,   898,   450,   382,   904,   381,     0,
       0,   662,  1095,   898,   898,   459,     0,   463,   368,     0,
     369,   370,     0,     0,   903,   377,   663,   467,   565,   566,
     564,   493,     0,   398,     0,     0,   570,   578,   579,   581,
     580,   582,   583,   584,   569,   571,   577,   574,     0,   300,
     320,   318,   305,   317,     0,   309,   310,     0,   314,   313,
     791,   768,   702,   701,     0,   700,   706,     0,   707,  1098,
    1097,     0,  1069,  1068,   730,   939,   938,   816,   704,     0,
     731,  1040,  1041,     0,   736,   865,     0,     0,     0,  1106,
    1059,   848,   847,   836,   845,   838,   839,   842,   843,   857,
     837,   844,   841,     0,     0,   851,   852,   833,     0,     0,
     821,   828,   834,   835,     0,   830,   832,   829,   831,   825,
     818,   736,     0,     0,     0,    58,    52,     0,    53,    44,
       0,   725,     0,     0,  1070,  1071,    30,   732,     0,  1056,
    1051,   934,   935,    39,   940,    38,    37,   943,   728,     0,
     109,   172,    86,    99,   104,   346,   348,   349,   222,     0,
     232,   355,   482,   467,   480,   467,   467,   467,   481,   908,
    1095,   338,     0,     0,     0,   655,   652,   653,   646,   656,
     648,   656,   650,   651,     0,     0,   645,   654,   917,     0,
       0,     0,   671,   676,   672,   689,   692,   444,   412,     0,
     435,     0,   287,     0,   591,     0,   363,   362,   359,  1064,
     591,     0,     0,     0,   384,     0,   383,     0,   449,   457,
     898,   905,   605,     0,     0,  1013,     0,   499,   501,   503,
       0,   494,   495,   496,   497,   498,   412,   404,   412,     0,
     576,   574,   573,   575,   326,   321,   323,  1083,     0,     0,
     311,   315,  1047,  1046,   736,     0,   812,     0,   810,   926,
     925,   896,   705,   719,   813,   866,     0,  1028,  1027,   858,
    1058,  1057,   849,   948,   947,   846,  1107,   840,  1060,   850,
     860,   864,   863,   862,   869,   867,   856,     0,     0,   940,
       0,    46,    45,  1006,  1005,    57,    54,    50,   721,     0,
     734,   733,     0,   941,   942,    59,   944,    36,   729,     0,
    1039,   175,     0,   225,   467,   591,     0,   488,   490,   492,
     909,   277,     0,     0,   327,   442,   533,   952,   951,   641,
       0,   647,   649,     0,     0,     0,   552,     0,     0,     0,
     681,   682,   680,   683,   685,     0,     0,   679,     0,   413,
     424,   440,   439,   433,   467,  1024,  1023,     0,   290,   898,
     446,   393,     0,   386,     0,  1088,   387,     0,   385,  1065,
     460,   458,  1095,     0,   557,   493,   493,   493,     0,   662,
     406,   662,   412,   572,  1084,     0,  1082,  1081,   324,   325,
     697,   709,     0,   897,     0,   731,   859,     0,  1099,   868,
     940,     0,   853,   731,   727,   726,   724,  1073,  1072,   736,
     730,     0,   351,   350,   347,   356,   467,   486,   412,   339,
       0,   638,   644,   916,   667,   670,     0,   675,     0,     0,
       0,     0,   403,   436,     0,     0,     0,     0,   390,     0,
       0,   412,     0,     0,   500,   502,   504,   412,   399,   405,
     400,   662,  1062,  1061,   322,   950,   949,     0,   736,   710,
     861,  1100,   873,   855,   854,   817,    31,  1054,  1053,   719,
       0,   420,   467,   657,   954,   684,   678,     0,   415,   419,
     417,   418,     0,   428,   425,   426,   427,   907,   906,     0,
       0,   392,   391,   389,   388,   420,  1065,   430,     0,     0,
     424,   409,   410,   411,   407,   408,   424,   736,   698,   876,
     870,     0,   874,   731,     0,     0,   484,   423,   340,   416,
     414,   280,  1095,   424,   412,   412,   465,   396,   811,  1051,
     877,   871,   878,   875,    29,  1095,   421,     0,   401,   420,
     420,     0,   467,   662,   424,   466,   483,   422,   395,   447
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275, -1275,    -7, -1275,   -16,   214, -1275,   150, -1275, -1275,
   -1275, -1275, -1275,   900,   192, -1275,   387, -1275,  -395,   396,
    -646,  -618,  -307, -1275, -1275, -1275,   207, -1275,   206,  -383,
   -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275,   -28, -1275, -1275,   185, -1275, -1275, -1275, -1275, -1275,
     924, -1275, -1275,  -302,   417,   678, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275, -1275, -1275,  1021, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275,    98, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275, -1275, -1275, -1275, -1275,   300, -1275, -1275,
   -1275, -1275,  -146, -1275, -1275,  1024,  -456, -1275,   104, -1275,
   -1275, -1275,  -167, -1275, -1275,   119,   768, -1275, -1275, -1275,
     558,   151, -1275,  -494, -1275,   338, -1275, -1275,  -637, -1275,
   -1275, -1275,  -488, -1275, -1275,   342, -1275, -1275,  -891, -1275,
   -1275, -1275,  -682, -1275, -1274, -1275,  -596, -1275,  -728, -1173,
     -43, -1275, -1275, -1275,  -236,  -887, -1275, -1275, -1275,   343,
   -1275,  -351,   906, -1275, -1275, -1275, -1275, -1275,  -317, -1275,
   -1275,  -298, -1275,  1046, -1275, -1275,  -793, -1275, -1275, -1275,
   -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275, -1275,  -406, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
    -172, -1275,   817,  -180,  -479,   825, -1275, -1275, -1275,  -537,
   -1275, -1275, -1275,  -472, -1275,  -529, -1275, -1275, -1275, -1275,
   -1275,    20,   344, -1275,   -68,   334,  -913,   134, -1275,  1076,
       4,  -583,   174,  -157,  -309,  -212,  -276, -1275, -1275, -1275,
    -168,   -35, -1275, -1275, -1275, -1275,  -145,    14,   438,  -138,
    -906,  -691,  -281, -1275, -1275, -1275,  -850, -1275, -1275,  -140,
    -228, -1275,   833, -1275, -1275, -1275,  -299, -1275, -1275, -1275,
   -1275, -1275, -1275, -1275, -1275, -1275,   524,  -752, -1275,    89,
   -1275, -1275,    61,  -954, -1275, -1275,   295, -1275,   546,  -107,
   -1275,   595,   580, -1275, -1275, -1275, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275, -1275, -1275, -1275,   347, -1275,  -277, -1275,
   -1275, -1275, -1275, -1275,  -162, -1275, -1275, -1275, -1275, -1275,
   -1275, -1275, -1275, -1275,   621,     3,  -292,   631,    -8, -1275,
    -143, -1275, -1275,  1119,    -4,  -438,   425, -1275, -1275,   816,
    -271,   -32, -1275, -1275, -1275, -1275, -1275, -1275,   -98,   997,
   -1275, -1275, -1275, -1075, -1275,   640, -1275, -1275, -1275,  -463,
   -1275,   228, -1275, -1275, -1275, -1275, -1275, -1275,  1132, -1275,
   -1275, -1275, -1275, -1275,   -12, -1275, -1275, -1275,  -179, -1275,
     -55, -1275,   863, -1057,   860, -1275,   -49, -1275, -1275, -1275,
   -1275, -1275,  -316, -1154,   -44,   -42, -1275,  -407, -1275, -1275,
      17, -1275,   969, -1275,  -149,  -882, -1275, -1275,   386, -1275,
     676,  -450,  -784, -1275, -1275,   826,   633, -1275
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,     1,    33,    34,    35,    36,   370,   635,   836,   837,
     622,   819,   822,   823,   824,  1046,   838,   120,   362,   363,
      37,    38,   448,   656,   657,   658,   659,   649,   650,   651,
     652,   653,   450,   451,   452,   453,   842,   843,   844,   454,
      39,   497,    40,    41,   170,   468,    42,   161,   662,   856,
     857,   858,   866,   867,   868,   162,    43,    44,    45,   132,
     133,   373,    46,   386,   645,   387,   139,   377,    47,    48,
      49,   247,   669,   248,   918,    50,   250,   513,   919,   251,
     921,   252,   253,    51,    52,   312,   762,    53,   311,    54,
     313,   763,   544,   545,   546,   972,   969,   970,  1167,   254,
     481,   482,   825,  1244,  1392,    55,   256,   517,    56,   455,
     852,  1075,  1076,  1334,   257,    57,    58,   169,  1234,   746,
     719,   720,  1128,   721,   938,   722,   723,   724,  1088,   725,
    1124,   258,   954,   259,   260,   726,   261,   702,  1156,  1300,
    1369,  1424,  1270,  1402,  1436,  1462,  1352,  1418,   913,   914,
     915,  1274,  1273,   889,   932,  1157,   727,   924,   728,   729,
     933,   874,   262,   263,   516,   264,   731,   934,   875,   733,
    1140,   876,   735,   736,   951,   737,   877,   878,   879,   880,
     881,   882,  1235,   883,   884,  1083,   885,  1085,   886,  1086,
     887,  1087,  1150,  1151,  1152,  1295,  1153,  1296,  1154,  1297,
     266,   520,   267,   268,   269,   270,   271,   272,   894,   273,
     274,   275,   276,   277,   530,   278,   947,   279,   280,   281,
     282,   283,   761,   964,  1162,  1163,   966,   967,   164,    60,
     284,   484,   485,   285,   286,   364,   287,   502,   288,   289,
     524,   290,   692,   897,  1104,  1105,  1106,  1251,   679,   291,
     945,   292,   293,   503,  1110,  1111,   907,  1114,  1265,  1266,
    1267,   294,   295,   504,   908,   909,  1051,   791,   984,   999,
     792,   793,   794,   988,   795,   796,   739,   827,   828,  1052,
    1053,  1326,   798,  1056,  1057,   596,   597,   598,   599,   600,
     601,   615,   490,   981,   602,   778,   799,   800,   801,   802,
     803,   603,   604,   804,   805,   806,   807,  1030,  1031,  1032,
    1033,  1034,  1035,  1036,  1203,  1186,  1037,  1038,  1319,  1430,
    1431,  1432,  1451,   463,   464,   740,   540,   752,    68,   916,
     458,   469,  1314,   742,   743,   888,   944,  1409,  1241,   125,
     606,   126,    71,  1109,   122,    72,   815,  1181,   369,   323,
    1063,   507,   997,  1225,  1227,   129,  1195,  1377,  1249,  1119,
     831,   123,  1215,   772,   628,   536,  1144,   871,   475,   300,
     380,   381,  1277,   301,  1189,   900,   812,   776,   494,   512,
    1003,   168,    62,  1174,   315,   316,   780,  1389,  1060,  1192,
    1199,  1374,   330,   695,   994,  1058,  1329,   327,   552,   553,
    1308,  1305,    63,  1287,   684,   685,   673,   917,   991,  1382,
     145,   690,   691,  1197,   631,   607,   625,   302
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      69,    69,    69,   172,   140,    61,   474,    67,    67,    67,
     509,   527,   459,   365,   593,   610,   611,   500,   317,   677,
     541,    59,   745,   486,   595,  1136,  1118,   495,   371,   952,
     986,    69,   296,   483,   850,   491,   298,  1000,    67,   498,
     639,   687,   487,   738,   738,   738,  1182,   594,   683,  1064,
     696,   699,  1160,   946,  1112,   632,  1306,   626,   813,  1116,
     593,  1145,   593,  1158,   707,   505,   668,   124,   523,   538,
     636,  1372,   638,   514,   853,   460,   378,   744,   744,   744,
     644,   643,   141,   905,   654,   931,   465,   518,   905,   456,
     777,   318,  1387,   594,   538,   594,   542,   623,   774,  1435,
     522,  1093,   905,   318,   971,  -883,   853,   664,   926,   905,
    1407,   383,   671,  1206,  1327,   688,   526,  1213,   790,  1187,
    1312,   675,  1044,   616,   697,  1121,  1247,   925,  1123,   698,
     869,  1193,  1403,   510,  1322,  1361,   816,   693,   629,   779,
     366,  1443,   675,   325,  1190,  1061,  -223,   989,  1201,   675,
     675,   935,  1141,  1275,  1146,  -690,   367,   492,    15,   328,
    -668,   593,  1092,   898,   730,   730,   730,   675,   694,  1054,
     296,   667,  1268,   770,  -691,  1044,  1397,  1207,   488,   995,
     131,   489,  1054,   953,  1208,  1464,  1465,   992,  1062,   144,
    1419,   632,  1191,   -49,   594,   -49,   996,  1269,   732,   732,
     732,   771,   982,  1074,  1137,  1245,   990,   817,    22,   818,
     166,  -814,  1259,  1047,   632,   326,  -329,   734,   734,   734,
     617,  -224,  -432,   961,  1399,   620,   930,  -815,   493,   618,
     511,   963,   751,   329,   753,   384,   899,   194,  1045,  -723,
     946,   993,   197,   870,   466,  1383,  1289,   619,   525,   525,
    1160,  1276,   676,   854,  1214,  -397,   849,  1378,   304,   296,
     820,   766,  1444,  1055,   845,  1188,  1194,   738,  1302,  1404,
    -814,   368,    30,   676,   928,   621,  1055,    31,   893,   366,
     676,   676,   314,   660,   895,   854,  -815,   821,   962,   593,
    1236,  1045,  1237,  1238,  1239,   367,   663,   775,   676,   627,
     922,   744,   931,   506,   241,   547,  1388,    69,    69,   385,
     556,   476,   477,   689,   539,   539,   608,   936,   550,   605,
     609,   637,   594,   686,   700,   701,   624,   790,   678,   936,
     681,   985,   814,  1027,   672,   379,   634,  1405,  -431,   644,
     703,   518,   706,   654,   640,   654,   478,  1132,   680,  1307,
     749,  1338,   689,   488,   757,   865,   489,   758,  1077,   756,
    1050,  1379,  1242,  -887,    69,   605,  1373,   605,  1340,  1385,
      64,    67,    64,    65,    66,    65,    66,   855,   461,  -199,
     738,   462,   902,   903,  -199,   142,   906,  1067,   730,   467,
     134,   906,   457,  1368,  1079,  1370,   630,    64,   968,   543,
      65,    66,    65,    66,   135,   906,  -266,  1367,  1345,   855,
     665,    64,   906,    64,   744,   689,   491,   689,  1248,  1202,
    -266,   832,   167,  1320,  1321,   689,   983,  1074,   961,   525,
    1125,  1315,  -266,  1400,   689,  1084,   963,  1260,   890,  1138,
    1139,  1335,   136,  1261,  1262,   910,  1263,   296,  1401,  1264,
     137,  1095,   738,  1073,   194,   479,   850,   738,   845,   197,
     845,   738,   738,  1122,   318,  1426,   605,  1159,   221,  1429,
    1089,  1416,   833,  1375,  1299,   810,  1301,   872,  1172,  1454,
    1135,  1353,  1179,   324,   709,   710,   744,   296,   911,   296,
     675,   744,   331,   962,   708,   744,   744,  1180,   616,  1175,
     593,   730,   710,   325,   296,   809,   296,   741,   741,   741,
    1040,   332,   241,  1155,   296,   711,   811,   593,   244,  1453,
      69,   904,    69,   296,  1173,    69,   974,   750,   593,   750,
     593,   891,   755,   594,   382,   732,   480,  -902,  1066,   839,
     680,  1279,   654,  1390,  -266,   675,   548,  1282,   383,    69,
     594,   496,   641,   486,   734,   318,   539,  1468,   328,  1196,
     865,   594,  -669,   594,  1362,   372,   383,   314,   829,   912,
     709,   710,   487,   730,  1466,   326,   930,   486,   730, -1115,
     955,   375,   730,   730,  1209,   873,   675,  -902,  1394,   376,
    1219, -1075,  1129,   499,   830,   768,   487,   501,   834,  1438,
    1147,   711,   712,   549,   618,   241,   508,   732,   946,   675,
     946,   244,   732,   127,  1134,   128,   732,   732,  -266,  -643,
    1371,   676,   619,   241,  1164,    15,   734,   508,    17,   930,
     693,   734,   329,  1041,  1148,   734,   734,  1433,   213,   476,
     477,   975,  1254,  1090,    65,    66,  1290,   835,  1258,   675,
     130,   244,  1336,  1149,   143,   529,  1391,  -922,  -677,   163,
     326,   694,   612, -1075,   613,   527,   329,   614,   738,  1467,
     515,  -591,   384,   529,   478,    22,   676,   689,  1356,  1415,
     946,  1439,   593,  -266,  1096,  1420,  1246,  1097,  -266,  1255,
     384,  -266,  1178,   138,  1098,   593,    65,    66,    15,  1081,
    1437,    17,   744,   537,  1099,  1184,   661,  1100,   927,    64,
    1101,  1102,    65,    66,  1457,   594,  1278,   676,  1280,   676,
    1103,  -429, -1075, -1026,  1437, -1026,    64,  1461,   594,    65,
      66,   296,   593, -1019,    21,   927,  1204,  1205,  1077,  1294,
     676,   531,   533,  1130,   534,  1120,   385,    64,    22,   593,
      65,    66,   296,  1094,    64,   674,   976,   978,    25,  1221,
     738,   979,  1459,  1460,   385,   594,   654,   654,  1437,  1437,
     194,   756,   946,   486,   666,   197,    15,    29,    16,    17,
     676,   203,   594,   479,   205,  1355,  1001,   977,  1002,   730,
     561,   562,   487,  1256,   744,    64,   670,   296,    65,    66,
     689,  1359,   319,  1348,    20,   605,   682,   738,   194,  1029,
    1042,  1043,    21,   197,  1095,  1283,   764,  1286,   320,  1288,
      70,   121,   605,   732,  1446,  1028,    22, -1026,   765,  1337,
    1447,  1170,  1357,   605,  1171,   760,    25,  1360,  -373,   321,
    -373,   744,   734,   826,   741,   555,   535,  1458,    65,    66,
    1344,   957,    29,  1223,   958,  1224,   846,  1155,  1155,  1155,
     959,   322,   648,   296,   480,   593,   896,   901,  1469,   927,
     238,   239,   240,   241,   242,  1310,  1126,  1421,   920,   244,
    1422,   730,  1228,  1348,  1229,   960,   923,   929,  -642,  1364,
    1365,  1366,   936,  1107,   689,  1131,  1108,   942,   594,   943,
    -888,  1406,    64,   980,  1216,    65,    66,  1292,   194,   296,
     593,   296,  1423,   197,  1384,   732,   741,   949,   987,  1165,
    1325,   741,   950,   968,   998,   741,   741,  1049,   730,  1059,
    1291,  1070,  1078,  1393,   734,   296,    64,  1341,  1082,  1395,
    1113,  1142,  1398,   594,  1147,  1147,  1147,   708,  1410,  1115,
    1117,  1183,  1185,   689,   709,   710,  1198,   296,  1211,  1226,
    1218,  1212,   732,  1231,  1232,  1250,  1253,   486,  1358,  1257,
    1281,  1298,    61,   486,   146,  1304,   678,  1284,  1148,  1148,
    1148,   734,   632,  1434,   365,   711,   487,   605,    59,  1311,
    1313,  1200,   487,  1317,  1318,  1440,  1323,  1149,  1149,  1149,
     605,  1293,  1441,   171,   930,   173,   174,   175,   176,  1350,
     303,  1222,   305,  1347,   306,   307,   308,   309,   310,    69,
     593,  1351,   194,  1445,    69,    69,    67,   197,  1381,  1463,
    1386,   539,   539,   203,  1217,  1048,   205,   605,  1072,  1091,
    1411,  1412,   449,  1413,  1414,   851,   848,  1096,  1069,  1071,
    1097,  1233,  1080,   594,   605,   712,   374,  1098,   840,   642,
    1425,   249,   956,   973,   255,  1333,  1166,  1099,   532,   593,
    1100,  1339,  1168,  1101,  1102,   747,  1272,   939,   486,  1428,
    1127,   940,   941,  1103,   473,  1240,   265,  1169,   521,  1349,
    -898,   213,   519,  1303,   965,   948,   165,   487,  1354,  1161,
       2,     3,   594,     4,  1133,     5,     6,     7,     8,  1342,
       9,    10,    11,    12,  1363,  1252,   892,    64,   593,  1346,
    1396,   797,   238,   239,   240,   241,   242,   528,  1448,  1230,
    1210,   244,   741,    13,  1068,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   808,   773,   156,   157,   158,   159,
     160,   594,   767,  1039,  1450,  1380,   527,   754,   759,   297,
    1452,   713,   714,   937,   715,   716,   717,   718,  -872,   470,
     605,  1143,   299,   194,  1316,  1331,   554,   551,   197,    64,
    1328,  -872,    65,    66,   203,  1330,  1309,   205,  1004,   704,
     633,     0,     0,   769,     0,     0,     0,   182,  1455,     0,
       0,   183,     0,     0,   185,     0,   328,     0,   186,   957,
       0,     0,   958,     0,     0,   605,     0,     0,   959,     0,
       0,     0,     0,     0,   741,     0,     0,     0,     0,     0,
       0,  1442,  -872,     0,     0,   296,     0,     0,     0,     0,
    -872,     0,     0,   960,   196,     0,   198,   199,     0,     0,
    1107,  1343,    14,    15,     0,    16,    17,     0,     0,    18,
       0,     0,   209,  1456,     0,     0,     0,     0,     0,     0,
       0,   741,  -204,   238,   239,   240,     0,   242,     0,    19,
     329,    20,     0,     0,     0,  -592,     0,     0,     0,    21,
       0,     0,   216,   217,   218,     0,   219,   220,   708,  -872,
     222,     0,     0,    22,    23,   709,   710,   225,    24,     0,
       0,     0,     0,    25,     0,   957,  1376,     0,   958,     0,
      26,    27,    28,   231,   959,   605,     0,     0,     0,    29,
       0,     0,     0,     0,     0,     0,   711,   235,   236,     0,
       0,     0,     0,     0,     0,  1427,   646,     0,     0,   960,
    1408,     0,     0,     0,     0,     0,     0,  1285,  -872,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    65,    66,
       0,     0,     0,    69,   605,     0,     0,     0,     0,     0,
      67,     0,     0,     0,   194,     0,     0,     0,     0,   197,
       0,     0,     0,     0,    30,   203,     0,     0,   205,    31,
       0,     0,     0,     0,     0,     0,   712,  -872,     0,     0,
       0,     0,   388,    32,     0,   389,   390,   647,   -95,   393,
     394,   395,   396,   605,   397,   398,   399,   296,   400,   401,
       0,   402,     0,   403,   404,   405,   406,   407,     0,   408,
       0,   409,   213,   410,   411,   412,     0,   413,     0,   414,
       0,   415,     0,   416,   417,   418,   419,     0,     0,   420,
     421,  -872,   422,   423,     0,   424,  -872,   425,     0,   426,
       0,   427,     0,   428,     0,   429,   430,   648,     0,     0,
       0,   683,     0,     0,   238,   239,   240,     0,   242,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   432,     0,   433,     0, -1087, -1087,
       0,     0,   713,   714,     0,   715,   716,   717,   718,     0,
       0,     0,     0,     0,     0,   434,     0,     0,     0,     0,
      64,     0,     0,    65,    66,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    74,     0,     0,
      75,    76,    77,     0,    78,     0,    79,    80,     0,    81,
      82,    83,     0,    84,    85,     0,    86,     0,    87,    88,
      89,    90,    91,     0,    92,     0,    93,     0,    94,    95,
      96,     0,    97,     0,    98,     0,    99,     0,   100,   101,
     102,   103,   104,     0,   105,   106,     0,   107,   108,     0,
     109,     0,   110,     0,   111,     0,   112,     0,   113,     0,
     114,   115,   116,   181,     0,     0,   182,     0,     0,     0,
     183,     0,   184,   185,     0,     0,     0,   186,   187,   188,
       0,   189,   190,    15,     0,   191,    17,   192,   435,   436,
     437,   438,   439,     0,     0,     0,   440,     0,   441,   442,
       0,   443,     0,     0,     0,   444,   445,   446,   447,   194,
       0,    20,   195,   196,   197,   198,   199,   200,   201,   471,
     203,     0,     0,   205,   206,     0,   207,     0,   208,     0,
       0,   209,     0,    22,     0,     0,   117,     0,     0,   210,
       0,   211,   212,     0,   118,     0,     0,     0,   177,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     472,   216,   217,   218,     0,   219,   220,     0,   221,   222,
       0,     0,     0,     0,     0,   224,   225,     0,   226,     0,
       0,   227,     0,   228,     0,   229,     0,     0,     0,     0,
       0,   230,   231,     0,   232,   233,   119,     0,     0,   234,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,     0,     0,   244,   178,
       0,   179,     0,     0,     0,     0,     0,   180,   245,     0,
   -1114,     0,     0,     0,     0,     0,   488,    65,    66,   489,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     181,     0,     0,   182,     0,     0,     0,   183,     0,   184,
     185,     0,     0,     0,   186,   187,   188,     0,   189,   190,
      15,     0,   191,    17,   192,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   193,   194,     0,    20,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,     0,
     205,   206,     0,   207,     0,   208,     0,     0,   209,     0,
      22,    23, -1025,     0, -1025,    24,   210,     0,   211,   212,
       0,     0,  -898,   213,     0,     0,     0,    26,    27,    28,
       0,     0,     0,     0,     0,   214, -1018,   215,   216,   217,
     218,     0,   219,   220,     0,   221,   222,   223,     0,     0,
       0,     0,   224,   225,     0,   226,     0,     0,   227,     0,
     228,     0,   229,     0,     0,     0,     0,     0,   230,   231,
       0,   232,   233,     0,     0,     0,   234,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,     0,  1065,   244,     0,   557,     0,     0,
       0,     0,   558,     0,     0,   245,     0,     0,     0,  -736,
       0,   246,  -736,  -736,    65,    66, -1025,     0,     0,  -736,
       0,     0,     0,  -736,     0,     0,     0,     0,  -736,  -736,
       0,     0,     0,     0,     0,     0,     0,  -736,   559,  -736,
       0,     0,     0,  -736,     0,     0,     0,   560,  -736,     0,
    -736,     0,  -736,     0,   561,   562,  -736,  -736,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1332,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   563,     0,     0,  -736,
       0,   564,     0,  -736,     0,   565,  -736,     0,     0,     0,
    -736,  -736,  -736,     0,  -736,   566,  -736,     0,   567,  -736,
    -736,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     708,     0,     0,     0,     0,     0,     0,   709,   710,     0,
       0,     0,   194,   568,  -736,  -736,  -736,   197,  -736,  -736,
    -736,  -736,   569,   203,     0,     0,   570,     0,     0,   339,
       0,   571,   572,     0,  -736,     0,  -736,     0,   711,   573,
       0,     0,   574,     0,   575,   576,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   577,   578,     0,     0,
       0,     0,     0,   579,  -736,  -736,  -736,   345,     0,     0,
     346,     0,  -736,     0,     0,   347,     0,   348,   580,  -736,
       0,   581,   582,     0,   583,     0,   584,   353,     0,     0,
     354,   355,     0,   356,   357,  -736,  -736,   585,   586,     0,
       0,     0,   587,   361,  -736,     0,     0,     0,   712,  -736,
    -736,  -736,   588,   589,   590,     0,   242,   591,  -736,  -736,
    -736,     0,  -736,  -736,  -736,  -736,     0,  1176,     0,     0,
     557,     0,     0,     0,     0,   558,   689,   592,     0,     0,
    -736,  -736,  -736,  -898,   213,  -736,  -736,     0,     0,     0,
       0,     0,  -736,     0,     0,     0,  -736,     0,     0,     0,
       0,  -736,  -736,     0,     0,     0,     0,     0,     0,     0,
    1177,   559,  -736,     0,     0,     0,  -736,     0,     0,     0,
     560,  -736,     0,  -736,     0,  -736,     0,   561,   562,  -736,
    -736,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   713,   714,     0,   715,   716,   717,
     718,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    64,     0,     0,    65,    66,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   563,
       0,     0,  -736,     0,   564,     0,  -736,     0,   565,  -736,
       0,     0,     0,  -736,  -736,  -736,     0,  -736,   566,  -736,
       0,   567,  -736,  -736,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   708,     0,     0,     0,     0,     0,     0,
     709,   710,     0,     0,     0,   194,   568,  -736,  -736,  -736,
     197,  -736,  -736,  -736,  -736,   569,   203,     0,     0,   570,
       0,     0,   339,     0,   571,   572,     0,  -736,     0,  -736,
       0,   711,   573,     0,     0,   574,     0,   575,   576,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   577,
     578,     0,     0,     0,     0,     0,   579,  -736,  -736,  -736,
     345,     0,     0,   346,     0,  -736,     0,     0,   347,     0,
     348,   580,  -736,     0,   581,   582,     0,   583,     0,   584,
     353,     0,     0,   354,   355,     0,   356,   357,  -736,  -736,
     585,   586,     0,     0,     0,   587,   361,  -736,     0,     0,
       0,   712,  -736,  -736,  -736,   588,   589,   590,     0,   242,
     591,  -736,  -736,  -736,     0,  -736,  -736,  -736,  -736,     0,
    1220,     0,     0,   557,     0,     0,     0,     0,   558,     0,
     592,     0,     0,  -736,  -736,  -736,  -898,   213,  -736,  -736,
       0,     0,     0,     0,     0,  -736,     0,     0,     0,  -736,
       0,     0,     0,     0,  -736,  -736,     0,     0,     0,     0,
       0,     0,     0,  -736,   559,  -736,     0,     0,     0,  -736,
       0,     0,     0,   560,  -736,     0,  -736,     0,  -736,     0,
     561,   562,  -736,  -736,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   713,   714,     0,
     715,   716,   717,   718,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    64,     0,     0,    65,    66,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   563,     0,     0,  -736,     0,   564,     0,  -736,
       0,   565,  -736,     0,     0,     0,  -736,  -736,  -736,     0,
    -736,   566,  -736,     0,   567,  -736,  -736,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   194,   568,
    -736,  -736,  -736,   197,  -736,  -736,  -736,  -736,   569,   203,
       0,     0,   570,     0,     0,   339,     0,   571,   572,     0,
    -736,     0,  -736,     0,     0,   573,     0,     0,   574,     0,
     575,   576,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   577,   578,     0,     0,     0,     0,     0,   579,
    -736,  -736,  -736,   345,     0,     0,   346,     0,  -736,     0,
       0,   347,     0,   348,   580,  -736,     0,   581,   582,     0,
     583,     0,   584,   353,     0,     0,   354,   355,     0,   356,
     357,  -736,  -736,   585,   586,     0,     0,     0,   587,   361,
    -736,     0,     0,     0,     0,  -736,  -736,  -736,   588,   589,
     590,     0,   242,   591,  -736,  -736,  -736,     0,  -736,  -736,
    -736,  -736,     0,  1324,     0,     0,   557,     0,     0,     0,
       0,   558,     0,   592,     0,     0,  -736,  -736,  -736,     0,
       0,  -736,  -736,     0,     0,     0,     0,     0,  -736,     0,
       0,     0,  -736,     0,     0,     0,     0,  -736,  -736,     0,
       0,     0,     0,     0,     0,     0,  -736,   559,  -736,     0,
       0,     0,  -736,     0,     0,     0,   560,  -736,     0,  -736,
       0,  -736,     0,   561,   562,  -736,  -736,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   563,     0,     0,  -736,     0,
     564,     0,  -736,     0,   565,  -736,     0,     0,     0,  -736,
    -736,  -736,     0,  -736,   566,  -736,     0,   567,  -736,  -736,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   194,   568,  -736,  -736,  -736,   197,  -736,  -736,  -736,
    -736,   569,   203,     0,     0,   570,     0,     0,   339,     0,
     571,   572,     0,  -736,     0,  -736,     0,     0,   573,     0,
       0,   574,     0,   575,   576,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   577,   578,     0,     0,     0,
       0,     0,   579,  -736,  -736,  -736,   345,     0,     0,   346,
       0,  -736,     0,     0,   347,     0,   348,   580,  -736,     0,
     581,   582,     0,   583,     0,   584,   353,     0,     0,   354,
     355,     0,   356,   357,  -736,  -736,   585,   586,     0,     0,
       0,   587,   361,  -736,     0,     0,     0,     0,  -736,  -736,
    -736,   588,   589,   590,     0,   242,   591,  -736,  -736,  -736,
       0,  -736,  -736,  -736,  -736,    73,     0,     0,   -60,     0,
       0,     0,     0,   -60,     0,     0,   592,     0,     0,  -736,
    -736,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   -60,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   -60,     0,
       0,     0,     0,     0,     0,   -60,   -60,     0,     0,     0,
       0,    74,     0,     0,    75,    76,    77,     0,    78,     0,
      79,    80,     0,    81,    82,    83,     0,    84,    85,     0,
      86,     0,    87,    88,    89,    90,    91,     0,    92,     0,
      93,     0,    94,    95,    96,     0,    97,     0,    98,     0,
      99,     0,   100,   101,   102,   103,   104,     0,   105,   106,
       0,   107,   108,     0,   109,     0,   110,     0,   111,     0,
     112,     0,   113,     0,   114,   115,   116,     0,     0,     0,
     325,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   -60,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   -60,     0,     0,     0,     0,   -60,     0,
       0,     0,     0,   -60,     0,     0,     0,     0,     0,     0,
     -60,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     117,     0,   326,   -60,     0,   -60,   -60,     0,   118,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   -60,     0,
       0,     0,     0,     0,   -60,     0,     0,     0,   -60,     0,
       0,   -60,     0,     0,     0,     0,   -60,     0,   -60,   -60,
       0,     0,   -60,   -60,     0,   -60,     0,     0,   -60,     0,
       0,   -60,   -60,     0,   -60,   -60,     0,     0,   -60,   -60,
     119,     0, -1095,   -60,   -60, -1095,     0,     0,     0, -1095,
       0, -1095, -1095,     0,     0,     0, -1095, -1095, -1095,     0,
   -1095, -1095, -1095,     0, -1095, -1095, -1095,     0,     0,     0,
       0,     0,     0,  1271,     0,     0,     0,     0,    64,     0,
       0,    65,    66,     0,     0,     0,     0,     0, -1095,   910,
   -1095, -1095, -1095, -1095, -1095, -1095, -1095, -1095, -1095, -1095,
       0,     0, -1095, -1095,     0, -1095,     0, -1095,     0,     0,
   -1095,     0, -1095,     0,     0,     0,     0,     0, -1095,     0,
   -1095, -1095,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   911,     0,     0,     0,     0,     0,     0, -1095,
   -1095, -1095, -1095,     0, -1095, -1095,     0, -1095, -1095,     0,
       0,     0,     0,     0, -1095, -1095,     0, -1095,     0,     0,
   -1095,     0, -1095,     0, -1095,     0,     0,     0,     0,     0,
   -1095, -1095,     0, -1095, -1095,     0,     0,     0, -1095,     0,
       0,     0,     0,     0,     0, -1095, -1095, -1095, -1095, -1095,
   -1095, -1095, -1095, -1095,     0,     0,     0, -1095,     0,     0,
       0,     0,     0,     0,     0, -1095,     0, -1095, -1095,     0,
       0,     0, -1095,   912, -1095, -1095, -1095, -1095,     0, -1095,
   -1095, -1095,     0, -1095, -1095, -1095,     0, -1095, -1095, -1095,
       0,     0,     0,     0,     0,     0,  1417,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -1095,   910, -1095, -1095, -1095, -1095, -1095, -1095, -1095,
   -1095, -1095, -1095,     0,     0, -1095, -1095,     0, -1095,     0,
   -1095,     0,     0, -1095,     0, -1095,     0,     0,     0,     0,
       0, -1095,     0, -1095, -1095,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   911,     0,     0,     0,     0,
       0,     0, -1095, -1095, -1095, -1095,     0, -1095, -1095,     0,
   -1095, -1095,     0,     0,     0,     0,     0, -1095, -1095,     0,
   -1095,     0,     0, -1095,     0, -1095,     0, -1095,     0,     0,
       0,     0,     0, -1095, -1095,     0, -1095, -1095,     0,     0,
       0, -1095,     0,     0,     0,     0,     0,     0, -1095, -1095,
   -1095, -1095, -1095, -1095, -1095, -1095, -1095,     0,     0,     0,
   -1095,     0,     0,     0,     0,     0,     0,     0, -1095,     0,
   -1095, -1095,     0,     0,     0, -1095,   912, -1095, -1095, -1095,
   -1095,     0, -1095, -1095, -1095,     0, -1095, -1095, -1095,     0,
   -1095, -1095, -1095,     0,     0,     0,     0,     0,     0,   705,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -1095,   910, -1095, -1095, -1095, -1095,
   -1095, -1095, -1095, -1095, -1095, -1095,     0,     0, -1095, -1095,
       0, -1095,     0, -1095,     0,     0, -1095,     0, -1095,     0,
       0,     0,     0,     0, -1095,     0, -1095, -1095,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   911,     0,
       0,     0,     0,     0,     0, -1095, -1095, -1095, -1095,     0,
   -1095, -1095,     0, -1095, -1095,     0,     0,     0,     0,     0,
   -1095, -1095,     0, -1095,     0,     0, -1095,     0, -1095,     0,
   -1095,     0,     0,     0,     0,     0, -1095, -1095,     0, -1095,
   -1095,     0,     0,     0, -1095,     0,     0,     0,     0,     0,
       0, -1095, -1095, -1095, -1095, -1095, -1095, -1095, -1095, -1095,
       0,     0,     0, -1095,     0,     0,     0,     0,     0,     0,
       0,   181,     0, -1095,   182,     0,     0,     0,   183,   912,
     184,   185, -1095, -1095,     0,   186,   187,   188,     0,   189,
     190,    15,     0,   191,    17,   192,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   748,     0,
       0,     0,     0,     0,     0,     0,     0,   194,     0,    20,
     195,   196,   197,   198,   199,   200,   201,   471,   203,     0,
       0,   205,   206,     0,   207,     0,   208,     0,     0,   209,
       0,    22,     0,     0,     0,     0,     0,   210,     0,   211,
     212,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   472,   216,
     217,   218,     0,   219,   220,     0,   221,   222,     0,     0,
       0,     0,     0,   224,   225,     0,   226,     0,     0,   227,
       0,   228,     0,   229,     0,     0,     0,     0,     0,   230,
     231,     0,   232,   233,     0,     0,     0,   234,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,     0,     0,   244,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   245,     0,     0,     0,
     181,   689,     0,   182,     0,    65,    66,   183,     0,   184,
     185,     0,     0,     0,   186,   187,   188,     0,   189,   190,
      15,     0,   191,    17,   192,   557,     0,     0,     0,     0,
     558,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   194,     0,    20,   195,
     196,   197,   198,   199,   200,   201,   471,   203,     0,     0,
     205,   206,     0,   207,     0,   208,   559,     0,   209,     0,
      22,     0,     0,     0,     0,   560,   210,     0,   211,   212,
       0,     0,   561,   562,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  -722,     0,     0,   472,   216,   217,
     218,     0,   219,   220,     0,   221,   222,     0,     0,     0,
       0,     0,   224,   225,     0,   226,     0,     0,   227,     0,
     228,     0,   229,     0,     0,     0,     0,     0,   230,   231,
       0,   232,   233,     0,     0,     0,   234,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,     0,   563,   244,     0,     0,     0,   564,
       0,     0,     0,   565,     0,   245,     0,     0,     0,     0,
       0,     0,     0,   566,    65,    66,   567,     0,     0,     0,
       0,   557,     0,     0,     0,     0,   558,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     194,   568,     0,     0,     0,   197,     0,     0,     0,     0,
     569,   203,  -822,     0,   570,     0,     0,   339,     0,   571,
     572,     0,   559,     0,     0,  -822,     0,   573,     0,     0,
     574,   560,   575,   576,     0,     0,     0,     0,   561,   562,
       0,     0,     0,     0,   577,   578,     0,     0,     0,     0,
       0,   579,     0,     0,     0,   345,     0,     0,   346,     0,
       0,     0,     0,   347,     0,   348,   580,     0,     0,   581,
     582,     0,   583,     0,   584,   353,  -822,     0,   354,   355,
       0,   356,   357,     0,  -822,   585,   586,     0,     0,     0,
     587,   361,     0,     0,     0,     0,     0,     0,     0,     0,
     588,   589,   590,     0,   242,   591,     0,     0,     0,     0,
     563,     0,     0,     0,     0,   564,     0,     0,     0,   565,
       0,     0,     0,     0,     0,   592,     0,     0,     0,   566,
       0,     0,   567,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  -822,     0,     0,     0,     0,     0,  1005,
    1006,     0,     0,     0,     0,     0,   194,   568,     0,   187,
     188,   197,   189,     0,     0,  1007,   569,   203,   192,     0,
     570,  1005,  1006,   339,     0,   571,   572,     0,     0,     0,
       0,     0,     0,   573,     0,     0,   574,  1007,   575,   576,
       0,     0,     0,   195,  1008,     0,     0,     0,   200,   201,
     577,   578,  -822,     0,     0,     0,     0,   579,     0,     0,
       0,   345,     0,     0,   346,     0,  1008,     0,     0,   347,
       0,   348,   580,     0,     0,   581,   582,     0,   583,     0,
     584,   353,     0,     0,   354,   355,     0,   356,   357,     0,
       0,   585,   586,     0,     0,     0,   587,   361,     0,     0,
       0,  -822,     0,     0,     0,     0,   588,   589,   590,     0,
     242,   591,     0,     0,     0,     0,  1009,     0,     0,     0,
    1010,     0,     0,  1011,     0,     0,     0,  1012,     0,   557,
       0,   592,     0,    15,   558,     0,    17,     0,  1009,   237,
       0,     0,  1010,     0,     0,  1011,     0,     0,     0,  1012,
       0,     0,     0,     0,     0,  -822,     0,     0,     0,     0,
    -822,    20,     0,  1013,     0,  1014,  1015,     0,     0,     0,
     559,     0,     0,     0,     0,     0,     0,     0,     0,   560,
       0,  1016,     0,    22,     0,  1013,     0,  1014,  1015,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1016,     0,     0,     0,     0,     0,     0,
       0,  1017,  1018,  1019,     0,     0,     0,     0,     0,  1020,
       0,     0,     0,     0,     0,     0,  1021,     0,     0,     0,
       0,     0,     0,  1017,  1018,  1019,     0,     0,     0,     0,
     333,  1020,  1022,  1023,     0,   334,     0,     0,  1021,     0,
       0,  1024,     0,     0,     0,     0,  1025,  1026,   563,     0,
       0,     0,     0,   564,  1022,     0,     0,   565,     0,     0,
       0,     0,     0,     0,     0,   335,     0,   566,  1025,  1026,
     567,     0,     0,     0,     0,     0,     0,    65,    66,     0,
     336,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   194,     0,  1449,   333,     0,   197,
       0,     0,   334,     0,   569,   203,     0,     0,   570,     0,
       0,   339,     0,   571,   572,     0,     0,     0,     0,     0,
       0,   573,     0,     0,   574,     0,   575,   576,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   577,   578,
       0,     0,     0,     0,     0,   579,     0,   336,     0,   345,
       0,     0,   346,     0,     0,     0,     0,   347,     0,   348,
     580,     0,     0,   581,   582,     0,   583,     0,   584,   353,
    1243,     0,   354,   355,     0,   356,   357,   781,   337,   585,
     586,     0,     0,     0,   587,   361,     0,   782,     0,     0,
       0,   783,     0,     0,   588,   589,   590,  -728,   242,   591,
       0,     0,     0,     0,     0,  -728,     0,  -728,     0,     0,
       0,   784,     0,     0,     0,   338,   785,     0,   786,     0,
     787,     0,   339,     0,   788,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   340,     0,   341,   342,     0,
       0,     0,     0,     0,     0,   337,     0,     0,     0,     0,
     343,     0,     0,     0,     0,     0,   344,     0,     0,     0,
     345,     0,     0,   346,     0,     0,     0,     0,   347,     0,
     348,   349,     0,     0,   350,   351,     0,   352,     0,     0,
     353,     0,   338,   354,   355,     0,   356,   357,     0,   339,
     358,   359,     0,     0,     0,   360,   361,     0,     0,     0,
       0,     0,   340,     0,   341,   342,     0,     0,     0,   187,
     188,     0,   189,     0,     0,     0,     0,   343,   192,     0,
       0,     0,     0,   344,     0,     0,     0,   345,     0,     0,
     346,     0,     0,     0,     0,   347,     0,   348,   349,     0,
       0,   350,   351,   195,   352,     0,     0,   353,   200,   201,
     354,   355,     0,   356,   357,     0,     0,   358,   359,     0,
       0,     0,   360,   361,   388,     0,     0,   389,   390,   859,
     860,   393,   394,   395,   396,     0,   397,   398,   399,     0,
     400,   401,     0,   402,     0,   403,   404,   405,   406,   407,
       0,   408,     0,   409,     0,   410,   411,   412,     0,   413,
       0,   414,     0,   415,     0,   416,   417,   418,   419,     0,
       0,   420,   421,     0,   422,   423,     0,   424,     0,   425,
       0,   426,     0,   427,     0,   428,     0,   429,   430,   861,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   237,
       0,     0,     0,     0,     0,     0,   789,   713,   714,     0,
     715,   716,   717,   718,     0,     0,   432,   862,   433,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   863,   864,
       0,     0,     0,     0,     0,   388,     0,   434,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
       0,   400,   401,     0,   402,     0,   403,   404,   405,   406,
     407,     0,   408,     0,   409,     0,   410,   411,   412,     0,
     413,     0,   414,     0,   415,     0,   416,   417,   418,   419,
       0,     0,   420,   421,     0,   422,   423,     0,   424,     0,
     425,     0,   426,     0,   427,     0,   428,     0,   429,   430,
     431,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,     0,   433,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   434,     0,
     435,   436,   437,   438,   439,     0,     0,     0,   440,     0,
     441,   442,     0,   443,     0,     0,     0,   444,   445,   446,
     447,     0,     0,     0,   388,     0,     0,   389,   390,   655,
     392,   393,   394,   395,   396,     0,   397,   398,   399,     0,
     400,   401,     0,   402,     0,   403,   404,   405,   406,   407,
       0,   408,     0,   409,     0,   410,   411,   412,     0,   413,
       0,   414,     0,   415,     0,   416,   417,   418,   419,     0,
       0,   420,   421,     0,   422,   423,     0,   424,     0,   425,
       0,   426,     0,   427,     0,   428,     0,   429,   430,   431,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   435,   436,   437,   438,   439,   432,     0,   433,   440,
       0,   441,   442,     0,   443,     0,     0,     0,   444,   445,
     446,   447,     0,     0,     0,   388,     0,   434,   389,   390,
     841,     0,   393,   394,   395,   396,     0,   397,   398,   399,
       0,   400,   401,     0,   402,     0,   403,   404,   405,   406,
     407,     0,   408,     0,   409,     0,   410,   411,   412,     0,
     413,     0,   414,     0,   415,     0,   416,   417,   418,   419,
       0,     0,   420,   421,     0,   422,   423,     0,   424,     0,
     425,     0,   426,     0,   427,     0,   428,     0,   429,   430,
     431,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,     0,   433,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   434,     0,
     435,   436,   437,   438,   439,     0,     0,     0,   440,     0,
     441,   442,     0,   443,     0,     0,     0,   444,   445,   446,
     447,     0,     0,     0,   388,     0,     0,   389,   390,   647,
       0,   393,   394,   395,   396,     0,   397,   398,   399,     0,
     400,   401,     0,   402,     0,   403,   404,   405,   406,   407,
       0,   408,     0,   409,     0,   410,   411,   412,     0,   413,
       0,   414,     0,   415,     0,   416,   417,   418,   419,     0,
       0,   420,   421,     0,   422,   423,     0,   424,     0,   425,
       0,   426,     0,   427,     0,   428,     0,   429,   430,   847,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   435,   436,   437,   438,   439,   432,     0,   433,   440,
       0,   441,   442,     0,   443,     0,     0,     0,   444,   445,
     446,   447,     0,     0,     0,   388,     0,   434,   389,   390,
     647,     0,   393,   394,   395,   396,     0,   397,   398,   399,
       0,   400,   401,     0,   402,     0,   403,   404,   405,   406,
     407,     0,   408,     0,   409,     0,   410,   411,   412,     0,
     413,     0,   414,     0,   415,     0,   416,   417,   418,   419,
       0,     0,   420,   421,     0,   422,   423,     0,   424,     0,
     425,     0,   426,     0,   427,     0,   428,     0,   429,   430,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,     0,   433,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   434,     0,
     435,   436,   437,   438,   439,     0,     0,     0,   440,     0,
     441,   442,     0,   443,     0,     0,     0,   444,   445,   446,
     447,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   180,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   181,     0,     0,   182,
       0,     0,     0,   183,     0,   184,   185,     0,     0,     0,
     186,   187,   188,     0,   189,   190,    15,     0,   191,    17,
     192,   435,   436,   437,   438,   439,     0,     0,     0,   440,
       0,   441,   442,     0,   443,     0,     0,     0,   444,   445,
     446,   447,   194,     0,    20,   195,   196,   197,   198,   199,
     200,   201,   471,   203,     0,     0,   205,   206,     0,   207,
       0,   208,     0,     0,   209,     0,    22,     0,     0,     0,
       0,     0,   210,     0,   211,   212,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   472,   216,   217,   218,     0,   219,   220,
       0,   221,   222,     0,     0,     0,     0,     0,   224,   225,
       0,   226,     0,     0,   227,     0,   228,     0,   229,     0,
       0,     0,     0,     0,   230,   231,     0,   232,   233,     0,
       0,     0,   234,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,     0,
       0,   244,     0,     0,     0,     0,     0,     0,     0,   181,
       0,   245,   182,     0,     0,     0,   183,     0,   184,   185,
      65,    66,     0,   186,   187,   188,     0,   189,   190,    15,
       0,   191,    17,   192,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   194,     0,    20,   195,   196,
     197,   198,   199,   200,   201,   471,   203,     0,     0,   205,
     206,     0,   207,     0,   208,     0,     0,   209,     0,    22,
       0,     0,     0,     0,     0,   210,     0,   211,   212,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   472,   216,   217,   218,
       0,   219,   220,     0,   221,   222,     0,     0,     0,     0,
       0,   224,   225,     0,   226,     0,     0,   227,     0,   228,
       0,   229,     0,     0,     0,     0,     0,   230,   231,     0,
     232,   233,     0,     0,     0,   234,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   182,     0,     0,   244,   183,     0,     0,   185,     0,
       0,     0,   186,   957,   245,     0,   958,     0,     0,     0,
       0,     0,   959,    65,    66,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   960,   196,     0,
     198,   199,     0,     0,     0,     0,     0,     0,     0,   181,
       0,     0,     0,     0,     0,     0,   209,     0,   184,     0,
       0,     0,     0,     0,   187,   188,     0,   189,   190,     0,
       0,   191,     0,   192,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   216,   217,   218,     0,
     219,   220,     0,     0,   222,   194,     0,     0,   195,     0,
     197,   225,     0,   200,   201,   471,   203,     0,     0,   205,
       0,     0,   207,     0,   208,     0,     0,   231,     0,     0,
       0,     0,     0,     0,     0,   210,     0,   211,   212,     0,
       0,   235,   236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   472,     0,     0,     0,
       0,     0,     0,     0,   221,     0,     0,     0,     0,     0,
       0,   224,    65,    66,   226,     0,     0,   227,     0,   228,
       0,     0,     0,     0,     0,     0,     0,   230,     0,     0,
     232,   233,     0,     0,     0,   234,     0,     0,     0,     0,
       0,     0,     0,     0,   237,   238,   239,   240,   241,   242,
     243,     0,     0,     0,   244
};

static const yytype_int16 yycheck[] =
{
       4,     5,     6,    35,    12,     1,   178,     4,     5,     6,
     246,   292,   155,   120,   323,   331,   332,   229,    67,   482,
     312,     1,   516,   180,   323,   931,   913,   206,   126,   757,
     782,    35,    40,   179,   652,   184,    40,   789,    35,   218,
       1,   497,   180,   515,   516,   517,  1000,   323,     1,   833,
       1,   501,   965,   744,   904,   364,     1,     1,     1,   909,
     369,   943,   371,   954,   514,     1,   473,     1,   280,     1,
     369,     1,   371,   252,     1,     1,    43,   515,   516,   517,
     382,     1,     1,     1,   391,   722,     1,   267,     1,     1,
      80,    67,     1,   369,     1,   371,     1,     1,     1,    77,
     279,   894,     1,    67,     1,    69,     1,     1,     1,     1,
       1,    31,     1,     1,     1,     1,   284,     1,   597,     1,
    1177,     1,    22,   150,    75,   918,     1,   710,   921,    80,
       1,     1,     1,     1,  1209,  1289,     1,    79,     1,   589,
       1,  1415,     1,     1,     1,    17,    73,     1,     1,     1,
       1,   734,   936,     1,   947,    73,    17,     1,   153,     1,
      73,   470,   890,     1,   515,   516,   517,     1,   110,    56,
     178,   470,   224,     1,    73,    22,  1349,    65,   306,     1,
     305,   309,    56,     1,    72,  1459,  1460,     1,    60,   228,
    1363,   500,    49,    73,   470,    75,    18,   249,   515,   516,
     517,    29,    80,   849,   932,  1092,    60,    72,   203,    74,
       1,     1,    72,    60,   523,    73,    75,   515,   516,   517,
     247,    73,    73,   760,     1,    24,    74,     1,    72,   256,
      98,   760,   524,    75,   526,   155,    74,   179,   138,    73,
     931,    55,   184,   114,   159,  1320,  1137,   274,   283,   284,
    1163,    99,   132,   180,   138,    73,   651,  1314,   299,   267,
      28,   553,  1416,   150,   647,   147,   136,   739,  1159,   138,
      60,   132,   294,   132,   712,    74,   150,   299,   685,     1,
     132,   132,    47,   455,   691,   180,    60,    55,   760,   598,
    1083,   138,  1085,  1086,  1087,    17,   464,   200,   132,   243,
     707,   739,   939,   239,   282,   313,   215,   311,   312,   229,
     318,    79,    80,   303,   311,   312,   324,   293,   314,   323,
     324,   370,   598,   495,   503,   504,   230,   806,   485,   293,
     487,   781,   275,   805,   223,   302,   368,   206,    73,   641,
     512,   521,   514,   650,   305,   652,   114,   930,   486,   294,
     522,  1242,   303,   306,   533,   662,   309,   536,   852,   531,
     823,  1315,  1090,   295,   368,   369,   296,   371,  1250,  1323,
     304,   368,   304,   307,   308,   307,   308,   304,   304,   294,
     852,   307,   698,   699,   299,   304,   304,   837,   739,   304,
       1,   304,   304,  1299,   857,  1301,   259,   304,   295,   304,
     307,   308,   307,   308,    15,   304,    17,  1298,  1258,   304,
     304,   304,   304,   304,   852,   303,   565,   303,   293,   272,
      31,    14,   213,  1207,  1208,   303,   304,  1073,   965,   464,
     924,  1183,    43,   210,   303,   873,   965,   297,   674,   933,
     934,  1234,    53,   303,   304,   180,   306,   455,   225,   309,
      61,     1,   924,   848,   179,   223,  1074,   929,   841,   184,
     843,   933,   934,   919,    67,  1371,   470,   955,   238,  1382,
     877,  1362,    65,     1,  1156,     1,  1158,    72,     1,  1433,
     930,  1274,     1,    67,    79,    80,   924,   495,   223,   497,
       1,   929,    74,   965,    72,   933,   934,    16,   150,   987,
     809,   852,    80,     1,   512,    17,   514,   515,   516,   517,
     809,    74,   282,   951,   522,   110,    42,   826,   288,  1432,
     524,   700,   526,   531,    47,   529,   189,   524,   837,   526,
     839,   677,   529,   809,    17,   852,   304,    17,   837,   637,
     678,  1124,   849,  1336,   155,     1,     1,  1130,    31,   553,
     826,    67,    17,   710,   852,    67,   553,  1463,     1,  1009,
     867,   837,    73,   839,  1292,   114,    31,    47,     1,   304,
      79,    80,   710,   924,  1461,    73,    74,   734,   929,    83,
     759,    53,   933,   934,  1034,   180,     1,    67,     1,    61,
    1053,     1,     1,    74,    27,   247,   734,    74,   191,  1392,
     951,   110,   180,    58,   256,   282,    72,   924,  1299,     1,
    1301,   288,   929,     1,   930,     3,   933,   934,   229,    75,
    1302,   132,   274,   282,     1,   153,   924,    72,   156,    74,
      79,   929,    75,   812,   951,   933,   934,  1389,   216,    79,
      80,   304,  1105,   879,   307,   308,  1140,   240,  1111,     1,
      10,   288,  1235,   951,    14,    67,  1338,    69,    73,    19,
      73,   110,    32,    73,    34,   946,    75,    37,  1140,  1462,
     132,    80,   155,    67,   114,   203,   132,   303,   304,  1361,
    1371,    73,   991,   294,   234,  1367,  1093,   237,   299,   132,
     155,   302,   991,   304,   244,  1004,   307,   308,   153,   871,
    1391,   156,  1140,    83,   254,  1004,    72,   257,   712,   304,
     260,   261,   307,   308,  1442,   991,  1123,   132,  1125,   132,
     270,    73,   132,   205,  1415,   207,   304,  1455,  1004,   307,
     308,   739,  1041,   229,   189,   739,  1028,  1029,  1232,  1146,
     132,   215,   205,   152,   207,   917,   229,   304,   203,  1058,
     307,   308,   760,   896,   304,    75,   764,   765,   213,  1058,
    1232,   765,  1444,  1445,   229,  1041,  1073,  1074,  1459,  1460,
     179,   943,  1463,   930,   304,   184,   153,   229,   155,   156,
     132,   190,  1058,   223,   193,  1279,    44,   189,    46,  1140,
      61,    62,   930,  1109,  1232,   304,   304,   805,   307,   308,
     303,   304,     1,  1266,   181,   809,   295,  1279,   179,   805,
     817,   818,   189,   184,     1,  1131,    67,  1133,    17,  1135,
       4,     5,   826,  1140,  1420,   805,   203,   309,    67,  1236,
    1426,   974,  1282,   837,   977,   293,   213,  1287,    72,    38,
      74,  1279,  1140,    72,   852,   304,   309,  1443,   307,   308,
    1257,   148,   229,    19,   151,    21,    73,  1295,  1296,  1297,
     157,    60,   132,   871,   304,  1174,   229,    75,  1464,   873,
     279,   280,   281,   282,   283,  1174,     1,   248,    73,   288,
     251,  1232,    55,  1346,    57,   182,   108,   132,    75,  1295,
    1296,  1297,   293,   897,   303,   304,   900,    69,  1174,   215,
     295,  1351,   304,    41,  1047,   307,   308,  1143,   179,   917,
    1219,   919,   283,   184,  1321,  1232,   924,   295,    72,   296,
    1219,   929,   295,   295,    40,   933,   934,    75,  1279,   215,
    1142,    73,    73,  1340,  1232,   943,   304,  1253,   108,  1346,
      72,    80,  1349,  1219,  1295,  1296,  1297,    72,  1355,    73,
      73,    36,    51,   303,    79,    80,    52,   965,    73,    23,
      73,    75,  1279,    73,   132,    72,    75,  1124,  1284,    73,
      75,  1150,   968,  1130,     1,   294,  1133,    80,  1295,  1296,
    1297,  1279,  1291,  1390,  1091,   110,  1124,   991,   968,    73,
     304,  1023,  1130,   271,    47,  1402,    73,  1295,  1296,  1297,
    1004,  1144,  1409,    34,    74,    36,    37,    38,    39,    72,
      41,  1060,    43,    73,    45,    46,    47,    48,    49,  1023,
    1329,   114,   179,    73,  1028,  1029,  1023,   184,   155,    73,
    1329,  1028,  1029,   190,  1050,   821,   193,  1041,   846,   889,
    1356,  1357,   142,  1359,  1360,   658,   650,   234,   841,   843,
     237,  1079,   867,  1329,  1058,   180,   132,   244,   641,   381,
    1369,    40,     1,   763,    40,  1232,   968,   254,   300,  1378,
     257,  1243,   968,   260,   261,   517,  1119,   739,  1235,  1378,
     929,   739,   739,   270,   178,  1089,    40,   968,   271,  1268,
     215,   216,   267,  1161,   760,   751,    20,  1235,  1277,   965,
       0,     1,  1378,     3,   930,     5,     6,     7,     8,  1254,
      10,    11,    12,    13,  1293,  1101,   678,   304,  1427,  1259,
    1348,   597,   279,   280,   281,   282,   283,   294,  1427,  1068,
    1041,   288,  1140,    33,   839,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   598,   565,   173,   174,   175,   176,
     177,  1427,   557,   806,  1431,  1317,  1437,   526,   537,    40,
    1431,   286,   287,   738,   289,   290,   291,   292,     1,   172,
    1174,   943,    40,   179,  1186,  1230,   316,   314,   184,   304,
    1222,    14,   307,   308,   190,  1229,  1169,   193,   802,   513,
     364,    -1,    -1,   560,    -1,    -1,    -1,   136,  1434,    -1,
      -1,   140,    -1,    -1,   143,    -1,     1,    -1,   147,   148,
      -1,    -1,   151,    -1,    -1,  1219,    -1,    -1,   157,    -1,
      -1,    -1,    -1,    -1,  1232,    -1,    -1,    -1,    -1,    -1,
      -1,  1410,    65,    -1,    -1,  1243,    -1,    -1,    -1,    -1,
      73,    -1,    -1,   182,   183,    -1,   185,   186,    -1,    -1,
    1254,  1255,   152,   153,    -1,   155,   156,    -1,    -1,   159,
      -1,    -1,   201,  1435,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1279,   299,   279,   280,   281,    -1,   283,    -1,   179,
      75,   181,    -1,    -1,    -1,    80,    -1,    -1,    -1,   189,
      -1,    -1,   231,   232,   233,    -1,   235,   236,    72,   132,
     239,    -1,    -1,   203,   204,    79,    80,   246,   208,    -1,
      -1,    -1,    -1,   213,    -1,   148,  1312,    -1,   151,    -1,
     220,   221,   222,   262,   157,  1329,    -1,    -1,    -1,   229,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   276,   277,    -1,
      -1,    -1,    -1,    -1,    -1,  1377,     1,    -1,    -1,   182,
    1354,    -1,    -1,    -1,    -1,    -1,    -1,   152,   191,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,   308,
      -1,    -1,    -1,  1377,  1378,    -1,    -1,    -1,    -1,    -1,
    1377,    -1,    -1,    -1,   179,    -1,    -1,    -1,    -1,   184,
      -1,    -1,    -1,    -1,   294,   190,    -1,    -1,   193,   299,
      -1,    -1,    -1,    -1,    -1,    -1,   180,   240,    -1,    -1,
      -1,    -1,    67,   313,    -1,    70,    71,    72,    73,    74,
      75,    76,    77,  1427,    79,    80,    81,  1435,    83,    84,
      -1,    86,    -1,    88,    89,    90,    91,    92,    -1,    94,
      -1,    96,   216,    98,    99,   100,    -1,   102,    -1,   104,
      -1,   106,    -1,   108,   109,   110,   111,    -1,    -1,   114,
     115,   294,   117,   118,    -1,   120,   299,   122,    -1,   124,
      -1,   126,    -1,   128,    -1,   130,   131,   132,    -1,    -1,
      -1,     1,    -1,    -1,   279,   280,   281,    -1,   283,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   159,    -1,   161,    -1,   303,   304,
      -1,    -1,   286,   287,    -1,   289,   290,   291,   292,    -1,
      -1,    -1,    -1,    -1,    -1,   180,    -1,    -1,    -1,    -1,
     304,    -1,    -1,   307,   308,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    67,    -1,    -1,
      70,    71,    72,    -1,    74,    -1,    76,    77,    -1,    79,
      80,    81,    -1,    83,    84,    -1,    86,    -1,    88,    89,
      90,    91,    92,    -1,    94,    -1,    96,    -1,    98,    99,
     100,    -1,   102,    -1,   104,    -1,   106,    -1,   108,   109,
     110,   111,   112,    -1,   114,   115,    -1,   117,   118,    -1,
     120,    -1,   122,    -1,   124,    -1,   126,    -1,   128,    -1,
     130,   131,   132,   133,    -1,    -1,   136,    -1,    -1,    -1,
     140,    -1,   142,   143,    -1,    -1,    -1,   147,   148,   149,
      -1,   151,   152,   153,    -1,   155,   156,   157,   293,   294,
     295,   296,   297,    -1,    -1,    -1,   301,    -1,   303,   304,
      -1,   306,    -1,    -1,    -1,   310,   311,   312,   313,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,    -1,    -1,   193,   194,    -1,   196,    -1,   198,    -1,
      -1,   201,    -1,   203,    -1,    -1,   206,    -1,    -1,   209,
      -1,   211,   212,    -1,   214,    -1,    -1,    -1,     1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,   239,
      -1,    -1,    -1,    -1,    -1,   245,   246,    -1,   248,    -1,
      -1,   251,    -1,   253,    -1,   255,    -1,    -1,    -1,    -1,
      -1,   261,   262,    -1,   264,   265,   266,    -1,    -1,   269,
      -1,    -1,    -1,    -1,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,    -1,    -1,    -1,   288,    72,
      -1,    74,    -1,    -1,    -1,    -1,    -1,    80,   298,    -1,
      83,    -1,    -1,    -1,    -1,    -1,   306,   307,   308,   309,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     133,    -1,    -1,   136,    -1,    -1,    -1,   140,    -1,   142,
     143,    -1,    -1,    -1,   147,   148,   149,    -1,   151,   152,
     153,    -1,   155,   156,   157,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,    -1,   196,    -1,   198,    -1,    -1,   201,    -1,
     203,   204,   205,    -1,   207,   208,   209,    -1,   211,   212,
      -1,    -1,   215,   216,    -1,    -1,    -1,   220,   221,   222,
      -1,    -1,    -1,    -1,    -1,   228,   229,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,   239,   240,    -1,    -1,
      -1,    -1,   245,   246,    -1,   248,    -1,    -1,   251,    -1,
     253,    -1,   255,    -1,    -1,    -1,    -1,    -1,   261,   262,
      -1,   264,   265,    -1,    -1,    -1,   269,    -1,    -1,    -1,
      -1,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,    -1,     1,   288,    -1,     4,    -1,    -1,
      -1,    -1,     9,    -1,    -1,   298,    -1,    -1,    -1,    16,
      -1,   304,    19,    20,   307,   308,   309,    -1,    -1,    26,
      -1,    -1,    -1,    30,    -1,    -1,    -1,    -1,    35,    36,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    44,    45,    46,
      -1,    -1,    -1,    50,    -1,    -1,    -1,    54,    55,    -1,
      57,    -1,    59,    -1,    61,    62,    63,    64,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   133,    -1,    -1,   136,
      -1,   138,    -1,   140,    -1,   142,   143,    -1,    -1,    -1,
     147,   148,   149,    -1,   151,   152,   153,    -1,   155,   156,
     157,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,    -1,    -1,   193,    -1,    -1,   196,
      -1,   198,   199,    -1,   201,    -1,   203,    -1,   110,   206,
      -1,    -1,   209,    -1,   211,   212,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   223,   224,    -1,    -1,
      -1,    -1,    -1,   230,   231,   232,   233,   234,    -1,    -1,
     237,    -1,   239,    -1,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,    -1,   251,    -1,   253,   254,    -1,    -1,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
      -1,    -1,   269,   270,   271,    -1,    -1,    -1,   180,   276,
     277,   278,   279,   280,   281,    -1,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,    -1,     1,    -1,    -1,
       4,    -1,    -1,    -1,    -1,     9,   303,   304,    -1,    -1,
     307,   308,    16,   215,   216,    19,    20,    -1,    -1,    -1,
      -1,    -1,    26,    -1,    -1,    -1,    30,    -1,    -1,    -1,
      -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      44,    45,    46,    -1,    -1,    -1,    50,    -1,    -1,    -1,
      54,    55,    -1,    57,    -1,    59,    -1,    61,    62,    63,
      64,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   286,   287,    -1,   289,   290,   291,
     292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   304,    -1,    -1,   307,   308,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   133,
      -1,    -1,   136,    -1,   138,    -1,   140,    -1,   142,   143,
      -1,    -1,    -1,   147,   148,   149,    -1,   151,   152,   153,
      -1,   155,   156,   157,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,    -1,    -1,   193,
      -1,    -1,   196,    -1,   198,   199,    -1,   201,    -1,   203,
      -1,   110,   206,    -1,    -1,   209,    -1,   211,   212,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   223,
     224,    -1,    -1,    -1,    -1,    -1,   230,   231,   232,   233,
     234,    -1,    -1,   237,    -1,   239,    -1,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,    -1,   251,    -1,   253,
     254,    -1,    -1,   257,   258,    -1,   260,   261,   262,   263,
     264,   265,    -1,    -1,    -1,   269,   270,   271,    -1,    -1,
      -1,   180,   276,   277,   278,   279,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,    -1,
       1,    -1,    -1,     4,    -1,    -1,    -1,    -1,     9,    -1,
     304,    -1,    -1,   307,   308,    16,   215,   216,    19,    20,
      -1,    -1,    -1,    -1,    -1,    26,    -1,    -1,    -1,    30,
      -1,    -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    44,    45,    46,    -1,    -1,    -1,    50,
      -1,    -1,    -1,    54,    55,    -1,    57,    -1,    59,    -1,
      61,    62,    63,    64,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   286,   287,    -1,
     289,   290,   291,   292,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   304,    -1,    -1,   307,   308,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   133,    -1,    -1,   136,    -1,   138,    -1,   140,
      -1,   142,   143,    -1,    -1,    -1,   147,   148,   149,    -1,
     151,   152,   153,    -1,   155,   156,   157,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
      -1,    -1,   193,    -1,    -1,   196,    -1,   198,   199,    -1,
     201,    -1,   203,    -1,    -1,   206,    -1,    -1,   209,    -1,
     211,   212,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   223,   224,    -1,    -1,    -1,    -1,    -1,   230,
     231,   232,   233,   234,    -1,    -1,   237,    -1,   239,    -1,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,    -1,
     251,    -1,   253,   254,    -1,    -1,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,    -1,    -1,   269,   270,
     271,    -1,    -1,    -1,    -1,   276,   277,   278,   279,   280,
     281,    -1,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,    -1,     1,    -1,    -1,     4,    -1,    -1,    -1,
      -1,     9,    -1,   304,    -1,    -1,   307,   308,    16,    -1,
      -1,    19,    20,    -1,    -1,    -1,    -1,    -1,    26,    -1,
      -1,    -1,    30,    -1,    -1,    -1,    -1,    35,    36,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    44,    45,    46,    -1,
      -1,    -1,    50,    -1,    -1,    -1,    54,    55,    -1,    57,
      -1,    59,    -1,    61,    62,    63,    64,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   133,    -1,    -1,   136,    -1,
     138,    -1,   140,    -1,   142,   143,    -1,    -1,    -1,   147,
     148,   149,    -1,   151,   152,   153,    -1,   155,   156,   157,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,    -1,    -1,   193,    -1,    -1,   196,    -1,
     198,   199,    -1,   201,    -1,   203,    -1,    -1,   206,    -1,
      -1,   209,    -1,   211,   212,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   223,   224,    -1,    -1,    -1,
      -1,    -1,   230,   231,   232,   233,   234,    -1,    -1,   237,
      -1,   239,    -1,    -1,   242,    -1,   244,   245,   246,    -1,
     248,   249,    -1,   251,    -1,   253,   254,    -1,    -1,   257,
     258,    -1,   260,   261,   262,   263,   264,   265,    -1,    -1,
      -1,   269,   270,   271,    -1,    -1,    -1,    -1,   276,   277,
     278,   279,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,     1,    -1,    -1,     4,    -1,
      -1,    -1,    -1,     9,    -1,    -1,   304,    -1,    -1,   307,
     308,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    39,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    61,    62,    -1,    -1,    -1,
      -1,    67,    -1,    -1,    70,    71,    72,    -1,    74,    -1,
      76,    77,    -1,    79,    80,    81,    -1,    83,    84,    -1,
      86,    -1,    88,    89,    90,    91,    92,    -1,    94,    -1,
      96,    -1,    98,    99,   100,    -1,   102,    -1,   104,    -1,
     106,    -1,   108,   109,   110,   111,   112,    -1,   114,   115,
      -1,   117,   118,    -1,   120,    -1,   122,    -1,   124,    -1,
     126,    -1,   128,    -1,   130,   131,   132,    -1,    -1,    -1,
       1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   152,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   179,    -1,    -1,    -1,    -1,   184,    -1,
      -1,    -1,    -1,   189,    -1,    -1,    -1,    -1,    -1,    -1,
     196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     206,    -1,    73,   209,    -1,   211,   212,    -1,   214,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,
      -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,   234,    -1,
      -1,   237,    -1,    -1,    -1,    -1,   242,    -1,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,    -1,
      -1,   257,   258,    -1,   260,   261,    -1,    -1,   264,   265,
     266,    -1,   133,   269,   270,   136,    -1,    -1,    -1,   140,
      -1,   142,   143,    -1,    -1,    -1,   147,   148,   149,    -1,
     151,   152,   153,    -1,   155,   156,   157,    -1,    -1,    -1,
      -1,    -1,    -1,     1,    -1,    -1,    -1,    -1,   304,    -1,
      -1,   307,   308,    -1,    -1,    -1,    -1,    -1,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
      -1,    -1,   193,   194,    -1,   196,    -1,   198,    -1,    -1,
     201,    -1,   203,    -1,    -1,    -1,    -1,    -1,   209,    -1,
     211,   212,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   223,    -1,    -1,    -1,    -1,    -1,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,   239,    -1,
      -1,    -1,    -1,    -1,   245,   246,    -1,   248,    -1,    -1,
     251,    -1,   253,    -1,   255,    -1,    -1,    -1,    -1,    -1,
     261,   262,    -1,   264,   265,    -1,    -1,    -1,   269,    -1,
      -1,    -1,    -1,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,    -1,    -1,    -1,   288,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   133,    -1,   298,   136,    -1,
      -1,    -1,   140,   304,   142,   143,   307,   308,    -1,   147,
     148,   149,    -1,   151,   152,   153,    -1,   155,   156,   157,
      -1,    -1,    -1,    -1,    -1,    -1,     1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,    -1,    -1,   193,   194,    -1,   196,    -1,
     198,    -1,    -1,   201,    -1,   203,    -1,    -1,    -1,    -1,
      -1,   209,    -1,   211,   212,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   223,    -1,    -1,    -1,    -1,
      -1,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,   239,    -1,    -1,    -1,    -1,    -1,   245,   246,    -1,
     248,    -1,    -1,   251,    -1,   253,    -1,   255,    -1,    -1,
      -1,    -1,    -1,   261,   262,    -1,   264,   265,    -1,    -1,
      -1,   269,    -1,    -1,    -1,    -1,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,    -1,    -1,    -1,
     288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   133,    -1,
     298,   136,    -1,    -1,    -1,   140,   304,   142,   143,   307,
     308,    -1,   147,   148,   149,    -1,   151,   152,   153,    -1,
     155,   156,   157,    -1,    -1,    -1,    -1,    -1,    -1,     1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,    -1,    -1,   193,   194,
      -1,   196,    -1,   198,    -1,    -1,   201,    -1,   203,    -1,
      -1,    -1,    -1,    -1,   209,    -1,   211,   212,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   223,    -1,
      -1,    -1,    -1,    -1,    -1,   230,   231,   232,   233,    -1,
     235,   236,    -1,   238,   239,    -1,    -1,    -1,    -1,    -1,
     245,   246,    -1,   248,    -1,    -1,   251,    -1,   253,    -1,
     255,    -1,    -1,    -1,    -1,    -1,   261,   262,    -1,   264,
     265,    -1,    -1,    -1,   269,    -1,    -1,    -1,    -1,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,    -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   133,    -1,   298,   136,    -1,    -1,    -1,   140,   304,
     142,   143,   307,   308,    -1,   147,   148,   149,    -1,   151,
     152,   153,    -1,   155,   156,   157,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,    -1,
      -1,   193,   194,    -1,   196,    -1,   198,    -1,    -1,   201,
      -1,   203,    -1,    -1,    -1,    -1,    -1,   209,    -1,   211,
     212,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,   239,    -1,    -1,
      -1,    -1,    -1,   245,   246,    -1,   248,    -1,    -1,   251,
      -1,   253,    -1,   255,    -1,    -1,    -1,    -1,    -1,   261,
     262,    -1,   264,   265,    -1,    -1,    -1,   269,    -1,    -1,
      -1,    -1,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,    -1,    -1,    -1,   288,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   298,    -1,    -1,    -1,
     133,   303,    -1,   136,    -1,   307,   308,   140,    -1,   142,
     143,    -1,    -1,    -1,   147,   148,   149,    -1,   151,   152,
     153,    -1,   155,   156,   157,     4,    -1,    -1,    -1,    -1,
       9,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,    -1,    -1,
     193,   194,    -1,   196,    -1,   198,    45,    -1,   201,    -1,
     203,    -1,    -1,    -1,    -1,    54,   209,    -1,   211,   212,
      -1,    -1,    61,    62,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    73,    -1,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,   239,    -1,    -1,    -1,
      -1,    -1,   245,   246,    -1,   248,    -1,    -1,   251,    -1,
     253,    -1,   255,    -1,    -1,    -1,    -1,    -1,   261,   262,
      -1,   264,   265,    -1,    -1,    -1,   269,    -1,    -1,    -1,
      -1,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,    -1,    -1,   133,   288,    -1,    -1,    -1,   138,
      -1,    -1,    -1,   142,    -1,   298,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   152,   307,   308,   155,    -1,    -1,    -1,
      -1,     4,    -1,    -1,    -1,    -1,     9,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     179,   180,    -1,    -1,    -1,   184,    -1,    -1,    -1,    -1,
     189,   190,     1,    -1,   193,    -1,    -1,   196,    -1,   198,
     199,    -1,    45,    -1,    -1,    14,    -1,   206,    -1,    -1,
     209,    54,   211,   212,    -1,    -1,    -1,    -1,    61,    62,
      -1,    -1,    -1,    -1,   223,   224,    -1,    -1,    -1,    -1,
      -1,   230,    -1,    -1,    -1,   234,    -1,    -1,   237,    -1,
      -1,    -1,    -1,   242,    -1,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,   253,   254,    65,    -1,   257,   258,
      -1,   260,   261,    -1,    73,   264,   265,    -1,    -1,    -1,
     269,   270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     279,   280,   281,    -1,   283,   284,    -1,    -1,    -1,    -1,
     133,    -1,    -1,    -1,    -1,   138,    -1,    -1,    -1,   142,
      -1,    -1,    -1,    -1,    -1,   304,    -1,    -1,    -1,   152,
      -1,    -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   132,    -1,    -1,    -1,    -1,    -1,    19,
      20,    -1,    -1,    -1,    -1,    -1,   179,   180,    -1,   148,
     149,   184,   151,    -1,    -1,    35,   189,   190,   157,    -1,
     193,    19,    20,   196,    -1,   198,   199,    -1,    -1,    -1,
      -1,    -1,    -1,   206,    -1,    -1,   209,    35,   211,   212,
      -1,    -1,    -1,   182,    64,    -1,    -1,    -1,   187,   188,
     223,   224,   191,    -1,    -1,    -1,    -1,   230,    -1,    -1,
      -1,   234,    -1,    -1,   237,    -1,    64,    -1,    -1,   242,
      -1,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
     253,   254,    -1,    -1,   257,   258,    -1,   260,   261,    -1,
      -1,   264,   265,    -1,    -1,    -1,   269,   270,    -1,    -1,
      -1,   240,    -1,    -1,    -1,    -1,   279,   280,   281,    -1,
     283,   284,    -1,    -1,    -1,    -1,   136,    -1,    -1,    -1,
     140,    -1,    -1,   143,    -1,    -1,    -1,   147,    -1,     4,
      -1,   304,    -1,   153,     9,    -1,   156,    -1,   136,   278,
      -1,    -1,   140,    -1,    -1,   143,    -1,    -1,    -1,   147,
      -1,    -1,    -1,    -1,    -1,   294,    -1,    -1,    -1,    -1,
     299,   181,    -1,   183,    -1,   185,   186,    -1,    -1,    -1,
      45,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,
      -1,   201,    -1,   203,    -1,   183,    -1,   185,   186,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   231,   232,   233,    -1,    -1,    -1,    -1,    -1,   239,
      -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,    -1,    -1,
      -1,    -1,    -1,   231,   232,   233,    -1,    -1,    -1,    -1,
       4,   239,   262,   263,    -1,     9,    -1,    -1,   246,    -1,
      -1,   271,    -1,    -1,    -1,    -1,   276,   277,   133,    -1,
      -1,    -1,    -1,   138,   262,    -1,    -1,   142,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    -1,   152,   276,   277,
     155,    -1,    -1,    -1,    -1,    -1,    -1,   307,   308,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   179,    -1,   304,     4,    -1,   184,
      -1,    -1,     9,    -1,   189,   190,    -1,    -1,   193,    -1,
      -1,   196,    -1,   198,   199,    -1,    -1,    -1,    -1,    -1,
      -1,   206,    -1,    -1,   209,    -1,   211,   212,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   223,   224,
      -1,    -1,    -1,    -1,    -1,   230,    -1,    54,    -1,   234,
      -1,    -1,   237,    -1,    -1,    -1,    -1,   242,    -1,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,   253,   254,
      77,    -1,   257,   258,    -1,   260,   261,    16,   152,   264,
     265,    -1,    -1,    -1,   269,   270,    -1,    26,    -1,    -1,
      -1,    30,    -1,    -1,   279,   280,   281,    36,   283,   284,
      -1,    -1,    -1,    -1,    -1,    44,    -1,    46,    -1,    -1,
      -1,    50,    -1,    -1,    -1,   189,    55,    -1,    57,    -1,
      59,    -1,   196,    -1,    63,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   209,    -1,   211,   212,    -1,
      -1,    -1,    -1,    -1,    -1,   152,    -1,    -1,    -1,    -1,
     224,    -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,
     234,    -1,    -1,   237,    -1,    -1,    -1,    -1,   242,    -1,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,    -1,   189,   257,   258,    -1,   260,   261,    -1,   196,
     264,   265,    -1,    -1,    -1,   269,   270,    -1,    -1,    -1,
      -1,    -1,   209,    -1,   211,   212,    -1,    -1,    -1,   148,
     149,    -1,   151,    -1,    -1,    -1,    -1,   224,   157,    -1,
      -1,    -1,    -1,   230,    -1,    -1,    -1,   234,    -1,    -1,
     237,    -1,    -1,    -1,    -1,   242,    -1,   244,   245,    -1,
      -1,   248,   249,   182,   251,    -1,    -1,   254,   187,   188,
     257,   258,    -1,   260,   261,    -1,    -1,   264,   265,    -1,
      -1,    -1,   269,   270,    67,    -1,    -1,    70,    71,    72,
      73,    74,    75,    76,    77,    -1,    79,    80,    81,    -1,
      83,    84,    -1,    86,    -1,    88,    89,    90,    91,    92,
      -1,    94,    -1,    96,    -1,    98,    99,   100,    -1,   102,
      -1,   104,    -1,   106,    -1,   108,   109,   110,   111,    -1,
      -1,   114,   115,    -1,   117,   118,    -1,   120,    -1,   122,
      -1,   124,    -1,   126,    -1,   128,    -1,   130,   131,   132,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   278,
      -1,    -1,    -1,    -1,    -1,    -1,   285,   286,   287,    -1,
     289,   290,   291,   292,    -1,    -1,   159,   160,   161,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    67,    -1,   180,    70,    71,
      72,    73,    74,    75,    76,    77,    -1,    79,    80,    81,
      -1,    83,    84,    -1,    86,    -1,    88,    89,    90,    91,
      92,    -1,    94,    -1,    96,    -1,    98,    99,   100,    -1,
     102,    -1,   104,    -1,   106,    -1,   108,   109,   110,   111,
      -1,    -1,   114,   115,    -1,   117,   118,    -1,   120,    -1,
     122,    -1,   124,    -1,   126,    -1,   128,    -1,   130,   131,
     132,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   159,    -1,   161,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,
     293,   294,   295,   296,   297,    -1,    -1,    -1,   301,    -1,
     303,   304,    -1,   306,    -1,    -1,    -1,   310,   311,   312,
     313,    -1,    -1,    -1,    67,    -1,    -1,    70,    71,    72,
      73,    74,    75,    76,    77,    -1,    79,    80,    81,    -1,
      83,    84,    -1,    86,    -1,    88,    89,    90,    91,    92,
      -1,    94,    -1,    96,    -1,    98,    99,   100,    -1,   102,
      -1,   104,    -1,   106,    -1,   108,   109,   110,   111,    -1,
      -1,   114,   115,    -1,   117,   118,    -1,   120,    -1,   122,
      -1,   124,    -1,   126,    -1,   128,    -1,   130,   131,   132,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   293,   294,   295,   296,   297,   159,    -1,   161,   301,
      -1,   303,   304,    -1,   306,    -1,    -1,    -1,   310,   311,
     312,   313,    -1,    -1,    -1,    67,    -1,   180,    70,    71,
      72,    -1,    74,    75,    76,    77,    -1,    79,    80,    81,
      -1,    83,    84,    -1,    86,    -1,    88,    89,    90,    91,
      92,    -1,    94,    -1,    96,    -1,    98,    99,   100,    -1,
     102,    -1,   104,    -1,   106,    -1,   108,   109,   110,   111,
      -1,    -1,   114,   115,    -1,   117,   118,    -1,   120,    -1,
     122,    -1,   124,    -1,   126,    -1,   128,    -1,   130,   131,
     132,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   159,    -1,   161,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,
     293,   294,   295,   296,   297,    -1,    -1,    -1,   301,    -1,
     303,   304,    -1,   306,    -1,    -1,    -1,   310,   311,   312,
     313,    -1,    -1,    -1,    67,    -1,    -1,    70,    71,    72,
      -1,    74,    75,    76,    77,    -1,    79,    80,    81,    -1,
      83,    84,    -1,    86,    -1,    88,    89,    90,    91,    92,
      -1,    94,    -1,    96,    -1,    98,    99,   100,    -1,   102,
      -1,   104,    -1,   106,    -1,   108,   109,   110,   111,    -1,
      -1,   114,   115,    -1,   117,   118,    -1,   120,    -1,   122,
      -1,   124,    -1,   126,    -1,   128,    -1,   130,   131,   132,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   293,   294,   295,   296,   297,   159,    -1,   161,   301,
      -1,   303,   304,    -1,   306,    -1,    -1,    -1,   310,   311,
     312,   313,    -1,    -1,    -1,    67,    -1,   180,    70,    71,
      72,    -1,    74,    75,    76,    77,    -1,    79,    80,    81,
      -1,    83,    84,    -1,    86,    -1,    88,    89,    90,    91,
      92,    -1,    94,    -1,    96,    -1,    98,    99,   100,    -1,
     102,    -1,   104,    -1,   106,    -1,   108,   109,   110,   111,
      -1,    -1,   114,   115,    -1,   117,   118,    -1,   120,    -1,
     122,    -1,   124,    -1,   126,    -1,   128,    -1,   130,   131,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   159,    -1,   161,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,
     293,   294,   295,   296,   297,    -1,    -1,    -1,   301,    -1,
     303,   304,    -1,   306,    -1,    -1,    -1,   310,   311,   312,
     313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   133,    -1,    -1,   136,
      -1,    -1,    -1,   140,    -1,   142,   143,    -1,    -1,    -1,
     147,   148,   149,    -1,   151,   152,   153,    -1,   155,   156,
     157,   293,   294,   295,   296,   297,    -1,    -1,    -1,   301,
      -1,   303,   304,    -1,   306,    -1,    -1,    -1,   310,   311,
     312,   313,   179,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,    -1,    -1,   193,   194,    -1,   196,
      -1,   198,    -1,    -1,   201,    -1,   203,    -1,    -1,    -1,
      -1,    -1,   209,    -1,   211,   212,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   230,   231,   232,   233,    -1,   235,   236,
      -1,   238,   239,    -1,    -1,    -1,    -1,    -1,   245,   246,
      -1,   248,    -1,    -1,   251,    -1,   253,    -1,   255,    -1,
      -1,    -1,    -1,    -1,   261,   262,    -1,   264,   265,    -1,
      -1,    -1,   269,    -1,    -1,    -1,    -1,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,    -1,    -1,
      -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   133,
      -1,   298,   136,    -1,    -1,    -1,   140,    -1,   142,   143,
     307,   308,    -1,   147,   148,   149,    -1,   151,   152,   153,
      -1,   155,   156,   157,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,    -1,    -1,   193,
     194,    -1,   196,    -1,   198,    -1,    -1,   201,    -1,   203,
      -1,    -1,    -1,    -1,    -1,   209,    -1,   211,   212,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,   239,    -1,    -1,    -1,    -1,
      -1,   245,   246,    -1,   248,    -1,    -1,   251,    -1,   253,
      -1,   255,    -1,    -1,    -1,    -1,    -1,   261,   262,    -1,
     264,   265,    -1,    -1,    -1,   269,    -1,    -1,    -1,    -1,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   136,    -1,    -1,   288,   140,    -1,    -1,   143,    -1,
      -1,    -1,   147,   148,   298,    -1,   151,    -1,    -1,    -1,
      -1,    -1,   157,   307,   308,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,   183,    -1,
     185,   186,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   133,
      -1,    -1,    -1,    -1,    -1,    -1,   201,    -1,   142,    -1,
      -1,    -1,    -1,    -1,   148,   149,    -1,   151,   152,    -1,
      -1,   155,    -1,   157,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   231,   232,   233,    -1,
     235,   236,    -1,    -1,   239,   179,    -1,    -1,   182,    -1,
     184,   246,    -1,   187,   188,   189,   190,    -1,    -1,   193,
      -1,    -1,   196,    -1,   198,    -1,    -1,   262,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   209,    -1,   211,   212,    -1,
      -1,   276,   277,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   238,    -1,    -1,    -1,    -1,    -1,
      -1,   245,   307,   308,   248,    -1,    -1,   251,    -1,   253,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   261,    -1,    -1,
     264,   265,    -1,    -1,    -1,   269,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   278,   279,   280,   281,   282,   283,
     284,    -1,    -1,    -1,   288
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,   315,     0,     1,     3,     5,     6,     7,     8,    10,
      11,    12,    13,    33,   152,   153,   155,   156,   159,   179,
     181,   189,   203,   204,   208,   213,   220,   221,   222,   229,
     294,   299,   313,   316,   317,   318,   319,   334,   335,   354,
     356,   357,   360,   370,   371,   372,   376,   382,   383,   384,
     389,   397,   398,   401,   403,   419,   422,   429,   430,   535,
     543,   544,   696,   716,   304,   307,   308,   639,   642,   648,
     653,   656,   659,     1,    67,    70,    71,    72,    74,    76,
      77,    79,    80,    81,    83,    84,    86,    88,    89,    90,
      91,    92,    94,    96,    98,    99,   100,   102,   104,   106,
     108,   109,   110,   111,   112,   114,   115,   117,   118,   120,
     122,   124,   126,   128,   130,   131,   132,   206,   214,   266,
     331,   653,   658,   675,     1,   653,   655,     1,     3,   669,
     669,   305,   373,   374,     1,    15,    53,    61,   304,   380,
     642,     1,   304,   669,   228,   724,     1,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   173,   174,   175,   176,
     177,   361,   369,   669,   542,   543,     1,   213,   695,   431,
     358,   716,   655,   716,   716,   716,   716,     1,    72,    74,
      80,   133,   136,   140,   142,   143,   147,   148,   149,   151,
     152,   155,   157,   178,   179,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   193,   194,   196,   198,   201,
     209,   211,   212,   216,   228,   230,   231,   232,   233,   235,
     236,   238,   239,   240,   245,   246,   248,   251,   253,   255,
     261,   262,   264,   265,   269,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   288,   298,   304,   385,   387,   389,
     390,   393,   395,   396,   413,   419,   420,   428,   445,   447,
     448,   450,   476,   477,   479,   487,   514,   516,   517,   518,
     519,   520,   521,   523,   524,   525,   526,   527,   529,   531,
     532,   533,   534,   535,   544,   547,   548,   550,   552,   553,
     555,   563,   565,   566,   575,   576,   642,   647,   648,   682,
     683,   687,   731,   716,   299,   716,   716,   716,   716,   716,
     716,   402,   399,   404,    47,   698,   699,   700,    67,     1,
      17,    38,    60,   663,    67,     1,    73,   711,     1,    75,
     706,    74,    74,     4,     9,    39,    54,   152,   189,   196,
     209,   211,   212,   224,   230,   234,   237,   242,   244,   245,
     248,   249,   251,   254,   257,   258,   260,   261,   264,   265,
     269,   270,   332,   333,   549,   603,     1,    17,   132,   662,
     320,   662,   114,   375,   374,    53,    61,   381,    43,   302,
     684,   685,    17,    31,   155,   229,   377,   379,    67,    70,
      71,    72,    73,    74,    75,    76,    77,    79,    80,    81,
      83,    84,    86,    88,    89,    90,    91,    92,    94,    96,
      98,    99,   100,   102,   104,   106,   108,   109,   110,   111,
     114,   115,   117,   118,   120,   122,   124,   126,   128,   130,
     131,   132,   159,   161,   180,   293,   294,   295,   296,   297,
     301,   303,   304,   306,   310,   311,   312,   313,   336,   337,
     346,   347,   348,   349,   353,   423,     1,   304,   644,   644,
       1,   304,   307,   637,   638,     1,   159,   304,   359,   645,
     663,   189,   230,   476,   514,   682,    79,    80,   114,   223,
     304,   414,   415,   416,   545,   546,   547,   563,   306,   309,
     606,   718,     1,    72,   692,   692,    67,   355,   692,    74,
     549,    74,   551,   567,   577,     1,   239,   665,    72,   468,
       1,    98,   693,   391,   692,   132,   478,   421,   517,   519,
     515,   516,   692,   549,   554,   555,   554,   566,   576,    67,
     528,   215,   430,   205,   207,   309,   679,    83,     1,   639,
     640,   640,     1,   304,   406,   407,   408,   642,     1,    58,
     544,   696,   712,   713,   698,   304,   642,     4,     9,    45,
      54,    61,    62,   133,   138,   142,   152,   155,   180,   189,
     193,   198,   199,   206,   209,   211,   212,   223,   224,   230,
     245,   248,   249,   251,   253,   264,   265,   269,   279,   280,
     281,   284,   304,   548,   550,   580,   599,   600,   601,   602,
     603,   604,   608,   615,   616,   648,   654,   729,   642,   648,
     706,   706,    32,    34,    37,   605,   150,   247,   256,   274,
      24,    74,   324,     1,   230,   730,     1,   243,   678,     1,
     259,   728,   548,   729,   655,   321,   580,   700,   580,     1,
     305,    17,   379,     1,   377,   378,     1,    72,   132,   341,
     342,   343,   344,   345,   346,    72,   337,   338,   339,   340,
     514,    72,   362,   554,     1,   304,   304,   580,   711,   386,
     304,     1,   223,   720,    75,     1,   132,   673,   547,   562,
     563,   547,   295,     1,   718,   719,   514,   420,     1,   303,
     725,   726,   556,    79,   110,   707,     1,    75,    80,   725,
     692,   692,   451,   514,   724,     1,   514,   725,    72,    79,
      80,   110,   180,   286,   287,   289,   290,   291,   292,   434,
     435,   437,   439,   440,   441,   443,   449,   470,   472,   473,
     475,   480,   482,   483,   485,   486,   487,   489,   527,   590,
     639,   642,   647,   648,   649,   437,   433,   434,     1,   514,
     639,   640,   641,   640,   641,   639,   514,   692,   692,   638,
     293,   536,   400,   405,    67,    67,   640,   605,   247,   730,
       1,    29,   677,   606,     1,   200,   691,    80,   609,   725,
     700,    16,    26,    30,    50,    55,    57,    59,    63,   285,
     518,   581,   584,   585,   586,   588,   589,   590,   596,   610,
     611,   612,   613,   614,   617,   618,   619,   620,   602,    17,
       1,    42,   690,     1,   275,   660,     1,    72,    74,   325,
      28,    55,   326,   327,   328,   416,    72,   591,   592,     1,
      27,   674,    14,    65,   191,   240,   322,   323,   330,   662,
     378,    72,   350,   351,   352,   353,    73,   132,   343,   342,
     345,   340,   424,     1,   180,   304,   363,   364,   365,    72,
      73,   132,   160,   171,   172,   346,   366,   367,   368,     1,
     114,   681,    72,   180,   475,   482,   485,   490,   491,   492,
     493,   494,   495,   497,   498,   500,   502,   504,   649,   467,
     468,   416,   562,   711,   522,   711,   229,   557,     1,    74,
     689,    75,   706,   706,   692,     1,   304,   570,   578,   579,
     180,   223,   304,   462,   463,   464,   643,   721,   388,   392,
      73,   394,   711,   108,   471,   545,     1,   648,   649,   132,
      74,   442,   468,   474,   481,   545,   293,   650,   438,   439,
     449,   473,    69,   215,   650,   564,   565,   530,   536,   295,
     295,   488,   462,     1,   446,   692,     1,   148,   151,   157,
     182,   523,   527,   529,   537,   539,   540,   541,   295,   410,
     411,     1,   409,   411,   189,   304,   642,   189,   642,   648,
      41,   607,    80,   304,   582,   725,   591,    72,   587,     1,
      60,   722,     1,    55,   708,     1,    18,   666,    40,   583,
     591,    44,    46,   694,   722,    19,    20,    35,    64,   136,
     140,   143,   147,   183,   185,   186,   201,   231,   232,   233,
     239,   246,   262,   263,   271,   276,   277,   527,   535,   544,
     621,   622,   623,   624,   625,   626,   627,   630,   631,   620,
     580,   692,   326,   326,    22,   138,   329,    60,   329,    75,
     673,   580,   593,   594,    56,   150,   597,   598,   709,   215,
     702,    17,    60,   664,   726,     1,   580,   725,   600,   350,
      73,   352,   338,   342,   344,   425,   426,   437,    73,   673,
     368,   514,   108,   499,   649,   501,   503,   505,   442,   711,
     468,   331,   462,   490,   644,     1,   234,   237,   244,   254,
     257,   260,   261,   270,   558,   559,   560,   648,   648,   657,
     568,   569,   570,    72,   571,    73,   570,    73,   469,   673,
     514,   490,   420,   490,   444,   437,     1,   435,   436,     1,
     152,   304,   545,   546,   706,   725,   564,   462,   437,   437,
     484,   726,    80,   675,   680,   719,   490,   475,   482,   485,
     506,   507,   508,   510,   512,   649,   452,   469,   452,   446,
     540,   541,   538,   539,     1,   296,   397,   412,   422,   429,
     644,   644,     1,    47,   697,   446,     1,    44,   580,     1,
      16,   661,   597,    36,   580,    51,   629,     1,   147,   688,
       1,    49,   703,     1,   136,   670,   725,   727,    52,   704,
     655,     1,   272,   628,   640,   640,     1,    65,    72,   725,
     593,    73,    75,     1,   138,   676,   644,   328,    73,   673,
       1,   580,   700,    19,    21,   667,    23,   668,    55,    57,
     596,    73,   132,   365,   432,   496,   490,   490,   490,   490,
     648,   652,   462,    77,   417,   469,   711,     1,   293,   672,
      72,   561,   561,    75,   673,   132,   706,    73,   673,    72,
     297,   303,   304,   306,   309,   572,   573,   574,   224,   249,
     456,     1,   464,   466,   465,     1,    99,   686,   711,   545,
     711,    75,   545,   706,    80,   152,   706,   717,   706,   452,
     437,   549,   468,   644,   711,   509,   511,   513,   692,   456,
     453,   456,   452,   538,   294,   715,     1,   294,   714,   714,
     580,    73,   697,   304,   646,   591,   688,   271,    47,   632,
     726,   726,   667,    73,     1,   580,   595,     1,   709,   710,
     708,   694,     1,   426,   427,   490,   545,   711,   452,   514,
     719,   706,   560,   648,   711,   570,   573,    73,   673,   692,
      72,   114,   460,   490,   692,   437,   304,   725,   706,   304,
     725,   707,   462,   692,   506,   506,   506,   452,   564,   454,
     564,   456,     1,   296,   705,     1,   544,   671,   697,   597,
     628,   155,   723,   667,   711,   597,   580,     1,   215,   701,
     490,   456,   418,   711,     1,   711,   574,   463,   711,     1,
     210,   225,   457,     1,   138,   206,   725,     1,   648,   651,
     711,   706,   706,   706,   706,   456,   452,     1,   461,   463,
     456,   248,   251,   283,   455,   548,   564,   655,   580,   540,
     633,   634,   635,   591,   711,    77,   458,   565,   490,    73,
     711,   711,   692,   458,   707,    73,   460,   460,   580,   304,
     622,   636,   654,   540,   597,   468,   514,   462,   460,   456,
     456,   462,   459,    73,   458,   458,   469,   490,   564,   460
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   314,   315,   315,   316,   316,   316,   316,   316,   316,
     316,   316,   316,   316,   316,   316,   316,   316,   316,   316,
     317,   317,   318,   318,   318,   318,   318,   319,   320,   319,
     319,   319,   319,   321,   321,   321,   322,   322,   322,   323,
     323,   323,   324,   324,   324,   325,   325,   325,   326,   326,
     327,   327,   328,   328,   328,   328,   329,   329,   329,   330,
     331,   331,   332,   332,   333,   333,   333,   333,   333,   333,
     333,   333,   333,   333,   333,   333,   333,   333,   333,   333,
     333,   334,   335,   335,   336,   336,   336,   337,   337,   338,
     338,   339,   339,   340,   340,   341,   341,   341,   341,   341,
     341,   341,   342,   342,   343,   343,   344,   344,   345,   345,
     346,   346,   346,   346,   346,   346,   346,   347,   347,   348,
     348,   348,   349,   349,   349,   349,   349,   349,   349,   349,
     349,   349,   349,   349,   349,   349,   349,   349,   349,   349,
     349,   349,   349,   349,   349,   349,   349,   349,   349,   349,
     349,   349,   349,   349,   349,   349,   349,   349,   349,   349,
     349,   349,   349,   349,   349,   349,   349,   349,   349,   349,
     350,   350,   351,   351,   352,   352,   353,   353,   354,   354,
     354,   354,   354,   354,   354,   354,   354,   354,   354,   354,
     355,   354,   354,   354,   354,   354,   356,   358,   357,   359,
     359,   359,   359,   359,   360,   360,   360,   360,   360,   360,
     360,   360,   360,   360,   360,   360,   360,   360,   360,   360,
     361,   362,   362,   363,   363,   364,   364,   365,   365,   365,
     366,   366,   367,   367,   368,   368,   368,   368,   368,   368,
     368,   369,   370,   371,   372,   372,   373,   373,   374,   375,
     375,   375,   376,   376,   376,   376,   376,   376,   376,   377,
     377,   377,   378,   378,   379,   379,   380,   380,   380,   380,
     381,   381,   381,   382,   383,   384,   386,   385,   385,   388,
     387,   389,   389,   389,   389,   391,   392,   390,   393,   394,
     393,   393,   395,   395,   396,   397,   397,   397,   399,   400,
     398,   402,   401,   404,   405,   403,   406,   406,   406,   407,
     407,   407,   407,   408,   408,   408,   408,   409,   409,   410,
     410,   411,   411,   412,   412,   412,   412,   413,   414,   414,
     415,   415,   416,   416,   416,   416,   416,   416,   417,   418,
     417,   419,   421,   420,   423,   424,   422,   425,   425,   426,
     427,   427,   428,   429,   431,   432,   430,   433,   433,   434,
     434,   435,   436,   436,   437,   437,   437,   437,   437,   438,
     438,   439,   439,   439,   439,   439,   439,   439,   439,   439,
     439,   440,   440,   441,   442,   442,   442,   442,   442,   442,
     442,   442,   442,   442,   444,   443,   445,   446,   446,   447,
     448,   449,   451,   450,   453,   452,   454,   454,   455,   455,
     455,   455,   456,   456,   456,   456,   456,   457,   457,   457,
     458,   459,   458,   458,   460,   460,   460,   460,   460,   461,
     461,   462,   462,   463,   463,   465,   464,   464,   464,   466,
     466,   467,   467,   468,   469,   471,   470,   472,   474,   473,
     475,   476,   476,   478,   477,   479,   481,   480,   482,   484,
     483,   485,   485,   486,   488,   487,   489,   490,   490,   491,
     491,   491,   491,   492,   492,   492,   492,   492,   492,   493,
     493,   494,   496,   495,   497,   499,   498,   501,   500,   503,
     502,   505,   504,   506,   506,   507,   507,   507,   507,   509,
     508,   511,   510,   513,   512,   514,   514,   514,   515,   515,
     516,   516,   517,   517,   517,   517,   518,   518,   518,   518,
     518,   518,   518,   518,   519,   519,   520,   520,   520,   520,
     520,   520,   522,   521,   523,   523,   524,   524,   524,   524,
     524,   524,   524,   524,   524,   524,   524,   524,   524,   524,
     524,   525,   526,   527,   528,   528,   530,   529,   529,   531,
     531,   532,   532,   533,   533,   534,   534,   535,   536,   536,
     536,   537,   537,   537,   538,   538,   539,   539,   540,   540,
     540,   540,   541,   541,   541,   542,   542,   543,   543,   544,
     544,   545,   545,   546,   546,   546,   547,   547,   547,   547,
     547,   547,   547,   548,   548,   549,   549,   550,   550,   551,
     551,   551,   551,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   553,   553,   554,   554,   556,   555,   555,
     557,   557,   558,   558,   559,   559,   560,   560,   560,   560,
     560,   560,   560,   560,   560,   560,   561,   561,   562,   562,
     563,   563,   564,   564,   565,   565,   567,   566,   568,   568,
     569,   569,   570,   570,   571,   571,   572,   572,   573,   573,
     574,   574,   574,   574,   574,   574,   575,   575,   577,   576,
     578,   578,   579,   579,   580,   580,   580,   581,   581,   582,
     582,   582,   582,   583,   583,   584,   585,   586,   587,   587,
     588,   589,   589,   590,   590,   590,   590,   590,   590,   591,
     591,   592,   593,   593,   594,   594,   595,   595,   596,   596,
     596,   597,   597,   598,   598,   599,   600,   600,   601,   601,
     602,   602,   602,   603,   603,   603,   603,   603,   603,   603,
     603,   603,   603,   603,   603,   603,   603,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   605,   605,   605,   606,
     607,   607,   608,   608,   608,   608,   608,   608,   608,   609,
     609,   610,   610,   610,   610,   610,   610,   610,   610,   610,
     611,   611,   611,   612,   613,   613,   614,   615,   616,   616,
     616,   617,   617,   618,   618,   619,   619,   620,   621,   621,
     621,   621,   621,   621,   622,   622,   623,   623,   623,   623,
     623,   623,   623,   623,   623,   623,   623,   623,   623,   623,
     623,   623,   623,   624,   624,   624,   624,   625,   625,   625,
     626,   626,   627,   628,   628,   629,   629,   630,   631,   632,
     632,   633,   633,   634,   634,   635,   635,   636,   636,   637,
     637,   638,   638,   639,   639,   640,   640,   641,   641,   642,
     642,   643,   644,   644,   645,   645,   646,   646,   647,   647,
     648,   648,   648,   649,   650,   650,   651,   651,   652,   652,
     653,   654,   655,   655,   656,   656,   657,   657,   658,   658,
     659,   659,   659,   660,   660,   661,   661,   662,   662,   663,
     663,   663,   663,   664,   664,   664,   665,   665,   666,   666,
     667,   667,   667,   668,   668,   669,   669,   670,   670,   671,
     671,   672,   672,   673,   673,   674,   674,   675,   675,   675,
     675,   675,   675,   675,   675,   675,   675,   675,   675,   675,
     675,   675,   675,   675,   675,   675,   675,   675,   675,   675,
     675,   675,   675,   675,   675,   675,   675,   675,   675,   675,
     675,   675,   675,   675,   675,   675,   675,   675,   675,   675,
     675,   675,   675,   675,   675,   676,   676,   677,   677,   678,
     678,   679,   679,   680,   681,   681,   682,   682,   683,   683,
     684,   685,   685,   686,   686,   687,   687,   688,   688,   689,
     689,   690,   690,   691,   691,   692,   692,   693,   693,   694,
     694,   694,   695,   695,   696,   696,   697,   697,   698,   699,
     699,   700,   700,   701,   701,   702,   702,   703,   703,   704,
     704,   705,   705,   706,   706,   707,   707,   707,   708,   708,
     709,   709,   710,   710,   711,   711,   712,   712,   712,   713,
     713,   714,   714,   715,   715,   716,   716,   717,   717,   718,
     718,   719,   719,   720,   720,   721,   721,   722,   722,   723,
     723,   724,   724,   725,   726,   726,   727,   727,   728,   728,
     729,   729,   730,   730,   731,   731
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     0,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     1,     2,     2,     2,     2,     2,     1,     1,
       4,     4,     2,     2,     2,     2,     1,     4,     0,    11,
       6,     9,     2,     1,     2,     2,     3,     2,     2,     2,
       1,     1,     0,     2,     3,     3,     3,     1,     0,     1,
       3,     1,     2,     2,     3,     1,     0,     2,     1,     3,
       0,     2,     1,     1,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     1,
       2,     4,     3,     2,     0,     2,     4,     1,     1,     0,
       1,     2,     1,     1,     1,     0,     1,     1,     2,     3,
       2,     1,     2,     1,     3,     1,     2,     1,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       0,     1,     2,     1,     1,     3,     1,     1,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       0,     4,     2,     3,     2,     2,     1,     0,     3,     0,
       1,     2,     2,     1,     1,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       4,     0,     3,     0,     1,     3,     1,     1,     1,     1,
       0,     1,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     2,     2,     1,     2,     0,
       2,     2,     3,     4,     4,     5,     3,     2,     2,     1,
       1,     1,     1,     1,     0,     1,     0,     2,     1,     1,
       0,     1,     1,     1,     1,     1,     0,     6,     3,     0,
       9,     1,     1,     1,     1,     0,     0,     5,     4,     0,
       6,     4,     1,     1,     4,     1,     1,     1,     0,     0,
       5,     0,     4,     0,     0,     5,     1,     1,     1,     3,
       3,     4,     1,     3,     3,     4,     1,     1,     1,     0,
       1,     2,     4,     1,     2,     2,     1,     6,     0,     1,
       3,     1,     1,     2,     1,     1,     1,     2,     0,     0,
       4,     1,     0,     3,     0,     0,     6,     3,     1,     1,
       1,     1,     1,     1,     0,     0,     8,     0,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     1,     1,
       1,     2,     2,     3,     2,     3,     3,     3,     5,     5,
       4,     5,     5,     3,     0,    10,     9,     0,     1,     7,
       7,     8,     0,     7,     0,     3,     0,     2,     1,     1,
       1,     1,     0,     1,     4,     3,     4,     1,     1,     1,
       0,     0,     4,     1,     0,     2,     2,     2,     2,     1,
       1,     0,     1,     3,     1,     0,     4,     1,     1,     1,
       1,     0,     3,     1,     1,     0,     4,    10,     0,     3,
       2,     3,     1,     0,     3,     2,     0,     3,     4,     0,
       4,     1,     1,     2,     0,     9,     9,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     2,     0,     9,     6,     0,     4,     0,     3,     0,
       3,     0,     3,     0,     1,     1,     1,     1,     1,     0,
       3,     0,     3,     0,     3,     1,     2,     1,     0,     1,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     0,     6,     1,     4,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     6,     2,     0,     2,     0,     6,     3,     1,
       1,     1,     1,     3,     4,     4,     4,     2,     0,     2,
       2,     1,     3,     2,     0,     1,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     0,     1,     3,     2,     2,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     0,     2,     1,     1,     2,
       3,     3,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     1,     0,     7,     1,
       0,     3,     0,     1,     3,     1,     1,     2,     1,     2,
       1,     1,     1,     1,     1,     1,     0,     3,     0,     1,
       1,     1,     0,     1,     2,     1,     0,     7,     0,     1,
       3,     1,     2,     1,     0,     3,     0,     1,     3,     1,
       1,     1,     1,     1,     3,     1,     2,     1,     0,     5,
       0,     1,     2,     1,     1,     1,     1,     4,     6,     0,
       1,     1,     1,     0,     1,     3,     2,     2,     0,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       1,     3,     0,     1,     3,     1,     1,     1,     0,     1,
       2,     0,     1,     2,     2,     2,     0,     1,     2,     1,
       1,     1,     1,     2,     1,     1,     2,     1,     2,     1,
       2,     1,     1,     3,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       0,     1,     1,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     7,     3,     3,     1,     2,     2,     6,     3,     1,
       1,     2,     1,     0,     1,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     2,     1,     1,     2,
       2,     1,     1,     3,     4,     4,     2,     1,     2,     3,
       2,     4,     2,     1,     1,     0,     1,     2,     3,     0,
       3,     2,     1,     0,     1,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     0,     1,     1,
       1,     1,     1,     1,     2,     1,     0,     1,     0,     2,
       3,     3,     1,     2,     0,     2,     1,     1,     0,     1,
       2,     2,     1,     1,     0,     1,     3,     1,     3,     1,
       3,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     1,     1,     1,     1,     1,     1,
       0,     1,     1,     0,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     3,     0,     1,
       1,     0,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       1,     1,     1,     1,     1,     2,     1,     1,     3,     2,
       1,     0,     1,     1,     1,     0,     1,     1,     1,     0,
       1,     1,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     1,     1,     1,     0,     1,     1,
       1,     1,     1,     1,     1,     0,     1,     1,     1,     0,
       1,     0,     1,     1,     1,     1,     0,     1,     1,     1,
       1,     2,     1,     1,     0,     1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF

/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YYLOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

# ifndef YYLOCATION_PRINT

#  if defined YY_LOCATION_PRINT

   /* Temporary convenience wrapper in case some people defined the
      undocumented and private YY_LOCATION_PRINT macros.  */
#   define YYLOCATION_PRINT(File, Loc)  YY_LOCATION_PRINT(File, *(Loc))

#  elif defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
}

#   define YYLOCATION_PRINT  yy_location_print_

    /* Temporary convenience wrapper in case some people defined the
       undocumented and private YY_LOCATION_PRINT macros.  */
#   define YY_LOCATION_PRINT(File, Loc)  YYLOCATION_PRINT(File, &(Loc))

#  else

#   define YYLOCATION_PRINT(File, Loc) ((void) 0)
    /* Temporary convenience wrapper in case some people defined the
       undocumented and private YY_LOCATION_PRINT macros.  */
#   define YY_LOCATION_PRINT  YYLOCATION_PRINT

#  endif
# endif /* !defined YYLOCATION_PRINT */


# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  YY_USE (yylocationp);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  YYLOCATION_PRINT (yyo, yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yykind, yyvaluep, yylocationp);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)],
                       &(yylsp[(yyi + 1) - (yynrhs)]));
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif






/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YY_USE (yyvaluep);
  YY_USE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  switch (yykind)
    {
    case YYSYMBOL_Y_CONSTRUCTOR_SNAME: /* Y_CONSTRUCTOR_SNAME  */
#line 1924 "parser.y"
            { DTRACE; c_sname_cleanup( &((*yyvaluep).sname) );                 }
#line 5185 "parser.c"
        break;

    case YYSYMBOL_Y_DESTRUCTOR_SNAME: /* Y_DESTRUCTOR_SNAME  */
#line 1924 "parser.y"
            { DTRACE; c_sname_cleanup( &((*yyvaluep).sname) );                 }
#line 5191 "parser.c"
        break;

    case YYSYMBOL_Y_OPERATOR_SNAME: /* Y_OPERATOR_SNAME  */
#line 1924 "parser.y"
            { DTRACE; c_sname_cleanup( &((*yyvaluep).sname) );                 }
#line 5197 "parser.c"
        break;

    case YYSYMBOL_Y_CHAR_LIT: /* Y_CHAR_LIT  */
#line 1926 "parser.y"
            { DTRACE; FREE( ((*yyvaluep).str_val) );                             }
#line 5203 "parser.c"
        break;

    case YYSYMBOL_Y_CONCEPT_SNAME: /* Y_CONCEPT_SNAME  */
#line 1924 "parser.y"
            { DTRACE; c_sname_cleanup( &((*yyvaluep).sname) );                 }
#line 5209 "parser.c"
        break;

    case YYSYMBOL_Y_GLOB: /* Y_GLOB  */
#line 1918 "parser.y"
            { DTRACE; FREE( ((*yyvaluep).name) );                             }
#line 5215 "parser.c"
        break;

    case YYSYMBOL_Y_NAME: /* Y_NAME  */
#line 1918 "parser.y"
            { DTRACE; FREE( ((*yyvaluep).name) );                             }
#line 5221 "parser.c"
        break;

    case YYSYMBOL_Y_SET_OPTION: /* Y_SET_OPTION  */
#line 1918 "parser.y"
            { DTRACE; FREE( ((*yyvaluep).name) );                             }
#line 5227 "parser.c"
        break;

    case YYSYMBOL_Y_STR_LIT: /* Y_STR_LIT  */
#line 1926 "parser.y"
            { DTRACE; FREE( ((*yyvaluep).str_val) );                             }
#line 5233 "parser.c"
        break;

    case YYSYMBOL_capturing_paren_capture_decl_list_english_opt: /* capturing_paren_capture_decl_list_english_opt  */
#line 1917 "parser.y"
            { DTRACE; c_ast_list_cleanup( &((*yyvaluep).ast_list) );              }
#line 5239 "parser.c"
        break;

    case YYSYMBOL_paren_capture_decl_list_english: /* paren_capture_decl_list_english  */
#line 1917 "parser.y"
            { DTRACE; c_ast_list_cleanup( &((*yyvaluep).ast_list) );              }
#line 5245 "parser.c"
        break;

    case YYSYMBOL_capture_decl_list_english_opt: /* capture_decl_list_english_opt  */
#line 1917 "parser.y"
            { DTRACE; c_ast_list_cleanup( &((*yyvaluep).ast_list) );              }
#line 5251 "parser.c"
        break;

    case YYSYMBOL_capture_decl_list_english: /* capture_decl_list_english  */
#line 1917 "parser.y"
            { DTRACE; c_ast_list_cleanup( &((*yyvaluep).ast_list) );              }
#line 5257 "parser.c"
        break;

    case YYSYMBOL_p_extra_token_except_lparen: /* p_extra_token_except_lparen  */
#line 1922 "parser.y"
            { DTRACE; p_token_free( ((*yyvaluep).p_token) );                     }
#line 5263 "parser.c"
        break;

    case YYSYMBOL_p_extra_tokens_opt: /* p_extra_tokens_opt  */
#line 1923 "parser.y"
            { DTRACE; p_token_list_cleanup( ((*yyvaluep).p_token_list) ); FREE( ((*yyvaluep).p_token_list) ); }
#line 5269 "parser.c"
        break;

    case YYSYMBOL_p_extra_tokens: /* p_extra_tokens  */
#line 1923 "parser.y"
            { DTRACE; p_token_list_cleanup( ((*yyvaluep).p_token_list) ); FREE( ((*yyvaluep).p_token_list) ); }
#line 5275 "parser.c"
        break;

    case YYSYMBOL_p_extra_token: /* p_extra_token  */
#line 1922 "parser.y"
            { DTRACE; p_token_free( ((*yyvaluep).p_token) );                     }
#line 5281 "parser.c"
        break;

    case YYSYMBOL_p_arg_list_opt: /* p_arg_list_opt  */
#line 1919 "parser.y"
            { DTRACE; p_arg_list_cleanup( ((*yyvaluep).p_arg_list) );   FREE( ((*yyvaluep).p_arg_list) ); }
#line 5287 "parser.c"
        break;

    case YYSYMBOL_p_comma_arg_list: /* p_comma_arg_list  */
#line 1919 "parser.y"
            { DTRACE; p_arg_list_cleanup( ((*yyvaluep).p_arg_list) );   FREE( ((*yyvaluep).p_arg_list) ); }
#line 5293 "parser.c"
        break;

    case YYSYMBOL_p_arg_list: /* p_arg_list  */
#line 1919 "parser.y"
            { DTRACE; p_arg_list_cleanup( ((*yyvaluep).p_arg_list) );   FREE( ((*yyvaluep).p_arg_list) ); }
#line 5299 "parser.c"
        break;

    case YYSYMBOL_p_arg_tokens: /* p_arg_tokens  */
#line 1923 "parser.y"
            { DTRACE; p_token_list_cleanup( ((*yyvaluep).p_token_list) ); FREE( ((*yyvaluep).p_token_list) ); }
#line 5305 "parser.c"
        break;

    case YYSYMBOL_p_arg_token_as_list: /* p_arg_token_as_list  */
#line 1923 "parser.y"
            { DTRACE; p_token_list_cleanup( ((*yyvaluep).p_token_list) ); FREE( ((*yyvaluep).p_token_list) ); }
#line 5311 "parser.c"
        break;

    case YYSYMBOL_p_arg_token: /* p_arg_token  */
#line 1922 "parser.y"
            { DTRACE; p_token_free( ((*yyvaluep).p_token) );                     }
#line 5317 "parser.c"
        break;

    case YYSYMBOL_p_arg_tokens_with_comma_opt: /* p_arg_tokens_with_comma_opt  */
#line 1923 "parser.y"
            { DTRACE; p_token_list_cleanup( ((*yyvaluep).p_token_list) ); FREE( ((*yyvaluep).p_token_list) ); }
#line 5323 "parser.c"
        break;

    case YYSYMBOL_p_arg_tokens_with_comma: /* p_arg_tokens_with_comma  */
#line 1923 "parser.y"
            { DTRACE; p_token_list_cleanup( ((*yyvaluep).p_token_list) ); FREE( ((*yyvaluep).p_token_list) ); }
#line 5329 "parser.c"
        break;

    case YYSYMBOL_p_arg_token_with_comma_as_list: /* p_arg_token_with_comma_as_list  */
#line 1923 "parser.y"
            { DTRACE; p_token_list_cleanup( ((*yyvaluep).p_token_list) ); FREE( ((*yyvaluep).p_token_list) ); }
#line 5335 "parser.c"
        break;

    case YYSYMBOL_p_arg_token_with_comma: /* p_arg_token_with_comma  */
#line 1922 "parser.y"
            { DTRACE; p_token_free( ((*yyvaluep).p_token) );                     }
#line 5341 "parser.c"
        break;

    case YYSYMBOL_help_what_opt: /* help_what_opt  */
#line 1918 "parser.y"
            { DTRACE; FREE( ((*yyvaluep).name) );                             }
#line 5347 "parser.c"
        break;

    case YYSYMBOL_p_paren_param_list_opt: /* p_paren_param_list_opt  */
#line 1921 "parser.y"
            { DTRACE; p_param_list_cleanup( ((*yyvaluep).p_param_list) ); FREE( ((*yyvaluep).p_param_list) ); }
#line 5353 "parser.c"
        break;

    case YYSYMBOL_p_param_list_opt: /* p_param_list_opt  */
#line 1921 "parser.y"
            { DTRACE; p_param_list_cleanup( ((*yyvaluep).p_param_list) ); FREE( ((*yyvaluep).p_param_list) ); }
#line 5359 "parser.c"
        break;

    case YYSYMBOL_p_param_list: /* p_param_list  */
#line 1921 "parser.y"
            { DTRACE; p_param_list_cleanup( ((*yyvaluep).p_param_list) ); FREE( ((*yyvaluep).p_param_list) ); }
#line 5365 "parser.c"
        break;

    case YYSYMBOL_p_param: /* p_param  */
#line 1920 "parser.y"
            { DTRACE; p_param_free( ((*yyvaluep).p_param) );                     }
#line 5371 "parser.c"
        break;

    case YYSYMBOL_p_replace_list_opt: /* p_replace_list_opt  */
#line 1923 "parser.y"
            { DTRACE; p_token_list_cleanup( ((*yyvaluep).p_token_list) ); FREE( ((*yyvaluep).p_token_list) ); }
#line 5377 "parser.c"
        break;

    case YYSYMBOL_p_replace_list: /* p_replace_list  */
#line 1923 "parser.y"
            { DTRACE; p_token_list_cleanup( ((*yyvaluep).p_token_list) ); FREE( ((*yyvaluep).p_token_list) ); }
#line 5383 "parser.c"
        break;

    case YYSYMBOL_p_replace_token: /* p_replace_token  */
#line 1922 "parser.y"
            { DTRACE; p_token_free( ((*yyvaluep).p_token) );                     }
#line 5389 "parser.c"
        break;

    case YYSYMBOL_set_option_value_opt: /* set_option_value_opt  */
#line 1926 "parser.y"
            { DTRACE; FREE( ((*yyvaluep).str_val) );                             }
#line 5395 "parser.c"
        break;

    case YYSYMBOL_namespace_sname_c_exp: /* namespace_sname_c_exp  */
#line 1924 "parser.y"
            { DTRACE; c_sname_cleanup( &((*yyvaluep).sname) );                 }
#line 5401 "parser.c"
        break;

    case YYSYMBOL_namespace_sname_c: /* namespace_sname_c  */
#line 1924 "parser.y"
            { DTRACE; c_sname_cleanup( &((*yyvaluep).sname) );                 }
#line 5407 "parser.c"
        break;

    case YYSYMBOL_namespace_typedef_sname_c: /* namespace_typedef_sname_c  */
#line 1924 "parser.y"
            { DTRACE; c_sname_cleanup( &((*yyvaluep).sname) );                 }
#line 5413 "parser.c"
        break;

    case YYSYMBOL_capture_decl_list_c_opt: /* capture_decl_list_c_opt  */
#line 1917 "parser.y"
            { DTRACE; c_ast_list_cleanup( &((*yyvaluep).ast_list) );              }
#line 5419 "parser.c"
        break;

    case YYSYMBOL_capture_decl_list_c: /* capture_decl_list_c  */
#line 1917 "parser.y"
            { DTRACE; c_ast_list_cleanup( &((*yyvaluep).ast_list) );              }
#line 5425 "parser.c"
        break;

    case YYSYMBOL_decl_list_c: /* decl_list_c  */
#line 1917 "parser.y"
            { DTRACE; c_ast_list_cleanup( &((*yyvaluep).ast_list) );              }
#line 5431 "parser.c"
        break;

    case YYSYMBOL_param_c_ast_list_exp: /* param_c_ast_list_exp  */
#line 1917 "parser.y"
            { DTRACE; c_ast_list_cleanup( &((*yyvaluep).ast_list) );              }
#line 5437 "parser.c"
        break;

    case YYSYMBOL_param_c_ast_list_opt: /* param_c_ast_list_opt  */
#line 1917 "parser.y"
            { DTRACE; c_ast_list_cleanup( &((*yyvaluep).ast_list) );              }
#line 5443 "parser.c"
        break;

    case YYSYMBOL_param_c_ast_list: /* param_c_ast_list  */
#line 1917 "parser.y"
            { DTRACE; c_ast_list_cleanup( &((*yyvaluep).ast_list) );              }
#line 5449 "parser.c"
        break;

    case YYSYMBOL_paren_param_c_ast_list_opt: /* paren_param_c_ast_list_opt  */
#line 1917 "parser.y"
            { DTRACE; c_ast_list_cleanup( &((*yyvaluep).ast_list) );              }
#line 5455 "parser.c"
        break;

    case YYSYMBOL_pc99_pointer_decl_list_c: /* pc99_pointer_decl_list_c  */
#line 1917 "parser.y"
            { DTRACE; c_ast_list_cleanup( &((*yyvaluep).ast_list) );              }
#line 5461 "parser.c"
        break;

    case YYSYMBOL_sub_scope_sname_c_opt: /* sub_scope_sname_c_opt  */
#line 1924 "parser.y"
            { DTRACE; c_sname_cleanup( &((*yyvaluep).sname) );                 }
#line 5467 "parser.c"
        break;

    case YYSYMBOL_paren_param_decl_list_english_opt: /* paren_param_decl_list_english_opt  */
#line 1917 "parser.y"
            { DTRACE; c_ast_list_cleanup( &((*yyvaluep).ast_list) );              }
#line 5473 "parser.c"
        break;

    case YYSYMBOL_paren_param_decl_list_english: /* paren_param_decl_list_english  */
#line 1917 "parser.y"
            { DTRACE; c_ast_list_cleanup( &((*yyvaluep).ast_list) );              }
#line 5479 "parser.c"
        break;

    case YYSYMBOL_param_decl_list_english_opt: /* param_decl_list_english_opt  */
#line 1917 "parser.y"
            { DTRACE; c_ast_list_cleanup( &((*yyvaluep).ast_list) );              }
#line 5485 "parser.c"
        break;

    case YYSYMBOL_param_decl_list_english: /* param_decl_list_english  */
#line 1917 "parser.y"
            { DTRACE; c_ast_list_cleanup( &((*yyvaluep).ast_list) );              }
#line 5491 "parser.c"
        break;

    case YYSYMBOL_any_name: /* any_name  */
#line 1918 "parser.y"
            { DTRACE; FREE( ((*yyvaluep).name) );                             }
#line 5497 "parser.c"
        break;

    case YYSYMBOL_any_name_exp: /* any_name_exp  */
#line 1918 "parser.y"
            { DTRACE; FREE( ((*yyvaluep).name) );                             }
#line 5503 "parser.c"
        break;

    case YYSYMBOL_any_sname_c: /* any_sname_c  */
#line 1924 "parser.y"
            { DTRACE; c_sname_cleanup( &((*yyvaluep).sname) );                 }
#line 5509 "parser.c"
        break;

    case YYSYMBOL_any_sname_c_exp: /* any_sname_c_exp  */
#line 1924 "parser.y"
            { DTRACE; c_sname_cleanup( &((*yyvaluep).sname) );                 }
#line 5515 "parser.c"
        break;

    case YYSYMBOL_any_sname_c_opt: /* any_sname_c_opt  */
#line 1924 "parser.y"
            { DTRACE; c_sname_cleanup( &((*yyvaluep).sname) );                 }
#line 5521 "parser.c"
        break;

    case YYSYMBOL_name_exp: /* name_exp  */
#line 1918 "parser.y"
            { DTRACE; FREE( ((*yyvaluep).name) );                             }
#line 5527 "parser.c"
        break;

    case YYSYMBOL_name_cat: /* name_cat  */
#line 1918 "parser.y"
            { DTRACE; FREE( ((*yyvaluep).name) );                             }
#line 5533 "parser.c"
        break;

    case YYSYMBOL_name_opt: /* name_opt  */
#line 1918 "parser.y"
            { DTRACE; FREE( ((*yyvaluep).name) );                             }
#line 5539 "parser.c"
        break;

    case YYSYMBOL_oper_sname_c_opt: /* oper_sname_c_opt  */
#line 1924 "parser.y"
            { DTRACE; c_sname_cleanup( &((*yyvaluep).sname) );                 }
#line 5545 "parser.c"
        break;

    case YYSYMBOL_sname_c: /* sname_c  */
#line 1924 "parser.y"
            { DTRACE; c_sname_cleanup( &((*yyvaluep).sname) );                 }
#line 5551 "parser.c"
        break;

    case YYSYMBOL_sname_c_exp: /* sname_c_exp  */
#line 1924 "parser.y"
            { DTRACE; c_sname_cleanup( &((*yyvaluep).sname) );                 }
#line 5557 "parser.c"
        break;

    case YYSYMBOL_sname_c_opt: /* sname_c_opt  */
#line 1924 "parser.y"
            { DTRACE; c_sname_cleanup( &((*yyvaluep).sname) );                 }
#line 5563 "parser.c"
        break;

    case YYSYMBOL_sname_english: /* sname_english  */
#line 1924 "parser.y"
            { DTRACE; c_sname_cleanup( &((*yyvaluep).sname) );                 }
#line 5569 "parser.c"
        break;

    case YYSYMBOL_sname_english_exp: /* sname_english_exp  */
#line 1924 "parser.y"
            { DTRACE; c_sname_cleanup( &((*yyvaluep).sname) );                 }
#line 5575 "parser.c"
        break;

    case YYSYMBOL_sname_english_opt: /* sname_english_opt  */
#line 1924 "parser.y"
            { DTRACE; c_sname_cleanup( &((*yyvaluep).sname) );                 }
#line 5581 "parser.c"
        break;

    case YYSYMBOL_sname_list_c: /* sname_list_c  */
#line 1925 "parser.y"
            { DTRACE; c_sname_list_cleanup( &((*yyvaluep).sname_list) );            }
#line 5587 "parser.c"
        break;

    case YYSYMBOL_sname_list_english: /* sname_list_english  */
#line 1925 "parser.y"
            { DTRACE; c_sname_list_cleanup( &((*yyvaluep).sname_list) );            }
#line 5593 "parser.c"
        break;

    case YYSYMBOL_typedef_sname_c: /* typedef_sname_c  */
#line 1924 "parser.y"
            { DTRACE; c_sname_cleanup( &((*yyvaluep).sname) );                 }
#line 5599 "parser.c"
        break;

    case YYSYMBOL_destructor_sname: /* destructor_sname  */
#line 1924 "parser.y"
            { DTRACE; c_sname_cleanup( &((*yyvaluep).sname) );                 }
#line 5605 "parser.c"
        break;

    case YYSYMBOL_glob: /* glob  */
#line 1918 "parser.y"
            { DTRACE; FREE( ((*yyvaluep).name) );                             }
#line 5611 "parser.c"
        break;

    case YYSYMBOL_glob_opt: /* glob_opt  */
#line 1918 "parser.y"
            { DTRACE; FREE( ((*yyvaluep).name) );                             }
#line 5617 "parser.c"
        break;

    case YYSYMBOL_of_scope_english: /* of_scope_english  */
#line 1924 "parser.y"
            { DTRACE; c_sname_cleanup( &((*yyvaluep).sname) );                 }
#line 5623 "parser.c"
        break;

    case YYSYMBOL_of_scope_list_english: /* of_scope_list_english  */
#line 1924 "parser.y"
            { DTRACE; c_sname_cleanup( &((*yyvaluep).sname) );                 }
#line 5629 "parser.c"
        break;

    case YYSYMBOL_of_scope_list_english_opt: /* of_scope_list_english_opt  */
#line 1924 "parser.y"
            { DTRACE; c_sname_cleanup( &((*yyvaluep).sname) );                 }
#line 5635 "parser.c"
        break;

    case YYSYMBOL_str_lit: /* str_lit  */
#line 1926 "parser.y"
            { DTRACE; FREE( ((*yyvaluep).str_val) );                             }
#line 5641 "parser.c"
        break;

    case YYSYMBOL_str_lit_exp: /* str_lit_exp  */
#line 1926 "parser.y"
            { DTRACE; FREE( ((*yyvaluep).str_val) );                             }
#line 5647 "parser.c"
        break;

      default:
        break;
    }
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    /* The location stack: array, bottom, top.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls = yylsa;
    YYLTYPE *yylsp = yyls;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

  /* The locations where the error started and ended.  */
  YYLTYPE yyerror_range[3];



#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yyls1, yysize * YYSIZEOF (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      yyerror_range[1] = yylloc;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 3: /* command_list: command_list command  */
#line 1934 "parser.y"
    { //
      // We get here only after a successful parse.
      //
      parse_cleanup( /*fatal_error=*/false );
    }
#line 5946 "parser.c"
    break;

  case 19: /* command: error  */
#line 1958 "parser.y"
    {
      if ( lexer_printable_token() != NULL )
        elaborate_error_dym( DYM_COMMANDS, "unexpected token" );
      else
        elaborate_error( "unexpected end of command" );
    }
#line 5957 "parser.c"
    break;

  case 20: /* cast_command: Y_cast sname_english_opt as_into_to_exp decl_english_ast  */
#line 1977 "parser.y"
    {
      DUMP_START( "cast_command",
                  "CAST sname_english_opt {AS|[IN]TO} decl_english_ast" );
      DUMP_SNAME( "sname_english_opt", (yyvsp[-2].sname) );
      DUMP_AST( "decl_english_ast", (yyvsp[0].ast) );

      c_ast_t *const cast_ast = c_ast_new_gc( K_CAST, &(yyloc) );
      cast_ast->sname = c_sname_move( &(yyvsp[-2].sname) );
      cast_ast->cast.kind = C_CAST_C;
      cast_ast->cast.to_ast = (yyvsp[0].ast);

      DUMP_AST( "$$_ast", cast_ast );
      DUMP_END();

      PARSE_ASSERT( c_ast_check( cast_ast ) );
      c_ast_gibberish( cast_ast, C_GIB_PRINT_CAST, stdout );
    }
#line 5979 "parser.c"
    break;

  case 21: /* cast_command: new_style_cast_english sname_english_exp as_into_to_exp decl_english_ast  */
#line 2000 "parser.y"
    {
      DUMP_START( "cast_command",
                  "new_style_cast_english sname_english_exp {AS|[IN]TO} "
                  "decl_english_ast" );
      DUMP_STR( "new_style_cast_english", c_cast_gibberish( (yyvsp[-3].cast_kind) ) );
      DUMP_SNAME( "sname_english_exp", (yyvsp[-2].sname) );
      DUMP_AST( "decl_english_ast", (yyvsp[0].ast) );

      c_ast_t *const cast_ast = c_ast_new_gc( K_CAST, &(yyloc) );
      cast_ast->sname = c_sname_move( &(yyvsp[-2].sname) );
      cast_ast->cast.kind = (yyvsp[-3].cast_kind);
      cast_ast->cast.to_ast = (yyvsp[0].ast);

      DUMP_AST( "$$_ast", cast_ast );
      DUMP_END();

      PARSE_ASSERT( c_ast_check( cast_ast ) );
      c_ast_gibberish( cast_ast, C_GIB_PRINT_CAST, stdout );
    }
#line 6003 "parser.c"
    break;

  case 22: /* new_style_cast_english: Y_const cast_exp  */
#line 2022 "parser.y"
                                  { (yyval.cast_kind) = C_CAST_CONST;        }
#line 6009 "parser.c"
    break;

  case 23: /* new_style_cast_english: Y_dynamic cast_exp  */
#line 2023 "parser.y"
                                  { (yyval.cast_kind) = C_CAST_DYNAMIC;      }
#line 6015 "parser.c"
    break;

  case 24: /* new_style_cast_english: Y_reinterpret cast_exp  */
#line 2024 "parser.y"
                                  { (yyval.cast_kind) = C_CAST_REINTERPRET;  }
#line 6021 "parser.c"
    break;

  case 25: /* new_style_cast_english: Y_static cast_exp  */
#line 2025 "parser.y"
                                  { (yyval.cast_kind) = C_CAST_STATIC;       }
#line 6027 "parser.c"
    break;

  case 27: /* declare_command: Y_declare sname_list_english as_exp alignas_or_width_decl_english_ast  */
#line 2037 "parser.y"
    {
      if ( (yyvsp[0].ast)->kind == K_NAME ) {
        //
        // This checks for a case like:
        //
        //      declare x as y
        //
        // i.e., declaring a variable name as another name (unknown type).
        // This can get this far due to the nature of the C/C++ grammar.
        //
        // This check has to be done now in the parser rather than later in the
        // AST because the name of the AST node needs to be set to the variable
        // name, but the AST node is itself a name and overwriting it would
        // lose information.
        //
        assert( !c_sname_empty( &(yyvsp[0].ast)->sname ) );
        print_error_unknown_name( &(yylsp[0]), &(yyvsp[0].ast)->sname );
        c_sname_list_cleanup( &(yyvsp[-2].sname_list) );
        PARSE_ABORT();
      }

      DUMP_START( "declare_command",
                  "DECLARE sname_list_english AS "
                  "alignas_or_width_decl_english_ast" );
      DUMP_SNAME_LIST( "sname_list_english", (yyvsp[-2].sname_list) );
      DUMP_AST( "alignas_or_width_decl_english_ast", (yyvsp[0].ast) );

      slist_t *sname_list = &(yyvsp[-2].sname_list);
      c_ast_t *const struct_bind_ast = c_ast_unreference_any( (yyvsp[0].ast) );

      if ( struct_bind_ast->kind == K_STRUCTURED_BINDING ) {
        //
        // For ref-qualified structured bindings, it's much simpler to
        // retroactively change $decl_ast to the structured binding AST
        // directly eliding the reference AST and fold in the reference type.
        //
        struct_bind_ast->type.stids |= (yyvsp[0].ast)->type.stids;
        switch ( (yyvsp[0].ast)->kind ) {
          case K_REFERENCE:
            struct_bind_ast->type.stids |= TS_REFERENCE;
            break;
          case K_RVALUE_REFERENCE:
            struct_bind_ast->type.stids |= TS_RVALUE_REFERENCE;
            break;
          default:
            /* suppress warning */;
        } // switch
        (yyvsp[0].ast) = struct_bind_ast;
        c_ast_set_parent( (yyvsp[0].ast), /*parent_ast=*/NULL );

        //
        // A structured binding is inverted: instead of having one structured
        // binding AST for each name, we have just one structured binding AST
        // with a list of name(s).
        //
        (yyvsp[0].ast)->struct_bind.sname_list = slist_move( sname_list );
        sname_list = &(yyvsp[0].ast)->struct_bind.sname_list;
      }

      DUMP_AST( "$$_ast", (yyvsp[0].ast) );
      DUMP_END();

      (yyvsp[0].ast)->loc = (yylsp[-2]);

      bool ok = true;
      //
      // Ensure that none of the names aren't of a previously declared type:
      //
      //      cdecl> struct S
      //      cdecl> declare S as int // error: "S": previously declared
      //
      // This check is done now in the parser rather than later in the AST
      // since similar checks are also done here in the parser.
      //
      FOREACH_SLIST_NODE( sname_node, sname_list ) {
        c_sname_t const *const sname = sname_node->data;
        if ( sname_is_type( sname, &(yyvsp[0].ast)->loc ) ) {
          ok = false;
          break;
        }
      } // for

      if ( ok ) {
        // To check the declaration, it needs a name: just dup the first one.
        c_sname_t temp_sname = c_sname_dup( slist_front( sname_list ) );
        c_sname_set( &(yyvsp[0].ast)->sname, &temp_sname );
        ok = c_ast_check( (yyvsp[0].ast) );
      }

      if ( ok ) {
        if ( (yyvsp[0].ast)->kind == K_STRUCTURED_BINDING ) {
          unsigned decl_flags = C_GIB_PRINT_DECL;
          if ( opt_semicolon )
            decl_flags |= C_GIB_OPT_SEMICOLON;
          c_ast_gibberish( (yyvsp[0].ast), decl_flags, stdout );
        }
        else {
          c_ast_sname_list_gibberish( (yyvsp[0].ast), &(yyvsp[-2].sname_list), stdout );
        }
      }

      c_sname_list_cleanup( &(yyvsp[-2].sname_list) );
      PARSE_ASSERT( ok );
      PUTC( '\n' );
    }
#line 6137 "parser.c"
    break;

  case 28: /* $@1: %empty  */
#line 2147 "parser.y"
    { //
      // This check is done now in the parser right here mid-rule rather than
      // later in the end-rule action or in the AST since it yields a better
      // error message since otherwise it would warn that "operator" is a
      // keyword in C++98 which skims right past the bigger error that operator
      // overloading isn't supported in C.
      //
      if ( !IS_SUPPORTED( operator ) ) {
        print_error( &(yylsp[0]),
          "operator overloading not supported%s\n",
          C_LANG_WHICH( operator )
        );
        PARSE_ABORT();
      }
    }
#line 6157 "parser.c"
    break;

  case 29: /* declare_command: Y_declare c_operator $@1 of_scope_list_english_opt as_exp type_qualifier_list_english_type_opt ref_qualifier_english_stid_opt member_or_non_member_opt operator_exp paren_param_decl_list_english_opt returning_english_ast_opt  */
#line 2168 "parser.y"
    {
      c_operator_t const *const operator = c_op_get( (yyvsp[-9].op_id) );

      DUMP_START( "declare_command",
                  "DECLARE c_operator of_scope_list_english_opt AS "
                  "type_qualifier_list_english_type_opt "
                  "ref_qualifier_english_stid_opt "
                  "member_or_non_member_opt "
                  "OPERATOR paren_param_decl_list_english_opt "
                  "returning_english_ast_opt" );
      DUMP_STR( "c_operator", operator->literal );
      DUMP_SNAME( "of_scope_list_english_opt", (yyvsp[-7].sname) );
      DUMP_TYPE( "type_qualifier_list_english_type_opt", (yyvsp[-5].type) );
      DUMP_TID( "ref_qualifier_english_stid_opt", (yyvsp[-4].tid) );
      DUMP_INT( "member_or_non_member_opt", (yyvsp[-3].member) );
      DUMP_AST_LIST( "paren_param_decl_list_english_opt", (yyvsp[-1].ast_list) );
      DUMP_AST( "returning_english_ast_opt", (yyvsp[0].ast) );
      DUMP_END();

      c_ast_t *const oper_ast = c_ast_new_gc( K_OPERATOR, &(yylsp[-9]) );
      c_sname_set( &oper_ast->sname, &(yyvsp[-7].sname) );
      PARSE_ASSERT( c_type_add( &oper_ast->type, &(yyvsp[-5].type), &(yylsp[-5]) ) );
      PARSE_ASSERT(
        c_type_add_tid( &oper_ast->type, (yyvsp[-4].tid), &(yylsp[-4]) )
      );
      oper_ast->oper.operator = operator;
      c_ast_list_set_param_of( &(yyvsp[-1].ast_list), oper_ast );
      oper_ast->oper.param_ast_list = slist_move( &(yyvsp[-1].ast_list) );
      oper_ast->oper.member = (yyvsp[-3].member);
      c_ast_set_parent( (yyvsp[0].ast), oper_ast );

      PARSE_ASSERT( c_ast_check( oper_ast ) );
      unsigned decl_flags = C_GIB_PRINT_DECL;
      if ( opt_semicolon )
        decl_flags |= C_GIB_OPT_SEMICOLON;
      c_ast_gibberish( oper_ast, decl_flags, stdout );
      PUTC( '\n' );
    }
#line 6200 "parser.c"
    break;

  case 30: /* declare_command: Y_declare storage_class_subset_english_type_opt Y_lambda capturing_paren_capture_decl_list_english_opt paren_param_decl_list_english_opt returning_english_ast_opt  */
#line 2214 "parser.y"
    {
      DUMP_START( "declare_command",
                  "DECLARE storage_class_subset_english_type_opt "
                  "LAMBDA capturing_paren_capture_decl_list_english_opt "
                  "paren_param_decl_list_english_opt"
                  "returning_english_ast_opt" );
      DUMP_TYPE( "storage_class_subset_english_type_opt", (yyvsp[-4].type) );
      DUMP_AST_LIST( "capturing_paren_capture_decl_list_english_opt",
                     (yyvsp[-2].ast_list) );
      DUMP_AST_LIST( "paren_param_decl_list_english_opt", (yyvsp[-1].ast_list) );
      DUMP_AST( "returning_english_ast_opt", (yyvsp[0].ast) );

      c_ast_t *const lambda_ast = c_ast_new_gc( K_LAMBDA, &(yyloc) );
      lambda_ast->type = (yyvsp[-4].type);
      c_ast_list_set_param_of( &(yyvsp[-2].ast_list), lambda_ast );
      lambda_ast->lambda.capture_ast_list = slist_move( &(yyvsp[-2].ast_list) );
      c_ast_list_set_param_of( &(yyvsp[-1].ast_list), lambda_ast );
      lambda_ast->lambda.param_ast_list = slist_move( &(yyvsp[-1].ast_list) );
      c_ast_set_parent( (yyvsp[0].ast), lambda_ast );

      DUMP_AST( "$$_ast", lambda_ast );
      DUMP_END();

      PARSE_ASSERT( c_ast_check( lambda_ast ) );
      c_ast_gibberish( lambda_ast, C_GIB_PRINT_DECL, stdout );
      PUTC( '\n' );
    }
#line 6232 "parser.c"
    break;

  case 31: /* declare_command: Y_declare storage_class_subset_english_type_opt cv_qualifier_list_stid_opt user_defined conversion_exp operator_opt of_scope_list_english_opt returning_exp decl_english_ast  */
#line 2249 "parser.y"
    {
      DUMP_START( "declare_command",
                  "DECLARE storage_class_subset_english_type_opt "
                  "cv_qualifier_list_stid_opt "
                  "USER-DEFINED CONVERSION [OPERATOR] "
                  "of_scope_list_english_opt "
                  "RETURNING decl_english_ast" );
      DUMP_TYPE( "storage_class_subset_english_type_opt", (yyvsp[-7].type) );
      DUMP_TID( "cv_qualifier_list_stid_opt", (yyvsp[-6].tid) );
      DUMP_SNAME( "of_scope_list_english_opt", (yyvsp[-2].sname) );
      DUMP_AST( "decl_english_ast", (yyvsp[0].ast) );

      c_ast_t *const udc_ast = c_ast_new_gc( K_UDEF_CONV, &(yyloc) );
      c_sname_set( &udc_ast->sname, &(yyvsp[-2].sname) );
      udc_ast->type = c_type_or( &(yyvsp[-7].type), &C_TYPE_LIT_S( (yyvsp[-6].tid) ) );
      c_ast_set_parent( (yyvsp[0].ast), udc_ast );

      DUMP_AST( "$$_ast", udc_ast );
      DUMP_END();

      PARSE_ASSERT( c_ast_check( udc_ast ) );
      unsigned decl_flags = C_GIB_PRINT_DECL;
      if ( opt_semicolon )
        decl_flags |= C_GIB_OPT_SEMICOLON;
      c_ast_gibberish( udc_ast, decl_flags, stdout );
      PUTC( '\n' );
    }
#line 6264 "parser.c"
    break;

  case 32: /* declare_command: Y_declare error  */
#line 2278 "parser.y"
    {
      if ( OPT_LANG_IS( operator ) )
        elaborate_error( "name or operator expected" );
      else
        elaborate_error( "name expected" );
    }
#line 6275 "parser.c"
    break;

  case 34: /* alignas_or_width_decl_english_ast: decl_english_ast alignas_specifier_english  */
#line 2290 "parser.y"
    {
      DUMP_START( "alignas_or_width_decl_english_ast",
                  "decl_english_ast alignas_specifier_english" );
      DUMP_AST( "decl_english_ast", (yyvsp[-1].ast) );
      DUMP_ALIGN( "alignas_specifier_english", (yyvsp[0].align) );

      (yyval.ast) = (yyvsp[-1].ast);
      (yyval.ast)->align = (yyvsp[0].align);
      (yyval.ast)->loc = (yyloc);

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 6293 "parser.c"
    break;

  case 35: /* alignas_or_width_decl_english_ast: decl_english_ast width_specifier_english_uint  */
#line 2305 "parser.y"
    {
      DUMP_START( "alignas_or_width_decl_english_ast",
                  "decl_english_ast width_specifier_english_uint" );
      DUMP_AST( "decl_english_ast", (yyvsp[-1].ast) );
      DUMP_INT( "width_specifier_english_uint", (yyvsp[0].uint_val) );

      //
      // This check has to be done now in the parser rather than later in the
      // AST since we need to use the builtin union member now.
      //
      if ( !c_ast_is_integral( (yyvsp[-1].ast) ) ) {
        print_error( &(yylsp[0]), "invalid bit-field type " );
        print_ast_type_aka( (yyvsp[-1].ast), stderr );
        EPRINTF( "; must be an integral %stype\n",
          OPT_LANG_IS( enum_BITFIELDS ) ? "or enumeration " : ""
        );
        PARSE_ABORT();
      }

      (yyval.ast) = (yyvsp[-1].ast);
      (yyval.ast)->loc = (yyloc);
      (yyval.ast)->bit_field.bit_width = (yyvsp[0].uint_val);

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 6324 "parser.c"
    break;

  case 36: /* alignas_specifier_english: aligned_english uint_lit bytes_opt  */
#line 2335 "parser.y"
    {
      (yyval.align).kind = C_ALIGNAS_BYTES;
      (yyval.align).loc = (yylsp[-2]);
      (yyval.align).bytes = (yyvsp[-1].uint_val);
    }
#line 6334 "parser.c"
    break;

  case 37: /* alignas_specifier_english: aligned_english decl_english_ast  */
#line 2341 "parser.y"
    {
      (yyval.align).kind = C_ALIGNAS_TYPE;
      (yyval.align).loc = (yylsp[-1]);
      (yyval.align).type_ast = (yyvsp[0].ast);
    }
#line 6344 "parser.c"
    break;

  case 38: /* alignas_specifier_english: aligned_english error  */
#line 2347 "parser.y"
    {
      (yyval.align) = (c_alignas_t){ 0 };
      (yyval.align).loc = (yylsp[-1]);
      elaborate_error( "integer or type expected" );
    }
#line 6354 "parser.c"
    break;

  case 42: /* capturing_paren_capture_decl_list_english_opt: %empty  */
#line 2361 "parser.y"
                                  { slist_init( &(yyval.ast_list) ); }
#line 6360 "parser.c"
    break;

  case 43: /* capturing_paren_capture_decl_list_english_opt: Y_capturing paren_capture_decl_list_english  */
#line 2363 "parser.y"
    {
      (yyval.ast_list) = (yyvsp[0].ast_list);
    }
#line 6368 "parser.c"
    break;

  case 44: /* capturing_paren_capture_decl_list_english_opt: '[' capture_decl_list_english_opt ']'  */
#line 2367 "parser.y"
    {
      (yyval.ast_list) = (yyvsp[-1].ast_list);
    }
#line 6376 "parser.c"
    break;

  case 45: /* paren_capture_decl_list_english: '[' capture_decl_list_english_opt ']'  */
#line 2374 "parser.y"
    {
      (yyval.ast_list) = (yyvsp[-1].ast_list);
    }
#line 6384 "parser.c"
    break;

  case 46: /* paren_capture_decl_list_english: '(' capture_decl_list_english_opt ')'  */
#line 2378 "parser.y"
    {
      (yyval.ast_list) = (yyvsp[-1].ast_list);
    }
#line 6392 "parser.c"
    break;

  case 47: /* paren_capture_decl_list_english: error  */
#line 2382 "parser.y"
    {
      slist_init( &(yyval.ast_list) );
      elaborate_error( "'[' or '(' expected\n" );
    }
#line 6401 "parser.c"
    break;

  case 48: /* capture_decl_list_english_opt: %empty  */
#line 2389 "parser.y"
                                  { slist_init( &(yyval.ast_list) ); }
#line 6407 "parser.c"
    break;

  case 50: /* capture_decl_list_english: capture_decl_list_english comma_exp capture_decl_english_ast  */
#line 2396 "parser.y"
    {
      DUMP_START( "capture_decl_list_english",
                  "capture_decl_list_english ',' capture_decl_english_ast" );
      DUMP_AST_LIST( "capture_decl_list_english", (yyvsp[-2].ast_list) );
      DUMP_AST( "capture_decl_english_ast", (yyvsp[0].ast) );

      (yyval.ast_list) = (yyvsp[-2].ast_list);
      slist_push_back( &(yyval.ast_list), (yyvsp[0].ast) );

      DUMP_AST_LIST( "$$_ast_list", (yyval.ast_list) );
      DUMP_END();
    }
#line 6424 "parser.c"
    break;

  case 51: /* capture_decl_list_english: capture_decl_english_ast  */
#line 2410 "parser.y"
    {
      DUMP_START( "capture_decl_list_english",
                  "capture_decl_english_ast" );
      DUMP_AST( "capture_decl_english_ast", (yyvsp[0].ast) );

      slist_init( &(yyval.ast_list) );
      slist_push_back( &(yyval.ast_list), (yyvsp[0].ast) );

      DUMP_AST_LIST( "$$_ast_list", (yyval.ast_list) );
      DUMP_END();
    }
#line 6440 "parser.c"
    break;

  case 52: /* capture_decl_english_ast: Y_copy capture_default_opt  */
#line 2425 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_CAPTURE, &(yyloc) );
      (yyval.ast)->capture.kind = C_CAPTURE_COPY;
    }
#line 6449 "parser.c"
    break;

  case 53: /* capture_decl_english_ast: Y_reference capture_default_opt  */
#line 2430 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_CAPTURE, &(yyloc) );
      (yyval.ast)->capture.kind = C_CAPTURE_REFERENCE;
    }
#line 6458 "parser.c"
    break;

  case 54: /* capture_decl_english_ast: Y_reference Y_to name_exp  */
#line 2435 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_CAPTURE, &(yyloc) );
      c_sname_append_name( &(yyval.ast)->sname, (yyvsp[0].name) );
      (yyval.ast)->capture.kind = C_CAPTURE_REFERENCE;
    }
#line 6468 "parser.c"
    break;

  case 59: /* width_specifier_english_uint: Y_width uint_lit_exp bits_opt  */
#line 2451 "parser.y"
    { //
      // This check has to be done now in the parser rather than later in the
      // AST since we use 0 to mean "no bit-field."
      //
      if ( (yyvsp[-1].uint_val) == 0 ) {
        print_error( &(yylsp[-1]), "bit-field width must be > 0\n" );
        PARSE_ABORT();
      }
      (yyval.uint_val) = (yyvsp[-1].uint_val);
    }
#line 6483 "parser.c"
    break;

  case 60: /* storage_class_subset_english_type_opt: %empty  */
#line 2464 "parser.y"
                                  { (yyval.type) = T_NONE; }
#line 6489 "parser.c"
    break;

  case 61: /* storage_class_subset_english_type_opt: storage_class_subset_english_type_opt storage_class_subset_english_type  */
#line 2467 "parser.y"
    {
      DUMP_START( "storage_class_subset_english_type_opt",
                  "storage_class_subset_english_type_opt "
                  "storage_class_subset_english_type" );
      DUMP_TYPE( "storage_class_subset_english_type_opt", (yyvsp[-1].type) );
      DUMP_TYPE( "storage_class_subset_english_type", (yyvsp[0].type) );

      (yyval.type) = (yyvsp[-1].type);
      PARSE_ASSERT( c_type_add( &(yyval.type), &(yyvsp[0].type), &(yylsp[0]) ) );

      DUMP_TYPE( "$$_type", (yyval.type) );
      DUMP_END();
    }
#line 6507 "parser.c"
    break;

  case 62: /* storage_class_subset_english_type: attribute_english_atid  */
#line 2483 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_A( (yyvsp[0].tid) ); }
#line 6513 "parser.c"
    break;

  case 63: /* storage_class_subset_english_type: storage_class_subset_english_stid  */
#line 2485 "parser.y"
    {
      (yyval.type) = C_TYPE_LIT_S( (yyvsp[0].tid) );
    }
#line 6521 "parser.c"
    break;

  case 64: /* storage_class_subset_english_stid: Y_constant eval_expr_init_stid  */
#line 2506 "parser.y"
    {
      (yyval.tid) = (yyvsp[0].tid);
    }
#line 6529 "parser.c"
    break;

  case 74: /* storage_class_subset_english_stid: Y_no Y_except  */
#line 2518 "parser.y"
                                  { (yyval.tid) = TS_noexcept; }
#line 6535 "parser.c"
    break;

  case 80: /* storage_class_subset_english_stid: Y_pure virtual_stid_exp  */
#line 2524 "parser.y"
                                  { (yyval.tid) = TS_PURE_virtual | (yyvsp[0].tid); }
#line 6541 "parser.c"
    break;

  case 81: /* define_command: Y_define sname_english_exp as_exp decl_english_ast  */
#line 2531 "parser.y"
    {
      DUMP_START( "define_command",
                  "DEFINE sname_english AS decl_english_ast" );
      DUMP_SNAME( "sname_english_exp", (yyvsp[-2].sname) );
      DUMP_AST( "decl_english_ast", (yyvsp[0].ast) );

      c_sname_set( &(yyvsp[0].ast)->sname, &(yyvsp[-2].sname) );

      if ( (yyvsp[0].ast)->kind == K_NAME ) { // see the comment in "declare_command"
        assert( !c_sname_empty( &(yyvsp[0].ast)->sname ) );
        print_error_unknown_name( &(yylsp[0]), &(yyvsp[0].ast)->sname );
        PARSE_ABORT();
      }

      if ( !c_tid_is_any( (yyvsp[0].ast)->type.stids, TS_typedef ) ) {
        //
        // Explicitly add TS_typedef (if it doesn't have it already) to
        // prohibit cases like:
        //
        //      define eint as extern int
        //      define rint as register int
        //      define sint as static int
        //      ...
        //
        // i.e., a defined type with a storage class.  Once the semantic checks
        // pass, remove the TS_typedef.
        //
        PARSE_ASSERT(
          c_type_add( &(yyvsp[0].ast)->type, &T_TS_typedef, &(yylsp[0]) )
        );
      }
      PARSE_ASSERT( c_ast_check( (yyvsp[0].ast) ) );
      PJL_DISCARD_RV( c_ast_take_type_any( (yyvsp[0].ast), &T_TS_typedef ) );

      if ( c_tid_is_any( (yyvsp[0].ast)->type.btids, TB_ANY_SCOPE ) )
        c_sname_set_local_type( &(yyvsp[0].ast)->sname, &(yyvsp[0].ast)->type );
      c_sname_fill_in_namespaces( &(yyvsp[0].ast)->sname );

      DUMP_AST( "$$_ast", (yyvsp[0].ast) );
      DUMP_END();

      PARSE_ASSERT( c_sname_check( &(yyvsp[0].ast)->sname, &(yylsp[-2]) ) );
      PARSE_ASSERT( define_type( (yyvsp[0].ast), C_ENG_DECL ) );
    }
#line 6590 "parser.c"
    break;

  case 82: /* expand_command: Y_expand Y_NAME expand_command2  */
#line 2581 "parser.y"
    {
      p_arg_list_t   *const arg_list   = (yyvsp[0].ptrs)[0];
      p_token_list_t *const extra_list = (yyvsp[0].ptrs)[1];

      DUMP_START( "expand_command", "EXPAND NAME arg_list_opt extra_list_opt" );
      DUMP_STR( "name", (yyvsp[-1].name) );
      DUMP_MACRO_ARG_LIST( "arg_list", arg_list );
      DUMP_MACRO_TOKEN_LIST( "extra_list", extra_list );
      DUMP_END();

      bool const ok =
        p_macro_expand( (yyvsp[-1].name), &(yylsp[-1]), arg_list, extra_list, stdout );
      p_arg_list_cleanup( arg_list );
      free( arg_list );
      p_token_list_cleanup( extra_list );
      free( extra_list );
      free( (yyvsp[-1].name) );
      PARSE_ASSERT( ok );
    }
#line 6614 "parser.c"
    break;

  case 83: /* expand_command: Y_expand error  */
#line 2602 "parser.y"
    {
      elaborate_error( "macro name expected" );
    }
#line 6622 "parser.c"
    break;

  case 84: /* expand_command2: %empty  */
#line 2608 "parser.y"
                                  { (yyval.ptrs)[0] = (yyval.ptrs)[1] = NULL; }
#line 6628 "parser.c"
    break;

  case 85: /* expand_command2: p_extra_token_except_lparen p_extra_tokens_opt  */
#line 2624 "parser.y"
    {
      if ( (yyvsp[0].p_token_list) == NULL ) {
        (yyvsp[0].p_token_list) = MALLOC( p_token_list_t, 1 );
        slist_init( (yyvsp[0].p_token_list) );
      }
      slist_push_front( (yyvsp[0].p_token_list), (yyvsp[-1].p_token) );

      (yyval.ptrs)[0] = NULL;
      (yyval.ptrs)[1] = (yyvsp[0].p_token_list);
    }
#line 6643 "parser.c"
    break;

  case 86: /* expand_command2: '(' p_arg_list_opt ')' p_extra_tokens_opt  */
#line 2636 "parser.y"
    {
      (yyval.ptrs)[0] = (yyvsp[-2].p_arg_list);
      (yyval.ptrs)[1] = (yyvsp[0].p_token_list);
    }
#line 6652 "parser.c"
    break;

  case 88: /* p_extra_token_except_lparen: ')'  */
#line 2645 "parser.y"
    {
      (yyval.p_token) = p_token_new_loc( P_PUNCTUATOR, &(yylsp[0]), ")" );
    }
#line 6660 "parser.c"
    break;

  case 89: /* p_extra_tokens_opt: %empty  */
#line 2651 "parser.y"
                                  { (yyval.p_token_list) = NULL; }
#line 6666 "parser.c"
    break;

  case 91: /* p_extra_tokens: p_extra_tokens p_extra_token  */
#line 2657 "parser.y"
    {
      (yyval.p_token_list) = (yyvsp[-1].p_token_list);
      slist_push_back( (yyval.p_token_list), (yyvsp[0].p_token) );
    }
#line 6675 "parser.c"
    break;

  case 92: /* p_extra_tokens: p_extra_token  */
#line 2662 "parser.y"
    {
      (yyval.p_token_list) = MALLOC( p_token_list_t, 1 );
      slist_init( (yyval.p_token_list) );
      slist_push_back( (yyval.p_token_list), (yyvsp[0].p_token) );
    }
#line 6685 "parser.c"
    break;

  case 94: /* p_extra_token: '('  */
#line 2672 "parser.y"
    {
      (yyval.p_token) = p_token_new_loc( P_PUNCTUATOR, &(yylsp[0]), "(" );
    }
#line 6693 "parser.c"
    break;

  case 95: /* p_arg_list_opt: %empty  */
#line 2679 "parser.y"
    {
      (yyval.p_arg_list) = MALLOC( p_arg_list_t, 1 );
      slist_init( (yyval.p_arg_list) );
    }
#line 6702 "parser.c"
    break;

  case 97: /* p_arg_list_opt: p_comma_arg_list  */
#line 2697 "parser.y"
    {
      slist_push_back( (yyvsp[0].p_arg_list), p_token_list_new_placemarker() );
      slist_push_back( (yyvsp[0].p_arg_list), p_token_list_new_placemarker() );

      (yyval.p_arg_list) = MALLOC( p_arg_list_t, 1 );
      slist_init( (yyval.p_arg_list) );
      slist_push_list_back( (yyval.p_arg_list), (yyvsp[0].p_arg_list) );
    }
#line 6715 "parser.c"
    break;

  case 98: /* p_arg_list_opt: p_comma_arg_list p_arg_list  */
#line 2717 "parser.y"
    {
      slist_push_back( (yyvsp[-1].p_arg_list), p_token_list_new_placemarker() );

      (yyval.p_arg_list) = (yyvsp[0].p_arg_list);
      slist_push_list_front( (yyval.p_arg_list), (yyvsp[-1].p_arg_list) );
    }
#line 6726 "parser.c"
    break;

  case 99: /* p_arg_list_opt: p_comma_arg_list p_arg_list p_comma_arg_list  */
#line 2739 "parser.y"
    {
      slist_push_back( (yyvsp[-2].p_arg_list), p_token_list_new_placemarker() );
      slist_push_back( (yyvsp[0].p_arg_list), p_token_list_new_placemarker() );

      (yyval.p_arg_list) = (yyvsp[-1].p_arg_list);
      slist_push_list_front( (yyval.p_arg_list), (yyvsp[-2].p_arg_list) );
      slist_push_list_back ( (yyval.p_arg_list), (yyvsp[0].p_arg_list) );
    }
#line 6739 "parser.c"
    break;

  case 100: /* p_arg_list_opt: p_arg_list p_comma_arg_list  */
#line 2759 "parser.y"
    {
      (yyval.p_arg_list) = (yyvsp[-1].p_arg_list);
      slist_push_back( (yyvsp[0].p_arg_list), p_token_list_new_placemarker() );
      slist_push_list_back( (yyval.p_arg_list), (yyvsp[0].p_arg_list) );
    }
#line 6749 "parser.c"
    break;

  case 101: /* p_arg_list_opt: error  */
#line 2766 "parser.y"
    {
      (yyval.p_arg_list) = NULL;
      elaborate_error( "macro argument expected" );
    }
#line 6758 "parser.c"
    break;

  case 102: /* p_comma_arg_list: p_comma_arg_list ','  */
#line 2774 "parser.y"
    {
      (yyval.p_arg_list) = (yyvsp[-1].p_arg_list);
      slist_push_back( (yyval.p_arg_list), p_token_list_new_placemarker() );
    }
#line 6767 "parser.c"
    break;

  case 103: /* p_comma_arg_list: ','  */
#line 2779 "parser.y"
    {
      (yyval.p_arg_list) = MALLOC( p_arg_list_t, 1 );
      slist_init( (yyval.p_arg_list) );
    }
#line 6776 "parser.c"
    break;

  case 104: /* p_arg_list: p_arg_list p_comma_arg_list p_arg_tokens  */
#line 2800 "parser.y"
    {
      (yyval.p_arg_list) = (yyvsp[-2].p_arg_list);

      if ( !slist_empty( (yyvsp[-1].p_arg_list) ) )
        slist_push_list_back( (yyval.p_arg_list), (yyvsp[-1].p_arg_list) );

      slist_push_back( (yyval.p_arg_list), (yyvsp[0].p_token_list) );
    }
#line 6789 "parser.c"
    break;

  case 105: /* p_arg_list: p_arg_tokens  */
#line 2810 "parser.y"
    {
      (yyval.p_arg_list) = MALLOC( p_arg_list_t, 1 );
      slist_init( (yyval.p_arg_list) );
      slist_push_back( (yyval.p_arg_list), (yyvsp[0].p_token_list) );
    }
#line 6799 "parser.c"
    break;

  case 106: /* p_arg_tokens: p_arg_tokens p_arg_token_as_list  */
#line 2819 "parser.y"
    {
      (yyval.p_token_list) = (yyvsp[-1].p_token_list);
      slist_push_list_back( (yyval.p_token_list), (yyvsp[0].p_token_list) );
    }
#line 6808 "parser.c"
    break;

  case 108: /* p_arg_token_as_list: p_arg_token  */
#line 2828 "parser.y"
    {
      (yyval.p_token_list) = MALLOC( p_token_list_t, 1 );
      slist_init( (yyval.p_token_list) );
      slist_push_back( (yyval.p_token_list), (yyvsp[0].p_token) );
    }
#line 6818 "parser.c"
    break;

  case 109: /* p_arg_token_as_list: '(' p_arg_tokens_with_comma_opt ')'  */
#line 2834 "parser.y"
    {
      (yyval.p_token_list) = (yyvsp[-1].p_token_list);
      slist_push_front( (yyval.p_token_list), p_token_new_loc( P_PUNCTUATOR, &(yylsp[-2]), "(" ) );
      slist_push_back ( (yyval.p_token_list), p_token_new_loc( P_PUNCTUATOR, &(yylsp[0]), ")" ) );
    }
#line 6828 "parser.c"
    break;

  case 110: /* p_arg_token: Y_CHAR_LIT  */
#line 2843 "parser.y"
    {
      (yyval.p_token) = p_token_new_loc( P_CHAR_LIT, &(yylsp[0]), (yyvsp[0].str_val) );
    }
#line 6836 "parser.c"
    break;

  case 111: /* p_arg_token: Y_NAME  */
#line 2847 "parser.y"
    {
      (yyval.p_token) = p_token_new_loc( P_IDENTIFIER, &(yylsp[0]), (yyvsp[0].name) );
    }
#line 6844 "parser.c"
    break;

  case 112: /* p_arg_token: p_num_lit  */
#line 2851 "parser.y"
    {
      (yyval.p_token) = p_token_new_loc( P_NUM_LIT, &(yylsp[0]), check_strdup( lexer_token ) );
    }
#line 6852 "parser.c"
    break;

  case 113: /* p_arg_token: Y_PRE_SPACE  */
#line 2855 "parser.y"
    {
      (yyval.p_token) = p_token_new_loc( P_SPACE, &(yylsp[0]), /*literal=*/NULL );
    }
#line 6860 "parser.c"
    break;

  case 114: /* p_arg_token: Y_STR_LIT  */
#line 2859 "parser.y"
    {
      (yyval.p_token) = p_token_new_loc( P_STR_LIT, &(yylsp[0]), (yyvsp[0].str_val) );
    }
#line 6868 "parser.c"
    break;

  case 115: /* p_arg_token: p_other  */
#line 2863 "parser.y"
    {
      (yyval.p_token) = p_token_new_loc( P_OTHER, &(yylsp[0]), lexer_token );
    }
#line 6876 "parser.c"
    break;

  case 116: /* p_arg_token: p_punctuator  */
#line 2867 "parser.y"
    {
      (yyval.p_token) = p_token_new_loc( P_PUNCTUATOR, &(yylsp[0]), lexer_token );
    }
#line 6884 "parser.c"
    break;

  case 170: /* p_arg_tokens_with_comma_opt: %empty  */
#line 2939 "parser.y"
    {
      (yyval.p_token_list) = MALLOC( p_token_list_t, 1 );
      slist_init( (yyval.p_token_list) );
    }
#line 6893 "parser.c"
    break;

  case 172: /* p_arg_tokens_with_comma: p_arg_tokens_with_comma p_arg_token_with_comma_as_list  */
#line 2959 "parser.y"
    {
      (yyval.p_token_list) = (yyvsp[-1].p_token_list);
      slist_push_list_back( (yyval.p_token_list), (yyvsp[0].p_token_list) );
    }
#line 6902 "parser.c"
    break;

  case 174: /* p_arg_token_with_comma_as_list: p_arg_token_with_comma  */
#line 2968 "parser.y"
    {
      (yyval.p_token_list) = MALLOC( p_token_list_t, 1 );
      slist_init( (yyval.p_token_list) );
      slist_push_back( (yyval.p_token_list), (yyvsp[0].p_token) );
    }
#line 6912 "parser.c"
    break;

  case 175: /* p_arg_token_with_comma_as_list: '(' p_arg_tokens_with_comma_opt ')'  */
#line 2974 "parser.y"
    {
      (yyval.p_token_list) = (yyvsp[-1].p_token_list);
      slist_push_front( (yyval.p_token_list), p_token_new_loc( P_PUNCTUATOR, &(yylsp[-2]), "(" ) );
      slist_push_back ( (yyval.p_token_list), p_token_new_loc( P_PUNCTUATOR, &(yylsp[0]), ")" ) );
    }
#line 6922 "parser.c"
    break;

  case 177: /* p_arg_token_with_comma: ','  */
#line 2984 "parser.y"
    {
      (yyval.p_token) = p_token_new_loc( P_PUNCTUATOR, &(yylsp[0]), "," );
    }
#line 6930 "parser.c"
    break;

  case 188: /* explain_command: explain pc99_pointer_decl_list_c  */
#line 3051 "parser.y"
    {
      PARSE_ASSERT( c_ast_list_check( &(yyvsp[0].ast_list) ) );
      c_ast_list_english( &(yyvsp[0].ast_list), stdout );
    }
#line 6939 "parser.c"
    break;

  case 190: /* $@2: %empty  */
#line 3069 "parser.y"
                       { in_attr.is_typename = true; }
#line 6945 "parser.c"
    break;

  case 193: /* explain_command: explain extern_linkage_c_stid_opt using_decl_c_ast  */
#line 3090 "parser.y"
    {
      DUMP_START( "explain_command",
                  "EXPLAIN extern_linkage_c_stid_opt using_decl_c_ast" );
      DUMP_TID( "extern_linkage_c_stid_opt", (yyvsp[-1].tid) );
      DUMP_AST( "using_decl_c_ast", (yyvsp[0].ast) );

      PARSE_ASSERT(
        c_type_add_tid( &(yyvsp[0].ast)->type, (yyvsp[-1].tid), &(yylsp[-1]) )
      );

      DUMP_AST( "$$_ast", (yyvsp[0].ast) );
      DUMP_END();

      PARSE_ASSERT( c_ast_check( (yyvsp[0].ast) ) );
      c_ast_english( (yyvsp[0].ast), C_ENG_DECL, stdout );
      PUTC( '\n' );
    }
#line 6967 "parser.c"
    break;

  case 194: /* explain_command: explain sname_c  */
#line 3113 "parser.y"
    {
      print_error_unknown_name( &(yylsp[0]), &(yyvsp[0].sname) );
      c_sname_cleanup( &(yyvsp[0].sname) );
      PARSE_ABORT();
    }
#line 6977 "parser.c"
    break;

  case 195: /* explain_command: explain error  */
#line 3120 "parser.y"
    {
      elaborate_error( "cast or declaration expected" );
    }
#line 6985 "parser.c"
    break;

  case 196: /* explain: Y_explain  */
#line 3127 "parser.y"
    { //
      // Set our mode to deciphering gibberish into English and specifically
      // tell the lexer to return cdecl keywords (e.g., "func") as ordinary
      // names, otherwise gibberish like:
      //
      //      int func(void);
      //
      // would result in a parser error.
      //
      gibberish_to_english();
    }
#line 7001 "parser.c"
    break;

  case 197: /* $@3: %empty  */
#line 3144 "parser.y"
    { //
      // We want cdecl commands (like "declare", etc.), other cdecl keywords
      // (like "cast", "commands", "english", "options", etc.), and C/C++
      // keywords (like "const", "static", "typedef", etc.) all to be returned
      // as just strings so we don't have to enumerate all the possible tokens
      // in the grammar.
      //
      lexer_find &= ~(LEXER_FIND_C_KEYWORDS | LEXER_FIND_CDECL_KEYWORDS);
    }
#line 7015 "parser.c"
    break;

  case 198: /* help_command: '?' $@3 help_what_opt  */
#line 3154 "parser.y"
    {
      bool const ok = print_help( (yyvsp[0].name), &(yylsp[0]) );
      free( (yyvsp[0].name) );
      PARSE_ASSERT( ok );
    }
#line 7025 "parser.c"
    break;

  case 199: /* help_what_opt: %empty  */
#line 3162 "parser.y"
                                  { (yyval.name) = NULL; }
#line 7031 "parser.c"
    break;

  case 201: /* help_what_opt: '#' Y_NAME  */
#line 3164 "parser.y"
                                  { (yyval.name) = str_realloc_pcat( "#", "", (yyvsp[0].name) ); }
#line 7037 "parser.c"
    break;

  case 202: /* help_what_opt: '#' error  */
#line 3166 "parser.y"
    {
      (yyval.name) = NULL;
      elaborate_error( "\"#define\", \"#include\", or \"#undef\" expected" );
    }
#line 7046 "parser.c"
    break;

  case 203: /* help_what_opt: error  */
#line 3171 "parser.y"
    {
      (yyval.name) = NULL;
      elaborate_error(
        "<command>, \"commands\", \"english\", or \"options\" expected"
      );
    }
#line 7057 "parser.c"
    break;

  case 207: /* preprocessor_command: '#' Y_PRE_elif  */
#line 3188 "parser.y"
    {
      UNSUPPORTED( &(yylsp[0]), "\"#elif\"" );
      PARSE_ABORT();
    }
#line 7066 "parser.c"
    break;

  case 208: /* preprocessor_command: '#' Y_PRE_elifdef  */
#line 3193 "parser.y"
    {
      UNSUPPORTED( &(yylsp[0]), "\"#elifdef\"" );
      PARSE_ABORT();
    }
#line 7075 "parser.c"
    break;

  case 209: /* preprocessor_command: '#' Y_PRE_elifndef  */
#line 3198 "parser.y"
    {
      UNSUPPORTED( &(yylsp[0]), "\"#elifdef\"" );
      PARSE_ABORT();
    }
#line 7084 "parser.c"
    break;

  case 210: /* preprocessor_command: '#' Y_PRE_else  */
#line 3203 "parser.y"
    {
      UNSUPPORTED( &(yylsp[0]), "\"#else\"" );
      PARSE_ABORT();
    }
#line 7093 "parser.c"
    break;

  case 211: /* preprocessor_command: '#' Y_PRE_embed  */
#line 3208 "parser.y"
    {
      UNSUPPORTED( &(yylsp[0]), "\"#embed\"" );
      PARSE_ABORT();
    }
#line 7102 "parser.c"
    break;

  case 212: /* preprocessor_command: '#' Y_PRE_error  */
#line 3213 "parser.y"
    {
      UNSUPPORTED( &(yylsp[0]), "\"#error\"" );
      PARSE_ABORT();
    }
#line 7111 "parser.c"
    break;

  case 213: /* preprocessor_command: '#' Y_PRE_if  */
#line 3218 "parser.y"
    {
      UNSUPPORTED( &(yylsp[0]), "\"#if\"" );
      PARSE_ABORT();
    }
#line 7120 "parser.c"
    break;

  case 214: /* preprocessor_command: '#' Y_PRE_ifdef  */
#line 3223 "parser.y"
    {
      UNSUPPORTED( &(yylsp[0]), "\"#ifdef\"" );
      PARSE_ABORT();
    }
#line 7129 "parser.c"
    break;

  case 215: /* preprocessor_command: '#' Y_PRE_ifndef  */
#line 3228 "parser.y"
    {
      UNSUPPORTED( &(yylsp[0]), "\"#ifndef\"" );
      PARSE_ABORT();
    }
#line 7138 "parser.c"
    break;

  case 216: /* preprocessor_command: '#' Y_PRE_line  */
#line 3233 "parser.y"
    {
      UNSUPPORTED( &(yylsp[0]), "\"#line\"" );
      PARSE_ABORT();
    }
#line 7147 "parser.c"
    break;

  case 217: /* preprocessor_command: '#' Y_PRE_pragma  */
#line 3238 "parser.y"
    {
      UNSUPPORTED( &(yylsp[0]), "\"#pragma\"" );
      PARSE_ABORT();
    }
#line 7156 "parser.c"
    break;

  case 218: /* preprocessor_command: '#' Y_PRE_warning  */
#line 3243 "parser.y"
    {
      UNSUPPORTED( &(yylsp[0]), "\"#warning\"" );
      PARSE_ABORT();
    }
#line 7165 "parser.c"
    break;

  case 219: /* preprocessor_command: '#' error  */
#line 3248 "parser.y"
    {
      elaborate_error( "\"#define\", \"#include\", or \"#undef\" expected" );
    }
#line 7173 "parser.c"
    break;

  case 220: /* p_define: Y_PRE_define name_exp p_paren_param_list_opt p_replace_list_opt  */
#line 3256 "parser.y"
    {
      DUMP_START( "p_define",
                  "#define NAME p_paren_param_list_opt p_replace_list_opt" );
      DUMP_STR( "name", (yyvsp[-2].name) );
      DUMP_MACRO_PARAM_LIST( "p_paren_param_list_opt", (yyvsp[-1].p_param_list) );
      DUMP_MACRO_TOKEN_LIST( "p_replace_list_opt", (yyvsp[0].p_token_list) );

      c_typedef_t const *const tdef = c_typedef_find_name( (yyvsp[-2].name) );
      if ( tdef != NULL ) {
        if ( tdef->is_predefined ) {
          print_warning( &(yylsp[-2]),
            "\"%s\" is a predefined type since %s\n",
            (yyvsp[-2].name),
            c_lang_name( c_lang_oldest( tdef->lang_ids ) )
          );
        }
        else {
          print_warning( &(yylsp[-2]),
            "\"%s\" previously defined as type (\"",
            (yyvsp[-2].name)
          );
          print_type_decl( tdef, tdef->decl_flags, stderr );
          EPUTS( "\")\n" );
        }
      }

      p_macro_t *const macro =
        p_macro_define( (yyvsp[-2].name), &(yylsp[-2]), (yyvsp[-1].p_param_list), (yyvsp[0].p_token_list) );
      p_param_list_cleanup( (yyvsp[-1].p_param_list) );
      free( (yyvsp[-1].p_param_list) );
      p_token_list_cleanup( (yyvsp[0].p_token_list) );
      free( (yyvsp[0].p_token_list) );
      PARSE_ASSERT( macro != NULL );

      DUMP_MACRO( "macro", macro );
      DUMP_END();
    }
#line 7215 "parser.c"
    break;

  case 221: /* p_paren_param_list_opt: %empty  */
#line 3295 "parser.y"
                                  { (yyval.p_param_list) = NULL; }
#line 7221 "parser.c"
    break;

  case 222: /* p_paren_param_list_opt: '(' p_param_list_opt ')'  */
#line 3296 "parser.y"
                                  { (yyval.p_param_list) = (yyvsp[-1].p_param_list); }
#line 7227 "parser.c"
    break;

  case 223: /* p_param_list_opt: %empty  */
#line 3300 "parser.y"
    { //
      // Use an empty list to distinguish a macro with an empty parameter list
      // from one with no parameter list.
      //
      //      #define M   X       // no parameter list: use NULL
      //      #define F() #X      // empty parameter list: use empty list
      //
      (yyval.p_param_list) = MALLOC( p_param_list_t, 1 );
      slist_init( (yyval.p_param_list) );
    }
#line 7242 "parser.c"
    break;

  case 225: /* p_param_list: p_param_list comma_exp p_param  */
#line 3315 "parser.y"
    {
      DUMP_START( "p_param_list", "p_param" );
      DUMP_MACRO_PARAM_LIST( "p_param_list", (yyvsp[-2].p_param_list) );
      DUMP_STR( "p_param", (yyvsp[0].p_param)->name );

      (yyval.p_param_list) = (yyvsp[-2].p_param_list);
      slist_push_back( (yyval.p_param_list), (yyvsp[0].p_param) );

      DUMP_MACRO_PARAM_LIST( "$$_list", (yyval.p_param_list) );
      DUMP_END();
    }
#line 7258 "parser.c"
    break;

  case 226: /* p_param_list: p_param  */
#line 3328 "parser.y"
    {
      DUMP_START( "p_param_list", "p_param" );
      DUMP_STR( "p_param", (yyvsp[0].p_param)->name );

      (yyval.p_param_list) = MALLOC( p_param_list_t, 1 );
      slist_init( (yyval.p_param_list) );
      slist_push_back( (yyval.p_param_list), (yyvsp[0].p_param) );

      DUMP_MACRO_PARAM_LIST( "$$_list", (yyval.p_param_list) );
      DUMP_END();
    }
#line 7274 "parser.c"
    break;

  case 227: /* p_param: Y_NAME  */
#line 3343 "parser.y"
    {
      (yyval.p_param) = MALLOC( p_param_t, 1 );
      *(yyval.p_param) = (p_param_t){ .name = (yyvsp[0].name), .loc = (yylsp[0]) };
    }
#line 7283 "parser.c"
    break;

  case 228: /* p_param: "..."  */
#line 3348 "parser.y"
    {
      (yyval.p_param) = MALLOC( p_param_t, 1 );
      *(yyval.p_param) = (p_param_t){ .name = check_strdup( L_ELLIPSIS ), .loc = (yylsp[0]) };
    }
#line 7292 "parser.c"
    break;

  case 229: /* p_param: error  */
#line 3353 "parser.y"
    {
      (yyval.p_param) = NULL;
      if ( OPT_LANG_IS( VARIADIC_MACROS ) )
        elaborate_error( "parameter name or \"...\" expected" );
      else
        elaborate_error( "parameter name expected" );
    }
#line 7304 "parser.c"
    break;

  case 230: /* p_replace_list_opt: %empty  */
#line 3363 "parser.y"
                                  { (yyval.p_token_list) = NULL; }
#line 7310 "parser.c"
    break;

  case 232: /* p_replace_list: p_replace_list p_replace_token  */
#line 3369 "parser.y"
    {
      (yyval.p_token_list) = (yyvsp[-1].p_token_list);
      slist_push_back( (yyval.p_token_list), (yyvsp[0].p_token) );
    }
#line 7319 "parser.c"
    break;

  case 233: /* p_replace_list: p_replace_token  */
#line 3375 "parser.y"
    {
      (yyval.p_token_list) = MALLOC( p_token_list_t, 1 );
      slist_init( (yyval.p_token_list) );
      slist_push_back( (yyval.p_token_list), (yyvsp[0].p_token) );
    }
#line 7329 "parser.c"
    break;

  case 234: /* p_replace_token: p_arg_token  */
#line 3384 "parser.y"
    {
      if ( p_token_is_punct( (yyvsp[0].p_token), '#' ) ) {
        //
        // A '#' macro argument token is an ordinary '#', but as a replacement
        // token, retroactively make it P_STRINGIFY.
        //
        (yyvsp[0].p_token)->kind = P_STRINGIFY;
      }
      (yyval.p_token) = (yyvsp[0].p_token);
    }
#line 7344 "parser.c"
    break;

  case 235: /* p_replace_token: '('  */
#line 3395 "parser.y"
    {
      (yyval.p_token) = p_token_new_loc( P_PUNCTUATOR, &(yylsp[0]), "(" );
    }
#line 7352 "parser.c"
    break;

  case 236: /* p_replace_token: ')'  */
#line 3399 "parser.y"
    {
      (yyval.p_token) = p_token_new_loc( P_PUNCTUATOR, &(yylsp[0]), ")" );
    }
#line 7360 "parser.c"
    break;

  case 237: /* p_replace_token: ','  */
#line 3403 "parser.y"
    {
      (yyval.p_token) = p_token_new_loc( P_PUNCTUATOR, &(yylsp[0]), "," );
    }
#line 7368 "parser.c"
    break;

  case 238: /* p_replace_token: "##"  */
#line 3407 "parser.y"
    {
      (yyval.p_token) = p_token_new_loc( P_CONCAT, &(yylsp[0]), /*literal=*/NULL );
    }
#line 7376 "parser.c"
    break;

  case 239: /* p_replace_token: Y_PRE___VA_ARGS__  */
#line 3411 "parser.y"
    {
      (yyval.p_token) = p_token_new_loc( P___VA_ARGS__, &(yylsp[0]), /*literal=*/NULL );
    }
#line 7384 "parser.c"
    break;

  case 240: /* p_replace_token: Y_PRE___VA_OPT__  */
#line 3415 "parser.y"
    {
      (yyval.p_token) = p_token_new_loc( P___VA_OPT__, &(yylsp[0]), /*literal=*/NULL );
    }
#line 7392 "parser.c"
    break;

  case 241: /* p_undef: Y_PRE_undef name_exp  */
#line 3422 "parser.y"
    {
      PARSE_ASSERT( p_macro_undef( (yyvsp[0].name), &(yylsp[0]) ) );
    }
#line 7400 "parser.c"
    break;

  case 242: /* quit_command: Y_quit  */
#line 3430 "parser.y"
                                  { cdecl_quit(); }
#line 7406 "parser.c"
    break;

  case 244: /* set_command: Y_set  */
#line 3443 "parser.y"
    {
      PARSE_ASSERT( set_option( NULL, NULL, NULL, NULL ) );
    }
#line 7414 "parser.c"
    break;

  case 248: /* set_option: Y_SET_OPTION set_option_value_opt  */
#line 3456 "parser.y"
    {
      bool const ok = set_option( (yyvsp[-1].name), &(yylsp[-1]), (yyvsp[0].str_val), &(yylsp[0]) );
      free( (yyvsp[-1].name) );
      free( (yyvsp[0].str_val) );
      PARSE_ASSERT( ok );
    }
#line 7425 "parser.c"
    break;

  case 249: /* set_option_value_opt: %empty  */
#line 3465 "parser.y"
                                  { (yyval.str_val) = NULL; }
#line 7431 "parser.c"
    break;

  case 250: /* set_option_value_opt: '=' Y_SET_OPTION  */
#line 3466 "parser.y"
                                  { (yyval.str_val) = (yyvsp[0].name); (yyloc) = (yylsp[0]); }
#line 7437 "parser.c"
    break;

  case 251: /* set_option_value_opt: '=' error  */
#line 3468 "parser.y"
    {
      (yyval.str_val) = NULL;
      elaborate_error( "option value expected" );
    }
#line 7446 "parser.c"
    break;

  case 252: /* show_command: Y_show any_typedef_tdef show_format_opt  */
#line 3478 "parser.y"
    {
      DUMP_START( "show_command", "SHOW any_typedef_tdef show_format_opt" );
      DUMP_AST( "any_typedef__ast", (yyvsp[-1].tdef)->ast );
      DUMP_INT( "show_format_opt", (yyvsp[0].flags) );
      DUMP_END();

      show_type( (yyvsp[-1].tdef), (yyvsp[0].flags), stdout );
    }
#line 7459 "parser.c"
    break;

  case 253: /* show_command: Y_show any_typedef_tdef Y_as show_format_exp  */
#line 3488 "parser.y"
    {
      DUMP_START( "show_command", "SHOW any_typedef_tdef AS show_format_exp" );
      DUMP_AST( "any_typedef__ast", (yyvsp[-2].tdef)->ast );
      DUMP_INT( "show_format_exp", (yyvsp[0].flags) );
      DUMP_END();

      show_type( (yyvsp[-2].tdef), (yyvsp[0].flags), stdout );
    }
#line 7472 "parser.c"
    break;

  case 254: /* show_command: Y_show show_types_opt glob_opt show_format_opt  */
#line 3498 "parser.y"
    {
      show_types( (yyvsp[-2].show), (yyvsp[-1].name), (yyvsp[0].flags), stdout );
      free( (yyvsp[-1].name) );
    }
#line 7481 "parser.c"
    break;

  case 255: /* show_command: Y_show show_types_opt glob_opt Y_as show_format_exp  */
#line 3504 "parser.y"
    {
      show_types( (yyvsp[-3].show), (yyvsp[-2].name), (yyvsp[0].flags), stdout );
      free( (yyvsp[-2].name) );
    }
#line 7490 "parser.c"
    break;

  case 256: /* show_command: Y_show show_types_opt Y_macros  */
#line 3510 "parser.y"
    {
      show_macros( (yyvsp[-1].show), stdout );
    }
#line 7498 "parser.c"
    break;

  case 257: /* show_command: Y_show Y_NAME  */
#line 3515 "parser.y"
    {
      bool ok = false;

      //
      // Check to see if $name is a macro here rather than in the lexer since
      // this is the only place in the cdecl grammar where a name can be a
      // macro since cdecl doesn't support using macros everywhere.
      //
      p_macro_t const *const macro = p_macro_find( (yyvsp[0].name) );
      if ( macro == NULL ) {
        print_error( &(yylsp[0]), "\"%s\": no such type or macro defined", (yyvsp[0].name) );
        print_suggestions( DYM_C_MACROS | DYM_C_TYPES, (yyvsp[0].name) );
        EPUTC( '\n' );
      }
      else if ( !(ok = show_macro( macro, stdout )) ) {
        c_lang_id_t const lang_ids = (*macro->dyn_fn)( /*ptoken=*/NULL );
        print_error( &(yylsp[0]),
          "\"%s\" not supported%s\n",
          (yyvsp[0].name), c_lang_which( lang_ids )
        );
      }

      free( (yyvsp[0].name) );
      if ( !ok )
        PARSE_ABORT();
    }
#line 7529 "parser.c"
    break;

  case 258: /* show_command: Y_show error  */
#line 3543 "parser.y"
    {
      elaborate_error(
        "type name or \"all\", \"predefined\", or \"user\" expected"
      );
    }
#line 7539 "parser.c"
    break;

  case 259: /* show_format: Y_english  */
#line 3551 "parser.y"
                                  { (yyval.flags) = C_ENG_DECL; }
#line 7545 "parser.c"
    break;

  case 260: /* show_format: Y_typedef  */
#line 3552 "parser.y"
                                  { (yyval.flags) = C_GIB_TYPEDEF; }
#line 7551 "parser.c"
    break;

  case 261: /* show_format: Y_using  */
#line 3554 "parser.y"
    {
      if ( !IS_SUPPORTED( using_DECLS ) ) {
        print_error( &(yylsp[0]),
          "\"using\" not supported%s\n",
          C_LANG_WHICH( using_DECLS )
        );
        PARSE_ABORT();
      }
      (yyval.flags) = C_GIB_USING;
    }
#line 7566 "parser.c"
    break;

  case 263: /* show_format_exp: error  */
#line 3569 "parser.y"
    {
      if ( OPT_LANG_IS( using_DECLS ) )
        elaborate_error( "\"english\", \"typedef\", or \"using\" expected" );
      else
        elaborate_error( "\"english\" or \"typedef\" expected" );
    }
#line 7577 "parser.c"
    break;

  case 264: /* show_format_opt: %empty  */
#line 3578 "parser.y"
                                  { (yyval.flags) = 0/*as declared*/; }
#line 7583 "parser.c"
    break;

  case 266: /* show_types_opt: %empty  */
#line 3583 "parser.y"
                                  { (yyval.show) = CDECL_SHOW_USER_DEFINED; }
#line 7589 "parser.c"
    break;

  case 267: /* show_types_opt: Y_all predefined_or_user_types_opt  */
#line 3585 "parser.y"
    {
      (yyval.show) = (yyvsp[0].show) | CDECL_SHOW_OPT_IGNORE_LANG;
    }
#line 7597 "parser.c"
    break;

  case 268: /* show_types_opt: Y_predefined  */
#line 3588 "parser.y"
                                  { (yyval.show) = CDECL_SHOW_PREDEFINED; }
#line 7603 "parser.c"
    break;

  case 269: /* show_types_opt: Y_user  */
#line 3589 "parser.y"
                                  { (yyval.show) = CDECL_SHOW_USER_DEFINED; }
#line 7609 "parser.c"
    break;

  case 270: /* predefined_or_user_types_opt: %empty  */
#line 3594 "parser.y"
    {
      (yyval.show) = CDECL_SHOW_PREDEFINED | CDECL_SHOW_USER_DEFINED;
    }
#line 7617 "parser.c"
    break;

  case 271: /* predefined_or_user_types_opt: Y_predefined  */
#line 3597 "parser.y"
                                  { (yyval.show) = CDECL_SHOW_PREDEFINED; }
#line 7623 "parser.c"
    break;

  case 272: /* predefined_or_user_types_opt: Y_user  */
#line 3598 "parser.y"
                                  { (yyval.show) = CDECL_SHOW_USER_DEFINED; }
#line 7629 "parser.c"
    break;

  case 276: /* $@4: %empty  */
#line 3627 "parser.y"
    {
      ia_type_ast_push( (yyvsp[0].ast) );
    }
#line 7637 "parser.c"
    break;

  case 277: /* c_style_cast_expr_c: '(' type_c_ast $@4 cast_c_astp_opt rparen_exp sname_c_opt  */
#line 3631 "parser.y"
    {
      ia_type_ast_pop();

      DUMP_START( "explain_command",
                  "EXPLAIN '(' type_c_ast cast_c_astp_opt ')' sname_c_opt" );
      DUMP_AST( "type_c_ast", (yyvsp[-4].ast) );
      DUMP_AST_PAIR( "cast_c_astp_opt", (yyvsp[-2].ast_pair) );
      DUMP_SNAME( "sname_c_opt", (yyvsp[0].sname) );

      c_ast_t *const cast_ast = c_ast_new_gc( K_CAST, &(yyloc) );
      cast_ast->sname = c_sname_move( &(yyvsp[0].sname) );
      cast_ast->cast.kind = C_CAST_C;
      cast_ast->cast.to_ast =
        c_ast_patch_placeholder( (yyvsp[-4].ast), (yyvsp[-2].ast_pair).ast );

      DUMP_AST( "$$_ast", cast_ast );
      DUMP_END();

      PARSE_ASSERT( c_ast_check( cast_ast ) );
      c_ast_english( cast_ast, C_ENG_DECL, stdout );
      PUTC( '\n' );
    }
#line 7664 "parser.c"
    break;

  case 278: /* c_style_cast_expr_c: '(' pc99_pointer_decl_list_c rparen_exp  */
#line 3664 "parser.y"
    {
      PARSE_ASSERT( c_ast_list_check( &(yyvsp[-1].ast_list) ) );
      c_ast_list_english( &(yyvsp[-1].ast_list), stdout );
    }
#line 7673 "parser.c"
    break;

  case 279: /* $@5: %empty  */
#line 3674 "parser.y"
    {
      ia_type_ast_push( (yyvsp[0].ast) );
    }
#line 7681 "parser.c"
    break;

  case 280: /* new_style_cast_expr_c: new_style_cast_c lt_exp type_c_ast $@5 cast_c_astp_opt gt_exp lparen_exp sname_c_exp rparen_exp  */
#line 3678 "parser.y"
    {
      ia_type_ast_pop();

      DUMP_START( "explain_command",
                  "EXPLAIN new_style_cast_c"
                  "'<' type_c_ast cast_c_astp_opt '>' '(' sname ')'" );
      DUMP_STR( "new_style_cast_c", c_cast_english( (yyvsp[-8].cast_kind) ) );
      DUMP_AST( "type_c_ast", (yyvsp[-6].ast) );
      DUMP_AST_PAIR( "cast_c_astp_opt", (yyvsp[-4].ast_pair) );
      DUMP_SNAME( "sname_c_exp", (yyvsp[-1].sname) );

      c_ast_t *const cast_ast = c_ast_new_gc( K_CAST, &(yyloc) );
      cast_ast->sname = c_sname_move( &(yyvsp[-1].sname) );
      cast_ast->cast.kind = (yyvsp[-8].cast_kind);
      cast_ast->cast.to_ast =
        c_ast_patch_placeholder( (yyvsp[-6].ast), (yyvsp[-4].ast_pair).ast );

      DUMP_AST( "$$_ast", cast_ast );
      DUMP_END();

      PARSE_ASSERT( c_ast_check( cast_ast ) );
      c_ast_english( cast_ast, C_ENG_DECL, stdout );
      PUTC( '\n' );
    }
#line 7710 "parser.c"
    break;

  case 281: /* new_style_cast_c: Y_const_cast  */
#line 3705 "parser.y"
                                  { (yyval.cast_kind) = C_CAST_CONST;        }
#line 7716 "parser.c"
    break;

  case 282: /* new_style_cast_c: Y_dynamic_cast  */
#line 3706 "parser.y"
                                  { (yyval.cast_kind) = C_CAST_DYNAMIC;      }
#line 7722 "parser.c"
    break;

  case 283: /* new_style_cast_c: Y_reinterpret_cast  */
#line 3707 "parser.y"
                                  { (yyval.cast_kind) = C_CAST_REINTERPRET;  }
#line 7728 "parser.c"
    break;

  case 284: /* new_style_cast_c: Y_static_cast  */
#line 3708 "parser.y"
                                  { (yyval.cast_kind) = C_CAST_STATIC;       }
#line 7734 "parser.c"
    break;

  case 285: /* $@6: %empty  */
#line 3718 "parser.y"
                                  { in_attr.align = (yyvsp[0].align); }
#line 7740 "parser.c"
    break;

  case 286: /* $@7: %empty  */
#line 3719 "parser.y"
                                  { in_attr.is_typename = (yyvsp[0].flag); }
#line 7746 "parser.c"
    break;

  case 288: /* alignas_specifier_c: alignas lparen_exp uint_lit rparen_exp  */
#line 3725 "parser.y"
    {
      DUMP_START( "alignas_specifier_c", "ALIGNAS '(' uint_lit ')'" );
      DUMP_INT( "uint_lit", (yyvsp[-1].uint_val) );

      (yyval.align).kind = C_ALIGNAS_BYTES;
      (yyval.align).loc = (yylsp[-3]);
      (yyval.align).bytes = (yyvsp[-1].uint_val);

      DUMP_ALIGN( "$$_align", (yyval.align) );
      DUMP_END();
    }
#line 7762 "parser.c"
    break;

  case 289: /* $@8: %empty  */
#line 3737 "parser.y"
                                            { ia_type_ast_push( (yyvsp[0].ast) ); }
#line 7768 "parser.c"
    break;

  case 290: /* alignas_specifier_c: alignas lparen_exp type_c_ast $@8 cast_c_astp_opt rparen_exp  */
#line 3739 "parser.y"
    {
      ia_type_ast_pop();

      DUMP_START( "alignas_specifier_c",
                  "ALIGNAS '(' type_c_ast cast_c_astp_opt ')'" );
      DUMP_AST( "type_c_ast", (yyvsp[-3].ast) );
      DUMP_AST_PAIR( "cast_c_astp_opt", (yyvsp[-1].ast_pair) );

      (yyval.align).kind = C_ALIGNAS_TYPE;
      (yyval.align).loc = (yylsp[-5]);
      (yyval.align).type_ast = c_ast_patch_placeholder( (yyvsp[-3].ast), (yyvsp[-1].ast_pair).ast );

      DUMP_ALIGN( "$$_align", (yyval.align) );
      DUMP_END();
    }
#line 7788 "parser.c"
    break;

  case 291: /* alignas_specifier_c: alignas lparen_exp error ')'  */
#line 3756 "parser.y"
    {
      elaborate_error( "integer or type expected" );
    }
#line 7796 "parser.c"
    break;

  case 294: /* asm_declaration_c: Y_asm lparen_exp str_lit_exp rparen_exp  */
#line 3770 "parser.y"
    {
      free( (yyvsp[-1].str_val) );
      UNSUPPORTED( &(yylsp[-3]), "asm declarations" );
      PARSE_ABORT();
    }
#line 7806 "parser.c"
    break;

  case 298: /* $@9: %empty  */
#line 3790 "parser.y"
    {
      PARSE_ASSERT( is_nested_type_ok( &(yylsp[0]) ) );
      gibberish_to_english();           // see the comment in "explain"
    }
#line 7815 "parser.c"
    break;

  case 299: /* $@10: %empty  */
#line 3795 "parser.y"
    {
      c_type_t const *const cur_type =
        c_sname_local_type( &in_attr.scope_sname );
      if ( c_tid_is_any( cur_type->btids, TB_ANY_CLASS ) ) {
        char const *const cur_name = c_sname_local_name( &in_attr.scope_sname );
        char const *const mbr_name = c_sname_local_name( &(yyvsp[0].sname) );
        if ( strcmp( mbr_name, cur_name ) == 0 ) {
          print_error( &(yylsp[0]),
            "\"%s\": member has the same name as its enclosing %s\n",
            mbr_name, c_type_name_c( cur_type )
          );
          c_sname_cleanup( &(yyvsp[0].sname) );
          PARSE_ABORT();
        }
      }

      DUMP_START( "class_struct_union_declaration_c",
                  "class_struct_union_btid any_sname_c_exp" );
      DUMP_SNAME( "in_attr__scope_sname", in_attr.scope_sname );
      DUMP_TID( "class_struct_union_btid", (yyvsp[-2].tid) );
      DUMP_SNAME( "any_sname_c_exp", (yyvsp[0].sname) );

      c_sname_append_sname( &in_attr.scope_sname, &(yyvsp[0].sname) );
      c_sname_set_local_type(
        &in_attr.scope_sname, &C_TYPE_LIT_B( (yyvsp[-2].tid) )
      );
      PARSE_ASSERT( c_sname_check( &in_attr.scope_sname, &(yylsp[0]) ) );

      c_ast_t *const csu_ast = c_ast_new_gc( K_CLASS_STRUCT_UNION, &(yylsp[0]) );
      csu_ast->sname = c_sname_dup( &in_attr.scope_sname );
      c_sname_append_name(
        &csu_ast->csu.csu_sname,
        check_strdup( c_sname_local_name( &in_attr.scope_sname ) )
      );
      csu_ast->type.btids = c_tid_check( (yyvsp[-2].tid), C_TPID_BASE );

      DUMP_AST( "$$_ast", csu_ast );
      DUMP_END();

      PARSE_ASSERT( define_type( csu_ast, C_GIB_TYPEDEF ) );
    }
#line 7861 "parser.c"
    break;

  case 301: /* $@11: %empty  */
#line 3844 "parser.y"
    {
      PARSE_ASSERT( is_nested_type_ok( &(yylsp[0]) ) );
      gibberish_to_english();           // see the comment in "explain"
    }
#line 7870 "parser.c"
    break;

  case 302: /* enum_declaration_c: enum_btids $@11 any_sname_c_exp enum_fixed_type_c_ast_opt  */
#line 3849 "parser.y"
    {
      DUMP_START( "enum_declaration_c",
                  "enum_btids any_sname_c_exp enum_fixed_type_c_ast_opt" );
      DUMP_TID( "enum_btids", (yyvsp[-3].tid) );
      DUMP_SNAME( "any_sname_c_exp", (yyvsp[-1].sname) );
      DUMP_AST( "enum_fixed_type_c_ast_opt", (yyvsp[0].ast) );

      c_sname_t enum_sname = c_sname_dup( &in_attr.scope_sname );
      c_sname_append_sname( &enum_sname, &(yyvsp[-1].sname) );
      c_sname_set_local_type( &enum_sname, &C_TYPE_LIT_B( (yyvsp[-3].tid) ) );
      if ( !c_sname_check( &enum_sname, &(yylsp[-1]) ) ) {
        c_sname_cleanup( &enum_sname );
        PARSE_ABORT();
      }

      c_ast_t *const enum_ast = c_ast_new_gc( K_ENUM, &(yylsp[-1]) );
      enum_ast->sname = enum_sname;
      enum_ast->type.btids = c_tid_check( (yyvsp[-3].tid), C_TPID_BASE );
      c_ast_set_parent( (yyvsp[0].ast), enum_ast );
      c_sname_append_name(
        &enum_ast->enum_.enum_sname,
        check_strdup( c_sname_local_name( &enum_sname ) )
      );

      DUMP_AST( "$$_ast", enum_ast );
      DUMP_END();

      PARSE_ASSERT( define_type( enum_ast, C_GIB_TYPEDEF ) );
    }
#line 7904 "parser.c"
    break;

  case 303: /* $@12: %empty  */
#line 3885 "parser.y"
    {
      gibberish_to_english();           // see the comment in "explain"
    }
#line 7912 "parser.c"
    break;

  case 304: /* $@13: %empty  */
#line 3889 "parser.y"
    {
      DUMP_START( "namespace_declaration_c",
                  "namespace_type namespace_sname_c_exp" );
      DUMP_SNAME( "in_attr__scope_sname", in_attr.scope_sname );
      DUMP_TYPE( "namespace_type", (yyvsp[-2].type) );
      DUMP_SNAME( "namespace_sname_c_exp", (yyvsp[0].sname) );

      //
      // Nested namespace declarations are supported only in C++17 and later.
      // (However, we always allow them in configuration files.)
      //
      // This check has to be done now in the parser rather than later in the
      // AST because the AST has no "memory" of how a namespace was
      // constructed.
      //
      if ( c_sname_count( &(yyvsp[0].sname) ) > 1 && !IS_SUPPORTED( NESTED_namespace ) ) {
        print_error( &(yylsp[0]),
          "nested namespace declarations not supported%s\n",
          C_LANG_WHICH( NESTED_namespace )
        );
        c_sname_cleanup( &(yyvsp[0].sname) );
        PARSE_ABORT();
      }

      //
      // The namespace type (plain namespace or inline namespace) has to be
      // split across the namespace sname: only the storage classes (for
      // TS_inline) has to be or'd with the first scope-type of the sname ...
      //
      c_type_t const *const sname_first_type = c_sname_first_type( &(yyvsp[0].sname) );
      c_sname_set_first_type(
        &(yyvsp[0].sname),
        &C_TYPE_LIT(
          sname_first_type->btids,
          sname_first_type->stids | (yyvsp[-2].type).stids,
          sname_first_type->atids
        )
      );
      //
      // ... and only the base types (for TB_namespace) has to be or'd with the
      // local scope type of the sname.
      //
      c_type_t const *const sname_local_type = c_sname_local_type( &(yyvsp[0].sname) );
      c_sname_set_local_type(
        &(yyvsp[0].sname),
        &C_TYPE_LIT(
          sname_local_type->btids | (yyvsp[-2].type).btids,
          sname_local_type->stids,
          sname_local_type->atids
        )
      );

      c_sname_append_sname( &in_attr.scope_sname, &(yyvsp[0].sname) );

      DUMP_SNAME( "$$_sname", (yyvsp[0].sname) );
      DUMP_END();

      PARSE_ASSERT( c_sname_check( &in_attr.scope_sname, &(yylsp[0]) ) );
    }
#line 7976 "parser.c"
    break;

  case 308: /* namespace_sname_c_exp: error  */
#line 3955 "parser.y"
    {
      c_sname_init( &(yyval.sname) );
      elaborate_error( "name expected" );
    }
#line 7985 "parser.c"
    break;

  case 309: /* namespace_sname_c: namespace_sname_c Y_COLON_COLON Y_NAME  */
#line 3968 "parser.y"
    {
      DUMP_START( "namespace_sname_c", "sname_c '::' NAME" );
      DUMP_SNAME( "namespace_sname_c", (yyvsp[-2].sname) );
      DUMP_STR( "name", (yyvsp[0].name) );

      (yyval.sname) = (yyvsp[-2].sname);
      c_sname_append_name( &(yyval.sname), (yyvsp[0].name) );
      c_sname_set_local_type( &(yyval.sname), &C_TYPE_LIT_B( TB_namespace ) );

      DUMP_SNAME( "$$_sname", (yyval.sname) );
      DUMP_END();
    }
#line 8002 "parser.c"
    break;

  case 310: /* namespace_sname_c: namespace_sname_c Y_COLON_COLON any_typedef_tdef  */
#line 3982 "parser.y"
    {
      DUMP_START( "namespace_sname_c",
                  "namespace_sname_c '::' any_typedef_tdef" );
      DUMP_SNAME( "namespace_sname_c", (yyvsp[-2].sname) );
      DUMP_AST( "any_typedef__ast", (yyvsp[0].tdef)->ast );

      (yyval.sname) = (yyvsp[-2].sname);
      c_sname_set_local_type( &(yyval.sname), &C_TYPE_LIT_B( TB_namespace ) );
      c_sname_t temp_sname = c_sname_dup( &(yyvsp[0].tdef)->ast->sname );
      c_sname_append_sname( &(yyval.sname), &temp_sname );

      DUMP_SNAME( "$$_sname", (yyval.sname) );
      DUMP_END();
    }
#line 8021 "parser.c"
    break;

  case 311: /* namespace_sname_c: namespace_sname_c Y_COLON_COLON Y_inline name_exp  */
#line 3998 "parser.y"
    {
      DUMP_START( "namespace_sname_c", "sname_c '::' NAME INLINE NAME" );
      DUMP_SNAME( "namespace_sname_c", (yyvsp[-3].sname) );
      DUMP_STR( "name", (yyvsp[0].name) );

      (yyval.sname) = (yyvsp[-3].sname);
      c_sname_append_name( &(yyval.sname), (yyvsp[0].name) );
      c_sname_set_local_type( &(yyval.sname),
        &C_TYPE_LIT( TB_namespace, (yyvsp[-1].tid), TA_NONE )
      );

      DUMP_SNAME( "$$_sname", (yyval.sname) );
      DUMP_END();
    }
#line 8040 "parser.c"
    break;

  case 312: /* namespace_sname_c: Y_NAME  */
#line 4014 "parser.y"
    {
      DUMP_START( "namespace_sname_c", "NAME" );
      DUMP_STR( "NAME", (yyvsp[0].name) );

      c_sname_init_name( &(yyval.sname), (yyvsp[0].name) );
      c_sname_set_local_type( &(yyval.sname), &C_TYPE_LIT_B( TB_namespace ) );

      DUMP_SNAME( "$$_sname", (yyval.sname) );
      DUMP_END();
    }
#line 8055 "parser.c"
    break;

  case 313: /* namespace_typedef_sname_c: namespace_typedef_sname_c Y_COLON_COLON sname_c  */
#line 4033 "parser.y"
    {
      DUMP_START( "namespace_typedef_sname_c",
                  "namespace_typedef_sname_c '::' sname_c" );
      DUMP_SNAME( "namespace_typedef_sname_c", (yyvsp[-2].sname) );
      DUMP_SNAME( "sname_c", (yyvsp[0].sname) );

      (yyval.sname) = (yyvsp[-2].sname);
      c_sname_append_sname( &(yyval.sname), &(yyvsp[0].sname) );

      DUMP_SNAME( "$$_sname", (yyval.sname) );
      DUMP_END();
    }
#line 8072 "parser.c"
    break;

  case 314: /* namespace_typedef_sname_c: namespace_typedef_sname_c Y_COLON_COLON any_typedef_tdef  */
#line 4047 "parser.y"
    {
      DUMP_START( "namespace_typedef_sname_c",
                  "namespace_typedef_sname_c '::' any_typedef_tdef" );
      DUMP_SNAME( "namespace_typedef_sname_c", (yyvsp[-2].sname) );
      DUMP_AST( "any_typedef__ast", (yyvsp[0].tdef)->ast );

      (yyval.sname) = (yyvsp[-2].sname);
      c_sname_set_local_type( &(yyval.sname), c_sname_local_type( &(yyvsp[0].tdef)->ast->sname ) );
      c_sname_t temp_sname = c_sname_dup( &(yyvsp[0].tdef)->ast->sname );
      c_sname_append_sname( &(yyval.sname), &temp_sname );

      DUMP_SNAME( "$$_sname", (yyval.sname) );
      DUMP_END();
    }
#line 8091 "parser.c"
    break;

  case 315: /* namespace_typedef_sname_c: namespace_typedef_sname_c Y_COLON_COLON Y_inline name_exp  */
#line 4064 "parser.y"
    {
      DUMP_START( "namespace_typedef_sname_c",
                  "namespace_typedef_sname_c '::' INLINE NAME" );
      DUMP_SNAME( "namespace_typedef_sname_c", (yyvsp[-3].sname) );
      DUMP_STR( "name", (yyvsp[0].name) );

      (yyval.sname) = (yyvsp[-3].sname);
      c_sname_append_name( &(yyval.sname), (yyvsp[0].name) );
      c_sname_set_local_type( &(yyval.sname),
        &C_TYPE_LIT( TB_namespace, (yyvsp[-1].tid), TA_NONE )
      );

      DUMP_SNAME( "$$_sname", (yyval.sname) );
      DUMP_END();
    }
#line 8111 "parser.c"
    break;

  case 316: /* namespace_typedef_sname_c: any_typedef_tdef  */
#line 4080 "parser.y"
                                  { (yyval.sname) = c_sname_dup( &(yyvsp[0].tdef)->ast->sname ); }
#line 8117 "parser.c"
    break;

  case 318: /* brace_in_scope_declaration_c_exp: error  */
#line 4086 "parser.y"
    {
      punct_expected( '{' );
    }
#line 8125 "parser.c"
    break;

  case 326: /* in_scope_declaration_c_exp: error  */
#line 4106 "parser.y"
    {
      elaborate_error( "declaration expected" );
    }
#line 8133 "parser.c"
    break;

  case 327: /* lambda_declaration_c: '[' capture_decl_list_c_opt ']' paren_param_c_ast_list_opt storage_class_subset_english_type_opt lambda_return_type_c_ast_opt  */
#line 4118 "parser.y"
    {
      DUMP_START( "lambda_declaration_c",
                  "'[' capture_decl_list_c_opt ']' "
                  "paren_param_c_ast_list_opt "
                  "lambda_return_type_c_ast_opt" );
      DUMP_AST_LIST( "capture_decl_list_c_opt", (yyvsp[-4].ast_list) );
      DUMP_AST_LIST( "paren_param_c_ast_list_opt", (yyvsp[-2].ast_list) );
      DUMP_TYPE( "storage_class_subset_english_type_opt", (yyvsp[-1].type) );
      DUMP_AST( "lambda_return_type_c_ast_opt", (yyvsp[0].ast) );

      c_ast_t *const lambda_ast = c_ast_new_gc( K_LAMBDA, &(yyloc) );
      lambda_ast->type = (yyvsp[-1].type);
      c_ast_list_set_param_of( &(yyvsp[-4].ast_list), lambda_ast );
      lambda_ast->lambda.capture_ast_list = slist_move( &(yyvsp[-4].ast_list) );
      c_ast_list_set_param_of( &(yyvsp[-2].ast_list), lambda_ast );
      lambda_ast->lambda.param_ast_list = slist_move( &(yyvsp[-2].ast_list) );
      c_ast_set_parent( (yyvsp[0].ast), lambda_ast );

      DUMP_AST( "$$_ast", lambda_ast );
      DUMP_END();

      PARSE_ASSERT( c_ast_check( lambda_ast ) );
      c_ast_english( lambda_ast, C_ENG_DECL, stdout );
      PUTC( '\n' );
    }
#line 8163 "parser.c"
    break;

  case 328: /* capture_decl_list_c_opt: %empty  */
#line 4146 "parser.y"
                                  { slist_init( &(yyval.ast_list) ); }
#line 8169 "parser.c"
    break;

  case 330: /* capture_decl_list_c: capture_decl_list_c comma_exp capture_decl_c_ast  */
#line 4153 "parser.y"
    {
      DUMP_START( "capture_decl_list_c",
                  "capture_decl_list_c ',' "
                  "capture_decl_c_ast" );
      DUMP_AST_LIST( "capture_decl_list_c", (yyvsp[-2].ast_list) );
      DUMP_AST( "capture_decl_c_ast", (yyvsp[0].ast) );

      (yyval.ast_list) = (yyvsp[-2].ast_list);
      slist_push_back( &(yyval.ast_list), (yyvsp[0].ast) );

      DUMP_AST_LIST( "$$_ast_list", (yyval.ast_list) );
      DUMP_END();
    }
#line 8187 "parser.c"
    break;

  case 331: /* capture_decl_list_c: capture_decl_c_ast  */
#line 4168 "parser.y"
    {
      DUMP_START( "capture_decl_list_c",
                  "capture_decl_c_ast" );
      DUMP_AST( "capture_decl_c_ast", (yyvsp[0].ast) );

      slist_init( &(yyval.ast_list) );
      slist_push_back( &(yyval.ast_list), (yyvsp[0].ast) );

      DUMP_AST_LIST( "$$_ast_list", (yyval.ast_list) );
      DUMP_END();
    }
#line 8203 "parser.c"
    break;

  case 332: /* capture_decl_c_ast: '&'  */
#line 4183 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_CAPTURE, &(yyloc) );
      (yyval.ast)->capture.kind = C_CAPTURE_REFERENCE;
    }
#line 8212 "parser.c"
    break;

  case 333: /* capture_decl_c_ast: '&' Y_NAME  */
#line 4188 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_CAPTURE, &(yyloc) );
      c_sname_append_name( &(yyval.ast)->sname, (yyvsp[0].name) );
      (yyval.ast)->capture.kind = C_CAPTURE_REFERENCE;
    }
#line 8222 "parser.c"
    break;

  case 334: /* capture_decl_c_ast: '='  */
#line 4194 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_CAPTURE, &(yyloc) );
      (yyval.ast)->capture.kind = C_CAPTURE_COPY;
    }
#line 8231 "parser.c"
    break;

  case 335: /* capture_decl_c_ast: Y_NAME  */
#line 4199 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_CAPTURE, &(yyloc) );
      c_sname_append_name( &(yyval.ast)->sname, (yyvsp[0].name) );
    }
#line 8240 "parser.c"
    break;

  case 336: /* capture_decl_c_ast: Y_this  */
#line 4204 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_CAPTURE, &(yyloc) );
      (yyval.ast)->capture.kind = C_CAPTURE_THIS;
    }
#line 8249 "parser.c"
    break;

  case 337: /* capture_decl_c_ast: '*' this_exp  */
#line 4209 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_CAPTURE, &(yyloc) );
      (yyval.ast)->capture.kind = C_CAPTURE_STAR_THIS;
    }
#line 8258 "parser.c"
    break;

  case 338: /* lambda_return_type_c_ast_opt: %empty  */
#line 4216 "parser.y"
                                  { (yyval.ast) = NULL; }
#line 8264 "parser.c"
    break;

  case 339: /* $@14: %empty  */
#line 4217 "parser.y"
                                         { ia_type_ast_push( (yyvsp[0].ast) ); }
#line 8270 "parser.c"
    break;

  case 340: /* lambda_return_type_c_ast_opt: Y_MINUS_GREATER type_c_ast $@14 cast_c_astp_opt  */
#line 4219 "parser.y"
    {
      ia_type_ast_pop();

      DUMP_START( "lambda_return_type_c_ast_opt",
                  "'->' type_c_ast cast_c_astp_opt" );
      DUMP_AST( "type_c_ast", (yyvsp[-2].ast) );
      DUMP_AST_PAIR( "cast_c_astp_opt", (yyvsp[0].ast_pair) );

      (yyval.ast) = IF_ELSE( (yyvsp[0].ast_pair).ast, (yyvsp[-2].ast) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 8288 "parser.c"
    break;

  case 341: /* template_declaration_c: Y_template  */
#line 4238 "parser.y"
    {
      UNSUPPORTED( &(yylsp[0]), "template declarations" );
      PARSE_ABORT();
    }
#line 8297 "parser.c"
    break;

  case 342: /* $@15: %empty  */
#line 4247 "parser.y"
                         { ia_type_ast_push( (yyvsp[0].ast) ); }
#line 8303 "parser.c"
    break;

  case 343: /* typed_declaration_c: type_c_ast $@15 decl_list_c_opt  */
#line 4248 "parser.y"
    {
      ia_type_ast_pop();
    }
#line 8311 "parser.c"
    break;

  case 344: /* $@16: %empty  */
#line 4257 "parser.y"
    {
      PARSE_ASSERT( is_nested_type_ok( &(yylsp[-1]) ) );
      in_attr.is_typename = (yyvsp[0].flag);
      gibberish_to_english();           // see the comment in "explain"
    }
#line 8321 "parser.c"
    break;

  case 345: /* $@17: %empty  */
#line 4263 "parser.y"
    {
      PARSE_ASSERT( !in_attr.is_typename || c_ast_is_typename_ok( (yyvsp[0].ast) ) );
      // see the comment in "define_command" about TS_typedef
      PARSE_ASSERT(
        c_type_add_tid( &(yyvsp[0].ast)->type, TS_typedef, &(yylsp[0]) )
      );
      ia_type_ast_push( (yyvsp[0].ast) );
    }
#line 8334 "parser.c"
    break;

  case 346: /* typedef_declaration_c: Y_typedef typename_flag_opt $@16 type_c_ast $@17 typedef_decl_list_c  */
#line 4272 "parser.y"
    {
      ia_type_ast_pop();
    }
#line 8342 "parser.c"
    break;

  case 349: /* typedef_decl_c: decl_c_astp  */
#line 4285 "parser.y"
    {
      c_ast_t *const type_ast = ia_type_ast_peek();

      DUMP_START( "typedef_decl_c", "decl_c_astp" );
      DUMP_SNAME( "in_attr__scope_sname", in_attr.scope_sname );
      DUMP_AST( "in_attr__type_c_ast", type_ast );
      DUMP_AST_PAIR( "decl_c_astp", (yyvsp[0].ast_pair) );

      c_ast_t *const decl_ast = (yyvsp[0].ast_pair).ast;
      c_ast_t *typedef_ast;
      c_sname_t temp_sname;

      if ( decl_ast->kind == K_TYPEDEF ) {
        //
        // This is for either of the following cases:
        //
        //      typedef int int32_t;
        //      typedef int32_t int_least32_t;
        //
        // that is: any type name followed by an existing typedef name.
        //
        typedef_ast = type_ast;
        if ( c_sname_empty( &typedef_ast->sname ) )
          typedef_ast->sname = c_sname_dup( &decl_ast->tdef.for_ast->sname );
      }
      else {
        //
        // This is for either of the following cases:
        //
        //      typedef int foo;
        //      typedef int32_t foo;
        //
        // that is: any type name followed by a new name.
        //
        typedef_ast = c_ast_patch_placeholder( type_ast, decl_ast );
        temp_sname = c_ast_move_sname( decl_ast );
        c_sname_set( &typedef_ast->sname, &temp_sname );
      }

      PARSE_ASSERT( c_ast_check( typedef_ast ) );
      // see the comment in "define_command" about TS_typedef
      PJL_DISCARD_RV( c_ast_take_type_any( typedef_ast, &T_TS_typedef ) );

      if ( c_sname_count( &typedef_ast->sname ) > 1 ) {
        print_error( &(yylsp[0]),
          "typedef names can not be scoped; "
          "use: namespace %s { typedef ... }\n",
          c_sname_scope_name( &typedef_ast->sname )
        );
        PARSE_ABORT();
      }

      temp_sname = c_sname_dup( &in_attr.scope_sname );
      c_sname_prepend_sname( &typedef_ast->sname, &temp_sname );

      DUMP_AST( "$$_ast", typedef_ast );
      DUMP_END();

      PARSE_ASSERT( define_type( typedef_ast, C_GIB_TYPEDEF  ) );
    }
#line 8407 "parser.c"
    break;

  case 351: /* typedef_decl_c_exp: error  */
#line 4350 "parser.y"
    {
      elaborate_error( "type expected" );
    }
#line 8415 "parser.c"
    break;

  case 352: /* user_defined_conversion_declaration_c: user_defined_conversion_decl_c_astp  */
#line 4359 "parser.y"
    {
      DUMP_START( "user_defined_conversion_declaration_c",
                  "user_defined_conversion_decl_c_astp" );
      DUMP_AST_PAIR( "user_defined_conversion_declaration_c", (yyvsp[0].ast_pair) );
      DUMP_END();

      PARSE_ASSERT( c_ast_check( (yyvsp[0].ast_pair).ast ) );
      c_ast_english( (yyvsp[0].ast_pair).ast, C_ENG_DECL, stdout );
      PUTC( '\n' );
    }
#line 8430 "parser.c"
    break;

  case 353: /* using_declaration_c: using_decl_c_ast  */
#line 4375 "parser.y"
    {
      // see the comment in "define_command" about TS_typedef
      PJL_DISCARD_RV( c_ast_take_type_any( (yyvsp[0].ast), &T_TS_typedef ) );

      PARSE_ASSERT( define_type( (yyvsp[0].ast), C_GIB_USING ) );
    }
#line 8441 "parser.c"
    break;

  case 354: /* $@18: %empty  */
#line 4385 "parser.y"
    { //
      // Using declarations are supported only in C++11 and later.  (However,
      // we always allow them in configuration files.)
      //
      // This check has to be done now in the parser rather than later in the
      // AST because using declarations are treated like typedef declarations
      // and the AST has no "memory" that such a declaration was a using
      // declaration.
      //
      if ( !IS_SUPPORTED( using_DECLS ) ) {
        print_error( &(yylsp[0]),
          "\"using\" not supported%s\n",
          C_LANG_WHICH( using_DECLS )
        );
        PARSE_ABORT();
      }

      gibberish_to_english();           // see the comment in "explain"
    }
#line 8465 "parser.c"
    break;

  case 355: /* $@19: %empty  */
#line 4406 "parser.y"
    {
      // see the comment in "define_command" about TS_typedef
      if ( !c_type_add_tid( &(yyvsp[0].ast)->type, TS_typedef, &(yylsp[0]) ) ) {
        free( (yyvsp[-3].name) );
        PARSE_ABORT();
      }
      ia_type_ast_push( (yyvsp[0].ast) );
    }
#line 8478 "parser.c"
    break;

  case 356: /* using_decl_c_ast: Y_using $@18 any_name_exp attribute_specifier_list_c_atid_opt equals_exp type_c_ast $@19 cast_c_astp_opt  */
#line 4415 "parser.y"
    {
      ia_type_ast_pop();

      DUMP_START( "using_decl_c_ast",
                  "USING any_name_exp attribute_specifier_list_c_atid_opt '=' "
                  "type_c_ast cast_c_astp_opt" );
      DUMP_SNAME( "in_attr__scope_sname", in_attr.scope_sname );
      DUMP_STR( "any_name_exp", (yyvsp[-5].name) );
      DUMP_TID( "attribute_specifier_list_c_atid_opt", (yyvsp[-4].tid) );
      DUMP_AST( "type_c_ast", (yyvsp[-2].ast) );
      DUMP_AST_PAIR( "cast_c_astp_opt", (yyvsp[0].ast_pair) );

      c_ast_t *const cast_ast = (yyvsp[0].ast_pair).ast;

      //
      // Ensure the type on the right-hand side doesn't have a name, e.g.:
      //
      //      using U = void (*F)();    // error
      //
      // This check has to be done now in the parser rather than later in the
      // AST because the patched AST loses the name.
      //
      c_sname_t const *const sname = c_ast_find_name( cast_ast, C_VISIT_DOWN );
      if ( sname != NULL ) {
        print_error( &cast_ast->loc, "\"using\" type can not have a name\n" );
        free( (yyvsp[-5].name) );
        PARSE_ABORT();
      }

      c_sname_t temp_sname = c_sname_dup( &in_attr.scope_sname );
      c_sname_append_name( &temp_sname, (yyvsp[-5].name) );

      (yyval.ast) = c_ast_patch_placeholder( (yyvsp[-2].ast), cast_ast );
      c_sname_set( &(yyval.ast)->sname, &temp_sname );
      (yyval.ast)->type.atids = c_tid_check( (yyvsp[-4].tid), C_TPID_ATTR );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();

      PARSE_ASSERT( c_ast_check( (yyval.ast) ) );
    }
#line 8524 "parser.c"
    break;

  case 357: /* decl_list_c_opt: %empty  */
#line 4476 "parser.y"
    {
      c_ast_t *const type_ast = ia_type_ast_peek();

      DUMP_START( "decl_list_c_opt", "<empty>" );
      DUMP_AST( "in_attr__type_c_ast", type_ast );

      if ( in_attr.align.kind != C_ALIGNAS_NONE ) {
        print_error( &in_attr.align.loc,
          "\"%s\" invalid here\n",
          alignas_name()
        );
        PARSE_ABORT();
      }

      bool const is_structured_binding =
        c_ast_unreference_any( type_ast )->kind == K_STRUCTURED_BINDING;

      if ( is_structured_binding ) {
        // do nothing
      }
      else if ( (type_ast->kind & K_ANY_ECSU) == 0 ) {
        //
        // The declaration is a non-ECSU type, e.g.:
        //
        //      int
        //
        c_loc_t const loc = lexer_loc();
        print_error( &loc, "declaration expected" );
        print_error_token_is_a( lexer_printable_token() );
        EPUTC( '\n' );
        PARSE_ABORT();
      }
      else {
        c_sname_t const *const ecsu_sname = &type_ast->csu.csu_sname;
        assert( !c_sname_empty( ecsu_sname ) );

        if ( c_sname_count( ecsu_sname ) > 1 ) {
          print_error( &type_ast->loc,
            "forward declaration can not have a scoped name\n"
          );
          PARSE_ABORT();
        }

        c_sname_t temp_sname = c_sname_dup( ecsu_sname );
        c_sname_set( &type_ast->sname, &temp_sname );
      }

      DUMP_AST( "$$_ast", type_ast );
      DUMP_END();

      PARSE_ASSERT( c_ast_check( type_ast ) );
      if ( is_structured_binding )
        c_ast_english( type_ast, C_ENG_DECL, stdout );
      else
        c_typedef_english( &C_TYPEDEF_LIT( type_ast, C_ENG_DECL ), stdout );
      PUTC( '\n' );
    }
#line 8586 "parser.c"
    break;

  case 358: /* decl_list_c_opt: decl_list_c  */
#line 4535 "parser.y"
    {
      PARSE_ASSERT( c_ast_list_check( &(yyvsp[0].ast_list) ) );
      c_ast_list_english( &(yyvsp[0].ast_list), stdout );
    }
#line 8595 "parser.c"
    break;

  case 359: /* decl_list_c: decl_list_c ',' decl_c_exp  */
#line 4543 "parser.y"
    {
      (yyval.ast_list) = (yyvsp[-2].ast_list);
      slist_push_back( &(yyval.ast_list), (yyvsp[0].ast) );
    }
#line 8604 "parser.c"
    break;

  case 360: /* decl_list_c: decl_c  */
#line 4548 "parser.y"
    {
      slist_init( &(yyval.ast_list) );
      slist_push_back( &(yyval.ast_list), (yyvsp[0].ast) );
    }
#line 8613 "parser.c"
    break;

  case 361: /* decl_c: decl_c_astp  */
#line 4557 "parser.y"
    {
      c_ast_t *const type_ast = ia_type_ast_peek();

      DUMP_START( "decl_c", "decl_c_astp" );
      switch ( in_attr.align.kind ) {
        case C_ALIGNAS_NONE:
          break;
        case C_ALIGNAS_BYTES:
          DUMP_INT( "in_attr__alignas_bytes", in_attr.align.bytes );
          break;
        case C_ALIGNAS_TYPE:
          DUMP_AST( "in_attr__alignas_type_ast", in_attr.align.type_ast );
          break;
      } // switch
      DUMP_BOOL( "in_attr__typename_flag_opt", in_attr.is_typename );
      DUMP_AST( "in_attr__type_c_ast", type_ast );
      DUMP_AST_PAIR( "decl_c_astp", (yyvsp[0].ast_pair) );

      (yyval.ast) = join_type_decl( ia_type_spec_ast( type_ast ), (yyvsp[0].ast_pair).ast );
      PARSE_ASSERT( (yyval.ast) != NULL );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 8642 "parser.c"
    break;

  case 363: /* decl_c_exp: error  */
#line 4586 "parser.y"
    {
      elaborate_error( "declaration expected" );
    }
#line 8650 "parser.c"
    break;

  case 368: /* decl_c_astp: msc_calling_convention_atid msc_calling_convention_c_astp  */
#line 4597 "parser.y"
    {
      (yyval.ast_pair) = (yyvsp[0].ast_pair);
      (yyval.ast_pair).ast->loc = (yyloc);
      (yyval.ast_pair).ast->type.atids |= (yyvsp[-1].tid);
    }
#line 8660 "parser.c"
    break;

  case 376: /* decl2_c_astp: param_pack_decl_c_ast  */
#line 4615 "parser.y"
                                   { (yyval.ast_pair) = (c_ast_pair_t){ (yyvsp[0].ast), NULL }; }
#line 8666 "parser.c"
    break;

  case 377: /* decl2_c_astp: sname_c_ast gnu_attribute_specifier_list_c_opt  */
#line 4617 "parser.y"
    {
      (yyval.ast_pair) = (c_ast_pair_t){ (yyvsp[-1].ast), .target_ast = NULL };
    }
#line 8674 "parser.c"
    break;

  case 378: /* decl2_c_astp: typedef_type_decl_c_ast  */
#line 4621 "parser.y"
    {
      (yyval.ast_pair) = (c_ast_pair_t){ (yyvsp[0].ast), .target_ast = NULL };
    }
#line 8682 "parser.c"
    break;

  case 381: /* param_pack_decl_c_ast: "..." sname_c_ast  */
#line 4630 "parser.y"
    {
      (yyvsp[0].ast)->is_param_pack = true;
      (yyval.ast) = (yyvsp[0].ast);
    }
#line 8691 "parser.c"
    break;

  case 382: /* param_pack_decl_c_ast: "..." error  */
#line 4635 "parser.y"
    {
      (yyval.ast) = NULL;
      elaborate_error( "name expected" );
    }
#line 8700 "parser.c"
    break;

  case 383: /* array_decl_c_astp: decl2_c_astp array_size_c_ast gnu_attribute_specifier_list_c_opt  */
#line 4647 "parser.y"
    {
      c_ast_t *const type_ast = ia_type_ast_peek();

      DUMP_START( "array_decl_c_astp", "decl2_c_astp array_size_c_ast" );
      DUMP_AST( "in_attr__type_c_ast", type_ast );
      DUMP_AST_PAIR( "decl2_c_astp", (yyvsp[-2].ast_pair) );
      DUMP_AST( "array_size_c_ast", (yyvsp[-1].ast) );

      c_ast_set_parent(
        c_ast_new_gc( K_PLACEHOLDER, &(yylsp[-2]) ), (yyvsp[-1].ast)
      );

      c_ast_t *const of_ast = ia_type_spec_ast( type_ast );
      if ( (yyvsp[-2].ast_pair).target_ast != NULL ) {
        // array-of or function-like-ret type
        (yyval.ast_pair) = (c_ast_pair_t){
          (yyvsp[-2].ast_pair).ast,
          c_ast_add_array( (yyvsp[-2].ast_pair).target_ast, (yyvsp[-1].ast), of_ast )
        };
      }
      else {
        (yyval.ast_pair) = (c_ast_pair_t){
          c_ast_add_array( (yyvsp[-2].ast_pair).ast, (yyvsp[-1].ast), of_ast ),
          .target_ast = NULL
        };
      }

      DUMP_AST_PAIR( "$$_astp", (yyval.ast_pair) );
      DUMP_END();
    }
#line 8735 "parser.c"
    break;

  case 384: /* array_size_c_ast: '[' rbracket_exp  */
#line 4681 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_ARRAY, &(yyloc) );
      (yyval.ast)->array.kind = C_ARRAY_EMPTY_SIZE;
    }
#line 8744 "parser.c"
    break;

  case 385: /* array_size_c_ast: '[' uint_lit rbracket_exp  */
#line 4686 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_ARRAY, &(yyloc) );
      (yyval.ast)->array.kind = C_ARRAY_INT_SIZE;
      (yyval.ast)->array.size_int = (yyvsp[-1].uint_val);
    }
#line 8754 "parser.c"
    break;

  case 386: /* array_size_c_ast: '[' Y_NAME rbracket_exp  */
#line 4692 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_ARRAY, &(yyloc) );
      (yyval.ast)->array.kind = C_ARRAY_NAMED_SIZE;
      (yyval.ast)->array.size_name = (yyvsp[-1].name);
    }
#line 8764 "parser.c"
    break;

  case 387: /* array_size_c_ast: '[' type_qualifier_list_c_stid rbracket_exp  */
#line 4698 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_ARRAY, &(yyloc) );
      (yyval.ast)->type.stids = c_tid_check( (yyvsp[-1].tid), C_TPID_STORE );
      (yyval.ast)->array.kind = C_ARRAY_EMPTY_SIZE;
    }
#line 8774 "parser.c"
    break;

  case 388: /* array_size_c_ast: '[' type_qualifier_list_c_stid static_stid_opt uint_lit rbracket_exp  */
#line 4705 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_ARRAY, &(yyloc) );
      (yyval.ast)->type.stids = c_tid_check( (yyvsp[-3].tid) | (yyvsp[-2].tid), C_TPID_STORE );
      (yyval.ast)->array.kind = C_ARRAY_INT_SIZE;
      (yyval.ast)->array.size_int = (yyvsp[-1].uint_val);
    }
#line 8785 "parser.c"
    break;

  case 389: /* array_size_c_ast: '[' type_qualifier_list_c_stid static_stid_opt Y_NAME rbracket_exp  */
#line 4713 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_ARRAY, &(yyloc) );
      (yyval.ast)->type.stids = c_tid_check( (yyvsp[-3].tid) | (yyvsp[-2].tid), C_TPID_STORE );
      (yyval.ast)->array.kind = C_ARRAY_NAMED_SIZE;
      (yyval.ast)->array.size_name = (yyvsp[-1].name);
    }
#line 8796 "parser.c"
    break;

  case 390: /* array_size_c_ast: '[' type_qualifier_list_c_stid_opt '*' rbracket_exp  */
#line 4720 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_ARRAY, &(yyloc) );
      (yyval.ast)->type.stids = c_tid_check( (yyvsp[-2].tid), C_TPID_STORE );
      (yyval.ast)->array.kind = C_ARRAY_VLA_STAR;
    }
#line 8806 "parser.c"
    break;

  case 391: /* array_size_c_ast: '[' Y_static type_qualifier_list_c_stid_opt uint_lit rbracket_exp  */
#line 4727 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_ARRAY, &(yyloc) );
      (yyval.ast)->type.stids =
        c_tid_check( TS_NON_EMPTY_ARRAY | (yyvsp[-2].tid), C_TPID_STORE );
      (yyval.ast)->array.kind = C_ARRAY_INT_SIZE;
      (yyval.ast)->array.size_int = (yyvsp[-1].uint_val);
    }
#line 8818 "parser.c"
    break;

  case 392: /* array_size_c_ast: '[' Y_static type_qualifier_list_c_stid_opt Y_NAME rbracket_exp  */
#line 4736 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_ARRAY, &(yyloc) );
      (yyval.ast)->type.stids =
        c_tid_check( TS_NON_EMPTY_ARRAY | (yyvsp[-2].tid), C_TPID_STORE );
      (yyval.ast)->array.kind = C_ARRAY_NAMED_SIZE;
      (yyval.ast)->array.size_name = (yyvsp[-1].name);
    }
#line 8830 "parser.c"
    break;

  case 393: /* array_size_c_ast: '[' error ']'  */
#line 4744 "parser.y"
    {
      elaborate_error( "array size expected" );
    }
#line 8838 "parser.c"
    break;

  case 394: /* $@20: %empty  */
#line 4754 "parser.y"
    { //
      // A block AST has to be the type inherited attribute for decl_c_astp so
      // we have to create it here.
      //
      ia_type_ast_push( c_ast_new_gc( K_APPLE_BLOCK, &(yyloc) ) );
    }
#line 8849 "parser.c"
    break;

  case 395: /* block_decl_c_astp: '(' '^' $@20 type_qualifier_list_c_stid_opt decl_c_astp rparen_exp lparen_exp param_c_ast_list_opt ')' gnu_attribute_specifier_list_c_opt  */
#line 4763 "parser.y"
    {
      c_ast_t *const block_ast = ia_type_ast_pop();
      c_ast_t *const type_ast = ia_type_ast_peek();

      DUMP_START( "block_decl_c_astp",
                  "'(' '^' type_qualifier_list_c_stid_opt decl_c_astp ')' "
                  "'(' param_c_ast_list_opt ')'" );
      DUMP_AST( "in_attr__type_c_ast", type_ast );
      DUMP_TID( "type_qualifier_list_c_stid_opt", (yyvsp[-6].tid) );
      DUMP_AST_PAIR( "decl_c_astp", (yyvsp[-5].ast_pair) );
      DUMP_AST_LIST( "param_c_ast_list_opt", (yyvsp[-2].ast_list) );

      PARSE_ASSERT(
        c_type_add_tid( &block_ast->type, (yyvsp[-6].tid), &(yylsp[-6]) )
      );
      c_ast_list_set_param_of( &(yyvsp[-2].ast_list), block_ast );
      block_ast->block.param_ast_list = slist_move( &(yyvsp[-2].ast_list) );

      c_ast_t *const ret_ast = ia_type_spec_ast( type_ast );
      if ( (yyvsp[-5].ast_pair).target_ast != NULL ) {
        (yyval.ast_pair) = (c_ast_pair_t){
          (yyvsp[-5].ast_pair).ast,
          c_ast_add_func( (yyvsp[-5].ast_pair).target_ast, block_ast, ret_ast )
        };
      }
      else {
        (yyval.ast_pair) = (c_ast_pair_t){
          c_ast_add_func( (yyvsp[-5].ast_pair).ast, block_ast, ret_ast ),
          block_ast->block.ret_ast
        };
      }

      DUMP_AST_PAIR( "$$_astp", (yyval.ast_pair) );
      DUMP_END();
    }
#line 8889 "parser.c"
    break;

  case 396: /* destructor_declaration_c: virtual_stid_opt '~' any_name_exp lparen_exp no_destructor_params rparen_func_qualifier_list_c_stid_opt noexcept_c_stid_opt gnu_attribute_specifier_list_c_opt func_equals_c_stid_opt  */
#line 4811 "parser.y"
    {
      DUMP_START( "destructor_declaration_c",
                  "virtual_stid_opt '~' any_name_exp '(' ')' "
                  "func_qualifier_list_c_stid_opt noexcept_c_stid_opt "
                  "gnu_attribute_specifier_list_c_opt func_equals_c_stid_opt" );
      DUMP_TID( "virtual_stid_opt", (yyvsp[-8].tid) );
      DUMP_STR( "any_name_exp", (yyvsp[-6].name) );
      DUMP_TID( "func_qualifier_list_c_stid_opt", (yyvsp[-3].tid) );
      DUMP_TID( "noexcept_c_stid_opt", (yyvsp[-2].tid) );
      DUMP_TID( "func_equals_c_stid_opt", (yyvsp[0].tid) );

      c_ast_t *const dtor_ast = c_ast_new_gc( K_DESTRUCTOR, &(yyloc) );
      c_sname_append_name( &dtor_ast->sname, (yyvsp[-6].name) );
      dtor_ast->type.stids = c_tid_check(
        (yyvsp[-8].tid) | (yyvsp[-3].tid) | (yyvsp[-2].tid) | (yyvsp[0].tid),
        C_TPID_STORE
      );

      DUMP_AST( "$$_ast", dtor_ast );
      DUMP_END();

      PARSE_ASSERT( c_ast_check( dtor_ast ) );
      c_ast_english( dtor_ast, C_ENG_DECL, stdout );
      PUTC( '\n' );
    }
#line 8919 "parser.c"
    break;

  case 398: /* no_destructor_params: error  */
#line 4858 "parser.y"
    { //
      // Ordinarily, we'd get an error message like:
      //
      //      c++decl> explain ~C(int)
      //                          ^
      //      12: syntax error: "int": destructors may not have parameters
      //      ("int" is a keyword)
      //
      // where the <<("int" is a keyword)>> part seems wrong since the user
      // didn't try using "int" as an ordinary identifier.  To suppress that
      // part, set lexer_token to the empty string so elaborate_error() won't
      // print it nor call print_error_token_is_a() and and we'll instead get
      // an error message like:
      //
      //      c++decl> explain ~C(int)
      //                          ^
      //      12: syntax error: destructors may not have parameters
      //
      lexer_token = "";
      elaborate_error( "destructors may not have parameters" );
    }
#line 8945 "parser.c"
    break;

  case 399: /* file_scope_constructor_declaration_c: inline_stid_opt Y_CONSTRUCTOR_SNAME lparen_exp param_c_ast_list_opt rparen_func_qualifier_list_c_stid_opt noexcept_c_stid_opt gnu_attribute_specifier_list_c_opt  */
#line 4888 "parser.y"
    {
      DUMP_START( "file_scope_constructor_declaration_c",
                  "inline_opt CONSTRUCTOR_SNAME '(' param_c_ast_list_opt ')' "
                  "func_qualifier_list_c_stid_opt noexcept_c_stid_opt" );
      DUMP_TID( "inline_stid_opt", (yyvsp[-6].tid) );
      DUMP_SNAME( "CONSTRUCTOR_SNAME", (yyvsp[-5].sname) );
      DUMP_AST_LIST( "param_c_ast_list_opt", (yyvsp[-3].ast_list) );
      DUMP_TID( "func_qualifier_list_c_stid_opt", (yyvsp[-2].tid) );
      DUMP_TID( "noexcept_c_stid_opt", (yyvsp[-1].tid) );

      c_sname_set_scope_type( &(yyvsp[-5].sname), &C_TYPE_LIT_B( TB_class ) );

      c_ast_t *const ctor_ast = c_ast_new_gc( K_CONSTRUCTOR, &(yyloc) );
      ctor_ast->sname = c_sname_move( &(yyvsp[-5].sname) );
      ctor_ast->type.stids = c_tid_check(
        (yyvsp[-6].tid) | (yyvsp[-2].tid) | (yyvsp[-1].tid),
        C_TPID_STORE
      );
      c_ast_list_set_param_of( &(yyvsp[-3].ast_list), ctor_ast );
      ctor_ast->ctor.param_ast_list = slist_move( &(yyvsp[-3].ast_list) );

      DUMP_AST( "$$_ast", ctor_ast );
      DUMP_END();

      PARSE_ASSERT( c_ast_check( ctor_ast ) );
      c_ast_english( ctor_ast, C_ENG_DECL, stdout );
      PUTC( '\n' );
    }
#line 8978 "parser.c"
    break;

  case 400: /* file_scope_destructor_declaration_c: inline_stid_opt destructor_sname lparen_exp no_destructor_params rparen_func_qualifier_list_c_stid_opt noexcept_c_stid_opt gnu_attribute_specifier_list_c_opt  */
#line 4925 "parser.y"
    {
      DUMP_START( "file_scope_destructor_declaration_c",
                  "inline_opt destructor_sname '(' ')' "
                  "func_qualifier_list_c_stid_opt noexcept_c_stid_opt" );
      DUMP_TID( "inline_stid_opt", (yyvsp[-6].tid) );
      DUMP_SNAME( "destructor_sname", (yyvsp[-5].sname) );
      DUMP_TID( "func_qualifier_list_c_stid_opt", (yyvsp[-2].tid) );
      DUMP_TID( "noexcept_c_stid_opt", (yyvsp[-1].tid) );

      c_sname_set_scope_type( &(yyvsp[-5].sname), &C_TYPE_LIT_B( TB_class ) );

      c_ast_t *const dtor_ast = c_ast_new_gc( K_DESTRUCTOR, &(yyloc) );
      dtor_ast->sname = c_sname_move( &(yyvsp[-5].sname) );
      dtor_ast->type.stids = c_tid_check(
        (yyvsp[-6].tid) | (yyvsp[-2].tid) | (yyvsp[-1].tid),
        C_TPID_STORE
      );

      DUMP_AST( "$$_ast", dtor_ast );
      DUMP_END();

      PARSE_ASSERT( c_ast_check( dtor_ast ) );
      c_ast_english( dtor_ast, C_ENG_DECL, stdout );
      PUTC( '\n' );
    }
#line 9008 "parser.c"
    break;

  case 401: /* func_decl_c_astp: decl2_c_astp param_list_c_lparen param_c_ast_list_opt rparen_func_qualifier_list_c_stid_opt ref_qualifier_c_stid_opt noexcept_c_stid_opt trailing_return_type_c_ast_opt func_equals_c_stid_opt  */
#line 4970 "parser.y"
    {
      c_ast_t *const type_ast = ia_type_ast_peek();

      DUMP_START( "func_decl_c_astp",
                  "decl2_c_astp '(' param_c_ast_list_opt ')' "
                  "func_qualifier_list_c_stid_opt "
                  "ref_qualifier_c_stid_opt noexcept_c_stid_opt "
                  "trailing_return_type_c_ast_opt "
                  "func_equals_c_stid_opt" );
      DUMP_AST( "in_attr__type_c_ast", type_ast );
      DUMP_AST_PAIR( "decl2_c_astp", (yyvsp[-7].ast_pair) );
      DUMP_AST_LIST( "param_c_ast_list_opt", (yyvsp[-5].ast_list) );
      DUMP_TID( "func_qualifier_list_c_stid_opt", (yyvsp[-4].tid) );
      DUMP_TID( "ref_qualifier_c_stid_opt", (yyvsp[-3].tid) );
      DUMP_TID( "noexcept_c_stid_opt", (yyvsp[-2].tid) );
      DUMP_AST( "trailing_return_type_c_ast_opt", (yyvsp[-1].ast) );
      DUMP_TID( "func_equals_c_stid_opt", (yyvsp[0].tid) );

      c_tid_t const func_stids = c_tid_check(
        (yyvsp[-4].tid) | (yyvsp[-3].tid) | (yyvsp[-2].tid) | (yyvsp[0].tid),
        C_TPID_STORE
      );

      bool const assume_constructor =
        // + The type is likely for a constructor; and:
        c_ast_is_likely_ctor( type_ast ) &&

        // + The new type does _not_ have any non-constructor storage classes.
        !c_tid_is_any( func_stids, TS_FUNC_LIKE_NOT_CTOR );

      c_ast_t *const func_ast =
        c_ast_new_gc( assume_constructor ? K_CONSTRUCTOR : K_FUNCTION, &(yyloc) );
      func_ast->type.stids = func_stids;
      c_ast_list_set_param_of( &(yyvsp[-5].ast_list), func_ast );
      func_ast->func.param_ast_list = slist_move( &(yyvsp[-5].ast_list) );

      c_ast_t *const decl_ast = (yyvsp[-7].ast_pair).ast;

      if ( assume_constructor ) {
        assert( (yyvsp[-1].ast) == NULL );
        (yyval.ast_pair) = (c_ast_pair_t){
          c_ast_add_func( decl_ast, func_ast, /*ret_ast=*/NULL ),
          .target_ast = NULL
        };
      }
      else {
        c_ast_t *ret_ast;
        c_ast_t *target_ast = (yyvsp[-7].ast_pair).target_ast;

        if ( target_ast != NULL && target_ast->kind != K_POINTER ) {
          //
          // This is for a case like:
          //
          //      int f() ()
          //       |    |  |
          //       |    |  func
          //       |    |
          //       |    decl_ast (func)
          //       |
          //       ret_ast
          //
          // We replace ret_ast with decl_ast:
          //
          //      int f() ()
          //       |    |  |
          //       |    |  func
          //       X    |
          //       |    decl_ast (func)
          //       |
          //       ret_ast <- decl_ast (func)
          //
          // that is, a "function returning function" -- which is illegal
          // (since functions can't return functions) and will be caught by
          // c_ast_check_ret_type().
          //
          ret_ast = decl_ast;
          target_ast = NULL;
        }
        else {
          ret_ast = IF_ELSE( (yyvsp[-1].ast), ia_type_spec_ast( type_ast ) );
        }

        if ( target_ast != NULL ) {
          (yyval.ast_pair) = (c_ast_pair_t){
            decl_ast,
            c_ast_add_func( target_ast, func_ast, ret_ast )
          };
        }
        else {
          (yyval.ast_pair) = (c_ast_pair_t){
            c_ast_add_func( decl_ast, func_ast, ret_ast ),
            func_ast->func.ret_ast
          };
        }
      }

      c_tid_t const msc_call_atids = (yyval.ast_pair).ast->type.atids & TA_ANY_MSC_CALL;
      if ( msc_call_atids != TA_NONE ) {
        //
        // Microsoft calling conventions need to be moved from the pointer to
        // the function, e.g., change:
        //
        //      declare f as cdecl pointer to function returning void
        //
        // to:
        //
        //      declare f as pointer to cdecl function returning void
        //
        for ( c_ast_t *ast = (yyval.ast_pair).ast; (ast = c_ast_unpointer( ast )) != NULL; ) {
          if ( ast->kind == K_FUNCTION ) {
            (yyval.ast_pair).ast->type.atids &= c_tid_compl( TA_ANY_MSC_CALL );
            ast->type.atids |= msc_call_atids;
          }
        } // for
      }

      DUMP_AST_PAIR( "$$_astp", (yyval.ast_pair) );
      DUMP_END();
    }
#line 9132 "parser.c"
    break;

  case 402: /* $@21: %empty  */
#line 5100 "parser.y"
    {
      if ( OPT_LANG_IS( CONSTRUCTORS ) ) {
        //
        // In C++, encountering a name followed by '(' declares an in-class
        // constructor.  That means NAME is the name of a class, so we have to
        // create a temporary class type for it so if it's used as the type of
        // a parameter, e.g.:
        //
        //      C(C const&)
        //
        // it'll be recognized as such.
        //
        c_ast_t *const csu_ast = c_ast_new_gc( K_CLASS_STRUCT_UNION, &(yylsp[-1]) );
        csu_ast->type.btids = TB_class;
        c_sname_init_name( &csu_ast->csu.csu_sname, check_strdup( (yyvsp[-1].name) ) );
        csu_ast->sname = c_sname_dup( &csu_ast->csu.csu_sname );

        in_attr.tdef_rb = c_typedef_add( csu_ast, C_GIB_TYPEDEF );
        MAYBE_UNUSED c_typedef_t const *const csu_tdef = in_attr.tdef_rb->data;
        assert( csu_tdef->ast == csu_ast );
      }
    }
#line 9159 "parser.c"
    break;

  case 403: /* pc99_func_or_constructor_declaration_c: Y_NAME param_list_c_lparen $@21 param_c_ast_list_opt param_list_c_rparen noexcept_c_stid_opt func_equals_c_stid_opt  */
#line 5124 "parser.y"
    {
      DUMP_START( "pc99_func_or_constructor_declaration_c",
                  "NAME '(' param_c_ast_list_opt ')' noexcept_c_stid_opt "
                  "func_equals_c_stid_opt" );
      DUMP_STR( "NAME", (yyvsp[-6].name) );
      DUMP_AST_LIST( "param_c_ast_list_opt", (yyvsp[-3].ast_list) );
      DUMP_TID( "noexcept_c_stid_opt", (yyvsp[-1].tid) );
      DUMP_TID( "func_equals_c_stid_opt", (yyvsp[0].tid) );

      c_ast_t *ast;

      if ( OPT_LANG_IS( CONSTRUCTORS ) ) {
        //
        // Free the temporary typedef for the class.
        //
        // Note that we free only the typedef and not its AST; its AST will be
        // garbage collected.
        //
        free( c_typedef_remove( in_attr.tdef_rb ) );

        //
        // In C++, encountering a name followed by '(' declares an in-class
        // constructor.
        //
        ast = c_ast_new_gc( K_CONSTRUCTOR, &(yyloc) );
      }
      else {
        if ( !IS_SUPPORTED( IMPLICIT_int ) ) {
          //
          // In C99 and later, implicit int is an error.  This check has to be
          // done now in the parser rather than later in the AST since the AST
          // would have no "memory" that the return type was implicitly int.
          //
          print_error( &(yylsp[-6]),
            "implicit \"%s\" functions are illegal%s",
            c_tid_name_error( TB_int ),
            C_LANG_WHICH( IMPLICIT_int )
          );
          print_error_token_is_a( (yyvsp[-6].name) );
          if ( strcmp( (yyvsp[-6].name), L_typeof ) == 0 ||
               strcmp( (yyvsp[-6].name), L_typeof_unqual ) == 0 ) {
            EPRINTF( "; use \"%s\" instead", L_GNU___typeof__ );
          }
          else {
            print_suggestions(
              DYM_C_KEYWORDS | DYM_C_MACROS | DYM_C_TYPES,
              (yyvsp[-6].name)
            );
          }
          EPUTC( '\n' );
          free( (yyvsp[-6].name) );
          PARSE_ABORT();
        }

        //
        // In C prior to C99, encountering a name followed by '(' declares a
        // function that implicitly returns int:
        //
        //      power(x, n)             /* raise x to n-th power; n > 0 */
        //
        c_ast_t *const ret_ast = c_ast_new_gc( K_BUILTIN, &(yylsp[-6]) );
        ret_ast->type.btids = TB_int;

        ast = c_ast_new_gc( K_FUNCTION, &(yyloc) );
        c_ast_set_parent( ret_ast, ast );
      }

      c_sname_init_name( &ast->sname, (yyvsp[-6].name) );
      ast->type.stids =
        c_tid_check( (yyvsp[-1].tid) | (yyvsp[0].tid), C_TPID_STORE );
      c_ast_list_set_param_of( &(yyvsp[-3].ast_list), ast );
      ast->func.param_ast_list = slist_move( &(yyvsp[-3].ast_list) );

      DUMP_AST( "$$_ast", ast );
      DUMP_END();

      PARSE_ASSERT( c_ast_check( ast ) );
      c_ast_english( ast, C_ENG_DECL, stdout );
      PUTC( '\n' );
    }
#line 9244 "parser.c"
    break;

  case 404: /* $@22: %empty  */
#line 5208 "parser.y"
    {
      if ( OPT_LANG_IS( MEMBER_FUNCTIONS ) ) {
        //
        // Both "final" and "override" are matched only within member function
        // declarations.  Now that ')' has been parsed, we're within one, so
        // set the keyword context to C_KW_CTX_MBR_FUNC.
        //
        lexer_keyword_ctx = C_KW_CTX_MBR_FUNC;
      }
    }
#line 9259 "parser.c"
    break;

  case 405: /* rparen_func_qualifier_list_c_stid_opt: param_list_c_rparen $@22 func_qualifier_list_c_stid_opt  */
#line 5219 "parser.y"
    {
      lexer_keyword_ctx = C_KW_CTX_DEFAULT;
      (yyval.tid) = (yyvsp[0].tid);
    }
#line 9268 "parser.c"
    break;

  case 406: /* func_qualifier_list_c_stid_opt: %empty  */
#line 5226 "parser.y"
                                  { (yyval.tid) = TS_NONE; }
#line 9274 "parser.c"
    break;

  case 407: /* func_qualifier_list_c_stid_opt: func_qualifier_list_c_stid_opt func_qualifier_c_stid  */
#line 5228 "parser.y"
    {
      DUMP_START( "func_qualifier_list_c_stid_opt",
                  "func_qualifier_list_c_stid_opt func_qualifier_c_stid" );
      DUMP_TID( "func_qualifier_list_c_stid_opt", (yyvsp[-1].tid) );
      DUMP_TID( "func_qualifier_c_stid", (yyvsp[0].tid) );

      (yyval.tid) = (yyvsp[-1].tid);
      PARSE_ASSERT( c_tid_add( &(yyval.tid), (yyvsp[0].tid), &(yylsp[0]) ) );

      DUMP_TID( "$$_stids", (yyval.tid) );
      DUMP_END();
    }
#line 9291 "parser.c"
    break;

  case 412: /* noexcept_c_stid_opt: %empty  */
#line 5257 "parser.y"
                                  { (yyval.tid) = TS_NONE; }
#line 9297 "parser.c"
    break;

  case 414: /* noexcept_c_stid_opt: Y_noexcept '(' noexcept_bool_stid_exp rparen_exp  */
#line 5260 "parser.y"
    {
      (yyval.tid) = (yyvsp[-1].tid);
    }
#line 9305 "parser.c"
    break;

  case 415: /* noexcept_c_stid_opt: Y_throw lparen_exp rparen_exp  */
#line 5264 "parser.y"
    {
      (yyval.tid) = (yyvsp[-2].tid);
    }
#line 9313 "parser.c"
    break;

  case 416: /* noexcept_c_stid_opt: Y_throw lparen_exp param_c_ast_list ')'  */
#line 5268 "parser.y"
    {
      c_ast_list_cleanup( &(yyvsp[-1].ast_list) );

      if ( OPT_LANG_IS( throw ) ) {
        UNSUPPORTED( &(yylsp[-1]), "dynamic exception specifications" );
      } else {
        print_error( &(yylsp[-1]),
          "dynamic exception specifications not supported%s\n",
          C_LANG_WHICH( throw )
        );
      }
      PARSE_ABORT();
    }
#line 9331 "parser.c"
    break;

  case 419: /* noexcept_bool_stid_exp: error  */
#line 5287 "parser.y"
    {
      elaborate_error( "\"true\" or \"false\" expected" );
    }
#line 9339 "parser.c"
    break;

  case 420: /* trailing_return_type_c_ast_opt: %empty  */
#line 5293 "parser.y"
                                  { (yyval.ast) = NULL; }
#line 9345 "parser.c"
    break;

  case 421: /* $@23: %empty  */
#line 5295 "parser.y"
                                         { ia_type_ast_push( (yyvsp[0].ast) ); }
#line 9351 "parser.c"
    break;

  case 422: /* trailing_return_type_c_ast_opt: Y_MINUS_GREATER type_c_ast $@23 cast_c_astp_opt  */
#line 5297 "parser.y"
    { //
      // The function trailing return-type syntax is supported only in C++11
      // and later.  This check has to be done now in the parser rather than
      // later in the AST because the AST has no "memory" of where the return-
      // type came from.
      //
      if ( !IS_SUPPORTED( TRAILING_RETURN_TYPES ) ) {
        print_error( &(yylsp[-3]),
          "trailing return type not supported%s\n",
          C_LANG_WHICH( TRAILING_RETURN_TYPES )
        );
        PARSE_ABORT();
      }

      ia_type_ast_pop();
      c_ast_t const *const ret_ast = ia_type_ast_peek();

      DUMP_START( "trailing_return_type_c_ast_opt",
                  "'->' type_c_ast cast_c_astp_opt" );
      DUMP_AST( "in_attr__type_c_ast", ret_ast );
      DUMP_AST( "type_c_ast", (yyvsp[-2].ast) );
      DUMP_AST_PAIR( "cast_c_astp_opt", (yyvsp[0].ast_pair) );

      (yyval.ast) = IF_ELSE( (yyvsp[0].ast_pair).ast, (yyvsp[-2].ast) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();

      //
      // Ensure that a function using the C++11 trailing return type syntax
      // starts with "auto":
      //
      //      void f() -> int
      //      ^
      //      error: must be "auto"
      //
      // This check has to be done now in the parser rather than later in the
      // AST because the "auto" is just a syntactic return-type placeholder in
      // C++11 and the AST node for the placeholder is discarded and never made
      // part of the AST.
      //
      if ( ret_ast->type.btids != TB_auto ) {
        print_error( &ret_ast->loc,
          "function with trailing return type must only specify \"%s\"\n",
          c_tid_name_error( TB_auto )
        );
        PARSE_ABORT();
      }
    }
#line 9405 "parser.c"
    break;

  case 423: /* trailing_return_type_c_ast_opt: gnu_attribute_specifier_list_c  */
#line 5348 "parser.y"
    {
      (yyval.ast) = NULL;
    }
#line 9413 "parser.c"
    break;

  case 424: /* func_equals_c_stid_opt: %empty  */
#line 5354 "parser.y"
                                  { (yyval.tid) = TS_NONE; }
#line 9419 "parser.c"
    break;

  case 425: /* func_equals_c_stid_opt: '=' Y_default  */
#line 5355 "parser.y"
                                  { (yyval.tid) = (yyvsp[0].tid); }
#line 9425 "parser.c"
    break;

  case 426: /* func_equals_c_stid_opt: '=' Y_delete  */
#line 5356 "parser.y"
                                  { (yyval.tid) = (yyvsp[0].tid); }
#line 9431 "parser.c"
    break;

  case 427: /* func_equals_c_stid_opt: '=' uint_lit  */
#line 5358 "parser.y"
    {
      if ( (yyvsp[0].uint_val) != 0 ) {
        print_error( &(yylsp[0]), "'0' expected\n" );
        PARSE_ABORT();
      }
      (yyval.tid) = TS_PURE_virtual;
    }
#line 9443 "parser.c"
    break;

  case 428: /* func_equals_c_stid_opt: '=' error  */
#line 5366 "parser.y"
    {
      if ( OPT_LANG_IS( default_delete_FUNCS ) )
        elaborate_error( "'0', \"default\", or \"delete\" expected" );
      else
        elaborate_error( "'0' expected" );
    }
#line 9454 "parser.c"
    break;

  case 430: /* param_c_ast_list_exp: error  */
#line 5379 "parser.y"
    {
      slist_init( &(yyval.ast_list) );
      elaborate_error( "parameter list expected" );
    }
#line 9463 "parser.c"
    break;

  case 431: /* param_c_ast_list_opt: %empty  */
#line 5386 "parser.y"
                                  { slist_init( &(yyval.ast_list) ); }
#line 9469 "parser.c"
    break;

  case 433: /* param_c_ast_list: param_c_ast_list comma_exp param_c_ast_exp  */
#line 5392 "parser.y"
    {
      DUMP_START( "param_c_ast_list", "param_c_ast_list ',' param_c_ast" );
      DUMP_AST_LIST( "param_c_ast_list", (yyvsp[-2].ast_list) );
      DUMP_AST( "param_c_ast", (yyvsp[0].ast) );

      (yyval.ast_list) = (yyvsp[-2].ast_list);
      slist_push_back( &(yyval.ast_list), (yyvsp[0].ast) );

      DUMP_AST_LIST( "$$_ast_list", (yyval.ast_list) );
      DUMP_END();
    }
#line 9485 "parser.c"
    break;

  case 434: /* param_c_ast_list: param_c_ast  */
#line 5405 "parser.y"
    {
      DUMP_START( "param_c_ast_list", "param_c_ast" );
      DUMP_AST( "param_c_ast", (yyvsp[0].ast) );

      slist_init( &(yyval.ast_list) );
      slist_push_back( &(yyval.ast_list), (yyvsp[0].ast) );

      DUMP_AST_LIST( "$$_ast_list", (yyval.ast_list) );
      DUMP_END();
    }
#line 9500 "parser.c"
    break;

  case 435: /* $@24: %empty  */
#line 5422 "parser.y"
    {
      ia_type_ast_push( (yyvsp[0].ast) );
    }
#line 9508 "parser.c"
    break;

  case 436: /* param_c_ast: this_stid_opt type_c_ast $@24 cast_c_astp_opt  */
#line 5426 "parser.y"
    {
      ia_type_ast_pop();

      DUMP_START( "param_c_ast", "this_stid_opt type_c_ast cast_c_astp_opt" );
      DUMP_TID( "this_stid_opt", (yyvsp[-3].tid) );
      DUMP_AST( "type_c_ast", (yyvsp[-2].ast) );
      DUMP_AST_PAIR( "cast_c_astp_opt", (yyvsp[0].ast_pair) );

      (yyval.ast) = c_ast_patch_placeholder( (yyvsp[-2].ast), (yyvsp[0].ast_pair).ast );

      if ( (yyval.ast)->kind == K_FUNCTION ) {
        //
        // From the C11 standard, section 6.3.2.1(4):
        //
        //    [A] function designator with type "function returning type" is
        //    converted to an expression that has type "pointer to function
        //    returning type."
        //
        (yyval.ast) = c_ast_pointer( (yyval.ast), &gc_ast_list );
      }

      PARSE_ASSERT( c_type_add_tid( &(yyval.ast)->type, (yyvsp[-3].tid), &(yylsp[-3]) ) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 9539 "parser.c"
    break;

  case 438: /* param_c_ast: "..."  */
#line 5462 "parser.y"
    {
      DUMP_START( "param_c_ast", "..." );

      (yyval.ast) = c_ast_new_gc( K_VARIADIC, &(yyloc) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 9552 "parser.c"
    break;

  case 440: /* param_c_ast_exp: error  */
#line 5475 "parser.y"
    {
      elaborate_error( "parameter declaration expected" );
    }
#line 9560 "parser.c"
    break;

  case 441: /* paren_param_c_ast_list_opt: %empty  */
#line 5481 "parser.y"
                                  { slist_init( &(yyval.ast_list) ); }
#line 9566 "parser.c"
    break;

  case 442: /* paren_param_c_ast_list_opt: param_list_c_lparen param_c_ast_list_opt param_list_c_rparen  */
#line 5483 "parser.y"
    {
      (yyval.ast_list) = (yyvsp[-1].ast_list);
    }
#line 9574 "parser.c"
    break;

  case 443: /* param_list_c_lparen: '('  */
#line 5489 "parser.y"
                                  { lexer_is_param_list_decl = true; }
#line 9580 "parser.c"
    break;

  case 444: /* param_list_c_rparen: ')'  */
#line 5493 "parser.y"
                                  { lexer_is_param_list_decl = false; }
#line 9586 "parser.c"
    break;

  case 445: /* $@25: %empty  */
#line 5500 "parser.y"
    {
      ia_type_ast_push( c_ast_new_gc( K_PLACEHOLDER, &(yyloc) ) );
      ++in_attr.ast_depth;
    }
#line 9595 "parser.c"
    break;

  case 446: /* nested_decl_c_astp: '(' $@25 decl_c_astp rparen_exp  */
#line 5505 "parser.y"
    {
      ia_type_ast_pop();
      --in_attr.ast_depth;

      DUMP_START( "nested_decl_c_astp", "'(' decl_c_astp ')'" );
      DUMP_AST_PAIR( "decl_c_astp", (yyvsp[-1].ast_pair) );

      (yyval.ast_pair) = (yyvsp[-1].ast_pair);
      (yyval.ast_pair).ast->loc = (yyloc);

      DUMP_AST_PAIR( "$$_astp", (yyval.ast_pair) );
      DUMP_END();
    }
#line 9613 "parser.c"
    break;

  case 447: /* oper_decl_c_astp: oper_sname_c_opt Y_operator c_operator param_list_c_lparen param_c_ast_list_opt rparen_func_qualifier_list_c_stid_opt ref_qualifier_c_stid_opt noexcept_c_stid_opt trailing_return_type_c_ast_opt func_equals_c_stid_opt  */
#line 5531 "parser.y"
    {
      c_operator_t const *const operator = c_op_get( (yyvsp[-7].op_id) );
      c_ast_t *const type_ast = ia_type_ast_peek();

      DUMP_START( "oper_decl_c_astp",
                  "oper_sname_c_opt OPERATOR c_operator "
                  "'(' param_c_ast_list_opt ')' "
                  "func_qualifier_list_c_stid_opt "
                  "ref_qualifier_c_stid_opt noexcept_c_stid_opt "
                  "trailing_return_type_c_ast_opt "
                  "func_equals_c_stid_opt" );
      DUMP_AST( "in_attr__type_c_ast", type_ast );
      DUMP_SNAME( "oper_sname_c_opt", (yyvsp[-9].sname) );
      DUMP_STR( "c_operator", operator->literal );
      DUMP_AST_LIST( "param_c_ast_list_opt", (yyvsp[-5].ast_list) );
      DUMP_TID( "func_qualifier_list_c_stid_opt", (yyvsp[-4].tid) );
      DUMP_TID( "ref_qualifier_c_stid_opt", (yyvsp[-3].tid) );
      DUMP_TID( "noexcept_c_stid_opt", (yyvsp[-2].tid) );
      DUMP_AST( "trailing_return_type_c_ast_opt", (yyvsp[-1].ast) );
      DUMP_TID( "func_equals_c_stid_opt", (yyvsp[0].tid) );

      c_tid_t const oper_stids = c_tid_check(
        (yyvsp[-4].tid) | (yyvsp[-3].tid) | (yyvsp[-2].tid) | (yyvsp[0].tid),
        C_TPID_STORE
      );

      c_ast_t *const oper_ast = c_ast_new_gc( K_OPERATOR, &(yyloc) );
      oper_ast->sname = c_sname_move( &(yyvsp[-9].sname) );
      oper_ast->type.stids = oper_stids;
      c_ast_list_set_param_of( &(yyvsp[-5].ast_list), oper_ast );
      oper_ast->oper.param_ast_list = slist_move( &(yyvsp[-5].ast_list) );
      oper_ast->oper.operator = operator;

      c_ast_t *const ret_ast =
        IF_ELSE( (yyvsp[-1].ast), ia_type_spec_ast( type_ast ) );

      (yyval.ast_pair) = (c_ast_pair_t){
        c_ast_add_func( type_ast, oper_ast, ret_ast ),
        oper_ast->oper.ret_ast
      };

      DUMP_AST_PAIR( "$$_astp", (yyval.ast_pair) );
      DUMP_END();
    }
#line 9662 "parser.c"
    break;

  case 448: /* $@26: %empty  */
#line 5580 "parser.y"
                                 { ia_type_ast_push( (yyvsp[0].ast) ); }
#line 9668 "parser.c"
    break;

  case 449: /* pointer_decl_c_astp: pointer_type_c_ast $@26 decl_c_astp  */
#line 5582 "parser.y"
    {
      ia_type_ast_pop();

      DUMP_START( "pointer_decl_c_astp", "pointer_type_c_ast decl_c_astp" );
      DUMP_AST( "pointer_type_c_ast", (yyvsp[-2].ast) );
      DUMP_AST_PAIR( "decl_c_astp", (yyvsp[0].ast_pair) );

      PJL_DISCARD_RV( c_ast_patch_placeholder( (yyvsp[-2].ast), (yyvsp[0].ast_pair).ast ) );
      (yyval.ast_pair) = (yyvsp[0].ast_pair);
      (yyval.ast_pair).ast->loc = (yyloc);

      DUMP_AST_PAIR( "$$_astp", (yyval.ast_pair) );
      DUMP_END();
    }
#line 9687 "parser.c"
    break;

  case 450: /* pointer_type_c_ast: '*' type_qualifier_list_c_stid_opt  */
#line 5601 "parser.y"
    {
      c_ast_t *const type_ast = ia_type_ast_peek();

      DUMP_START( "pointer_type_c_ast", "'*' type_qualifier_list_c_stid_opt" );
      DUMP_AST( "in_attr__type_c_ast", type_ast );
      DUMP_TID( "type_qualifier_list_c_stid_opt", (yyvsp[0].tid) );

      (yyval.ast) = c_ast_new_gc( K_POINTER, &(yyloc) );
      (yyval.ast)->type.stids = c_tid_check( (yyvsp[0].tid), C_TPID_STORE );
      c_ast_set_parent( ia_type_spec_ast( type_ast ), (yyval.ast) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 9706 "parser.c"
    break;

  case 451: /* pc99_pointer_decl_list_c: pc99_pointer_decl_c ',' decl_list_c  */
#line 5621 "parser.y"
    {
      (yyval.ast_list) = (yyvsp[0].ast_list);
      slist_push_front( &(yyval.ast_list), (yyvsp[-2].ast) );
    }
#line 9715 "parser.c"
    break;

  case 452: /* pc99_pointer_decl_list_c: pc99_pointer_decl_c  */
#line 5626 "parser.y"
    {
      slist_init( &(yyval.ast_list) );
      slist_push_back( &(yyval.ast_list), (yyvsp[0].ast) );
    }
#line 9724 "parser.c"
    break;

  case 453: /* $@27: %empty  */
#line 5633 "parser.y"
                                      { ia_type_ast_push( (yyvsp[0].ast) ); }
#line 9730 "parser.c"
    break;

  case 454: /* pc99_pointer_decl_c: pc99_pointer_type_c_ast $@27 decl_c_astp  */
#line 5635 "parser.y"
    {
      ia_type_ast_pop();

      DUMP_START( "pc99_pointer_decl_c",
                  "pc99_pointer_type_c_ast decl_c_astp" );
      DUMP_AST( "pc99_pointer_type_c_ast", (yyvsp[-2].ast) );
      DUMP_AST_PAIR( "decl_c_astp", (yyvsp[0].ast_pair) );

      (yyval.ast) = c_ast_patch_placeholder( (yyvsp[-2].ast), (yyvsp[0].ast_pair).ast );
      (yyval.ast)->loc = (yyloc);

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 9749 "parser.c"
    break;

  case 455: /* pc99_pointer_type_c_ast: '*' type_qualifier_list_c_stid_opt  */
#line 5654 "parser.y"
    {
      if ( !IS_SUPPORTED( IMPLICIT_int ) ) {
        //
        // In C99 and later, implicit int is an error.  This check has to be
        // done now in the parser rather than later in the AST since the AST
        // would have no "memory" that the return type was implicitly int.
        //
        print_error( &(yylsp[-1]),
          "implicit \"%s\" is illegal%s\n",
          c_tid_name_error( TB_int ),
          C_LANG_WHICH( IMPLICIT_int )
        );
        PARSE_ABORT();
      }

      c_ast_t *type_ast = ia_type_ast_peek();

      DUMP_START( "pc99_pointer_type_c_ast",
                  "'*' type_qualifier_list_c_stid_opt" );
      DUMP_AST( "in_attr__type_c_ast", type_ast );
      DUMP_TID( "type_qualifier_list_c_stid_opt", (yyvsp[0].tid) );

      if ( type_ast == NULL ) {
        type_ast = c_ast_new_gc( K_BUILTIN, &(yylsp[-1]) );
        type_ast->type.btids = TB_int;
        ia_type_ast_push( type_ast );
      }

      (yyval.ast) = c_ast_pointer( ia_type_spec_ast( type_ast ), &gc_ast_list );
      (yyval.ast)->type.stids = c_tid_check( (yyvsp[0].tid), C_TPID_STORE );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 9788 "parser.c"
    break;

  case 456: /* $@28: %empty  */
#line 5693 "parser.y"
                                           { ia_type_ast_push( (yyvsp[0].ast) ); }
#line 9794 "parser.c"
    break;

  case 457: /* pointer_to_member_decl_c_astp: pointer_to_member_type_c_ast $@28 decl_c_astp  */
#line 5695 "parser.y"
    {
      ia_type_ast_pop();

      DUMP_START( "pointer_to_member_decl_c_astp",
                  "pointer_to_member_type_c_ast decl_c_astp" );
      DUMP_AST( "pointer_to_member_type_c_ast", (yyvsp[-2].ast) );
      DUMP_AST_PAIR( "decl_c_astp", (yyvsp[0].ast_pair) );

      (yyval.ast_pair) = (yyvsp[0].ast_pair);
      (yyval.ast_pair).ast->loc = (yyloc);

      DUMP_AST_PAIR( "$$_astp", (yyval.ast_pair) );
      DUMP_END();
    }
#line 9813 "parser.c"
    break;

  case 458: /* pointer_to_member_type_c_ast: any_sname_c Y_COLON_COLON_STAR '*' cv_qualifier_list_stid_opt  */
#line 5715 "parser.y"
    {
      c_ast_t *const type_ast = ia_type_ast_peek();

      DUMP_START( "pointer_to_member_type_c_ast",
                  "any_sname_c '::*' cv_qualifier_list_stid_opt" );
      DUMP_AST( "in_attr__type_c_ast", type_ast );
      DUMP_SNAME( "any_sname_c", (yyvsp[-3].sname) );
      DUMP_TID( "cv_qualifier_list_stid_opt", (yyvsp[0].tid) );

      (yyval.ast) = c_ast_new_gc( K_POINTER_TO_MEMBER, &(yyloc) );

      c_type_t scope_type = *c_sname_local_type( &(yyvsp[-3].sname) );
      if ( !c_tid_is_any( scope_type.btids, TB_ANY_SCOPE ) ) {
        //
        // The sname has no scope-type, but we now know there's a pointer-to-
        // member of it, so it must be a class.  (It could alternatively be a
        // struct, but we have no context to know, so just pick class because
        // it's more C++-like.)
        //
        scope_type.btids = TB_class;
        c_sname_set_local_type( &(yyvsp[-3].sname), &scope_type );
      }

      // adopt sname's scope-type for the AST
      (yyval.ast)->type = c_type_or( &C_TYPE_LIT_S( (yyvsp[0].tid) ), &scope_type );

      (yyval.ast)->ptr_mbr.class_sname = c_sname_move( &(yyvsp[-3].sname) );
      c_ast_set_parent( c_ast_dup_gc( type_ast ), (yyval.ast) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 9850 "parser.c"
    break;

  case 459: /* $@29: %empty  */
#line 5753 "parser.y"
    {
      (yyvsp[-1].ast)->type.stids = c_tid_check( (yyvsp[0].tid), C_TPID_STORE );
      ia_type_ast_push( (yyvsp[-1].ast) );
    }
#line 9859 "parser.c"
    break;

  case 460: /* reference_decl_c_astp: reference_type_c_ast type_qualifier_list_c_stid_opt $@29 decl_c_astp  */
#line 5758 "parser.y"
    {
      ia_type_ast_pop();

      DUMP_START( "reference_decl_c_astp", "reference_type_c_ast decl_c_astp" );
      DUMP_AST( "reference_type_c_ast", (yyvsp[-3].ast) );
      DUMP_TID( "type_qualifier_list_c_stid_opt", (yyvsp[-2].tid) );
      DUMP_AST_PAIR( "decl_c_astp", (yyvsp[0].ast_pair) );

      (yyval.ast_pair) = (yyvsp[0].ast_pair);
      (yyval.ast_pair).ast->loc = (yyloc);

      DUMP_AST_PAIR( "$$_astp", (yyval.ast_pair) );
      DUMP_END();
    }
#line 9878 "parser.c"
    break;

  case 461: /* reference_type_c_ast: '&'  */
#line 5777 "parser.y"
    {
      c_ast_t *const type_ast = ia_type_ast_peek();

      DUMP_START( "reference_type_c_ast", "'&'" );
      DUMP_AST( "in_attr__type_c_ast", type_ast );

      (yyval.ast) = c_ast_new_gc( K_REFERENCE, &(yyloc) );
      c_ast_set_parent( ia_type_spec_ast( type_ast ), (yyval.ast) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 9895 "parser.c"
    break;

  case 462: /* reference_type_c_ast: Y_AMPER_AMPER  */
#line 5792 "parser.y"
    {
      c_ast_t *const type_ast = ia_type_ast_peek();

      DUMP_START( "reference_type_c_ast", "'&&'" );
      DUMP_AST( "in_attr__type_c_ast", type_ast );

      (yyval.ast) = c_ast_new_gc( K_RVALUE_REFERENCE, &(yyloc) );
      c_ast_set_parent( ia_type_spec_ast( type_ast ), (yyval.ast) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 9912 "parser.c"
    break;

  case 463: /* typedef_type_decl_c_ast: typedef_type_c_ast bit_field_c_uint_opt  */
#line 5811 "parser.y"
    {
      c_ast_t *const type_ast = ia_type_ast_peek();

      DUMP_START( "typedef_type_decl_c_ast",
                  "typedef_type_c_ast bit_field_c_uint_opt" );
      DUMP_AST( "in_attr__type_c_ast", type_ast );
      DUMP_AST( "typedef_type_c_ast", (yyvsp[-1].ast) );
      DUMP_INT( "bit_field_c_uint_opt", (yyvsp[0].uint_val) );

      if ( c_tid_is_any( type_ast->type.stids, TS_typedef ) ) {
        //
        // If we're defining a type, return the type as-is.
        //
        (yyval.ast) = (yyvsp[-1].ast);
      }
      else {
        //
        // Otherwise, return the type that it's typedef'd as.
        //
        c_ast_t const *const raw_tdef_ast = c_ast_untypedef( (yyvsp[-1].ast) );

        //
        // But first ensure the name isn't of a previously declared type:
        //
        //      cdecl> struct S
        //      cdecl> explain int S    // error: "S": previously declared
        //
        // Note that typedef_type_c_ast is like:
        //
        //      typedef_type_c_ast: {
        //        sname: { string: "" },
        //        kind: { value: 0x20, string: "typedef" },
        //        ...
        //        type: { btid: 0x10000001, ..., string: "none" },
        //        tdef: {
        //          for_ast: {
        //            sname: { string: "S", scopes: "struct" },
        //            kind: { value: 0x8, string: "struct or union" },
        //            ...
        //            type: { btid: 0x800001, ..., string: "struct" },
        //            csu: {
        //              csu_sname: { string: "S", scopes: "none" }
        //            }
        //          }
        //        },
        //        ...
        //      }
        //
        // That is, typedef_type_c_ast has no name itself (at this point), but
        // the raw type, of course, does, so it's that name we have to check.
        //
        // This check has to be done now in the parser rather than later in the
        // AST since if this declaration were joined with a type (like `int`
        // above), the type information would be lost and we'd get this from
        // above:
        //
        //      declare S as structure S          // wrong
        //
        // Additionally, we also get here when the typedef name is used as part
        // of longer name, e.g., `S::x`:
        //
        //      c++decl> explain int S::x
        //      declare x of structure S as int   // correct
        //
        // but that name isn't of a previously declared type, so it's OK.
        //
        PARSE_ASSERT( !sname_is_type( &raw_tdef_ast->sname, &(yyvsp[-1].ast)->loc ) );

        //
        // We have to duplicate the type to set the current location.
        //
        (yyval.ast) = c_ast_dup_gc( raw_tdef_ast );
        (yyval.ast)->loc = (yyvsp[-1].ast)->loc;
      }

      PARSE_ASSERT( c_ast_set_bit_field_width( (yyval.ast), (yyvsp[0].uint_val) ) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 9997 "parser.c"
    break;

  case 464: /* $@30: %empty  */
#line 5898 "parser.y"
    {
      ia_type_ast_push( (yyvsp[0].ast) );
    }
#line 10005 "parser.c"
    break;

  case 465: /* user_defined_conversion_decl_c_astp: oper_sname_c_opt Y_operator type_c_ast $@30 udc_decl_c_ast_opt lparen_exp rparen_func_qualifier_list_c_stid_opt noexcept_c_stid_opt func_equals_c_stid_opt  */
#line 5904 "parser.y"
    {
      ia_type_ast_pop();

      c_ast_t *const type_ast = ia_type_ast_peek();

      DUMP_START( "user_defined_conversion_decl_c_astp",
                  "oper_sname_c_opt OPERATOR "
                  "type_c_ast udc_decl_c_ast_opt '(' ')' "
                  "func_qualifier_list_c_stid_opt noexcept_c_stid_opt "
                  "func_equals_c_stid_opt" );
      DUMP_AST( "in_attr__type_c_ast", type_ast );
      DUMP_SNAME( "oper_sname_c_opt", (yyvsp[-8].sname) );
      DUMP_AST( "type_c_ast", (yyvsp[-6].ast) );
      DUMP_AST( "udc_decl_c_ast_opt", (yyvsp[-4].ast) );
      DUMP_TID( "func_qualifier_list_c_stid_opt", (yyvsp[-2].tid) );
      DUMP_TID( "noexcept_c_stid_opt", (yyvsp[-1].tid) );
      DUMP_TID( "func_equals_c_stid_opt", (yyvsp[0].tid) );

      c_ast_t *const udc_ast = c_ast_new_gc( K_UDEF_CONV, &(yyloc) );
      udc_ast->sname = c_sname_move( &(yyvsp[-8].sname) );
      udc_ast->type.stids = c_tid_check(
        (yyvsp[-2].tid) | (yyvsp[-1].tid) | (yyvsp[0].tid),
        C_TPID_STORE
      );
      if ( type_ast != NULL )
        c_type_or_eq( &udc_ast->type, &type_ast->type );
      udc_ast->udef_conv.to_ast = IF_ELSE( (yyvsp[-4].ast), (yyvsp[-6].ast) );

      (yyval.ast_pair) = (c_ast_pair_t){ udc_ast, udc_ast->udef_conv.to_ast };

      DUMP_AST_PAIR( "$$_astp", (yyval.ast_pair) );
      DUMP_END();
    }
#line 10043 "parser.c"
    break;

  case 466: /* user_defined_literal_decl_c_astp: oper_sname_c_opt Y_operator empty_str_lit_exp name_exp lparen_exp param_c_ast_list_exp ')' noexcept_c_stid_opt trailing_return_type_c_ast_opt  */
#line 5947 "parser.y"
    {
      c_ast_t *const type_ast = ia_type_ast_peek();

      DUMP_START( "user_defined_literal_decl_c_astp",
                  "oper_sname_c_opt OPERATOR '\"\"' "
                  "'(' param_c_ast_list_exp ')' noexcept_c_stid_opt "
                  "trailing_return_type_c_ast_opt" );
      DUMP_AST( "in_attr__type_c_ast", type_ast );
      DUMP_SNAME( "oper_sname_c_opt", (yyvsp[-8].sname) );
      DUMP_STR( "name", (yyvsp[-5].name) );
      DUMP_AST_LIST( "param_c_ast_list_exp", (yyvsp[-3].ast_list) );
      DUMP_TID( "noexcept_c_stid_opt", (yyvsp[-1].tid) );
      DUMP_AST( "trailing_return_type_c_ast_opt", (yyvsp[0].ast) );

      c_sname_set( &type_ast->sname, &(yyvsp[-8].sname) );
      c_sname_append_name( &type_ast->sname, (yyvsp[-5].name) );

      c_ast_t *const udl_ast = c_ast_new_gc( K_UDEF_LIT, &(yyloc) );
      udl_ast->type.stids = c_tid_check( (yyvsp[-1].tid), C_TPID_STORE );
      c_ast_list_set_param_of( &(yyvsp[-3].ast_list), udl_ast );
      udl_ast->udef_lit.param_ast_list = slist_move( &(yyvsp[-3].ast_list) );

      (yyval.ast_pair) = (c_ast_pair_t){
        c_ast_add_func(
          type_ast,
          udl_ast,
          IF_ELSE( (yyvsp[0].ast), type_ast )
        ),
        udl_ast->udef_lit.ret_ast
      };

      DUMP_AST_PAIR( "$$_astp", (yyval.ast_pair) );
      DUMP_END();
    }
#line 10082 "parser.c"
    break;

  case 467: /* cast_c_astp_opt: %empty  */
#line 5988 "parser.y"
                                  { (yyval.ast_pair) = (c_ast_pair_t){ NULL, NULL }; }
#line 10088 "parser.c"
    break;

  case 477: /* cast2_c_astp: param_pack_cast_c_ast  */
#line 6005 "parser.y"
                                  { (yyval.ast_pair) = (c_ast_pair_t){ (yyvsp[0].ast), NULL }; }
#line 10094 "parser.c"
    break;

  case 478: /* cast2_c_astp: sname_c_ast  */
#line 6006 "parser.y"
                                  { (yyval.ast_pair) = (c_ast_pair_t){ (yyvsp[0].ast), NULL }; }
#line 10100 "parser.c"
    break;

  case 479: /* param_pack_cast_c_ast: "..."  */
#line 6015 "parser.y"
    {
      ia_type_ast_peek()->is_param_pack = true;
      (yyval.ast) = NULL;
    }
#line 10109 "parser.c"
    break;

  case 480: /* param_pack_cast_c_ast: "..." sname_c_ast  */
#line 6020 "parser.y"
    {
      (yyvsp[0].ast)->is_param_pack = true;
      (yyval.ast) = (yyvsp[0].ast);
    }
#line 10118 "parser.c"
    break;

  case 481: /* array_cast_c_astp: cast_c_astp_opt array_size_c_ast  */
#line 6031 "parser.y"
    {
      c_ast_t *const type_ast = ia_type_ast_peek();

      DUMP_START( "array_cast_c_astp", "cast_c_astp_opt array_size_c_ast" );
      DUMP_AST( "in_attr__type_c_ast", type_ast );
      DUMP_AST_PAIR( "cast_c_astp_opt", (yyvsp[-1].ast_pair) );
      DUMP_AST( "array_size_c_ast", (yyvsp[0].ast) );

      c_ast_set_parent(
        c_ast_new_gc( K_PLACEHOLDER, &(yylsp[-1]) ), (yyvsp[0].ast)
      );

      c_ast_t *const of_ast = ia_type_spec_ast( type_ast );
      if ( (yyvsp[-1].ast_pair).target_ast != NULL ) {
        // array-of or function-like-ret type
        (yyval.ast_pair) = (c_ast_pair_t){
          (yyvsp[-1].ast_pair).ast,
          c_ast_add_array( (yyvsp[-1].ast_pair).target_ast, (yyvsp[0].ast), of_ast )
        };
      } else {
        c_ast_t *const ast = IF_ELSE( (yyvsp[-1].ast_pair).ast, of_ast );
        (yyval.ast_pair) = (c_ast_pair_t){
          c_ast_add_array( ast, (yyvsp[0].ast), of_ast ),
          .target_ast = NULL
        };
      }

      DUMP_AST_PAIR( "$$_astp", (yyval.ast_pair) );
      DUMP_END();
    }
#line 10153 "parser.c"
    break;

  case 482: /* $@31: %empty  */
#line 6068 "parser.y"
    { //
      // A block AST has to be the type inherited attribute for cast_c_astp_opt
      // so we have to create it here.
      //
      ia_type_ast_push( c_ast_new_gc( K_APPLE_BLOCK, &(yyloc) ) );
    }
#line 10164 "parser.c"
    break;

  case 483: /* block_cast_c_astp: '(' '^' $@31 type_qualifier_list_c_stid_opt cast_c_astp_opt rparen_exp param_list_c_lparen param_c_ast_list_opt param_list_c_rparen  */
#line 6077 "parser.y"
    {
      c_ast_t *const block_ast = ia_type_ast_pop();
      c_ast_t *const type_ast = ia_type_ast_peek();

      DUMP_START( "block_cast_c_astp",
                  "'(' '^' type_qualifier_list_c_stid_opt cast_c_astp_opt ')' "
                  "'(' param_c_ast_list_opt ')'" );
      DUMP_AST( "in_attr__type_c_ast", type_ast );
      DUMP_TID( "type_qualifier_list_c_stid_opt", (yyvsp[-5].tid) );
      DUMP_AST_PAIR( "cast_c_astp_opt", (yyvsp[-4].ast_pair) );
      DUMP_AST_LIST( "param_c_ast_list_opt", (yyvsp[-1].ast_list) );

      PARSE_ASSERT(
        c_type_add_tid( &block_ast->type, (yyvsp[-5].tid), &(yylsp[-5]) )
      );
      c_ast_list_set_param_of( &(yyvsp[-1].ast_list), block_ast );
      block_ast->block.param_ast_list = slist_move( &(yyvsp[-1].ast_list) );

      c_ast_t *const ret_ast = ia_type_spec_ast( type_ast );
      if ( (yyvsp[-4].ast_pair).target_ast != NULL ) {
        (yyval.ast_pair) = (c_ast_pair_t){
          (yyvsp[-4].ast_pair).ast,
          c_ast_add_func( (yyvsp[-4].ast_pair).target_ast, block_ast, ret_ast )
        };
      }
      else {
        (yyval.ast_pair) = (c_ast_pair_t){
          c_ast_add_func( (yyvsp[-4].ast_pair).ast, block_ast, ret_ast ),
          block_ast->block.ret_ast
        };
      }

      DUMP_AST_PAIR( "$$_astp", (yyval.ast_pair) );
      DUMP_END();
    }
#line 10204 "parser.c"
    break;

  case 484: /* func_cast_c_astp: cast2_c_astp param_list_c_lparen param_c_ast_list_opt rparen_func_qualifier_list_c_stid_opt noexcept_c_stid_opt trailing_return_type_c_ast_opt  */
#line 6123 "parser.y"
    {
      c_ast_t *const type_ast = ia_type_ast_peek();

      DUMP_START( "func_cast_c_astp",
                  "cast2_c_astp '(' param_c_ast_list_opt ')' "
                  "func_qualifier_list_c_stid_opt noexcept_c_stid_opt "
                  "trailing_return_type_c_ast_opt" );
      DUMP_AST( "in_attr__type_c_ast", type_ast );
      DUMP_AST_PAIR( "cast2_c_astp", (yyvsp[-5].ast_pair) );
      DUMP_AST_LIST( "param_c_ast_list_opt", (yyvsp[-3].ast_list) );
      DUMP_TID( "func_qualifier_list_c_stid_opt", (yyvsp[-2].tid) );
      DUMP_AST( "trailing_return_type_c_ast_opt", (yyvsp[0].ast) );
      DUMP_TID( "noexcept_c_stid_opt", (yyvsp[-1].tid) );

      c_ast_t *const func_ast = c_ast_new_gc( K_FUNCTION, &(yyloc) );
      func_ast->type.stids =
        c_tid_check( (yyvsp[-2].tid) | (yyvsp[-1].tid), C_TPID_STORE );
      c_ast_list_set_param_of( &(yyvsp[-3].ast_list), func_ast );
      func_ast->func.param_ast_list = slist_move( &(yyvsp[-3].ast_list) );

      c_ast_t *const cast_ast = (yyvsp[-5].ast_pair).ast;
      //
      // This is for a case similar to the one in func_decl_c_astp like:
      //
      //     void f( int () () )
      //              |   |  |
      //              |   |  func
      //              |   |
      //              |   cast_ast (func)
      //              |
      //              ret_ast
      //
      // We replace ret_ast with cast_ast:
      //
      //      void f( int() () )
      //              |  |  |
      //              |  |  func
      //              X  |
      //              |  cast_ast (func)
      //              |
      //              ret_ast <- cast_ast (func)
      //
      // that is, a "function returning function returning int" -- which is
      // illegal (since functions can't return functions) and will be caught by
      // c_ast_check_ret_type().
      //
      c_ast_t *const ret_ast = cast_ast->kind == K_FUNCTION ?
        cast_ast : IF_ELSE( (yyvsp[0].ast), ia_type_spec_ast( type_ast ) );

      if ( (yyvsp[-5].ast_pair).target_ast != NULL ) {
        (yyval.ast_pair) = (c_ast_pair_t){
          cast_ast,
          c_ast_add_func( (yyvsp[-5].ast_pair).target_ast, func_ast, ret_ast )
        };
      }
      else {
        (yyval.ast_pair) = (c_ast_pair_t){
          c_ast_add_func( cast_ast, func_ast, ret_ast ),
          func_ast->func.ret_ast
        };
      }

      DUMP_AST_PAIR( "$$_astp", (yyval.ast_pair) );
      DUMP_END();
    }
#line 10274 "parser.c"
    break;

  case 485: /* $@32: %empty  */
#line 6194 "parser.y"
    {
      ia_type_ast_push( c_ast_new_gc( K_PLACEHOLDER, &(yyloc) ) );
      ++in_attr.ast_depth;
    }
#line 10283 "parser.c"
    break;

  case 486: /* nested_cast_c_astp: '(' $@32 cast_c_astp_opt rparen_exp  */
#line 6199 "parser.y"
    {
      ia_type_ast_pop();
      --in_attr.ast_depth;

      c_ast_t *const type_ast = ia_type_ast_peek();

      DUMP_START( "nested_cast_c_astp", "'(' cast_c_astp_opt ')'" );
      DUMP_AST( "in_attr__type_c_ast", type_ast );
      DUMP_AST_PAIR( "cast_c_astp_opt", (yyvsp[-1].ast_pair) );

      (yyval.ast_pair) = (yyvsp[-1].ast_pair);

      if ( (yyval.ast_pair).ast == NULL ) {
        //
        // This is for a case like:
        //
        //      void f( int() )
        //                 ^^
        //
        // where the unnamed parameter is a "function returning int".  (In
        // param_c_ast, this will be converted into a "pointer to function
        // returning int".)
        //
        (yyval.ast_pair).ast = c_ast_new_gc( K_FUNCTION, &(yyloc) );
        c_ast_set_parent( type_ast, (yyval.ast_pair).ast );
      } else {
        (yyval.ast_pair).ast->loc = (yyloc);
      }

      DUMP_AST_PAIR( "$$_astp", (yyval.ast_pair) );
      DUMP_END();
    }
#line 10320 "parser.c"
    break;

  case 487: /* $@33: %empty  */
#line 6236 "parser.y"
                                 { ia_type_ast_push( (yyvsp[0].ast) ); }
#line 10326 "parser.c"
    break;

  case 488: /* pointer_cast_c_astp: pointer_type_c_ast $@33 cast_c_astp_opt  */
#line 6238 "parser.y"
    {
      ia_type_ast_pop();

      DUMP_START( "pointer_cast_c_astp", "pointer_type_c_ast cast_c_astp_opt" );
      DUMP_AST( "pointer_type_c_ast", (yyvsp[-2].ast) );
      DUMP_AST_PAIR( "cast_c_astp_opt", (yyvsp[0].ast_pair) );

      (yyval.ast_pair) = (c_ast_pair_t){
        c_ast_patch_placeholder( (yyvsp[-2].ast), (yyvsp[0].ast_pair).ast ),
        (yyvsp[0].ast_pair).target_ast
      };

      DUMP_AST_PAIR( "$$_astp", (yyval.ast_pair) );
      DUMP_END();
    }
#line 10346 "parser.c"
    break;

  case 489: /* $@34: %empty  */
#line 6258 "parser.y"
                                           { ia_type_ast_push( (yyvsp[0].ast) ); }
#line 10352 "parser.c"
    break;

  case 490: /* pointer_to_member_cast_c_astp: pointer_to_member_type_c_ast $@34 cast_c_astp_opt  */
#line 6260 "parser.y"
    {
      ia_type_ast_pop();

      DUMP_START( "pointer_to_member_cast_c_astp",
                  "pointer_to_member_type_c_ast cast_c_astp_opt" );
      DUMP_AST( "pointer_to_member_type_c_ast", (yyvsp[-2].ast) );
      DUMP_AST_PAIR( "cast_c_astp_opt", (yyvsp[0].ast_pair) );

      (yyval.ast_pair) = (c_ast_pair_t){
        c_ast_patch_placeholder( (yyvsp[-2].ast), (yyvsp[0].ast_pair).ast ),
        (yyvsp[0].ast_pair).target_ast
      };

      DUMP_AST_PAIR( "$$_astp", (yyval.ast_pair) );
      DUMP_END();
    }
#line 10373 "parser.c"
    break;

  case 491: /* $@35: %empty  */
#line 6281 "parser.y"
                                   { ia_type_ast_push( (yyvsp[0].ast) ); }
#line 10379 "parser.c"
    break;

  case 492: /* reference_cast_c_astp: reference_type_c_ast $@35 cast_c_astp_opt  */
#line 6283 "parser.y"
    {
      ia_type_ast_pop();

      DUMP_START( "reference_cast_c_astp",
                  "reference_type_c_ast cast_c_astp_opt" );
      DUMP_AST( "reference_type_c_ast", (yyvsp[-2].ast) );
      DUMP_AST_PAIR( "cast_c_astp_opt", (yyvsp[0].ast_pair) );

      (yyval.ast_pair) = (c_ast_pair_t){
        c_ast_patch_placeholder( (yyvsp[-2].ast), (yyvsp[0].ast_pair).ast ),
        (yyvsp[0].ast_pair).target_ast
      };

      DUMP_AST_PAIR( "$$_astp", (yyval.ast_pair) );
      DUMP_END();
    }
#line 10400 "parser.c"
    break;

  case 493: /* udc_decl_c_ast_opt: %empty  */
#line 6310 "parser.y"
                                  { (yyval.ast) = NULL; }
#line 10406 "parser.c"
    break;

  case 499: /* $@36: %empty  */
#line 6322 "parser.y"
                                 { ia_type_ast_push( (yyvsp[0].ast) ); }
#line 10412 "parser.c"
    break;

  case 500: /* pointer_udc_decl_c_ast: pointer_type_c_ast $@36 udc_decl_c_ast_opt  */
#line 6324 "parser.y"
    {
      ia_type_ast_pop();

      DUMP_START( "pointer_udc_decl_c_ast",
                  "pointer_type_c_ast udc_decl_c_ast_opt" );
      DUMP_AST( "pointer_type_c_ast", (yyvsp[-2].ast) );
      DUMP_AST( "udc_decl_c_ast_opt", (yyvsp[0].ast) );

      (yyval.ast) = c_ast_patch_placeholder( (yyvsp[-2].ast), (yyvsp[0].ast) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 10430 "parser.c"
    break;

  case 501: /* $@37: %empty  */
#line 6340 "parser.y"
                                           { ia_type_ast_push( (yyvsp[0].ast) ); }
#line 10436 "parser.c"
    break;

  case 502: /* pointer_to_member_udc_decl_c_ast: pointer_to_member_type_c_ast $@37 udc_decl_c_ast_opt  */
#line 6342 "parser.y"
    {
      ia_type_ast_pop();

      DUMP_START( "pointer_to_member_udc_decl_c_ast",
                  "pointer_to_member_type_c_ast udc_decl_c_ast_opt" );
      DUMP_AST( "pointer_to_member_type_c_ast", (yyvsp[-2].ast) );
      DUMP_AST( "udc_decl_c_ast_opt", (yyvsp[0].ast) );

      (yyval.ast) = c_ast_patch_placeholder( (yyvsp[-2].ast), (yyvsp[0].ast) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 10454 "parser.c"
    break;

  case 503: /* $@38: %empty  */
#line 6358 "parser.y"
                                   { ia_type_ast_push( (yyvsp[0].ast) ); }
#line 10460 "parser.c"
    break;

  case 504: /* reference_udc_decl_c_ast: reference_type_c_ast $@38 udc_decl_c_ast_opt  */
#line 6360 "parser.y"
    {
      ia_type_ast_pop();

      DUMP_START( "reference_udc_decl_c_ast",
                  "reference_type_c_ast udc_decl_c_ast_opt" );
      DUMP_AST( "reference_type_c_ast", (yyvsp[-2].ast) );
      DUMP_AST( "udc_decl_c_ast_opt", (yyvsp[0].ast) );

      (yyval.ast) = c_ast_patch_placeholder( (yyvsp[-2].ast), (yyvsp[0].ast) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 10478 "parser.c"
    break;

  case 505: /* type_c_ast: type_modifier_list_c_type  */
#line 6386 "parser.y"
    {
      DUMP_START( "type_c_ast", "type_modifier_list_c_type" );
      DUMP_TYPE( "type_modifier_list_c_type", (yyvsp[0].type) );

      //
      // Prior to C99, typeless declarations are implicitly int, so we set it
      // here.  In C99 and later, however, implicit int is an error, so we
      // don't set it here and c_ast_check() will catch the error later.
      //
      // Note that type modifiers, e.g., unsigned, count as a type since that
      // means unsigned int; however, neither qualifiers, e.g., const, nor
      // storage classes, e.g., register, by themselves count as a type:
      //
      //      unsigned i;   // legal in C99
      //      const    j;   // illegal in C99
      //      register k;   // illegal in C99
      //
      c_type_t type = OPT_LANG_IS( IMPLICIT_int ) ?
        C_TYPE_LIT_B( TB_int ) : T_NONE;

      PARSE_ASSERT( c_type_add( &type, &(yyvsp[0].type), &(yylsp[0]) ) );

      (yyval.ast) = c_ast_new_gc( K_BUILTIN, &(yyloc) );
      (yyval.ast)->type = type;

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 10511 "parser.c"
    break;

  case 506: /* type_c_ast: type_modifier_list_c_type east_modified_type_c_ast  */
#line 6421 "parser.y"
    {
      DUMP_START( "type_c_ast",
                  "type_modifier_list_c_type east_modified_type_c_ast " );
      DUMP_TYPE( "type_modifier_list_c_type", (yyvsp[-1].type) );
      DUMP_AST( "east_modified_type_c_ast", (yyvsp[0].ast) );

      (yyval.ast) = (yyvsp[0].ast);
      (yyval.ast)->loc = (yyloc);
      PARSE_ASSERT( c_type_add( &(yyval.ast)->type, &(yyvsp[-1].type), &(yylsp[-1]) ) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 10529 "parser.c"
    break;

  case 508: /* type_modifier_list_c_type_opt: %empty  */
#line 6439 "parser.y"
                                  { (yyval.type) = T_NONE; }
#line 10535 "parser.c"
    break;

  case 510: /* type_modifier_list_c_type: type_modifier_list_c_type type_modifier_c_type  */
#line 6445 "parser.y"
    {
      DUMP_START( "type_modifier_list_c_type",
                  "type_modifier_list_c_type type_modifier_c_type" );
      DUMP_TYPE( "type_modifier_list_c_type", (yyvsp[-1].type) );
      DUMP_TYPE( "type_modifier_c_type", (yyvsp[0].type) );

      (yyval.type) = (yyvsp[-1].type);
      PARSE_ASSERT( c_type_add( &(yyval.type), &(yyvsp[0].type), &(yylsp[0]) ) );

      DUMP_TYPE( "$$_type", (yyval.type) );
      DUMP_END();
    }
#line 10552 "parser.c"
    break;

  case 512: /* type_modifier_c_type: type_modifier_base_type  */
#line 6463 "parser.y"
    {
      (yyval.type) = (yyvsp[0].type);
      //
      // This is for a case like:
      //
      //      explain typedef unsigned long size_t
      //
      // that is: explain a redefinition of a typedef'd type with the same type
      // that contains only one or more type_modifier_base_type.  The problem
      // is that, without an east_modified_type_c_ast (like int), the parser
      // would ordinarily take the typedef'd type (here, the size_t) as part of
      // the type_c_ast and then be out of tokens for the decl_c_astp -- at
      // which time it'll complain.
      //
      // Since type modifiers can't apply to a typedef'd type (e.g., "long
      // size_t" is illegal), we tell the lexer not to return either
      // Y_TYPEDEF_NAME_TDEF or Y_TYPEDEF_SNAME_TDEF if we encounter at least
      // one type modifier (except "register" since it's is really a storage
      // class -- see the comment in type_modifier_base_type about "register").
      //
      if ( (yyval.type).stids != TS_register )
        lexer_find &= ~LEXER_FIND_TYPES;
    }
#line 10580 "parser.c"
    break;

  case 513: /* type_modifier_c_type: type_qualifier_c_stid  */
#line 6486 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_S( (yyvsp[0].tid) ); }
#line 10586 "parser.c"
    break;

  case 515: /* type_modifier_c_type: attribute_specifier_list_c_atid  */
#line 6489 "parser.y"
    {
      (yyval.type) = C_TYPE_LIT_A( (yyvsp[0].tid) );
    }
#line 10594 "parser.c"
    break;

  case 516: /* type_modifier_base_type: Y__Complex  */
#line 6495 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_B( (yyvsp[0].tid) ); }
#line 10600 "parser.c"
    break;

  case 517: /* type_modifier_base_type: Y__Imaginary  */
#line 6496 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_B( (yyvsp[0].tid) ); }
#line 10606 "parser.c"
    break;

  case 518: /* type_modifier_base_type: Y_long  */
#line 6497 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_B( (yyvsp[0].tid) ); }
#line 10612 "parser.c"
    break;

  case 519: /* type_modifier_base_type: Y_short  */
#line 6498 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_B( (yyvsp[0].tid) ); }
#line 10618 "parser.c"
    break;

  case 520: /* type_modifier_base_type: Y_signed  */
#line 6499 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_B( (yyvsp[0].tid) ); }
#line 10624 "parser.c"
    break;

  case 521: /* type_modifier_base_type: Y_unsigned  */
#line 6500 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_B( (yyvsp[0].tid) ); }
#line 10630 "parser.c"
    break;

  case 522: /* type_modifier_base_type: Y_EMC__Sat  */
#line 6501 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_B( (yyvsp[0].tid) ); }
#line 10636 "parser.c"
    break;

  case 523: /* type_modifier_base_type: Y_register  */
#line 6507 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_S( (yyvsp[0].tid) ); }
#line 10642 "parser.c"
    break;

  case 524: /* east_modified_type_c_ast: east_modifiable_type_c_ast type_modifier_list_c_type_opt  */
#line 6513 "parser.y"
    {
      DUMP_START( "east_modified_type_c_ast",
                  "east_modifiable_type_c_ast type_modifier_list_c_type_opt" );
      DUMP_AST( "east_modifiable_type_c_ast", (yyvsp[-1].ast) );
      DUMP_TYPE( "type_modifier_list_c_type_opt", (yyvsp[0].type) );

      (yyval.ast) = (yyvsp[-1].ast);
      (yyval.ast)->loc = (yyloc);
      PARSE_ASSERT( c_type_add( &(yyval.ast)->type, &(yyvsp[0].type), &(yylsp[0]) ) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 10660 "parser.c"
    break;

  case 525: /* east_modified_type_c_ast: enum_class_struct_union_c_ast cv_qualifier_list_stid_opt  */
#line 6529 "parser.y"
    {
      DUMP_START( "east_modified_type_c_ast",
                  "enum_class_struct_union_c_ast cv_qualifier_list_stid_opt" );
      DUMP_AST( "enum_class_struct_union_c_ast", (yyvsp[-1].ast) );
      DUMP_TID( "cv_qualifier_list_stid_opt", (yyvsp[0].tid) );

      (yyval.ast) = (yyvsp[-1].ast);
      (yyval.ast)->loc = (yyloc);
      PARSE_ASSERT( c_type_add_tid( &(yyval.ast)->type, (yyvsp[0].tid), &(yylsp[0]) ) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 10678 "parser.c"
    break;

  case 532: /* $@39: %empty  */
#line 6557 "parser.y"
    {
      ia_type_ast_push( (yyvsp[0].ast) );
    }
#line 10686 "parser.c"
    break;

  case 533: /* atomic_specifier_type_c_ast: Y__Atomic_SPEC lparen_exp type_c_ast $@39 cast_c_astp_opt rparen_exp  */
#line 6561 "parser.y"
    {
      ia_type_ast_pop();

      DUMP_START( "atomic_specifier_type_c_ast",
                  "ATOMIC '(' type_c_ast cast_c_astp_opt ')'" );
      DUMP_AST( "type_c_ast", (yyvsp[-3].ast) );
      DUMP_AST_PAIR( "cast_c_astp_opt", (yyvsp[-1].ast_pair) );

      (yyval.ast) = IF_ELSE( (yyvsp[-1].ast_pair).ast, (yyvsp[-3].ast) );
      (yyval.ast)->loc = (yyloc);

      //
      // Ensure the _Atomic() specifier type doesn't have either a storage
      // class or attributes:
      //
      //      const _Atomic(int) x;     // OK
      //      _Atomic(const int) y;     // error
      //
      // This check has to be done now in the parser rather than later in the
      // AST since the type would be stored as "atomic const int" either way so
      // the AST has no "memory" of which it was.
      //
      if ( (yyval.ast)->type.stids != TS_NONE || (yyval.ast)->type.atids != TA_NONE ) {
        static c_type_t const TSA_ANY = { TB_NONE, TS_ANY, TA_ANY };
        c_type_t const error_type = c_type_and( &(yyval.ast)->type, &TSA_ANY );
        print_error( &(yylsp[-3]),
          "\"%s\" can not be of \"%s\"\n",
          c_tid_name_error( TS__Atomic ),
          c_type_name_c( &error_type )
        );
        PARSE_ABORT();
      }

      PARSE_ASSERT( c_type_add_tid( &(yyval.ast)->type, TS__Atomic, &(yylsp[-5]) ) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 10729 "parser.c"
    break;

  case 534: /* builtin_type_c_ast: builtin_no_BitInt_c_btid  */
#line 6605 "parser.y"
    {
      DUMP_START( "builtin_type_c_ast", "builtin_no_BitInt_c_btid" );
      DUMP_TID( "builtin_no_BitInt_c_btid", (yyvsp[0].tid) );

      (yyval.ast) = c_ast_new_gc( K_BUILTIN, &(yyloc) );
      (yyval.ast)->type.btids = c_tid_check( (yyvsp[0].tid), C_TPID_BASE );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 10744 "parser.c"
    break;

  case 535: /* builtin_type_c_ast: Y__BitInt lparen_exp uint_lit_exp rparen_exp  */
#line 6616 "parser.y"
    {
      DUMP_START( "builtin_type_c_ast", "_BitInt '(' uint_lit_exp ')'" );
      DUMP_INT( "uint_lit_exp", (yyvsp[-1].uint_val) );

      (yyval.ast) = c_ast_new_gc( K_BUILTIN, &(yyloc) );
      (yyval.ast)->type.btids = TB__BitInt;
      (yyval.ast)->builtin.BitInt.width = (yyvsp[-1].uint_val);

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 10760 "parser.c"
    break;

  case 544: /* builtin_no_BitInt_c_btid: Y_decltype  */
#line 6639 "parser.y"
    {
      UNSUPPORTED( &(yylsp[0]), "decltype declarations" );
      PARSE_ABORT();
    }
#line 10769 "parser.c"
    break;

  case 551: /* concept_type_c_ast: Y_CONCEPT_SNAME auto_TYPE_exp  */
#line 6655 "parser.y"
    {
      DUMP_START( "concept_type_c_ast", "Y_CONCEPT_SNAME AUTO" );
      DUMP_SNAME( "Y_CONCEPT_SNAME", (yyvsp[-1].sname) );

      c_sname_set_all_types( &(yyvsp[-1].sname), &C_TYPE_LIT_B( TB_namespace ) );

      (yyval.ast) = c_ast_new_gc( K_CONCEPT, &(yylsp[-1]) );
      (yyval.ast)->concept.concept_sname = c_sname_move( &(yyvsp[-1].sname) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 10786 "parser.c"
    break;

  case 552: /* structured_binding_type_c_ast: Y_auto_STRUCTURED_BINDING cv_qualifier_list_stid_opt ref_qualifier_c_stid_opt lbracket_exp sname_list_c rbracket_exp  */
#line 6675 "parser.y"
    {
      DUMP_START( "structured_binding_type_c_ast",
                  "AUTO cv_qualifier_list_stid_opt ref_qualifier_c_stid_opt "
                  "'[' sname_list_c ']'" );
      DUMP_TID( "cv_qualifier_list_stid_opt", (yyvsp[-4].tid) );
      DUMP_TID( "ref_qualifier_c_stid_opt", (yyvsp[-3].tid) );

      (yyval.ast) = c_ast_new_gc( K_STRUCTURED_BINDING, &(yyloc) );
      (yyval.ast)->type.stids = c_tid_check( (yyvsp[-4].tid) | (yyvsp[-3].tid), C_TPID_STORE );
      (yyval.ast)->struct_bind.sname_list = slist_move( &(yyvsp[-1].sname_list) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 10805 "parser.c"
    break;

  case 553: /* typedef_type_c_ast: any_typedef_tdef sub_scope_sname_c_opt  */
#line 6695 "parser.y"
    {
      c_ast_t *type_ast = ia_type_ast_peek();
      c_ast_t const *type_for_ast = (yyvsp[-1].tdef)->ast;

      DUMP_START( "typedef_type_c_ast",
                  "any_typedef_tdef sub_scope_sname_c_opt" );
      DUMP_AST( "in_attr__type_c_ast", type_ast );
      DUMP_AST( "any_typedef__ast", type_for_ast );
      DUMP_SNAME( "sub_scope_sname_c_opt", (yyvsp[0].sname) );

      if ( c_sname_empty( &(yyvsp[0].sname) ) ) {
ttntd:  (yyval.ast) = c_ast_new_gc( K_TYPEDEF, &(yyloc) );
        (yyval.ast)->type.btids = TB_typedef;
        (yyval.ast)->tdef.for_ast = type_for_ast;
      }
      else {
        c_sname_t temp_name = c_sname_dup( &(yyvsp[-1].tdef)->ast->sname );
        c_sname_append_sname( &temp_name, &(yyvsp[0].sname) );

        if ( type_ast == NULL ) {
          //
          // This is for a case like:
          //
          //      define S as struct S
          //      explain S::T x
          //
          // that is: a typedef'd type followed by ::T where T is an unknown
          // name used as a type. Just assume the T is some type, say int, and
          // create a name for it.
          //
          type_ast = c_ast_new_gc( K_BUILTIN, &(yylsp[0]) );
          type_ast->type.btids = TB_int;
          c_sname_set( &type_ast->sname, &temp_name );
          type_for_ast = type_ast;
          goto ttntd;
        }

        //
        // Otherwise, this is for cases like:
        //
        //  1. A typedef'd type used for a scope:
        //
        //          define S as struct S
        //          explain int S::x
        //
        //  2. A typedef'd type used for an intermediate scope:
        //
        //          define S as struct S
        //          define T as struct T
        //          explain int S::T::x
        //
        (yyval.ast) = type_ast;
        c_sname_set( &(yyval.ast)->sname, &temp_name );
      }

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 10868 "parser.c"
    break;

  case 554: /* sub_scope_sname_c_opt: %empty  */
#line 6756 "parser.y"
                                  { c_sname_init( &(yyval.sname) ); }
#line 10874 "parser.c"
    break;

  case 555: /* sub_scope_sname_c_opt: Y_COLON_COLON any_sname_c  */
#line 6758 "parser.y"
    {
      (yyval.sname) = (yyvsp[0].sname);
    }
#line 10882 "parser.c"
    break;

  case 556: /* $@40: %empty  */
#line 6767 "parser.y"
    {
      ia_type_ast_push( (yyvsp[0].ast) );
    }
#line 10890 "parser.c"
    break;

  case 557: /* typeof_type_c_ast: typeof lparen_exp type_c_ast $@40 cast_c_astp_opt rparen_exp  */
#line 6771 "parser.y"
    {
      ia_type_ast_pop();

      DUMP_START( "typeof_type_c_ast",
                  "TYPEOF '(' type_c_ast cast_c_astp_opt ')'" );
      DUMP_BOOL( "is_unqual", (yyvsp[-5].flag) );
      DUMP_AST( "type_c_ast", (yyvsp[-3].ast) );
      DUMP_AST_PAIR( "cast_c_astp_opt", (yyvsp[-1].ast_pair) );

      if ( (yyvsp[-5].flag) ) {
        c_ast_t const *const raw_ast = c_ast_untypedef( (yyvsp[-3].ast) );
        if ( raw_ast != (yyvsp[-3].ast) &&
             c_tid_is_any( raw_ast->type.stids, TS__Atomic | TS_CVR ) ) {
          //
          // The type is a typedef and the type that it's for is ACVR-qualified
          // so we need to dup _that_ type before un-ACVR-qualifying it because
          // we don't want to modify it.
          //
          (yyvsp[-3].ast) = c_ast_dup_gc( raw_ast );
        }
        (yyvsp[-3].ast)->type.stids &= c_tid_compl( TS__Atomic | TS_CVR );
      }

      (yyval.ast) = c_ast_patch_placeholder( (yyvsp[-3].ast), (yyvsp[-1].ast_pair).ast );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();

      //
      // Overwrite type_spec_ast to be the typeof type since _that_ is the base
      // type for one or more declarators, e.g.:
      //
      //      typeof(int*) p, a[2], f(char)
      //
      in_attr.type_spec_ast = (yyval.ast);
    }
#line 10931 "parser.c"
    break;

  case 558: /* typeof_type_c_ast: typeof lparen_exp error  */
#line 6809 "parser.y"
    {
      elaborate_error(
        "typeof(expression) declarations not supported by " CDECL
      );
    }
#line 10941 "parser.c"
    break;

  case 559: /* typeof: Y_typeof  */
#line 6817 "parser.y"
                                  { (yyval.flag) = /*is_unqual=*/false; }
#line 10947 "parser.c"
    break;

  case 560: /* typeof: Y_typeof_unqual  */
#line 6818 "parser.y"
                                  { (yyval.flag) = /*is_unqual=*/true;  }
#line 10953 "parser.c"
    break;

  case 563: /* class_struct_union_c_ast: class_struct_union_btid attribute_specifier_list_c_atid_opt any_sname_c_exp  */
#line 6831 "parser.y"
    {
      DUMP_START( "enum_class_struct_union_c_ast",
                  "class_struct_union_btid "
                  "attribute_specifier_list_c_atid_opt any_sname_c_exp" );
      DUMP_TID( "class_struct_union_btid", (yyvsp[-2].tid) );
      DUMP_TID( "attribute_specifier_list_c_atid_opt", (yyvsp[-1].tid) );
      DUMP_SNAME( "any_sname_c_exp", (yyvsp[0].sname) );

      (yyval.ast) = c_ast_new_gc( K_CLASS_STRUCT_UNION, &(yyloc) );
      (yyval.ast)->type.btids = c_tid_check( (yyvsp[-2].tid), C_TPID_BASE );
      (yyval.ast)->type.atids = c_tid_check( (yyvsp[-1].tid), C_TPID_ATTR );
      (yyval.ast)->csu.csu_sname = c_sname_move( &(yyvsp[0].sname) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 10974 "parser.c"
    break;

  case 564: /* class_struct_union_c_ast: class_struct_union_btid attribute_specifier_list_c_atid_opt any_sname_c_opt '{'  */
#line 6850 "parser.y"
    {
      UNSUPPORTED( &(yylsp[0]),
        "explaining %s declarations", c_tid_name_c( (yyvsp[-3].tid) )
      );
      c_sname_cleanup( &(yyvsp[-1].sname) );
      PARSE_ABORT();
    }
#line 10986 "parser.c"
    break;

  case 565: /* enum_c_ast: enum_btids attribute_specifier_list_c_atid_opt any_sname_c_exp enum_fixed_type_c_ast_opt  */
#line 6862 "parser.y"
    {
      DUMP_START( "enum_c_ast",
                  "enum_btids attribute_specifier_list_c_atid_opt "
                  "any_sname_c_exp enum_fixed_type_c_ast_opt" );
      DUMP_TID( "enum_btids", (yyvsp[-3].tid) );
      DUMP_TID( "attribute_specifier_list_c_atid_opt", (yyvsp[-2].tid) );
      DUMP_SNAME( "any_sname_c_exp", (yyvsp[-1].sname) );
      DUMP_AST( "enum_fixed_type_c_ast_opt", (yyvsp[0].ast) );

      (yyval.ast) = c_ast_new_gc( K_ENUM, &(yyloc) );
      (yyval.ast)->type.btids = c_tid_check( (yyvsp[-3].tid), C_TPID_BASE );
      (yyval.ast)->type.atids = c_tid_check( (yyvsp[-2].tid), C_TPID_ATTR );
      c_ast_set_parent( (yyvsp[0].ast), (yyval.ast) );
      (yyval.ast)->enum_.enum_sname = c_sname_move( &(yyvsp[-1].sname) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 11009 "parser.c"
    break;

  case 566: /* enum_c_ast: enum_btids attribute_specifier_list_c_atid_opt any_sname_c_opt '{'  */
#line 6883 "parser.y"
    {
      c_sname_cleanup( &(yyvsp[-1].sname) );
      UNSUPPORTED( &(yylsp[0]),
        "explaining %s declarations", c_tid_name_c( (yyvsp[-3].tid) )
      );
      PARSE_ABORT();
    }
#line 11021 "parser.c"
    break;

  case 567: /* enum_btids: Y_enum class_struct_btid_opt  */
#line 6895 "parser.y"
                                  { (yyval.tid) = (yyvsp[-1].tid) | (yyvsp[0].tid); }
#line 11027 "parser.c"
    break;

  case 568: /* enum_fixed_type_c_ast_opt: %empty  */
#line 6899 "parser.y"
                                  { (yyval.ast) = NULL; }
#line 11033 "parser.c"
    break;

  case 569: /* enum_fixed_type_c_ast_opt: ':' enum_fixed_type_c_ast  */
#line 6900 "parser.y"
                                  { (yyval.ast) = (yyvsp[0].ast); }
#line 11039 "parser.c"
    break;

  case 570: /* enum_fixed_type_c_ast_opt: ':' error  */
#line 6902 "parser.y"
    {
      elaborate_error( "type name expected" );
    }
#line 11047 "parser.c"
    break;

  case 571: /* enum_fixed_type_c_ast: enum_fixed_type_modifier_list_btid  */
#line 6918 "parser.y"
    {
      DUMP_START( "enum_fixed_type_c_ast",
                  "enum_fixed_type_modifier_list_btid" );
      DUMP_TID( "enum_fixed_type_modifier_list_btid", (yyvsp[0].tid) );

      (yyval.ast) = c_ast_new_gc( K_BUILTIN, &(yylsp[0]) );
      (yyval.ast)->type.btids = c_tid_check( (yyvsp[0].tid), C_TPID_BASE );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 11063 "parser.c"
    break;

  case 572: /* enum_fixed_type_c_ast: enum_fixed_type_modifier_list_btid enum_unmodified_fixed_type_c_ast enum_fixed_type_modifier_list_btid_opt  */
#line 6938 "parser.y"
    {
      DUMP_START( "enum_fixed_type_c_ast",
                  "enum_fixed_type_modifier_list_btid "
                  "enum_unmodified_fixed_type_c_ast "
                  "enum_fixed_type_modifier_list_btid_opt" );
      DUMP_TID( "enum_fixed_type_modifier_list_btid", (yyvsp[-2].tid) );
      DUMP_AST( "enum_unmodified_fixed_type_c_ast", (yyvsp[-1].ast) );
      DUMP_TID( "enum_fixed_type_modifier_list_btid_opt", (yyvsp[0].tid) );

      (yyval.ast) = (yyvsp[-1].ast);
      (yyval.ast)->loc = (yyloc);
      PARSE_ASSERT( c_type_add_tid( &(yyval.ast)->type, (yyvsp[-2].tid), &(yylsp[-2]) ) );
      PARSE_ASSERT( c_type_add_tid( &(yyval.ast)->type, (yyvsp[0].tid), &(yylsp[0]) ) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 11085 "parser.c"
    break;

  case 573: /* enum_fixed_type_c_ast: enum_unmodified_fixed_type_c_ast enum_fixed_type_modifier_list_btid_opt  */
#line 6963 "parser.y"
    {
      DUMP_START( "enum_fixed_type_c_ast",
                  "enum_unmodified_fixed_type_c_ast "
                  "enum_fixed_type_modifier_list_btid_opt" );
      DUMP_AST( "enum_unmodified_fixed_type_c_ast", (yyvsp[-1].ast) );
      DUMP_TID( "enum_fixed_type_modifier_list_btid_opt", (yyvsp[0].tid) );

      (yyval.ast) = (yyvsp[-1].ast);
      (yyval.ast)->loc = (yyloc);
      PARSE_ASSERT( c_type_add_tid( &(yyval.ast)->type, (yyvsp[0].tid), &(yylsp[0]) ) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 11104 "parser.c"
    break;

  case 574: /* enum_fixed_type_modifier_list_btid_opt: %empty  */
#line 6980 "parser.y"
                                  { (yyval.tid) = TB_NONE; }
#line 11110 "parser.c"
    break;

  case 576: /* enum_fixed_type_modifier_list_btid: enum_fixed_type_modifier_list_btid enum_fixed_type_modifier_btid  */
#line 6987 "parser.y"
    {
      DUMP_START( "enum_fixed_type_modifier_list_btid",
                  "enum_fixed_type_modifier_list_btid "
                  "enum_fixed_type_modifier_btid" );
      DUMP_TID( "enum_fixed_type_modifier_list_btid", (yyvsp[-1].tid) );
      DUMP_TID( "enum_fixed_type_modifier_btid", (yyvsp[0].tid) );

      (yyval.tid) = (yyvsp[-1].tid);
      PARSE_ASSERT( c_tid_add( &(yyval.tid), (yyvsp[0].tid), &(yylsp[0]) ) );

      DUMP_TID( "$$_btids", (yyval.tid) );
      DUMP_END();
    }
#line 11128 "parser.c"
    break;

  case 585: /* class_struct_btid_opt: %empty  */
#line 7020 "parser.y"
                                  { (yyval.tid) = TB_NONE; }
#line 11134 "parser.c"
    break;

  case 591: /* type_qualifier_list_c_stid_opt: %empty  */
#line 7037 "parser.y"
                                  { (yyval.tid) = TS_NONE; }
#line 11140 "parser.c"
    break;

  case 593: /* type_qualifier_list_c_stid: type_qualifier_list_c_stid type_qualifier_c_stid gnu_or_msc_attribute_specifier_list_c_opt  */
#line 7044 "parser.y"
    {
      DUMP_START( "type_qualifier_list_c_stid",
                  "type_qualifier_list_c_stid type_qualifier_c_stid" );
      DUMP_TID( "type_qualifier_list_c_stid", (yyvsp[-2].tid) );
      DUMP_TID( "type_qualifier_c_stid", (yyvsp[-1].tid) );

      (yyval.tid) = (yyvsp[-2].tid);
      PARSE_ASSERT( c_tid_add( &(yyval.tid), (yyvsp[-1].tid), &(yylsp[-1]) ) );

      DUMP_TID( "$$_stids", (yyval.tid) );
      DUMP_END();
    }
#line 11157 "parser.c"
    break;

  case 594: /* type_qualifier_list_c_stid: gnu_or_msc_attribute_specifier_list_c type_qualifier_c_stid  */
#line 7058 "parser.y"
    {
      (yyval.tid) = (yyvsp[0].tid);
    }
#line 11165 "parser.c"
    break;

  case 595: /* type_qualifier_list_c_stid: type_qualifier_c_stid gnu_or_msc_attribute_specifier_list_c_opt  */
#line 7063 "parser.y"
    {
      (yyval.tid) = (yyvsp[-1].tid);
    }
#line 11173 "parser.c"
    break;

  case 605: /* cv_qualifier_list_stid_opt: %empty  */
#line 7084 "parser.y"
                                  { (yyval.tid) = TS_NONE; }
#line 11179 "parser.c"
    break;

  case 606: /* cv_qualifier_list_stid_opt: cv_qualifier_list_stid_opt cv_qualifier_stid  */
#line 7086 "parser.y"
    {
      DUMP_START( "cv_qualifier_list_stid_opt",
                  "cv_qualifier_list_stid_opt cv_qualifier_stid" );
      DUMP_TID( "cv_qualifier_list_stid_opt", (yyvsp[-1].tid) );
      DUMP_TID( "cv_qualifier_stid", (yyvsp[0].tid) );

      (yyval.tid) = (yyvsp[-1].tid);
      PARSE_ASSERT( c_tid_add( &(yyval.tid), (yyvsp[0].tid), &(yylsp[0]) ) );

      DUMP_TID( "$$_stids", (yyval.tid) );
      DUMP_END();
    }
#line 11196 "parser.c"
    break;

  case 607: /* restrict_qualifier_c_stid: Y_restrict  */
#line 7102 "parser.y"
    { //
      // This check has to be done now in the parser rather than later in the
      // AST since both "restrict" and "__restrict" map to TS_restrict and the
      // AST has no "memory" of which it was.
      //
      if ( OPT_LANG_IS( CPP_ANY ) ) {
        print_error( &(yylsp[0]),
          "\"restrict\" not supported in C++; use \"%s\" instead\n",
          L_GNU___restrict
        );
        PARSE_ABORT();
      }
    }
#line 11214 "parser.c"
    break;

  case 612: /* upc_layout_qualifier_c: '[' error ']'  */
#line 7123 "parser.y"
    {
      elaborate_error( "one of nothing, integer, or '*' expected" );
    }
#line 11222 "parser.c"
    break;

  case 613: /* storage_class_c_type: Y_auto_STORAGE  */
#line 7131 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_S( (yyvsp[0].tid) ); }
#line 11228 "parser.c"
    break;

  case 614: /* storage_class_c_type: Y_Apple___block  */
#line 7132 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_S( (yyvsp[0].tid) ); }
#line 11234 "parser.c"
    break;

  case 615: /* storage_class_c_type: Y_consteval  */
#line 7133 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_S( (yyvsp[0].tid) ); }
#line 11240 "parser.c"
    break;

  case 616: /* storage_class_c_type: Y_constexpr  */
#line 7134 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_S( (yyvsp[0].tid) ); }
#line 11246 "parser.c"
    break;

  case 617: /* storage_class_c_type: Y_constinit  */
#line 7135 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_S( (yyvsp[0].tid) ); }
#line 11252 "parser.c"
    break;

  case 618: /* storage_class_c_type: Y_explicit  */
#line 7136 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_S( (yyvsp[0].tid) ); }
#line 11258 "parser.c"
    break;

  case 619: /* storage_class_c_type: Y_export  */
#line 7137 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_S( (yyvsp[0].tid) ); }
#line 11264 "parser.c"
    break;

  case 620: /* storage_class_c_type: Y_extern  */
#line 7138 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_S( (yyvsp[0].tid) ); }
#line 11270 "parser.c"
    break;

  case 621: /* storage_class_c_type: extern_linkage_c_stid  */
#line 7139 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_S( (yyvsp[0].tid) ); }
#line 11276 "parser.c"
    break;

  case 622: /* storage_class_c_type: Y_final  */
#line 7140 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_S( (yyvsp[0].tid) ); }
#line 11282 "parser.c"
    break;

  case 623: /* storage_class_c_type: Y_friend  */
#line 7141 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_S( (yyvsp[0].tid) ); }
#line 11288 "parser.c"
    break;

  case 624: /* storage_class_c_type: Y_inline  */
#line 7142 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_S( (yyvsp[0].tid) ); }
#line 11294 "parser.c"
    break;

  case 625: /* storage_class_c_type: Y_mutable  */
#line 7143 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_S( (yyvsp[0].tid) ); }
#line 11300 "parser.c"
    break;

  case 626: /* storage_class_c_type: _Noreturn_atid  */
#line 7145 "parser.y"
    {
      //
      // These checks have to be done now in the parser rather than later in
      // the AST because the _Noreturn keyword is mapped to the [[noreturn]]
      // attribute and the AST has no "memory" that it was _Noreturn.
      //
      if ( !IS_SUPPORTED( _Noreturn ) ) {
        print_error( &(yylsp[0]),
          "\"%s\" keyword not supported%s",
          lexer_token, C_LANG_WHICH( _Noreturn )
        );
        print_hint(
          "%snoreturn%s", other_token_c( "[[" ), other_token_c( "]]" )
        );
        PARSE_ABORT();
      }
      if ( !OPT_LANG_IS( _Noreturn_NOT_DEPRECATED ) ) {
        print_warning( &(yylsp[0]),
          "\"%s\" is deprecated%s",
          lexer_token, C_LANG_WHICH( _Noreturn_NOT_DEPRECATED )
        );
        print_hint(
          "%snoreturn%s", other_token_c( "[[" ), other_token_c( "]]" )
        );
      }

      (yyval.type) = C_TYPE_LIT_A( (yyvsp[0].tid) );
    }
#line 11333 "parser.c"
    break;

  case 627: /* storage_class_c_type: Y_override  */
#line 7173 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_S( (yyvsp[0].tid) ); }
#line 11339 "parser.c"
    break;

  case 628: /* storage_class_c_type: Y_static  */
#line 7175 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_S( (yyvsp[0].tid) ); }
#line 11345 "parser.c"
    break;

  case 629: /* storage_class_c_type: Y_typedef  */
#line 7176 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_S( (yyvsp[0].tid) ); }
#line 11351 "parser.c"
    break;

  case 630: /* storage_class_c_type: Y__Thread_local  */
#line 7177 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_S( (yyvsp[0].tid) ); }
#line 11357 "parser.c"
    break;

  case 631: /* storage_class_c_type: Y_thread_local  */
#line 7178 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_S( (yyvsp[0].tid) ); }
#line 11363 "parser.c"
    break;

  case 632: /* storage_class_c_type: Y_virtual  */
#line 7179 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_S( (yyvsp[0].tid) ); }
#line 11369 "parser.c"
    break;

  case 635: /* attribute_specifier_list_c_atid_opt: %empty  */
#line 7190 "parser.y"
                                  { (yyval.tid) = TA_NONE; }
#line 11375 "parser.c"
    break;

  case 637: /* $@41: %empty  */
#line 7196 "parser.y"
    {
      if ( !IS_SUPPORTED( ATTRIBUTES ) ) {
        print_error( &(yylsp[-1]),
          "\"%s\" attribute syntax not supported%s\n",
          other_token_c( "[[" ),
          C_LANG_WHICH( ATTRIBUTES )
        );
        PARSE_ABORT();
      }
      lexer_keyword_ctx = C_KW_CTX_ATTRIBUTE;
    }
#line 11391 "parser.c"
    break;

  case 638: /* attribute_specifier_list_c_atid: Y_ATTR_BEGIN '[' $@41 using_opt attribute_list_c_atid_opt ']' rbracket_exp  */
#line 7208 "parser.y"
    {
      lexer_keyword_ctx = C_KW_CTX_DEFAULT;

      DUMP_START( "attribute_specifier_list_c_atid",
                  "'[[' using_opt attribute_list_c_atid_opt ']]'" );
      DUMP_TID( "attribute_list_c_atid_opt", (yyvsp[-2].tid) );

      (yyval.tid) = (yyvsp[-2].tid);

      DUMP_END();
    }
#line 11407 "parser.c"
    break;

  case 639: /* attribute_specifier_list_c_atid: gnu_or_msc_attribute_specifier_list_c  */
#line 7221 "parser.y"
    {
      (yyval.tid) = TA_NONE;
    }
#line 11415 "parser.c"
    break;

  case 641: /* using_opt: Y_using name_exp colon_exp  */
#line 7229 "parser.y"
    {
      IGNORING( &(yylsp[-2]), "\"using\" in attributes" );
      free( (yyvsp[-1].name) );
    }
#line 11424 "parser.c"
    break;

  case 642: /* attribute_list_c_atid_opt: %empty  */
#line 7236 "parser.y"
                                  { (yyval.tid) = TA_NONE; }
#line 11430 "parser.c"
    break;

  case 644: /* attribute_list_c_atid: attribute_list_c_atid comma_exp attribute_c_atid_exp  */
#line 7242 "parser.y"
    {
      DUMP_START( "attribute_list_c_atid",
                  "attribute_list_c_atid ',' attribute_c_atid" );
      DUMP_TID( "attribute_list_c_atid", (yyvsp[-2].tid) );
      DUMP_TID( "attribute_c_atid_exp", (yyvsp[0].tid) );

      (yyval.tid) = (yyvsp[-2].tid);
      PARSE_ASSERT( c_tid_add( &(yyval.tid), (yyvsp[0].tid), &(yylsp[0]) ) );

      DUMP_TID( "$$_atids", (yyval.tid) );
      DUMP_END();
    }
#line 11447 "parser.c"
    break;

  case 654: /* attribute_c_atid_exp: sname_c  */
#line 7268 "parser.y"
    {
      if ( c_sname_count( &(yyvsp[0].sname) ) > 1 ) {
        IGNORING( &(yylsp[0]),
          "\"%s\": namespaced attributes", c_sname_full_name( &(yyvsp[0].sname) )
        );
      }
      else {
        char const *adj = "unknown";
        c_lang_id_t lang_ids = LANG_NONE;

        char const *const name = c_sname_local_name( &(yyvsp[0].sname) );
        c_keyword_t const *const ck = c_keyword_find(
          name, c_lang_newer( opt_lang_id ), C_KW_CTX_ATTRIBUTE
        );
        if ( ck != NULL && c_tid_tpid( ck->tid ) == C_TPID_ATTR ) {
          adj = "unsupported";
          lang_ids = ck->lang_ids;
        }
        print_warning( &(yylsp[0]),
          "\"%s\": %s attribute%s",
          name, adj, c_lang_which( lang_ids )
        );

        print_suggestions( DYM_C_ATTRIBUTES, name );
        EPUTC( '\n' );
      }

      (yyval.tid) = TA_NONE;
      c_sname_cleanup( &(yyvsp[0].sname) );
    }
#line 11482 "parser.c"
    break;

  case 655: /* attribute_c_atid_exp: error  */
#line 7299 "parser.y"
    {
      elaborate_error_dym( DYM_C_ATTRIBUTES, "attribute name expected" );
    }
#line 11490 "parser.c"
    break;

  case 657: /* attribute_str_arg_c_opt: '(' str_lit_exp rparen_exp  */
#line 7307 "parser.y"
    {
      IGNORING( &(yylsp[-2]), "attribute arguments" );
      free( (yyvsp[-1].str_val) );
    }
#line 11499 "parser.c"
    break;

  case 666: /* $@42: %empty  */
#line 7335 "parser.y"
    {
      attr_syntax_not_supported( L_GNU___attribute__, &(yylsp[0]) );
      //
      // Temporariy disabling finding keywords allows GNU attributes that are C
      // keywords (e.g., const) to be found as ordinary string literals.
      //
      lexer_find &= ~LEXER_FIND_C_KEYWORDS;
    }
#line 11512 "parser.c"
    break;

  case 667: /* gnu_attribute_specifier_c: Y_GNU___attribute__ $@42 lparen_exp lparen_exp gnu_attribute_list_c_opt ')' rparen_exp  */
#line 7344 "parser.y"
    {
      lexer_find |= LEXER_FIND_C_KEYWORDS;
    }
#line 11520 "parser.c"
    break;

  case 672: /* gnu_attribute_c_exp: Y_NAME gnu_attribute_decl_arg_list_c_opt  */
#line 7361 "parser.y"
    {
      free( (yyvsp[-1].name) );
    }
#line 11528 "parser.c"
    break;

  case 673: /* gnu_attribute_c_exp: error  */
#line 7365 "parser.y"
    {
      elaborate_error( "attribute name expected" );
    }
#line 11536 "parser.c"
    break;

  case 680: /* gnu_attribute_arg_c: Y_NAME  */
#line 7386 "parser.y"
                                  { free( (yyvsp[0].name) ); }
#line 11542 "parser.c"
    break;

  case 681: /* gnu_attribute_arg_c: Y_CHAR_LIT  */
#line 7387 "parser.y"
                                  { free( (yyvsp[0].str_val) ); }
#line 11548 "parser.c"
    break;

  case 683: /* gnu_attribute_arg_c: Y_STR_LIT  */
#line 7389 "parser.y"
                                  { free( (yyvsp[0].str_val) ); }
#line 11554 "parser.c"
    break;

  case 685: /* gnu_attribute_arg_c: Y_LEXER_ERROR  */
#line 7392 "parser.y"
    {
      PARSE_ABORT();
    }
#line 11562 "parser.c"
    break;

  case 688: /* $@43: %empty  */
#line 7404 "parser.y"
    {
      attr_syntax_not_supported( L_MSC___declspec, &(yylsp[0]) );
      // See comment in gnu_attribute_specifier_c.
      lexer_find &= ~LEXER_FIND_C_KEYWORDS;
    }
#line 11572 "parser.c"
    break;

  case 689: /* msc_attribute_specifier_c: Y_MSC___declspec $@43 lparen_exp msc_attribute_list_c_opt ')'  */
#line 7410 "parser.y"
    {
      lexer_find |= LEXER_FIND_C_KEYWORDS;
    }
#line 11580 "parser.c"
    break;

  case 697: /* array_decl_english_ast: Y_array array_size_decl_ast of_exp decl_english_ast  */
#line 7446 "parser.y"
    {
      DUMP_START( "array_decl_english_ast",
                  "ARRAY array_size_num_opt OF decl_english_ast" );
      DUMP_AST( "array_size_decl_ast", (yyvsp[-2].ast) );
      DUMP_AST( "decl_english_ast", (yyvsp[0].ast) );

      (yyval.ast) = (yyvsp[-2].ast);
      (yyval.ast)->loc = (yylsp[-3]);
      c_ast_set_parent( (yyvsp[0].ast), (yyval.ast) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 11598 "parser.c"
    break;

  case 698: /* array_decl_english_ast: Y_variable length_opt array_exp name_opt of_exp decl_english_ast  */
#line 7462 "parser.y"
    {
      DUMP_START( "array_decl_english_ast",
                  "VARIABLE LENGTH ARRAY name_opt OF decl_english_ast" );
      DUMP_STR( "name_opt", (yyvsp[-2].name) );
      DUMP_AST( "decl_english_ast", (yyvsp[0].ast) );

      (yyval.ast) = c_ast_new_gc( K_ARRAY, &(yyloc) );
      if ( (yyvsp[-2].name) == NULL ) {
        (yyval.ast)->array.kind = C_ARRAY_VLA_STAR;
      } else {
        (yyval.ast)->array.kind = C_ARRAY_NAMED_SIZE;
        (yyval.ast)->array.size_name = (yyvsp[-2].name);
      }
      c_ast_set_parent( (yyvsp[0].ast), (yyval.ast) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 11621 "parser.c"
    break;

  case 699: /* array_size_decl_ast: %empty  */
#line 7484 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_ARRAY, &(yyloc) );
      (yyval.ast)->array.kind = C_ARRAY_EMPTY_SIZE;
    }
#line 11630 "parser.c"
    break;

  case 700: /* array_size_decl_ast: uint_lit  */
#line 7489 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_ARRAY, &(yyloc) );
      (yyval.ast)->array.kind = C_ARRAY_INT_SIZE;
      (yyval.ast)->array.size_int = (yyvsp[0].uint_val);
    }
#line 11640 "parser.c"
    break;

  case 701: /* array_size_decl_ast: Y_NAME  */
#line 7495 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_ARRAY, &(yyloc) );
      (yyval.ast)->array.kind = C_ARRAY_NAMED_SIZE;
      (yyval.ast)->array.size_name = (yyvsp[0].name);
    }
#line 11650 "parser.c"
    break;

  case 702: /* array_size_decl_ast: '*'  */
#line 7501 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_ARRAY, &(yyloc) );
      (yyval.ast)->array.kind = C_ARRAY_VLA_STAR;
    }
#line 11659 "parser.c"
    break;

  case 705: /* block_decl_english_ast: Y_Apple_block paren_param_decl_list_english_opt returning_english_ast_opt  */
#line 7518 "parser.y"
    {
      DUMP_START( "block_decl_english_ast",
                  "BLOCK paren_param_decl_list_english_opt "
                  "returning_english_ast_opt" );
      DUMP_AST_LIST( "paren_param_decl_list_english_opt", (yyvsp[-1].ast_list) );
      DUMP_AST( "returning_english_ast_opt", (yyvsp[0].ast) );

      (yyval.ast) = c_ast_new_gc( K_APPLE_BLOCK, &(yyloc) );
      c_ast_list_set_param_of( &(yyvsp[-1].ast_list), (yyval.ast) );
      (yyval.ast)->block.param_ast_list = slist_move( &(yyvsp[-1].ast_list) );
      c_ast_set_parent( (yyvsp[0].ast), (yyval.ast) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 11679 "parser.c"
    break;

  case 706: /* constructor_decl_english_ast: Y_constructor paren_param_decl_list_english_opt  */
#line 7539 "parser.y"
    {
      DUMP_START( "constructor_decl_english_ast",
                  "CONSTRUCTOR paren_param_decl_list_english_opt" );
      DUMP_AST_LIST( "paren_param_decl_list_english_opt", (yyvsp[0].ast_list) );

      (yyval.ast) = c_ast_new_gc( K_CONSTRUCTOR, &(yyloc) );
      c_ast_list_set_param_of( &(yyvsp[0].ast_list), (yyval.ast) );
      (yyval.ast)->ctor.param_ast_list = slist_move( &(yyvsp[0].ast_list) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 11696 "parser.c"
    break;

  case 707: /* destructor_decl_english_ast: Y_destructor destructor_parens_opt  */
#line 7557 "parser.y"
    {
      DUMP_START( "destructor_decl_english_ast", "DESTRUCTOR ['(' ')']" );

      (yyval.ast) = c_ast_new_gc( K_DESTRUCTOR, &(yyloc) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 11709 "parser.c"
    break;

  case 710: /* func_decl_english_ast: func_qualifier_english_type_opt member_or_non_member_opt Y_function paren_param_decl_list_english_opt returning_english_ast_opt  */
#line 7579 "parser.y"
    {
      DUMP_START( "func_decl_english_ast",
                  "ref_qualifier_english_stid_opt "
                  "member_or_non_member_opt "
                  "FUNCTION paren_param_decl_list_english_opt "
                  "returning_english_ast_opt" );
      DUMP_TYPE( "func_qualifier_english_type_opt", (yyvsp[-4].type) );
      DUMP_INT( "member_or_non_member_opt", (yyvsp[-3].member) );
      DUMP_AST_LIST( "paren_param_decl_list_english_opt", (yyvsp[-1].ast_list) );
      DUMP_AST( "returning_english_ast_opt", (yyvsp[0].ast) );

      (yyval.ast) = c_ast_new_gc( K_FUNCTION, &(yyloc) );
      (yyval.ast)->type = (yyvsp[-4].type);
      c_ast_list_set_param_of( &(yyvsp[-1].ast_list), (yyval.ast) );
      (yyval.ast)->func.param_ast_list = slist_move( &(yyvsp[-1].ast_list) );
      (yyval.ast)->func.member = (yyvsp[-3].member);
      c_ast_set_parent( (yyvsp[0].ast), (yyval.ast) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 11735 "parser.c"
    break;

  case 711: /* func_qualifier_english_type_opt: ref_qualifier_english_stid_opt  */
#line 7604 "parser.y"
    {
      (yyval.type) = C_TYPE_LIT_S( (yyvsp[0].tid) );
    }
#line 11743 "parser.c"
    break;

  case 712: /* func_qualifier_english_type_opt: msc_calling_convention_atid  */
#line 7608 "parser.y"
    {
      (yyval.type) = C_TYPE_LIT_A( (yyvsp[0].tid) );
    }
#line 11751 "parser.c"
    break;

  case 719: /* paren_param_decl_list_english_opt: %empty  */
#line 7625 "parser.y"
                                  { slist_init( &(yyval.ast_list) ); }
#line 11757 "parser.c"
    break;

  case 721: /* paren_param_decl_list_english: '(' param_decl_list_english_opt ')'  */
#line 7631 "parser.y"
    {
      DUMP_START( "paren_param_decl_list_english",
                  "'(' param_decl_list_english_opt ')'" );
      DUMP_AST_LIST( "param_decl_list_english_opt", (yyvsp[-1].ast_list) );

      (yyval.ast_list) = (yyvsp[-1].ast_list);

      DUMP_AST_LIST( "$$_ast_list", (yyval.ast_list) );
      DUMP_END();
    }
#line 11772 "parser.c"
    break;

  case 722: /* param_decl_list_english_opt: %empty  */
#line 7644 "parser.y"
                                  { slist_init( &(yyval.ast_list) ); }
#line 11778 "parser.c"
    break;

  case 724: /* param_decl_list_english: param_decl_list_english comma_exp decl_english_ast_exp  */
#line 7651 "parser.y"
    {
      DUMP_START( "param_decl_list_english",
                  "param_decl_list_english ',' decl_english_ast" );
      DUMP_AST_LIST( "param_decl_list_english", (yyvsp[-2].ast_list) );
      DUMP_AST( "decl_english_ast", (yyvsp[0].ast) );

      (yyval.ast_list) = (yyvsp[-2].ast_list);
      slist_push_back( &(yyval.ast_list), (yyvsp[0].ast) );

      DUMP_AST_LIST( "$$_ast_list", (yyval.ast_list) );
      DUMP_END();
    }
#line 11795 "parser.c"
    break;

  case 725: /* param_decl_list_english: decl_english_ast  */
#line 7665 "parser.y"
    {
      DUMP_START( "param_decl_list_english", "decl_english_ast" );
      DUMP_AST( "decl_english_ast", (yyvsp[0].ast) );

      if ( (yyvsp[0].ast)->kind == K_FUNCTION ) // see the comment in param_c_ast
        (yyvsp[0].ast) = c_ast_pointer( (yyvsp[0].ast), &gc_ast_list );

      slist_init( &(yyval.ast_list) );
      slist_push_back( &(yyval.ast_list), (yyvsp[0].ast) );

      DUMP_AST_LIST( "$$_ast_list", (yyval.ast_list) );
      DUMP_END();
    }
#line 11813 "parser.c"
    break;

  case 727: /* decl_english_ast_exp: error  */
#line 7683 "parser.y"
    {
      elaborate_error( "declaration expected" );
    }
#line 11821 "parser.c"
    break;

  case 728: /* ref_qualifier_english_stid_opt: %empty  */
#line 7691 "parser.y"
                                  { (yyval.tid) = TS_NONE; }
#line 11827 "parser.c"
    break;

  case 729: /* ref_qualifier_english_stid_opt: Y_reference  */
#line 7692 "parser.y"
                                  { (yyval.tid) = TS_REFERENCE; }
#line 11833 "parser.c"
    break;

  case 730: /* ref_qualifier_english_stid_opt: Y_rvalue reference_exp  */
#line 7693 "parser.y"
                                  { (yyval.tid) = TS_RVALUE_REFERENCE; }
#line 11839 "parser.c"
    break;

  case 731: /* returning_english_ast_opt: %empty  */
#line 7700 "parser.y"
    {
      DUMP_START( "returning_english_ast_opt", "<empty>" );

      (yyval.ast) = c_ast_new_gc( K_BUILTIN, &(yyloc) );
      // see the comment in "type_c_ast"
      (yyval.ast)->type.btids = OPT_LANG_IS( IMPLICIT_int ) ? TB_int : TB_void;

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 11854 "parser.c"
    break;

  case 733: /* returning_english_ast: returning decl_english_ast  */
#line 7716 "parser.y"
    {
      DUMP_START( "returning_english_ast", "RETURNING decl_english_ast" );
      DUMP_AST( "decl_english_ast", (yyvsp[0].ast) );

      (yyval.ast) = (yyvsp[0].ast);

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 11868 "parser.c"
    break;

  case 734: /* returning_english_ast: returning error  */
#line 7727 "parser.y"
    {
      elaborate_error( "English expected after \"returning\"" );
    }
#line 11876 "parser.c"
    break;

  case 735: /* qualified_decl_english_ast: type_qualifier_list_english_type_opt qualifiable_decl_english_ast  */
#line 7737 "parser.y"
    {
      DUMP_START( "qualified_decl_english_ast",
                  "type_qualifier_list_english_type_opt "
                  "qualifiable_decl_english_ast" );
      DUMP_TYPE( "type_qualifier_list_english_type_opt", (yyvsp[-1].type) );
      DUMP_AST( "qualifiable_decl_english_ast", (yyvsp[0].ast) );

      (yyval.ast) = (yyvsp[0].ast);
      if ( !c_type_is_none( &(yyvsp[-1].type) ) )
        (yyval.ast)->loc = (yyloc);
      PARSE_ASSERT( c_type_add( &(yyval.ast)->type, &(yyvsp[-1].type), &(yylsp[-1]) ) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 11896 "parser.c"
    break;

  case 736: /* type_qualifier_list_english_type_opt: %empty  */
#line 7755 "parser.y"
                                  { (yyval.type) = T_NONE; }
#line 11902 "parser.c"
    break;

  case 738: /* type_qualifier_list_english_type: type_qualifier_list_english_type type_qualifier_english_type  */
#line 7762 "parser.y"
    {
      DUMP_START( "type_qualifier_list_english_type",
                  "type_qualifier_list_english_type "
                  "type_qualifier_english_type" );
      DUMP_TYPE( "type_qualifier_list_english_type", (yyvsp[-1].type) );
      DUMP_TYPE( "type_qualifier_english_type", (yyvsp[0].type) );

      (yyval.type) = (yyvsp[-1].type);
      PARSE_ASSERT( c_type_add( &(yyval.type), &(yyvsp[0].type), &(yylsp[0]) ) );

      DUMP_TYPE( "$$_type", (yyval.type) );
      DUMP_END();
    }
#line 11920 "parser.c"
    break;

  case 740: /* type_qualifier_english_type: attribute_english_atid  */
#line 7780 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_A( (yyvsp[0].tid) ); }
#line 11926 "parser.c"
    break;

  case 741: /* type_qualifier_english_type: storage_class_english_stid  */
#line 7781 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_S( (yyvsp[0].tid) ); }
#line 11932 "parser.c"
    break;

  case 742: /* type_qualifier_english_type: type_qualifier_english_stid  */
#line 7782 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_S( (yyvsp[0].tid) ); }
#line 11938 "parser.c"
    break;

  case 743: /* attribute_english_atid: Y_carries dependency_exp  */
#line 7786 "parser.y"
                                  { (yyval.tid) = TA_carries_dependency; }
#line 11944 "parser.c"
    break;

  case 746: /* attribute_english_atid: Y_maybe unused_exp  */
#line 7789 "parser.y"
                                  { (yyval.tid) = TA_maybe_unused; }
#line 11950 "parser.c"
    break;

  case 748: /* attribute_english_atid: Y_no Y_discard  */
#line 7791 "parser.y"
                                  { (yyval.tid) = TA_nodiscard; }
#line 11956 "parser.c"
    break;

  case 750: /* attribute_english_atid: Y_no Y_return  */
#line 7793 "parser.y"
                                  { (yyval.tid) = TA_noreturn; }
#line 11962 "parser.c"
    break;

  case 753: /* attribute_english_atid: Y_no Y_unique address_exp  */
#line 7796 "parser.y"
                                  { (yyval.tid) = TA_no_unique_address; }
#line 11968 "parser.c"
    break;

  case 759: /* storage_class_english_stid: Y_constant eval_expr_init_stid  */
#line 7806 "parser.y"
    {
      (yyval.tid) = (yyvsp[0].tid);
    }
#line 11976 "parser.c"
    break;

  case 768: /* storage_class_english_stid: Y_extern linkage_stid linkage_opt  */
#line 7818 "parser.y"
    {
      (yyval.tid) = (yyvsp[-1].tid);
    }
#line 11984 "parser.c"
    break;

  case 773: /* storage_class_english_stid: Y_no Y_except  */
#line 7825 "parser.y"
                                  { (yyval.tid) = TS_noexcept; }
#line 11990 "parser.c"
    break;

  case 775: /* storage_class_english_stid: Y_non_empty  */
#line 7827 "parser.y"
                                  { (yyval.tid) = TS_NON_EMPTY_ARRAY; }
#line 11996 "parser.c"
    break;

  case 779: /* storage_class_english_stid: Y_thread local_exp  */
#line 7832 "parser.y"
                                  { (yyval.tid) = TS_thread_local; }
#line 12002 "parser.c"
    break;

  case 785: /* storage_class_english_stid: Y_pure virtual_stid_exp  */
#line 7838 "parser.y"
                                  { (yyval.tid) = TS_PURE_virtual | (yyvsp[0].tid); }
#line 12008 "parser.c"
    break;

  case 786: /* eval_expr_init_stid: Y_evaluation  */
#line 7842 "parser.y"
                                  { (yyval.tid) = TS_consteval; }
#line 12014 "parser.c"
    break;

  case 787: /* eval_expr_init_stid: Y_expression  */
#line 7843 "parser.y"
                                  { (yyval.tid) = TS_constexpr; }
#line 12020 "parser.c"
    break;

  case 788: /* eval_expr_init_stid: Y_initialization  */
#line 7844 "parser.y"
                                  { (yyval.tid) = TS_constinit; }
#line 12026 "parser.c"
    break;

  case 789: /* linkage_stid: str_lit  */
#line 7856 "parser.y"
    {
      bool ok = true;

      if ( strcmp( (yyvsp[0].str_val), "C" ) == 0 )
        (yyval.tid) = TS_extern_C;
      else if ( strcmp( (yyvsp[0].str_val), "C++" ) == 0 )
        (yyval.tid) = TS_NONE;
      else {
        print_error( &(yylsp[0]), "\"%s\": unknown linkage language", (yyvsp[0].str_val) );
        print_hint( "\"C\" or \"C++\"" );
        ok = false;
      }

      free( (yyvsp[0].str_val) );
      PARSE_ASSERT( ok );
    }
#line 12047 "parser.c"
    break;

  case 810: /* pointer_decl_english_ast: Y_pointer to_exp decl_english_ast  */
#line 7914 "parser.y"
    {
      DUMP_START( "pointer_decl_english_ast", "POINTER TO decl_english_ast" );
      DUMP_AST( "decl_english_ast", (yyvsp[0].ast) );

      if ( (yyvsp[0].ast)->kind == K_NAME ) { // see the comment in "declare_command"
        assert( !c_sname_empty( &(yyvsp[0].ast)->sname ) );
        print_error_unknown_name( &(yylsp[0]), &(yyvsp[0].ast)->sname );
        PARSE_ABORT();
      }

      (yyval.ast) = c_ast_new_gc( K_POINTER, &(yyloc) );
      c_ast_set_parent( (yyvsp[0].ast), (yyval.ast) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 12068 "parser.c"
    break;

  case 811: /* pointer_decl_english_ast: Y_pointer to_exp Y_member of_exp class_struct_union_btid_exp sname_english_exp decl_english_ast  */
#line 7937 "parser.y"
    {
      DUMP_START( "pointer_to_member_decl_english",
                  "POINTER TO MEMBER OF "
                  "class_struct_union_btid_exp "
                  "sname_english decl_english_ast" );
      DUMP_TID( "class_struct_union_btid_exp", (yyvsp[-2].tid) );
      DUMP_SNAME( "sname_english_exp", (yyvsp[-1].sname) );
      DUMP_AST( "decl_english_ast", (yyvsp[0].ast) );

      (yyval.ast) = c_ast_new_gc( K_POINTER_TO_MEMBER, &(yyloc) );
      (yyval.ast)->ptr_mbr.class_sname = c_sname_move( &(yyvsp[-1].sname) );
      c_ast_set_parent( (yyvsp[0].ast), (yyval.ast) );
      PARSE_ASSERT( c_type_add_tid( &(yyval.ast)->type, (yyvsp[-2].tid), &(yylsp[-2]) ) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 12090 "parser.c"
    break;

  case 812: /* pointer_decl_english_ast: Y_pointer to_exp error  */
#line 7956 "parser.y"
    {
      if ( OPT_LANG_IS( POINTERS_TO_MEMBER ) )
        elaborate_error( "type name or \"member\" expected" );
      else
        elaborate_error( "type name expected" );
    }
#line 12101 "parser.c"
    break;

  case 813: /* reference_decl_english_ast: reference_english_ast to_exp decl_english_ast  */
#line 7969 "parser.y"
    {
      DUMP_START( "reference_decl_english_ast",
                  "reference_english_ast TO decl_english_ast" );
      DUMP_AST( "reference_english_ast", (yyvsp[-2].ast) );
      DUMP_AST( "decl_english_ast", (yyvsp[0].ast) );

      (yyval.ast) = (yyvsp[-2].ast);
      (yyval.ast)->loc = (yyloc);
      c_ast_set_parent( (yyvsp[0].ast), (yyval.ast) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 12119 "parser.c"
    break;

  case 814: /* reference_english_ast: Y_reference  */
#line 7986 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_REFERENCE, &(yyloc) );
    }
#line 12127 "parser.c"
    break;

  case 815: /* reference_english_ast: Y_rvalue reference_exp  */
#line 7991 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_RVALUE_REFERENCE, &(yyloc) );
    }
#line 12135 "parser.c"
    break;

  case 816: /* structured_binding_decl_english_ast: Y_structured binding_exp  */
#line 8000 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_STRUCTURED_BINDING, &(yyloc) );
    }
#line 12143 "parser.c"
    break;

  case 817: /* user_defined_literal_decl_english_ast: user_defined literal_exp lparen_exp param_decl_list_english_opt ')' returning_english_ast_opt  */
#line 8011 "parser.y"
    { //
      // User-defined literals are supported only in C++11 and later.
      // (However, we always allow them in configuration files.)
      //
      // This check is better to do now in the parser rather than later in the
      // AST because it has to be done in fewer places in the code plus gives a
      // better error location.
      //
      if ( !IS_SUPPORTED( USER_DEF_LITS ) ) {
        print_error( &(yylsp[-5]),
          "user-defined literals not supported%s\n",
          C_LANG_WHICH( USER_DEF_LITS )
        );
        PARSE_ABORT();
      }

      DUMP_START( "user_defined_literal_decl_english_ast",
                  "USER-DEFINED LITERAL '(' param_decl_list_english_opt ')' "
                  "returning_english_ast_opt" );
      DUMP_AST_LIST( "param_decl_list_english_opt", (yyvsp[-2].ast_list) );
      DUMP_AST( "returning_english_ast_opt", (yyvsp[0].ast) );

      (yyval.ast) = c_ast_new_gc( K_UDEF_LIT, &(yyloc) );
      c_ast_list_set_param_of( &(yyvsp[-2].ast_list), (yyval.ast) );
      (yyval.ast)->udef_lit.param_ast_list = slist_move( &(yyvsp[-2].ast_list) );
      c_ast_set_parent( (yyvsp[0].ast), (yyval.ast) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 12178 "parser.c"
    break;

  case 818: /* var_decl_english_ast: sname_c Y_as decl_english_ast  */
#line 8050 "parser.y"
    {
      DUMP_START( "var_decl_english_ast", "sname_c AS decl_english_ast" );
      DUMP_SNAME( "sname_c", (yyvsp[-2].sname) );
      DUMP_AST( "decl_english_ast", (yyvsp[0].ast) );

      if ( (yyvsp[0].ast)->kind == K_NAME ) { // see the comment in "declare_command"
        assert( !c_sname_empty( &(yyvsp[0].ast)->sname ) );
        print_error_unknown_name( &(yylsp[0]), &(yyvsp[0].ast)->sname );
        c_sname_cleanup( &(yyvsp[-2].sname) );
        PARSE_ABORT();
      }

      (yyval.ast) = (yyvsp[0].ast);
      (yyval.ast)->loc = (yyloc);
      c_sname_set( &(yyval.ast)->sname, &(yyvsp[-2].sname) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 12202 "parser.c"
    break;

  case 820: /* var_decl_english_ast: "..."  */
#line 8079 "parser.y"
    {
      DUMP_START( "var_decl_english_ast", "..." );

      (yyval.ast) = c_ast_new_gc( K_VARIADIC, &(yyloc) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 12215 "parser.c"
    break;

  case 821: /* type_english_ast: type_modifier_list_english_type_opt unmodified_type_english_ast  */
#line 8096 "parser.y"
    {
      DUMP_START( "type_english_ast",
                  "type_modifier_list_english_type_opt "
                  "unmodified_type_english_ast" );
      DUMP_TYPE( "type_modifier_list_english_type_opt", (yyvsp[-1].type) );
      DUMP_AST( "unmodified_type_english_ast", (yyvsp[0].ast) );

      (yyval.ast) = (yyvsp[0].ast);
      if ( !c_type_is_none( &(yyvsp[-1].type) ) ) {
        // Set the AST's location to the entire rule only if the leading
        // optional rule is actually present, otherwise @$ refers to a column
        // before $ast.
        (yyval.ast)->loc = (yyloc);
        PARSE_ASSERT( c_type_add( &(yyval.ast)->type, &(yyvsp[-1].type), &(yylsp[-1]) ) );
      }

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 12239 "parser.c"
    break;

  case 822: /* type_english_ast: type_modifier_list_english_type  */
#line 8118 "parser.y"
    {
      DUMP_START( "type_english_ast", "type_modifier_list_english_type" );
      DUMP_TYPE( "type_modifier_list_english_type", (yyvsp[0].type) );

      // see the comment in "type_c_ast"
      c_type_t new_type =
        C_TYPE_LIT_B( OPT_LANG_IS( IMPLICIT_int ) ? TB_int : TB_NONE );

      PARSE_ASSERT( c_type_add( &new_type, &(yyvsp[0].type), &(yylsp[0]) ) );

      (yyval.ast) = c_ast_new_gc( K_BUILTIN, &(yyloc) );
      (yyval.ast)->type = new_type;

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 12260 "parser.c"
    break;

  case 823: /* type_modifier_list_english_type_opt: %empty  */
#line 8137 "parser.y"
                                  { (yyval.type) = T_NONE; }
#line 12266 "parser.c"
    break;

  case 825: /* type_modifier_list_english_type: type_modifier_list_english_type type_modifier_english_type  */
#line 8144 "parser.y"
    {
      DUMP_START( "type_modifier_list_english_type",
                  "type_modifier_list_english_type "
                  "type_modifier_english_type" );
      DUMP_TYPE( "type_modifier_list_english_type", (yyvsp[-1].type) );
      DUMP_TYPE( "type_modifier_english_type", (yyvsp[0].type) );

      (yyval.type) = (yyvsp[-1].type);
      PARSE_ASSERT( c_type_add( &(yyval.type), &(yyvsp[0].type), &(yylsp[0]) ) );

      DUMP_TYPE( "$$_type", (yyval.type) );
      DUMP_END();
    }
#line 12284 "parser.c"
    break;

  case 834: /* builtin_type_english_ast: builtin_no_BitInt_english_btid  */
#line 8176 "parser.y"
    {
      DUMP_START( "builtin_type_english_ast",
                  "builtin_no_BitInt_english_btid" );
      DUMP_TID( "builtin_no_BitInt_english_btid", (yyvsp[0].tid) );

      (yyval.ast) = c_ast_new_gc( K_BUILTIN, &(yyloc) );
      (yyval.ast)->type.btids = c_tid_check( (yyvsp[0].tid), C_TPID_BASE );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 12300 "parser.c"
    break;

  case 835: /* builtin_type_english_ast: BitInt_english_int  */
#line 8188 "parser.y"
    {
      DUMP_START( "builtin_type_english_ast", "BitInt_english_int" );
      DUMP_INT( "BitInt_english_int", (yyvsp[0].uint_val) );

      (yyval.ast) = c_ast_new_gc( K_BUILTIN, &(yyloc) );
      (yyval.ast)->type.btids = TB__BitInt;
      (yyval.ast)->builtin.BitInt.width = (yyvsp[0].uint_val);

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 12316 "parser.c"
    break;

  case 840: /* builtin_no_BitInt_english_btid: Y_char uint_lit_opt  */
#line 8207 "parser.y"
    {
      switch ( (yyvsp[0].uint_val) ) {
        case  0: (yyval.tid) = TB_char    ; break;
        case  8: (yyval.tid) = TB_char8_t ; break;
        case 16: (yyval.tid) = TB_char16_t; break;
        case 32: (yyval.tid) = TB_char32_t; break;
        default:
          print_error( &(yylsp[0]), "bits must be one of 8, 16, or 32\n" );
          PARSE_ABORT();
      } // switch
    }
#line 12332 "parser.c"
    break;

  case 844: /* builtin_no_BitInt_english_btid: Y_decltype  */
#line 8222 "parser.y"
    {
      UNSUPPORTED( &(yylsp[0]), "decltype() declarations" );
      PARSE_ABORT();
    }
#line 12341 "parser.c"
    break;

  case 846: /* builtin_no_BitInt_english_btid: Y_wide char_exp  */
#line 8227 "parser.y"
                                  { (yyval.tid) = TB_wchar_t; }
#line 12347 "parser.c"
    break;

  case 849: /* builtin_no_BitInt_english_btid: Y_floating point_exp  */
#line 8230 "parser.y"
                                  { (yyval.tid) = TB_float; }
#line 12353 "parser.c"
    break;

  case 850: /* builtin_no_BitInt_english_btid: Y_double precision_opt  */
#line 8231 "parser.y"
                                  { (yyval.tid) = TB_double; }
#line 12359 "parser.c"
    break;

  case 853: /* BitInt_english_int: BitInt_english uint_lit bits_opt  */
#line 8238 "parser.y"
    {
      (yyval.uint_val) = (yyvsp[-1].uint_val);
    }
#line 12367 "parser.c"
    break;

  case 854: /* BitInt_english_int: BitInt_english '(' uint_lit_exp rparen_exp  */
#line 8242 "parser.y"
    {
      (yyval.uint_val) = (yyvsp[-1].uint_val);
    }
#line 12375 "parser.c"
    break;

  case 855: /* BitInt_english_int: BitInt_english Y_width uint_lit_exp bits_opt  */
#line 8246 "parser.y"
    {
      (yyval.uint_val) = (yyvsp[-1].uint_val);
    }
#line 12383 "parser.c"
    break;

  case 856: /* BitInt_english_int: BitInt_english error  */
#line 8250 "parser.y"
    {
      elaborate_error( "integer literal, '(', or \"width\" expected" );
    }
#line 12391 "parser.c"
    break;

  case 860: /* concept_type_english_ast: Y_concept sname_english_exp  */
#line 8263 "parser.y"
    {
      DUMP_START( "concept_type_english_ast", "CONCEPT sname_english_exp" );
      DUMP_SNAME( "sname_english_exp", (yyvsp[0].sname) );

      c_sname_set_all_types( &(yyvsp[0].sname), &C_TYPE_LIT_B( TB_namespace ) );

      (yyval.ast) = c_ast_new_gc( K_CONCEPT, &(yyloc) );
      (yyval.ast)->concept.concept_sname = c_sname_move( &(yyvsp[0].sname) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 12408 "parser.c"
    break;

  case 861: /* concept_type_english_ast: Y_concept sname_english_exp Y_parameter pack_exp  */
#line 8277 "parser.y"
    {
      DUMP_START( "concept_type_english_ast",
                  "CONCEPT sname_english_exp PARAMTER PACK" );
      DUMP_SNAME( "sname_english_exp", (yyvsp[-2].sname) );

      c_sname_set_all_types( &(yyvsp[-2].sname), &C_TYPE_LIT_B( TB_namespace ) );

      (yyval.ast) = c_ast_new_gc( K_CONCEPT, &(yyloc) );
      (yyval.ast)->is_param_pack = true;
      (yyval.ast)->concept.concept_sname = c_sname_move( &(yyvsp[-2].sname) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 12427 "parser.c"
    break;

  case 862: /* parameter_pack_english_ast: Y_parameter pack_exp  */
#line 8295 "parser.y"
    {
      (yyval.ast) = c_ast_new_gc( K_BUILTIN, &(yyloc) );
      (yyval.ast)->is_param_pack = true;
      (yyval.ast)->type.btids = TB_auto;         // for consistency with C++ case
    }
#line 12437 "parser.c"
    break;

  case 864: /* pack_exp: error  */
#line 8305 "parser.y"
    {
      keyword_expected( L_pack );
    }
#line 12445 "parser.c"
    break;

  case 867: /* class_struct_union_english_ast: class_struct_union_btid any_sname_c_exp  */
#line 8317 "parser.y"
    {
      DUMP_START( "class_struct_union_english_ast",
                  "class_struct_union_btid any_sname_c_exp" );
      DUMP_TID( "class_struct_union_btid", (yyvsp[-1].tid) );
      DUMP_SNAME( "any_sname_c_exp", (yyvsp[0].sname) );

      (yyval.ast) = c_ast_new_gc( K_CLASS_STRUCT_UNION, &(yyloc) );
      (yyval.ast)->type.btids = c_tid_check( (yyvsp[-1].tid), C_TPID_BASE );
      (yyval.ast)->csu.csu_sname = c_sname_move( &(yyvsp[0].sname) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 12463 "parser.c"
    break;

  case 868: /* enum_english_ast: enum_btids any_sname_c_exp of_type_enum_fixed_type_english_ast_opt  */
#line 8335 "parser.y"
    {
      DUMP_START( "enum_english_ast",
                  "enum_btids any_sname_c_exp "
                  "of_type_enum_fixed_type_english_ast_opt" );
      DUMP_TID( "enum_btids", (yyvsp[-2].tid) );
      DUMP_SNAME( "any_sname_c_exp", (yyvsp[-1].sname) );
      DUMP_AST( "enum_fixed_type_english_ast", (yyvsp[0].ast) );

      (yyval.ast) = c_ast_new_gc( K_ENUM, &(yyloc) );
      (yyval.ast)->type.btids = c_tid_check( (yyvsp[-2].tid), C_TPID_BASE );
      c_ast_set_parent( (yyvsp[0].ast), (yyval.ast) );
      (yyval.ast)->enum_.enum_sname = c_sname_move( &(yyvsp[-1].sname) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 12484 "parser.c"
    break;

  case 869: /* of_type_enum_fixed_type_english_ast_opt: %empty  */
#line 8354 "parser.y"
                                        { (yyval.ast) = NULL; }
#line 12490 "parser.c"
    break;

  case 870: /* of_type_enum_fixed_type_english_ast_opt: Y_of type_opt enum_fixed_type_english_ast  */
#line 8356 "parser.y"
    {
      (yyval.ast) = (yyvsp[0].ast);
    }
#line 12498 "parser.c"
    break;

  case 871: /* enum_fixed_type_english_ast: enum_fixed_type_modifier_list_english_btid_opt enum_unmodified_fixed_type_english_ast  */
#line 8364 "parser.y"
    {
      DUMP_START( "enum_fixed_type_english_ast",
                  "enum_fixed_type_modifier_list_stid" );
      DUMP_TID( "enum_fixed_type_modifier_list_stid", (yyvsp[-1].tid) );
      DUMP_AST( "enum_unmodified_fixed_type_english_ast", (yyvsp[0].ast) );

      (yyval.ast) = (yyvsp[0].ast);
      if ( (yyvsp[-1].tid) != TB_NONE ) {        // See comment in type_english_ast.
        (yyval.ast)->loc = (yyloc);
        PARSE_ASSERT( c_type_add_tid( &(yyval.ast)->type, (yyvsp[-1].tid), &(yylsp[-1]) ) );
      }

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 12518 "parser.c"
    break;

  case 872: /* enum_fixed_type_english_ast: enum_fixed_type_modifier_list_english_btid  */
#line 8381 "parser.y"
    {
      DUMP_START( "enum_fixed_type_english_ast",
                  "enum_fixed_type_modifier_list_english_btid" );
      DUMP_TID( "enum_fixed_type_modifier_list_english_btid", (yyvsp[0].tid) );

      (yyval.ast) = c_ast_new_gc( K_BUILTIN, &(yyloc) );
      (yyval.ast)->type.btids = c_tid_check( (yyvsp[0].tid), C_TPID_BASE );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 12534 "parser.c"
    break;

  case 873: /* enum_fixed_type_modifier_list_english_btid_opt: %empty  */
#line 8395 "parser.y"
                                  { (yyval.tid) = TB_NONE; }
#line 12540 "parser.c"
    break;

  case 875: /* enum_fixed_type_modifier_list_english_btid: enum_fixed_type_modifier_list_english_btid enum_fixed_type_modifier_btid  */
#line 8402 "parser.y"
    {
      DUMP_START( "enum_fixed_type_modifier_list_english_btid",
                  "enum_fixed_type_modifier_list_english_btid "
                  "enum_fixed_type_modifier_btid" );
      DUMP_TID( "enum_fixed_type_modifier_list_english_btid", (yyvsp[-1].tid) );
      DUMP_TID( "enum_fixed_type_modifier_btid", (yyvsp[0].tid) );

      (yyval.tid) = (yyvsp[-1].tid);
      PARSE_ASSERT( c_tid_add( &(yyval.tid), (yyvsp[0].tid), &(yylsp[0]) ) );

      DUMP_TID( "$$_btids", (yyval.tid) );
      DUMP_END();
    }
#line 12558 "parser.c"
    break;

  case 880: /* any_name: Y_TYPEDEF_NAME_TDEF  */
#line 8431 "parser.y"
    {
      assert( c_sname_count( &(yyvsp[0].tdef)->ast->sname ) == 1 );
      (yyval.name) = check_strdup( c_sname_local_name( &(yyvsp[0].tdef)->ast->sname ) );
    }
#line 12567 "parser.c"
    break;

  case 882: /* any_name_exp: error  */
#line 8440 "parser.y"
    {
      (yyval.name) = NULL;
      elaborate_error( "name expected" );
    }
#line 12576 "parser.c"
    break;

  case 886: /* any_sname_c_exp: error  */
#line 8454 "parser.y"
    {
      c_sname_init( &(yyval.sname) );
      elaborate_error( "name expected" );
    }
#line 12585 "parser.c"
    break;

  case 887: /* any_sname_c_opt: %empty  */
#line 8461 "parser.y"
                                  { c_sname_init( &(yyval.sname) ); }
#line 12591 "parser.c"
    break;

  case 891: /* name_ast: Y_NAME  */
#line 8472 "parser.y"
    {
      DUMP_START( "name_ast", "NAME" );
      DUMP_STR( "NAME", (yyvsp[0].name) );

      (yyval.ast) = c_ast_new_gc( K_NAME, &(yyloc) );
      c_sname_append_name( &(yyval.ast)->sname, (yyvsp[0].name) );

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 12606 "parser.c"
    break;

  case 893: /* name_exp: error  */
#line 8487 "parser.y"
    {
      (yyval.name) = NULL;
      elaborate_error( "name expected" );
    }
#line 12615 "parser.c"
    break;

  case 894: /* name_cat: name_cat Y_NAME  */
#line 8495 "parser.y"
    {
      (yyval.name) = str_realloc_cat( (yyvsp[-1].name), " ", (yyvsp[0].name) );
      free( (yyvsp[0].name) );
    }
#line 12624 "parser.c"
    break;

  case 896: /* name_opt: %empty  */
#line 8503 "parser.y"
                                  { (yyval.name) = NULL; }
#line 12630 "parser.c"
    break;

  case 898: /* oper_sname_c_opt: %empty  */
#line 8508 "parser.y"
                                  { c_sname_init( &(yyval.sname) ); }
#line 12636 "parser.c"
    break;

  case 899: /* oper_sname_c_opt: Y_OPERATOR_SNAME Y_COLON_COLON  */
#line 8511 "parser.y"
    {
      (yyval.sname) = (yyvsp[-1].sname);
      if ( c_type_is_none( c_sname_local_type( &(yyval.sname) ) ) )
        c_sname_set_local_type( &(yyval.sname), &C_TYPE_LIT_B( TB_SCOPE ) );
    }
#line 12646 "parser.c"
    break;

  case 900: /* sname_c: sname_c Y_COLON_COLON Y_NAME  */
#line 8520 "parser.y"
    {
      // see the comment in "of_scope_english"
      if ( !IS_SUPPORTED( SCOPED_NAMES ) ) {
        print_error( &(yylsp[-1]),
          "scoped names not supported%s\n",
          C_LANG_WHICH( SCOPED_NAMES )
        );
        c_sname_cleanup( &(yyvsp[-2].sname) );
        free( (yyvsp[0].name) );
        PARSE_ABORT();
      }

      DUMP_START( "sname_c", "sname_c '::' NAME" );
      DUMP_SNAME( "sname_c", (yyvsp[-2].sname) );
      DUMP_STR( "name", (yyvsp[0].name) );

      (yyval.sname) = (yyvsp[-2].sname);
      c_sname_set_local_type( &(yyval.sname), &C_TYPE_LIT_B( TB_SCOPE ) );
      c_sname_append_name( &(yyval.sname), (yyvsp[0].name) );

      DUMP_SNAME( "$$_sname", (yyval.sname) );
      DUMP_END();
    }
#line 12674 "parser.c"
    break;

  case 901: /* sname_c: sname_c Y_COLON_COLON any_typedef_tdef  */
#line 8545 "parser.y"
    { //
      // This is for a case like:
      //
      //      define S::int8_t as char
      //
      // that is: the type int8_t is an existing type in no scope being defined
      // as a distinct type in a new scope.
      //
      DUMP_START( "sname_c", "sname_c '::' any_typedef_tdef" );
      DUMP_SNAME( "sname_c", (yyvsp[-2].sname) );
      DUMP_AST( "any_typedef__ast", (yyvsp[0].tdef)->ast );

      (yyval.sname) = (yyvsp[-2].sname);
      c_sname_set_local_type( &(yyval.sname), &C_TYPE_LIT_B( TB_SCOPE ) );
      c_sname_t temp_sname = c_sname_dup( &(yyvsp[0].tdef)->ast->sname );
      c_sname_append_sname( &(yyval.sname), &temp_sname );

      DUMP_SNAME( "$$_sname", (yyval.sname) );
      DUMP_END();
    }
#line 12699 "parser.c"
    break;

  case 902: /* sname_c: Y_NAME  */
#line 8567 "parser.y"
    {
      DUMP_START( "sname_c", "NAME" );
      DUMP_STR( "NAME", (yyvsp[0].name) );

      c_sname_init_name( &(yyval.sname), (yyvsp[0].name) );

      DUMP_SNAME( "$$_sname", (yyval.sname) );
      DUMP_END();
    }
#line 12713 "parser.c"
    break;

  case 903: /* sname_c_ast: sname_c bit_field_c_uint_opt  */
#line 8581 "parser.y"
    {
      c_ast_t *type_ast = ia_type_ast_peek();

      DUMP_START( "sname_c_ast", "sname_c" );
      DUMP_AST( "in_attr__type_c_ast", type_ast );
      DUMP_SNAME( "sname_c", (yyvsp[-1].sname) );
      DUMP_INT( "bit_field_c_uint_opt", (yyvsp[0].uint_val) );

      type_ast = ia_type_spec_ast( type_ast );
      c_sname_set( &type_ast->sname, &(yyvsp[-1].sname) );
      PARSE_ASSERT( c_ast_set_bit_field_width( type_ast, (yyvsp[0].uint_val) ) );

      (yyval.ast) = type_ast;
      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 12734 "parser.c"
    break;

  case 904: /* bit_field_c_uint_opt: %empty  */
#line 8600 "parser.y"
                                  { (yyval.uint_val) = 0; }
#line 12740 "parser.c"
    break;

  case 905: /* bit_field_c_uint_opt: ':' uint_lit_exp  */
#line 8602 "parser.y"
    { //
      // This check has to be done now in the parser rather than later in the
      // AST since we use 0 to mean "no bit-field."
      //
      if ( (yyvsp[0].uint_val) == 0 ) {
        print_error( &(yylsp[0]), "bit-field width must be > 0\n" );
        PARSE_ABORT();
      }
      (yyval.uint_val) = (yyvsp[0].uint_val);
    }
#line 12755 "parser.c"
    break;

  case 907: /* sname_c_exp: error  */
#line 8617 "parser.y"
    {
      c_sname_init( &(yyval.sname) );
      elaborate_error( "name expected" );
    }
#line 12764 "parser.c"
    break;

  case 908: /* sname_c_opt: %empty  */
#line 8624 "parser.y"
                                  { c_sname_init( &(yyval.sname) ); }
#line 12770 "parser.c"
    break;

  case 910: /* sname_english: any_sname_c of_scope_list_english_opt  */
#line 8630 "parser.y"
    {
      DUMP_START( "sname_english", "any_sname_c of_scope_list_english_opt" );
      DUMP_SNAME( "any_sname_c", (yyvsp[-1].sname) );
      DUMP_SNAME( "of_scope_list_english_opt", (yyvsp[0].sname) );

      c_type_t const *local_type = c_sname_local_type( &(yyvsp[0].sname) );
      if ( c_type_is_none( local_type ) )
        local_type = c_sname_local_type( &(yyvsp[-1].sname) );
      (yyval.sname) = (yyvsp[0].sname);
      c_sname_append_sname( &(yyval.sname), &(yyvsp[-1].sname) );
      c_sname_set_local_type( &(yyval.sname), local_type );

      DUMP_SNAME( "$$_sname", (yyval.sname) );
      DUMP_END();
    }
#line 12790 "parser.c"
    break;

  case 911: /* sname_english_ast: Y_NAME of_scope_list_english_opt  */
#line 8649 "parser.y"
    {
      DUMP_START( "sname_english_ast", "NAME of_scope_list_english_opt" );
      DUMP_STR( "NAME", (yyvsp[-1].name) );
      DUMP_SNAME( "of_scope_list_english_opt", (yyvsp[0].sname) );

      c_sname_t sname = c_sname_move( &(yyvsp[0].sname) );
      c_sname_append_name( &sname, (yyvsp[-1].name) );

      //
      // See if the full name is the name of a typedef'd type.
      //
      c_typedef_t const *const tdef = c_typedef_find_sname( &sname );
      if ( tdef != NULL ) {
        (yyval.ast) = c_ast_new_gc( K_TYPEDEF, &(yyloc) );
        (yyval.ast)->type.btids = TB_typedef;
        (yyval.ast)->tdef.for_ast = tdef->ast;
        c_sname_cleanup( &sname );
      } else {
        (yyval.ast) = c_ast_new_gc( K_NAME, &(yyloc) );
        c_sname_set( &(yyval.ast)->sname, &sname );
      }

      DUMP_AST( "$$_ast", (yyval.ast) );
      DUMP_END();
    }
#line 12820 "parser.c"
    break;

  case 913: /* sname_english_exp: error  */
#line 8679 "parser.y"
    {
      c_sname_init( &(yyval.sname) );
      elaborate_error( "name expected" );
    }
#line 12829 "parser.c"
    break;

  case 914: /* sname_english_opt: %empty  */
#line 8686 "parser.y"
                                  { c_sname_init( &(yyval.sname) ); }
#line 12835 "parser.c"
    break;

  case 916: /* sname_list_c: sname_list_c ',' sname_c  */
#line 8692 "parser.y"
    {
      DUMP_START( "sname_list_c",
                  "sname_list_c ',' sname_c" );
      DUMP_SNAME_LIST( "sname_list_c", (yyvsp[-2].sname_list) );
      DUMP_SNAME( "sname_c", (yyvsp[0].sname) );

      (yyval.sname_list) = (yyvsp[-2].sname_list);
      c_sname_t *const temp_sname = MALLOC( c_sname_t, 1 );
      *temp_sname = c_sname_move( &(yyvsp[0].sname) );
      slist_push_back( &(yyval.sname_list), temp_sname );

      DUMP_SNAME_LIST( "$$_sname_list", (yyval.sname_list) );
      DUMP_END();
    }
#line 12854 "parser.c"
    break;

  case 917: /* sname_list_c: sname_c  */
#line 8707 "parser.y"
    {
      DUMP_START( "sname_list_c", "sname_c" );
      DUMP_SNAME( "sname_c", (yyvsp[0].sname) );

      c_sname_t *const temp_sname = MALLOC( c_sname_t, 1 );
      *temp_sname = c_sname_move( &(yyvsp[0].sname) );
      slist_init( &(yyval.sname_list) );
      slist_push_back( &(yyval.sname_list), temp_sname );

      DUMP_SNAME_LIST( "$$_sname_list", (yyval.sname_list) );
      DUMP_END();
    }
#line 12871 "parser.c"
    break;

  case 918: /* sname_list_english: sname_list_english ',' sname_english_exp  */
#line 8723 "parser.y"
    {
      DUMP_START( "sname_list_english",
                  "sname_list_english ',' sname_english" );
      DUMP_SNAME_LIST( "sname_list_english", (yyvsp[-2].sname_list) );
      DUMP_SNAME( "sname_english_exp", (yyvsp[0].sname) );

      (yyval.sname_list) = (yyvsp[-2].sname_list);
      c_sname_t *const temp_sname = MALLOC( c_sname_t, 1 );
      *temp_sname = c_sname_move( &(yyvsp[0].sname) );
      slist_push_back( &(yyval.sname_list), temp_sname );

      DUMP_SNAME_LIST( "$$_sname_list", (yyval.sname_list) );
      DUMP_END();
    }
#line 12890 "parser.c"
    break;

  case 919: /* sname_list_english: sname_english  */
#line 8739 "parser.y"
    {
      DUMP_START( "sname_list_english", "sname_english" );
      DUMP_SNAME( "sname_english", (yyvsp[0].sname) );

      c_sname_t *const temp_sname = MALLOC( c_sname_t, 1 );
      *temp_sname = c_sname_move( &(yyvsp[0].sname) );
      slist_init( &(yyval.sname_list) );
      slist_push_back( &(yyval.sname_list), temp_sname );

      DUMP_SNAME_LIST( "$$_sname_list", (yyval.sname_list) );
      DUMP_END();
    }
#line 12907 "parser.c"
    break;

  case 920: /* typedef_sname_c: typedef_sname_c Y_COLON_COLON sname_c  */
#line 8755 "parser.y"
    {
      DUMP_START( "typedef_sname_c", "typedef_sname_c '::' sname_c" );
      DUMP_SNAME( "typedef_sname_c", (yyvsp[-2].sname) );
      DUMP_SNAME( "sname_c", (yyvsp[0].sname) );

      //
      // This is for a case like:
      //
      //      define S as struct S
      //      define S::T as struct T
      //
      (yyval.sname) = c_sname_move( &(yyvsp[-2].sname) );
      c_sname_append_sname( &(yyval.sname), &(yyvsp[0].sname) );

      DUMP_SNAME( "$$_sname", (yyval.sname) );
      DUMP_END();
    }
#line 12929 "parser.c"
    break;

  case 921: /* typedef_sname_c: typedef_sname_c Y_COLON_COLON any_typedef_tdef  */
#line 8774 "parser.y"
    {
      DUMP_START( "typedef_sname_c", "typedef_sname_c '::' any_typedef_tdef" );
      DUMP_SNAME( "typedef_sname_c", (yyvsp[-2].sname) );
      DUMP_AST( "any_typedef__ast", (yyvsp[0].tdef)->ast );

      //
      // This is for a case like:
      //
      //      define S as struct S
      //      define T as struct T
      //      define S::T as struct S_T
      //
      (yyval.sname) = c_sname_move( &(yyvsp[-2].sname) );
      c_sname_set_local_type( &(yyval.sname), c_sname_local_type( &(yyvsp[0].tdef)->ast->sname ) );
      c_sname_t temp_sname = c_sname_dup( &(yyvsp[0].tdef)->ast->sname );
      c_sname_append_sname( &(yyval.sname), &temp_sname );

      DUMP_SNAME( "$$_sname", (yyval.sname) );
      DUMP_END();
    }
#line 12954 "parser.c"
    break;

  case 922: /* typedef_sname_c: any_typedef_tdef  */
#line 8795 "parser.y"
                                  { (yyval.sname) = c_sname_dup( &(yyvsp[0].tdef)->ast->sname ); }
#line 12960 "parser.c"
    break;

  case 924: /* address_exp: error  */
#line 8805 "parser.y"
    {
      keyword_expected( L_address );
    }
#line 12968 "parser.c"
    break;

  case 926: /* array_exp: error  */
#line 8813 "parser.y"
    {
      keyword_expected( L_array );
    }
#line 12976 "parser.c"
    break;

  case 927: /* as_exp: Y_as  */
#line 8820 "parser.y"
    {
      if ( OPT_LANG_IS( MEMBER_FUNCTIONS ) ) {
        //
        // For either "declare" or "define", neither "override" nor "final"
        // must be matched initially to allow for cases like:
        //
        //      c++decl> declare final as int
        //      int final;
        //
        // (which is legal).  However, in C++, after parsing "as", the keyword
        // context has to be set to C_KW_CTX_MBR_FUNC to be able to match
        // "override" and "final", e.g.:
        //
        //      c++decl> declare f as final function
        //      void f() final;
        //
        lexer_keyword_ctx = C_KW_CTX_MBR_FUNC;
      }
    }
#line 13000 "parser.c"
    break;

  case 928: /* as_exp: error  */
#line 8840 "parser.y"
    {
      keyword_expected( L_as );
    }
#line 13008 "parser.c"
    break;

  case 932: /* as_into_to_exp: error  */
#line 8850 "parser.y"
    {
      elaborate_error( "\"as\", \"into\", or \"to\" expected" );
    }
#line 13016 "parser.c"
    break;

  case 937: /* auto_TYPE_exp: error  */
#line 8864 "parser.y"
    {
      keyword_expected( L_auto );
    }
#line 13024 "parser.c"
    break;

  case 939: /* binding_exp: error  */
#line 8872 "parser.y"
    {
      keyword_expected( L_binding );
    }
#line 13032 "parser.c"
    break;

  case 946: /* cast_exp: error  */
#line 8891 "parser.y"
    {
      keyword_expected( L_cast );
    }
#line 13040 "parser.c"
    break;

  case 948: /* char_exp: error  */
#line 8899 "parser.y"
    {
      keyword_expected( L_char );
    }
#line 13048 "parser.c"
    break;

  case 950: /* class_struct_union_btid_exp: error  */
#line 8907 "parser.y"
    {
      elaborate_error( "\"class\", \"struct\", or \"union\" expected" );
    }
#line 13056 "parser.c"
    break;

  case 952: /* colon_exp: error  */
#line 8915 "parser.y"
    {
      punct_expected( ':' );
    }
#line 13064 "parser.c"
    break;

  case 954: /* comma_exp: error  */
#line 8923 "parser.y"
    {
      punct_expected( ',' );
    }
#line 13072 "parser.c"
    break;

  case 956: /* conversion_exp: error  */
#line 8931 "parser.y"
    {
      keyword_expected( L_conversion );
    }
#line 13080 "parser.c"
    break;

  case 957: /* c_operator: Y_co_await  */
#line 8937 "parser.y"
                                  { (yyval.op_id) = C_OP_CO_AWAIT              ; }
#line 13086 "parser.c"
    break;

  case 958: /* c_operator: Y_new  */
#line 8938 "parser.y"
                                  { (yyval.op_id) = C_OP_NEW                   ; }
#line 13092 "parser.c"
    break;

  case 959: /* c_operator: Y_new '[' rbracket_exp  */
#line 8939 "parser.y"
                                  { (yyval.op_id) = C_OP_NEW_ARRAY             ; }
#line 13098 "parser.c"
    break;

  case 960: /* c_operator: Y_delete  */
#line 8940 "parser.y"
                                  { (yyval.op_id) = C_OP_DELETE                ; }
#line 13104 "parser.c"
    break;

  case 961: /* c_operator: Y_delete '[' rbracket_exp  */
#line 8941 "parser.y"
                                  { (yyval.op_id) = C_OP_DELETE_ARRAY          ; }
#line 13110 "parser.c"
    break;

  case 962: /* c_operator: '!'  */
#line 8942 "parser.y"
                                  { (yyval.op_id) = C_OP_EXCLAM                ; }
#line 13116 "parser.c"
    break;

  case 963: /* c_operator: Y_EXCLAM_EQUAL  */
#line 8943 "parser.y"
                                  { (yyval.op_id) = C_OP_EXCLAM_EQUAL          ; }
#line 13122 "parser.c"
    break;

  case 964: /* c_operator: '%'  */
#line 8944 "parser.y"
                                  { (yyval.op_id) = C_OP_PERCENT               ; }
#line 13128 "parser.c"
    break;

  case 965: /* c_operator: Y_PERCENT_EQUAL  */
#line 8945 "parser.y"
                                  { (yyval.op_id) = C_OP_PERCENT_EQUAL         ; }
#line 13134 "parser.c"
    break;

  case 966: /* c_operator: '&'  */
#line 8946 "parser.y"
                                  { (yyval.op_id) = C_OP_AMPER                 ; }
#line 13140 "parser.c"
    break;

  case 967: /* c_operator: Y_AMPER_AMPER  */
#line 8947 "parser.y"
                                  { (yyval.op_id) = C_OP_AMPER_AMPER           ; }
#line 13146 "parser.c"
    break;

  case 968: /* c_operator: Y_AMPER_EQUAL  */
#line 8948 "parser.y"
                                  { (yyval.op_id) = C_OP_AMPER_EQUAL           ; }
#line 13152 "parser.c"
    break;

  case 969: /* c_operator: '(' rparen_exp  */
#line 8949 "parser.y"
                                  { (yyval.op_id) = C_OP_PARENS                ; }
#line 13158 "parser.c"
    break;

  case 970: /* c_operator: '*'  */
#line 8950 "parser.y"
                                  { (yyval.op_id) = C_OP_STAR                  ; }
#line 13164 "parser.c"
    break;

  case 971: /* c_operator: Y_STAR_EQUAL  */
#line 8951 "parser.y"
                                  { (yyval.op_id) = C_OP_STAR_EQUAL            ; }
#line 13170 "parser.c"
    break;

  case 972: /* c_operator: '+'  */
#line 8952 "parser.y"
                                  { (yyval.op_id) = C_OP_PLUS                  ; }
#line 13176 "parser.c"
    break;

  case 973: /* c_operator: "++"  */
#line 8953 "parser.y"
                                  { (yyval.op_id) = C_OP_PLUS_PLUS             ; }
#line 13182 "parser.c"
    break;

  case 974: /* c_operator: Y_PLUS_EQUAL  */
#line 8954 "parser.y"
                                  { (yyval.op_id) = C_OP_PLUS_EQUAL            ; }
#line 13188 "parser.c"
    break;

  case 975: /* c_operator: ','  */
#line 8955 "parser.y"
                                  { (yyval.op_id) = C_OP_COMMA                 ; }
#line 13194 "parser.c"
    break;

  case 976: /* c_operator: '-'  */
#line 8956 "parser.y"
                                  { (yyval.op_id) = C_OP_MINUS                 ; }
#line 13200 "parser.c"
    break;

  case 977: /* c_operator: "--"  */
#line 8957 "parser.y"
                                  { (yyval.op_id) = C_OP_MINUS_MINUS           ; }
#line 13206 "parser.c"
    break;

  case 978: /* c_operator: Y_MINUS_EQUAL  */
#line 8958 "parser.y"
                                  { (yyval.op_id) = C_OP_MINUS_EQUAL           ; }
#line 13212 "parser.c"
    break;

  case 979: /* c_operator: Y_MINUS_GREATER  */
#line 8959 "parser.y"
                                  { (yyval.op_id) = C_OP_MINUS_GREATER         ; }
#line 13218 "parser.c"
    break;

  case 980: /* c_operator: Y_MINUS_GREATER_STAR  */
#line 8960 "parser.y"
                                  { (yyval.op_id) = C_OP_MINUS_GREATER_STAR    ; }
#line 13224 "parser.c"
    break;

  case 981: /* c_operator: '.'  */
#line 8961 "parser.y"
                                  { (yyval.op_id) = C_OP_DOT                   ; }
#line 13230 "parser.c"
    break;

  case 982: /* c_operator: Y_DOT_STAR  */
#line 8962 "parser.y"
                                  { (yyval.op_id) = C_OP_DOT_STAR              ; }
#line 13236 "parser.c"
    break;

  case 983: /* c_operator: '/'  */
#line 8963 "parser.y"
                                  { (yyval.op_id) = C_OP_SLASH                 ; }
#line 13242 "parser.c"
    break;

  case 984: /* c_operator: Y_SLASH_EQUAL  */
#line 8964 "parser.y"
                                  { (yyval.op_id) = C_OP_SLASH_EQUAL           ; }
#line 13248 "parser.c"
    break;

  case 985: /* c_operator: Y_COLON_COLON  */
#line 8965 "parser.y"
                                  { (yyval.op_id) = C_OP_COLON_COLON           ; }
#line 13254 "parser.c"
    break;

  case 986: /* c_operator: '<'  */
#line 8966 "parser.y"
                                  { (yyval.op_id) = C_OP_LESS                  ; }
#line 13260 "parser.c"
    break;

  case 987: /* c_operator: Y_LESS_LESS  */
#line 8967 "parser.y"
                                  { (yyval.op_id) = C_OP_LESS_LESS             ; }
#line 13266 "parser.c"
    break;

  case 988: /* c_operator: Y_LESS_LESS_EQUAL  */
#line 8968 "parser.y"
                                  { (yyval.op_id) = C_OP_LESS_LESS_EQUAL       ; }
#line 13272 "parser.c"
    break;

  case 989: /* c_operator: Y_LESS_EQUAL  */
#line 8969 "parser.y"
                                  { (yyval.op_id) = C_OP_LESS_EQUAL            ; }
#line 13278 "parser.c"
    break;

  case 990: /* c_operator: Y_LESS_EQUAL_GREATER  */
#line 8970 "parser.y"
                                  { (yyval.op_id) = C_OP_LESS_EQUAL_GREATER    ; }
#line 13284 "parser.c"
    break;

  case 991: /* c_operator: '='  */
#line 8971 "parser.y"
                                  { (yyval.op_id) = C_OP_EQUAL                 ; }
#line 13290 "parser.c"
    break;

  case 992: /* c_operator: Y_EQUAL_EQUAL  */
#line 8972 "parser.y"
                                  { (yyval.op_id) = C_OP_EQUAL_EQUAL           ; }
#line 13296 "parser.c"
    break;

  case 993: /* c_operator: '>'  */
#line 8973 "parser.y"
                                  { (yyval.op_id) = C_OP_GREATER               ; }
#line 13302 "parser.c"
    break;

  case 994: /* c_operator: Y_GREATER_GREATER  */
#line 8974 "parser.y"
                                  { (yyval.op_id) = C_OP_GREATER_GREATER       ; }
#line 13308 "parser.c"
    break;

  case 995: /* c_operator: Y_GREATER_GREATER_EQUAL  */
#line 8975 "parser.y"
                                  { (yyval.op_id) = C_OP_GREATER_GREATER_EQUAL ; }
#line 13314 "parser.c"
    break;

  case 996: /* c_operator: Y_GREATER_EQUAL  */
#line 8976 "parser.y"
                                  { (yyval.op_id) = C_OP_GREATER_EQUAL         ; }
#line 13320 "parser.c"
    break;

  case 997: /* c_operator: Y_QMARK_COLON  */
#line 8977 "parser.y"
                                  { (yyval.op_id) = C_OP_QMARK_COLON           ; }
#line 13326 "parser.c"
    break;

  case 998: /* c_operator: '[' rbracket_exp  */
#line 8978 "parser.y"
                                  { (yyval.op_id) = C_OP_BRACKETS              ; }
#line 13332 "parser.c"
    break;

  case 999: /* c_operator: '^'  */
#line 8979 "parser.y"
                                  { (yyval.op_id) = C_OP_CARET                 ; }
#line 13338 "parser.c"
    break;

  case 1000: /* c_operator: Y_CARET_EQUAL  */
#line 8980 "parser.y"
                                  { (yyval.op_id) = C_OP_CARET_EQUAL           ; }
#line 13344 "parser.c"
    break;

  case 1001: /* c_operator: '|'  */
#line 8981 "parser.y"
                                  { (yyval.op_id) = C_OP_PIPE                  ; }
#line 13350 "parser.c"
    break;

  case 1002: /* c_operator: Y_PIPE_PIPE  */
#line 8982 "parser.y"
                                  { (yyval.op_id) = C_OP_PIPE_PIPE             ; }
#line 13356 "parser.c"
    break;

  case 1003: /* c_operator: Y_PIPE_EQUAL  */
#line 8983 "parser.y"
                                  { (yyval.op_id) = C_OP_PIPE_EQUAL            ; }
#line 13362 "parser.c"
    break;

  case 1004: /* c_operator: '~'  */
#line 8984 "parser.y"
                                  { (yyval.op_id) = C_OP_TILDE                 ; }
#line 13368 "parser.c"
    break;

  case 1006: /* default_exp: error  */
#line 8990 "parser.y"
    {
      keyword_expected( L_default );
    }
#line 13376 "parser.c"
    break;

  case 1008: /* defined_exp: error  */
#line 8998 "parser.y"
    {
      keyword_expected( L_defined );
    }
#line 13384 "parser.c"
    break;

  case 1010: /* dependency_exp: error  */
#line 9006 "parser.y"
    {
      keyword_expected( L_dependency );
    }
#line 13392 "parser.c"
    break;

  case 1012: /* destructor_sname: Y_LEXER_ERROR  */
#line 9014 "parser.y"
    {
      c_sname_init( &(yyval.sname) );
      PARSE_ABORT();
    }
#line 13401 "parser.c"
    break;

  case 1013: /* empty_str_lit_exp: str_lit_exp  */
#line 9022 "parser.y"
    { //
      // This check is done now in the parser rather than later in the AST so
      // we don't have to keep the string literal around.
      //
      bool const is_empty = (yyvsp[0].str_val) == NULL || (yyvsp[0].str_val)[0] == '\0';
      free( (yyvsp[0].str_val) );
      if ( !is_empty ) {
        print_error( &(yylsp[0]), "empty string literal expected\n" );
        PARSE_ABORT();
      }
    }
#line 13417 "parser.c"
    break;

  case 1015: /* equals_exp: error  */
#line 9038 "parser.y"
    {
      punct_expected( '=' );
    }
#line 13425 "parser.c"
    break;

  case 1016: /* extern_linkage_c_stid: Y_extern linkage_stid  */
#line 9044 "parser.y"
                                  { (yyval.tid) = (yyvsp[0].tid); }
#line 13431 "parser.c"
    break;

  case 1017: /* extern_linkage_c_stid: Y_extern linkage_stid '{'  */
#line 9046 "parser.y"
    {
      UNSUPPORTED( &(yylsp[0]), "scoped linkage declarations" );
      PARSE_ABORT();
    }
#line 13440 "parser.c"
    break;

  case 1018: /* extern_linkage_c_stid_opt: %empty  */
#line 9053 "parser.y"
                                  { (yyval.tid) = TS_NONE; }
#line 13446 "parser.c"
    break;

  case 1020: /* glob: Y_GLOB  */
#line 9059 "parser.y"
    {
      if ( !OPT_LANG_IS( SCOPED_NAMES ) && strchr( (yyvsp[0].name), ':' ) != NULL ) {
        print_error( &(yylsp[0]),
          "scoped names not supported%s\n",
          C_LANG_WHICH( SCOPED_NAMES )
        );
        free( (yyvsp[0].name) );
        PARSE_ABORT();
      }
      (yyval.name) = (yyvsp[0].name);
    }
#line 13462 "parser.c"
    break;

  case 1021: /* glob_opt: %empty  */
#line 9073 "parser.y"
                                  { (yyval.name) = NULL; }
#line 13468 "parser.c"
    break;

  case 1024: /* gt_exp: error  */
#line 9080 "parser.y"
    {
      punct_expected( '>' );
    }
#line 13476 "parser.c"
    break;

  case 1025: /* inline_stid_opt: %empty  */
#line 9086 "parser.y"
                                  { (yyval.tid) = TS_NONE; }
#line 13482 "parser.c"
    break;

  case 1028: /* int_exp: error  */
#line 9093 "parser.y"
    {
      elaborate_error( "\"int[eger]\" expected" );
    }
#line 13490 "parser.c"
    break;

  case 1030: /* lbracket_exp: error  */
#line 9101 "parser.y"
    {
      punct_expected( '[' );
    }
#line 13498 "parser.c"
    break;

  case 1032: /* literal_exp: error  */
#line 9109 "parser.y"
    {
      keyword_expected( L_literal );
    }
#line 13506 "parser.c"
    break;

  case 1034: /* local_exp: error  */
#line 9117 "parser.y"
    {
      keyword_expected( L_local );
    }
#line 13514 "parser.c"
    break;

  case 1036: /* lparen_exp: error  */
#line 9125 "parser.y"
    {
      punct_expected( '(' );
    }
#line 13522 "parser.c"
    break;

  case 1038: /* lt_exp: error  */
#line 9133 "parser.y"
    {
      punct_expected( '<' );
    }
#line 13530 "parser.c"
    break;

  case 1039: /* member_or_non_member_opt: %empty  */
#line 9139 "parser.y"
                                  { (yyval.member) = C_FUNC_UNSPECIFIED; }
#line 13536 "parser.c"
    break;

  case 1040: /* member_or_non_member_opt: Y_member  */
#line 9140 "parser.y"
                                  { (yyval.member) = C_FUNC_MEMBER     ; }
#line 13542 "parser.c"
    break;

  case 1041: /* member_or_non_member_opt: Y_non_member  */
#line 9141 "parser.y"
                                  { (yyval.member) = C_FUNC_NON_MEMBER ; }
#line 13548 "parser.c"
    break;

  case 1043: /* namespace_btid_exp: error  */
#line 9147 "parser.y"
    {
      keyword_expected( L_namespace );
    }
#line 13556 "parser.c"
    break;

  case 1044: /* namespace_type: Y_namespace  */
#line 9153 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_B( (yyvsp[0].tid) ); }
#line 13562 "parser.c"
    break;

  case 1045: /* namespace_type: Y_inline namespace_btid_exp  */
#line 9154 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT( (yyvsp[0].tid), (yyvsp[-1].tid), TA_NONE ); }
#line 13568 "parser.c"
    break;

  case 1047: /* of_exp: error  */
#line 9160 "parser.y"
    {
      keyword_expected( L_of );
    }
#line 13576 "parser.c"
    break;

  case 1048: /* of_scope_english: Y_of scope_english_type_exp any_sname_c_exp  */
#line 9167 "parser.y"
    { //
      // Scoped names are supported only in C++.  (However, we always allow
      // them in configuration files.)
      //
      // This check is better to do now in the parser rather than later in the
      // AST because it has to be done in fewer places in the code plus gives a
      // better error location.
      //
      if ( !IS_SUPPORTED( SCOPED_NAMES ) ) {
        print_error( &(yylsp[-1]),
          "scoped names not supported%s\n",
          C_LANG_WHICH( SCOPED_NAMES )
        );
        c_sname_cleanup( &(yyvsp[0].sname) );
        PARSE_ABORT();
      }
      (yyval.sname) = c_sname_move( &(yyvsp[0].sname) );
      c_sname_set_local_type( &(yyval.sname), &(yyvsp[-1].type) );
    }
#line 13600 "parser.c"
    break;

  case 1049: /* of_scope_list_english: of_scope_list_english of_scope_english  */
#line 9190 "parser.y"
    {
      // "of scope X of scope Y" means Y::X
      (yyval.sname) = c_sname_move( &(yyvsp[0].sname) );
      c_sname_append_sname( &(yyval.sname), &(yyvsp[-1].sname) );
      c_sname_fill_in_namespaces( &(yyval.sname) );
      if ( !c_sname_check( &(yyval.sname), &(yylsp[-1]) ) ) {
        c_sname_cleanup( &(yyval.sname) );
        PARSE_ABORT();
      }
    }
#line 13615 "parser.c"
    break;

  case 1051: /* of_scope_list_english_opt: %empty  */
#line 9204 "parser.y"
                                  { c_sname_init( &(yyval.sname) ); }
#line 13621 "parser.c"
    break;

  case 1054: /* operator_exp: error  */
#line 9211 "parser.y"
    {
      keyword_expected( L_operator );
    }
#line 13629 "parser.c"
    break;

  case 1058: /* point_exp: error  */
#line 9224 "parser.y"
    {
      keyword_expected( L_point );
    }
#line 13637 "parser.c"
    break;

  case 1062: /* rbrace_exp: error  */
#line 9236 "parser.y"
    {
      punct_expected( '}' );
    }
#line 13645 "parser.c"
    break;

  case 1064: /* rbracket_exp: error  */
#line 9244 "parser.y"
    {
      punct_expected( ']' );
    }
#line 13653 "parser.c"
    break;

  case 1065: /* ref_qualifier_c_stid_opt: %empty  */
#line 9250 "parser.y"
                                  { (yyval.tid) = TS_NONE; }
#line 13659 "parser.c"
    break;

  case 1066: /* ref_qualifier_c_stid_opt: '&'  */
#line 9251 "parser.y"
                                  { (yyval.tid) = TS_REFERENCE; }
#line 13665 "parser.c"
    break;

  case 1067: /* ref_qualifier_c_stid_opt: Y_AMPER_AMPER  */
#line 9252 "parser.y"
                                  { (yyval.tid) = TS_RVALUE_REFERENCE; }
#line 13671 "parser.c"
    break;

  case 1069: /* reference_exp: error  */
#line 9258 "parser.y"
    {
      keyword_expected( L_reference );
    }
#line 13679 "parser.c"
    break;

  case 1073: /* returning_exp: error  */
#line 9271 "parser.y"
    {
      keyword_expected( L_returning );
    }
#line 13687 "parser.c"
    break;

  case 1075: /* rparen_exp: error  */
#line 9279 "parser.y"
    {
      punct_expected( ')' );
    }
#line 13695 "parser.c"
    break;

  case 1076: /* scope_english_type: class_struct_union_btid  */
#line 9285 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_B( (yyvsp[0].tid) ); }
#line 13701 "parser.c"
    break;

  case 1078: /* scope_english_type: Y_scope  */
#line 9287 "parser.y"
                                  { (yyval.type) = C_TYPE_LIT_B( TB_SCOPE ); }
#line 13707 "parser.c"
    break;

  case 1080: /* scope_english_type_exp: error  */
#line 9293 "parser.y"
    {
      elaborate_error(
        "\"class\", \"namespace\", \"scope\", \"struct\", or \"union\" expected"
      );
    }
#line 13717 "parser.c"
    break;

  case 1082: /* semi_exp: error  */
#line 9303 "parser.y"
    {
      punct_expected( ';' );
    }
#line 13725 "parser.c"
    break;

  case 1087: /* static_stid_opt: %empty  */
#line 9319 "parser.y"
                                  { (yyval.tid) = TS_NONE; }
#line 13731 "parser.c"
    break;

  case 1088: /* static_stid_opt: Y_static  */
#line 9320 "parser.y"
                                  { (yyval.tid) = TS_NON_EMPTY_ARRAY; }
#line 13737 "parser.c"
    break;

  case 1090: /* str_lit: Y_LEXER_ERROR  */
#line 9326 "parser.y"
    {
      (yyval.str_val) = NULL;
      PARSE_ABORT();
    }
#line 13746 "parser.c"
    break;

  case 1092: /* str_lit_exp: error  */
#line 9335 "parser.y"
    {
      (yyval.str_val) = NULL;
      elaborate_error( "string literal expected" );
    }
#line 13755 "parser.c"
    break;

  case 1094: /* this_exp: error  */
#line 9344 "parser.y"
    {
      keyword_expected( L_this );
    }
#line 13763 "parser.c"
    break;

  case 1095: /* this_stid_opt: %empty  */
#line 9350 "parser.y"
                                  { (yyval.tid) = TS_NONE; }
#line 13769 "parser.c"
    break;

  case 1098: /* to_exp: error  */
#line 9357 "parser.y"
    {
      keyword_expected( L_to );
    }
#line 13777 "parser.c"
    break;

  case 1101: /* typename_flag_opt: %empty  */
#line 9368 "parser.y"
                                  { (yyval.flag) = false; }
#line 13783 "parser.c"
    break;

  case 1102: /* typename_flag_opt: Y_typename  */
#line 9369 "parser.y"
                                  { (yyval.flag) = true; }
#line 13789 "parser.c"
    break;

  case 1103: /* uint_lit: Y_INT_LIT  */
#line 9374 "parser.y"
    {
      if ( (yyvsp[0].int_val) < 0 ) {
        //
        // This check is better to do now in the parser rather than later in
        // the AST because we can store the value as unsigned plus gives a
        // better error location.
        //
        print_error( &(yylsp[0]), "non-negative integer expected\n" );
        PARSE_ABORT();
      }
      (yyval.uint_val) = STATIC_CAST( unsigned, (yyvsp[0].int_val) );
    }
#line 13806 "parser.c"
    break;

  case 1105: /* uint_lit_exp: error  */
#line 9391 "parser.y"
    {
      elaborate_error( "integer literal expected" );
    }
#line 13814 "parser.c"
    break;

  case 1106: /* uint_lit_opt: %empty  */
#line 9397 "parser.y"
                                  { (yyval.uint_val) = 0; }
#line 13820 "parser.c"
    break;

  case 1109: /* unused_exp: error  */
#line 9404 "parser.y"
    {
      keyword_expected( L_unused );
    }
#line 13828 "parser.c"
    break;

  case 1113: /* virtual_stid_exp: error  */
#line 9417 "parser.y"
    {
      keyword_expected( L_virtual );
    }
#line 13836 "parser.c"
    break;

  case 1114: /* virtual_stid_opt: %empty  */
#line 9423 "parser.y"
                                  { (yyval.tid) = TS_NONE; }
#line 13842 "parser.c"
    break;


#line 13846 "parser.c"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      yyerror (YY_("syntax error"));
    }

  yyerror_range[1] = yylloc;
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  ++yylsp;
  YYLLOC_DEFAULT (*yylsp, yyerror_range, 2);

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif

  return yyresult;
}

#line 9427 "parser.y"


/// @endcond

// Re-enable warnings.
#ifdef __GNUC__
# pragma GCC diagnostic pop
#endif /* __GNUC__ */

/**
 * @addtogroup parser-group
 * @{
 */

////////// local functions ////////////////////////////////////////////////////

/**
 * Prints an additional parsing error message including a newline to standard
 * error that continues from where yyerror() left off.  Additionally:
 *
 * + If the lexer_printable_token() isn't NULL:
 *     + Checks to see if it's a keyword: if it is, mentions that it's a
 *       keyword in the error message.
 *     + May print "did you mean ...?" \a dym_kinds suggestions.
 *
 * + In debug mode, also prints the file & line where the function was called
 *   from as well as the ID of the lookahead token, if any.
 *
 * @note A newline _is_ printed.
 * @note This function isn't normally called directly; use the
 * #elaborate_error() or #elaborate_error_dym() macros instead.
 *
 * @param file The name of the file where this function was called from.
 * @param line The line number within \a file where this function was called
 * from.
 * @param dym_kinds The bitwise-or of the kind(s) of things possibly meant.
 * @param format A `printf()` style format string.  It _must not_ end in a
 * newline since this function prints its own newline.
 * @param ... Arguments to print.
 *
 * @sa #elaborate_error()
 * @sa #elaborate_error_dym()
 * @sa fl_keyword_expected()
 * @sa fl_punct_expected()
 * @sa yyerror()
 */
PJL_PRINTF_LIKE_FUNC(4)
static void fl_elaborate_error( char const *file, int line,
                                dym_kind_t dym_kinds, char const *format,
                                ... ) {
  assert( format != NULL );

  EPUTS( ": " );
  print_debug_file_line( file, line );

  char const *const error_token = lexer_printable_token();
  if ( print_error_token( error_token ) )
    EPUTS( ": " );

  va_list args;
  va_start( args, format );
  vfprintf( stderr, format, args );
  va_end( args );

  if ( error_token != NULL ) {
    print_error_token_is_a( error_token );
    print_suggestions( dym_kinds, error_token );
  }

  EPUTC( '\n' );
}

/**
 * Prints \a token, quoted; if \ref opt_cdecl_debug `!=` #CDECL_DEBUG_NO, also
 * prints the look-ahead character within `[]`.
 *
 * @param token The error token to print, if any.
 * @return Returns `true` only if anything was printed.
 */
static bool print_error_token( char const *token ) {
  if ( token == NULL )
    return false;
  EPRINTF( "\"%s\"", token );
  if ( opt_cdecl_debug != CDECL_DEBUG_NO ) {
    switch ( yychar ) {
      case YYEMPTY:
        EPUTS( " [<empty>]" );
        break;
      case YYEOF:
        EPUTS( " [<EOF>]" );
        break;
      default:
        EPRINTF( " [%d]", yychar );
    } // switch
  }
  return true;
}

////////// extern functions ///////////////////////////////////////////////////

void parser_cleanup( void ) {
  c_ast_list_cleanup_gc( &typedef_ast_list );
}

///////////////////////////////////////////////////////////////////////////////

/** @} */

/* vim:set et sw=2 ts=2: */
